<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib uri="/WEB-INF/tld/struts-bean-el.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/tld/struts-html-el.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/tld/c.tld" prefix="c" %>

<html>
<head>
<html:base />
<title><bean:message bundle="adminResource" key="adm.auth.title" /></title>
<link rel="stylesheet" type="text/css" href="/css/trend-style.css">
<script language="JavaScript" type="text/JavaScript">
  <c:if test="${uiStates.adminEditMode == 'true' }" >
     var mode = 'edit';
  </c:if>
  <c:if test="${uiStates.adminEditMode != 'true' }" >
     var mode = 'add';
  </c:if>
  function checkFields() {  
     var form = document.forms[0];
     if (form.authMethod[0].checked)
     {
         if(trim(form.name.value) == "" )
         {
	      alert("<bean:message bundle="adminResource" key="msg.auth.enter_username" />");
	      form.name.focus();
	      return;
         }
<c:if test="${appliance=='yes'}">

         var username = trim(form.name.value);
         if(username.toLowerCase() == "root")
         {
	        alert("<bean:message bundle="adminResource" key="msg.auth.cannotuseroot" />");
            form.name.focus();
	        return;
         }
</c:if>

         //var reg=/[^a-zA-Z0-9_]/;
         //if(reg.test(form.name.value))
         //{
	     // alert("<bean:message bundle="adminResource" key="msg.auth.invalid_username" />");
	     // form.name.focus();
	     // return;
         //}
     }
	        
     if (form.authMethod[0].checked &&  mode == 'add') {  
         if ( ! validatePwd(form.password.value, form.confirmPwd.value) ) {
            form.password.focus();
            return;
         }  
	 }
	 if (form.authMethod[0].checked &&  mode == 'edit') {
	     if (form.password.value != "" || form.confirmPwd.value != "") {
	        if ( ! validatePwd(form.password.value, form.confirmPwd.value) ) {
                form.password.focus();
                return;
            } 
	     }         
	 }
	 if (form.authMethod[1].checked) {
	        if ( trim(form.ldapUserName.value) == "" ) {
	        	alert("<bean:message bundle="adminResource" key="msg.auth.enter_ldapname" />");
	        	form.ldapUserName.focus();
	        	return;
	        }
	 }
     form.submit();
     return false;
  }
  
  function validatePwd(pwd, cPwd) {
         var newPwd = pwd;
         var confPwd = cPwd;
  	     if ( newPwd == "" ) {
	        alert("<bean:message bundle="adminResource" key="msg.auth.enter_passwd" />");	        
	        return false;
	     } 
	     if ( newPwd.length < 4 ||  newPwd.length > 32) {
	        alert("<bean:message bundle="adminResource" key="msg.auth.invalid_passwd" />");	        
	        return false;
	     }
	     if ( newPwd != confPwd ) {
	        alert("<bean:message bundle="adminResource" key="msg.auth.passwd_not_match" />");	       
	        return false;
	     }
	     return true;
  }
<c:choose>
<c:when test="${appliance=='yes'}">  
    function trim(sString) 
    {
        while (sString.substring(0,1) == ' ')
        {
            sString = sString.substring(1, sString.length);
        }
        while (sString.substring(sString.length-1, sString.length) == ' ')
        {
            sString = sString.substring(0,sString.length-1);
        }
        return sString;
    }
</c:when>
<c:otherwise>
  function trim(str) {
  if (str != null) {
    while (str.length > 0 && "\n\r\t ".indexOf(str.length - 1) != -1) {
      str = str.substring(0, str.length - 1);
    }
    while (str.length > 0 && "\n\r\t ".indexOf(str.charAt(0)) != -1) {
      str = str.substring(1, str.length);
    }
  }
  return str;
}
</c:otherwise>
</c:choose>

  function checkBError() { 
      <c:if test="${ !empty AdminAcctErr}" var="errmsg" scope="request">
         alert("<c:out value='${AdminAcctErr}' />");
      </c:if>
  }
  
  // admin cannot change its own settings.
  function checkDisableAuth() {
      <c:if test="${tempAdmin.root}" >
        var form = document.forms[0];
        for (var i=0; i<form.elements.length; i++) {
          if (form.elements[i].type == 'checkbox' ||
              form.elements[i].type == 'text' || 
              form.elements[i].type == 'password' || 
              form.elements[i].type == 'radio' ) {
            form.elements[i].disabled = true;
          }
        }
        
      </c:if>
   }

  function updateStatus()
  {
      var form=document.forms[0];
      if(form.authMethod[0].checked)
      {
          form.name.disabled=false;
          form.password.disabled=false;
          form.confirmPwd.disabled=false;
          form.ldapUserName.disabled=true;
      }
      else
      {
          form.name.disabled=true;
          form.password.disabled=true;
          form.confirmPwd.disabled=true;
          form.ldapUserName.disabled=false;
      }
  }
</script>
</head>
 
<html:form action="/saveAccountSubTab"  > 
<body marginwidth="0" marginheight="0" leftmargin="0" topmargin="0" onload="updateStatus(); checkDisableAuth();checkBError();">
<table cellspacing=0 cellpadding=0 width=540 border=0>
  <tbody>
    <tr> 
      <td class="content-title"><c:out value="${uiStates.adminName}" /><br></td>
      <td valign="bottom"> <div align="right"><a href="/help/<bean:message key="locale" />/admin_auth_root_help.htm" target="_blank"><img src="/images/<bean:message key="locale" />/question_cui.gif" border="0"></a></div></td>
    </tr>
    <tr> 
      <td height="10" colspan="2" class="hor-dotted-line"><img src="/images/<bean:message key="locale" />/1space_cui.gif" width="1" height="1"></td>
    </tr>
    <tr> 
      <td height="10" colspan="2"><img src="/images/<bean:message key="locale" />/1space_cui.gif" width="1" height="10"> 
      </td>
    </tr>
  </tbody>
</table>
<TABLE cellSpacing=0 cellPadding=0 width="540" border=0>
  <TBODY>
    <TR> 
      <TD id=main-content vAlign=top width="100%"> 
          <table cellpadding="0" cellspacing="0" border="0" width="100%">
            <tr> 
              <!-- TABS -->
              <td background="/images/<bean:message key="locale" />/tab_background_cui.gif"> 
                <table cellpadding="0" cellspacing="0" border="0">
                  <tr> 
                    <td><img src="/images/<bean:message key="locale" />/tab_active1_left_cui.gif" width="11" height="23" alt="" border="0"></td>
                    <td background="/images/<bean:message key="locale" />/tab_active_background_cui.gif" class="tabactive" style="vertical-align:top" nowrap><bean:message bundle="adminResource" key="adm.grouproot.authentication" /></td>
                    <td><img src="/images/<bean:message key="locale" />/tab_active_right_cui.gif" width="23" height="23" alt="" border="0"></td>
                    <td><img src="/images/<bean:message key="locale" />/tab_inactive2_left_cui.gif" width="11" height="23" alt="" border="0"></td>
                    
                    <td style="vertical-align:top" background="/images/<bean:message key="locale" />/tab_inactive_background_cui.gif" class="tabinactive" nowrap> 
                    <A onmouseover="this.style.color='#FF0000';" 
                       style="COLOR: #000000; text-decoration:none" 
                       onmouseout="this.style.color='#000000';" 
                       href="javascript:void(0);" onclick="document.forms[0].gotoTab.value = 'perm';document.forms[0].tabAction.value = 'saveAuth';return checkFields()" ><bean:message bundle="adminResource" key="adm.grouproot.permission" /></a></td>
                    <td><img src="/images/<bean:message key="locale" />/tab_inactive_right_cui.gif" width="23" height="23" alt="" border="0"></td>
                  </tr>
                </table>
              </td>
              <td background="/images/<bean:message key="locale" />/tab_background_cui.gif" align="right"><img src="/images/<bean:message key="locale" />/tab_right_corner_cui.gif" width="6" height="23" alt="" border="0"></td>
              <!-- /TABS -->
            </tr>
            <tr> 
              <td colspan="2" class="border" style="padding-bottom:3px"><table width="538" border="0" cellspacing="0" cellpadding="0">
                <tr> 
                  <td  colspan="4" class="data1">
                   <html:checkbox property="enabled" />
                    <bean:message bundle="adminResource" key="adm.auth.enable_acct" /></td>
                </tr>
                <tr> 
                  <td width="25" >&nbsp;</td>
                  <td  colspan="4" class="data1"><bean:message bundle="adminResource" key="adm.grouproot.authentication" />:</td>
                </tr>
                <tr> 
                  <td >&nbsp;</td>
                  <td width="20" >
                   <html:radio property="authMethod" value="1" onclick="updateStatus()"/>
                  </td>
                  <td  colspan="2" class="data1"><bean:message bundle="adminResource" key="adm.auth.imssa" /></td>
                </tr>
                <tr> 
                  <td >&nbsp;</td>
                  <td >&nbsp;</td>
                  <td  class="data1"><bean:message bundle="adminResource" key="adm.acct.username" />:</td>
                  <td width="390" >
                   <html:text property="name" styleClass="button" size="50" maxlength="64"/>
                  </td>
                </tr>
                <tr> 
                  <td >&nbsp;</td>
                  <td >&nbsp;</td>
                  <td  class="data1"><bean:message bundle="adminResource" key="adm.auth.new_passwd" />:</td>
                  <td >
                    <html:password property="password" styleClass="button" size="50" maxlength="32"/>
                  </td>
                </tr>
                <tr> 
                  <td >&nbsp;</td>
                  <td >&nbsp;</td>
                  <td  class="data1" ><bean:message bundle="adminResource" key="adm.auth.confirm" />:</td>
                  <td >
                    <html:password property="confirmPwd" styleClass="button" size="50" maxlength="32"/>
                  </td>
                </tr>
                <tr> 
                  <td >&nbsp;</td>
                  <td >&nbsp;</td>
                  <td colspan="2" class="data1" ><bean:message bundle="adminResource" key="adm.auth.passwd_size_note" /></td>
                </tr>
                <tr> 
                  <td colspan="4" ><img src="/images/<bean:message key="locale" />/1space_cui.gif" width="1" height="10"></td>
                </tr>
                <tr> 
                  <td >&nbsp;</td>
                  <td> 
                   <html:radio property="authMethod" value="0" onclick="updateStatus()"/>
                  </td>
                  <td  colspan="2" class="data1"><bean:message bundle="adminResource" key="adm.auth.ldap_auth" /></td>
                </tr>
                <tr> 
                  <td >&nbsp;</td>
                  <td >&nbsp;</td>
                  <td   class="data1"><bean:message bundle="adminResource" key="adm.auth.ldap_username" />:</td>
                  <td >
                    <html:text property="ldapUserName" styleClass="button" size="50" maxlength="256"/>
                  </td>
                </tr>
              </table></td>
            </tr>
          </table>
        </TD>
    </TR>
  </TBODY>
</TABLE>
<table width="540" border="0" cellspacing="0" cellpadding="0">
  <tr> 
    <td height="28" valign="bottom">     
      <input name="saveButton" type="button" class="button" value="<bean:message key="button.save" />" style="width:50px" onClick="document.forms[0].tabAction.value = 'saveAuth';document.forms[0].gotoTab.value = 'saveAll';checkFields()">
      <input name="cancelButton" type="button" class="cbutton" value="<bean:message key="button.cancel" />" onClick="self.location.href=('/displayAdminList.imss')">
       </td>
  </tr> 
</table>
<br>
<html:hidden property="tabAction" />
<html:hidden property="gotoTab" />
</html:form>
</body>

</html>

