﻿<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib uri="http://jakarta.apache.org/struts/tags-bean" prefix="bean" %>
<%@ taglib uri="/WEB-INF/tld/struts-bean-el.tld" prefix="bean-el" %>
<%@ taglib uri="/WEB-INF/tld/struts-html-el.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/tld/struts-logic.tld" prefix="logic" %>
<%@ taglib uri="/WEB-INF/tld/c.tld" prefix="c" %>
<html:html>
<head>
<html:base />
<title><bean:message bundle="adminEuq" key="adminEuq.title" /></title>
<link href="/css/trend-style.css" rel="stylesheet" type="text/css">
<script language="JavaScript" src="/javascripts/tooltip.js" type="text/javascript"></script>
<script language="JavaScript" src="/javascripts/validation.jsp" type="text/javascript"></script>
<script LANGUAGE="JavaScript">
var BEerror = null;
<logic:present name="euq_error" scope="request">
     BEerror = '<c:out value="${euq_error}" />'; 
</logic:present>
function checkError() {
   if (BEerror) alert(BEerror);
}
function save()
{
  var check_status = document.forms[0].enableEuq.checked;
  <c:choose>
    <c:when test="${isEuqEnable}">
      if (check_status == true)
        return false;
    </c:when>
    <c:otherwise>
      if (check_status == false)
        return false;
    </c:otherwise>
  </c:choose>
  if (check_status == false)
  {
    if (!confirm("<bean:message bundle="adminEuq" key="adminEuq.confirmDisableEuq" />"))
      return false;
  }
  else {	// check if LDAP enable
  <c:if test="${ldapDisabled}">
  	alert("<bean:message bundle="adminEuq" key="adminEuq.ldapDisabled" />");
  	return false;
  </c:if>
  }
  document.forms[0].action="/processEnableEuq.imss";
  return true;
}

function transfer()
{
  if (!confirm("<bean:message bundle="adminEuq" key="adminEuq.confirmTransfer" />"))
    return false;
  document.forms[0].action="/processTransferEuq.imss";
  return true;
}

function remove()
{
  if (!confirm("<bean:message bundle="adminEuq" key="adminEuq.confirmRemove" />"))
    return false;
  document.forms[0].action="/processRemoveEuq.imss";
  return true;
}

function updateUIStatus()
{
  <c:if test="${!isEuqEnable}">
    document.forms[0].enableEuq.checked = false;
    document.forms[0].btnTransfer.disabled=true;
    document.forms[0].btnRemove.disabled=true;
  </c:if>
  <c:if test="${isEuqEnable}">
    document.forms[0].enableEuq.checked = true;
  </c:if>
}
</script>
</head>

<BODY leftmargin="0" topmargin="0" marginwidth="0" onLoad="updateUIStatus();checkError();">
<html:form action="/initEuqMgr.imss" onsubmit="LockFormButton(this);">
<table cellspacing=0 cellpadding=0 width=540 border=0>
  <tbody>
    <tr> 
      <td class="content-title"><bean:message bundle="adminEuq" key="adminEuq.title" /><br> </td>
      <td valign="bottom"> <div align="right"><a href="/help/<bean:message key="locale" />/using_euq.htm" target="_blank"><img src="/images/<bean:message key="locale" />/question_cui.gif" border="0"></a></div></td>
    </tr>
    <tr> 
      <td height="10" colspan="2" class="hor-dotted-line"><img src="/images/<bean:message key="locale" />/1space_cui.gif" width="1" height="10"></td>
    </tr>
    <tr> 
      <td height="10" colspan="2"><img src="/images/<bean:message key="locale" />/1space_cui.gif" width="1" height="10"> <table cellpadding="0" cellspacing="0" border="0" width="100%">
        <tr>
          <!-- TABS -->
          <td background="/images/<bean:message key="locale" />/tab_background_cui.gif">
            <table cellpadding="0" cellspacing="0" border="0">
              <tr>
                <td><img src="/images/<bean:message key="locale" />/tab_active1_left_cui.gif" width="11" height="23" alt="" border="0"></td>
                <td background="/images/<bean:message key="locale" />/tab_active_background_cui.gif" class="tabactive" style="vertical-align:top" nowrap><bean:message bundle="adminEuq" key="adminEuq.MgrTitle" /></td>
                <td><img src="/images/<bean:message key="locale" />/tab_active_right_cui.gif" width="23" height="23" alt="" border="0"></td>
                <c:if test="${isEuqEnable}">
                <td><img src="/images/<bean:message key="locale" />/tab_inactive2_left_cui.gif" width="11" height="23" alt="" border="0"></td>
                <td style="vertical-align:top" background="/images/<bean:message key="locale" />/tab_inactive_background_cui.gif" class="tabinactive" nowrap> <A onmouseover="this.style.color='#FF0000';" 
            style="COLOR: #000000; text-decoration:none" 
            onmouseout="this.style.color='#000000';" 
            href="/initEndUserAccess.imss" > <bean:message bundle="adminEuq" key="adminEuq.AccessTitle" /></a></td>
                <td><img src="/images/<bean:message key="locale" />/tab_inactive_right_cui.gif" width="23" height="23" alt="" border="0"></td>
                </c:if>
              </tr>
            </table>
          </td>
          <td background="/images/<bean:message key="locale" />/tab_background_cui.gif" align="right"><img src="/images/<bean:message key="locale" />/tab_right_corner_cui.gif" width="6" height="23" alt="" border="0"></td>
          <!-- /TABS -->
        </tr>
      </table>
    </tr>
  </tbody>
</table>
<table cellpadding="0" cellspacing="0" border="0" width="540">
  <tr>
    <td colspan="2" class="border"><table width="538" border="0" cellpadding="0" cellspacing="0" >
      <tr>
        <td width="1614" colspan="2" >
          <table width="100%" border="0" cellpadding="0" cellspacing="0">
            <tr>
              <td class="tableheadergrey"><bean:message bundle="adminEuq" key="adminEuq.EnableEuqTitle" /></td>
            </tr>
          </table>
        </td>
      </tr>
      <tr>
        <td  class="data1">
          <html:checkbox property="enableEuq" />
          <bean:message bundle="adminEuq" key="adminEuq.cbEnableEuq" />
        </td>
        <td align="right" class="data1">
          <html:submit styleClass="button" style="width:60px" onclick="return save();"><bean:message key="button.save" /></html:submit>
        </td>
      </tr>
      <tr>
        <td class="data1" colspan="2">
	&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<bean:message bundle="adminEuq" key="adminEuq.RemoveEuqTitle" />
	<input name="btnRemove" type="submit"  class="button" value="<bean:message bundle="adminEuq" key="adminEuq.btnRemove" />" style="width:60px" onclick="return remove();">
	</td>
      </tr>
      <tr>
        <td colspan="2" ><img src="/images/<bean:message key="locale" />/1space_cui.gif" width="1" height="10"></td>
      </tr>
      
      <tr>
        <td colspan="2" ><table width="100%" border="0" cellpadding="0" cellspacing="0" class="border3">
          <tr>
            <td class="tableheadergrey"><bean:message bundle="adminEuq" key="adminEuq.TransferEuqTitle" /></td>
          </tr>
        </table></td>
      </tr>
      <tr class="border">
        <td class="data1"><bean:message bundle="adminEuq" key="adminEuq.TransferEuq" /></td>
        <td align="right" class="data1">
        </td>
      </tr>
      <tr class="border">
        <td>
          <input type="radio" name="transferType" value="0" /><bean:message bundle="adminEuq" key="adminEuq.TransferEuqWhiteList" /><BR>
          <input type="radio" name="transferType" value="1" checked /><bean:message bundle="adminEuq" key="adminEuq.TransferEuqAll" /><BR><BR>
        </td>
        <td align="right" class="data1">
          <input type="submit" name="btnTransfer" id="btnTransfer" class="button" style="width:75px" onclick="return transfer();" value="<bean:message bundle="adminEuq" key="adminEuq.btnTransfer" />" />
        </td>
      </tr>
      <tr class="border">
        <td colspan="2" class="data1"><bean:message bundle="adminEuq" key="adminEuq.TransferEuqWarning" />
        <br>
        <br>
        <bean:message bundle="adminEuq" key="adminEuq.TransferEuqNote" />
        </td>
      </tr>
      <tr class="border">
        <td colspan="2"><img src="/images/<bean:message key="locale" />/1space_cui.gif" width="1" height="10"> </td>
      </tr>
<!--      
      <tr>
        <td colspan="2">
          <table width="100%" border="0" cellpadding="0" cellspacing="0" class="border3">
            <tr>
              <td class="tableheadergrey"><bean:message bundle="adminEuq" key="adminEuq.RemoveEuqTitle" /></td>
            </tr>
          </table>
        </td>
      </tr>
      <tr>
        <td class="data1" style="padding-bottom:3px"><bean:message bundle="adminEuq" key="adminEuq.RemoveEuq" /></td>
        <td align="right" class="data1" style="padding-bottom:3px">
          <input type="submit" name="btnRemove" id="btnRemove" class="button" style="width:60px" onclick="return remove();" value="<bean:message bundle="adminEuq" key="adminEuq.btnRemove" />" />
          
        </td>
      </tr>
-->      
    </table>
    </td>
  </tr>
</table>
<br>
</html:form>
</BODY>
</html:html>
