<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib uri="/WEB-INF/tld/struts-bean-el.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/tld/struts-html-el.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/tld/c.tld" prefix="c" %>

<html>
<head>
<html:base />
<title><bean:message bundle="adminResource" key="adm.acct.step1" /></title>
<link rel="stylesheet" type="text/css" href="/css/trend-style.css">
<script language="javascript">
  function checkBError() { 
      <c:if test="${ !empty AdminAcctErr}" var="errmsg" scope="request">
         alert("<c:out value='${AdminAcctErr}' />");
      </c:if>
   }

  function deleteAdmin()
  {
      var selected=false;
      if(document.forms[0].selectedAdmin==null)
          return false;

      if(document.forms[0].selectedAdmin.checked)
      {
          selected=true;
      }
      else
      for(i=0; i<document.forms[0].selectedAdmin.length; i++)
      {
          if(document.forms[0].selectedAdmin[i].checked)
          {
              selected=true;
              break;
          }
      }
      if(selected)
      if(confirm("<bean:message bundle="adminResource" key="adm.msg.confirmDeleteAdmin" />"))
      {
          document.forms[0].processAction.value = 'delete';
          document.forms[0].submit();
      }
      return false;
  }
</script>
</head>
<body marginwidth="0" marginheight="0" leftmargin="0" topmargin="0" onload="checkBError()">
<html:form action="/processAdminList.imss" >
<table cellspacing=0 cellpadding=0 width=540 border=0>
  <tbody>
    <tr> 
      <td class="content-title"><bean:message bundle="adminResource" key="adm.acct.adm_acct" /><br></td>
      <td valign="bottom"> <div align="right"><a href="/help/<bean:message key="locale" />/admin_accts_help.htm" target="_blank"><img src="/images/<bean:message key="locale" />/question_cui.gif" border="0"></a></div></td>
    </tr>
    <tr> 
      <td colspan="2" class="hor-dotted-line"><img src="/images/<bean:message key="locale" />/1space_cui.gif" width="1" height="1"></td>
    </tr>
    <tr> 
      <td height="10" colspan="2"><img src="/images/<bean:message key="locale" />/1space_cui.gif" width="1" height="10"> 
      </td>
    </tr>
  </tbody>
</table>
  <table cellpadding="0" cellspacing="0" border="0" width="540">
    <tr> 
      <td colspan="2" class="border"> <table width="539" border="0" cellspacing="0" cellpadding="0">
      
        <!-- only root can delete or modify admin accounts -->
        <c:if test="${adminUser.root}" >
        <tr> 
          <td height="26"  colspan="3" class="data2">
           <table border="0" cellpadding="0" cellspacing="0">
              <tr> 
                <td  class="data1"><a href="/initAddAdmin.imss" class="databutton"><img src="/images/<bean:message key="locale" />/icon_add.gif" border="0"><bean:message key="button.add" /></a></td>
                <td ><img src="/images/<bean:message key="locale" />/1space_cui.gif" width="2" height="1"></td>
                <td  class="data1"><a href="#" onclick="return deleteAdmin();" class="databutton">
                  <img src="/images/<bean:message key="locale" />/icon_delete.gif" border="0"><bean:message key="button.delete" /></a></td>
                <td >&nbsp;</td>
              </tr>
            </table>
          </td>
        </tr>
        </c:if>
        
        <tr> 
          <td width="27"  class="grey2">&nbsp; </td> 
          <td width="432" class="grey2"><bean:message bundle="adminResource" key="adm.acct.username" /> 
            <div align="right"></div></td>
          <td width="80" class="grey2-end"><bean:message bundle="adminResource" key="adm.acct.status" /></td>
        </tr>
          <c:forEach items="${adminList.summaryList}" var="admin" varStatus="current">
	        <c:choose>
	          <c:when test="${current.index % 2 == 0}">
	            <c:set var="class1" value="data1b" />
	          </c:when>
	          <c:otherwise>
	            <c:set var="class1" value="data2b" />
	          </c:otherwise>
	        </c:choose>
	        <tr> 
	          <td  class="<c:out value='${class1}' />">
	          <c:if test="${!admin.root}">
	            <html:multibox property="selectedAdmin" value="${admin.id}"  />
	          </c:if>
	          <c:if test="${admin.root}">
	            &nbsp;
	          </c:if>
	          </td>
	          <td class="<c:out value='${class1}' />"><a href="/initEditAdmin.imss?adminID=<c:out value='${admin.id}' />">
	              <c:out value='${admin.name}' /></a></td>
	          <td align="left" class="<c:out value='${class1}' />">
	           <div align="left">
	             <c:choose>
                   <c:when test="${admin.enabled}" >
           		     <img src="/images/<bean:message key="locale" />/icons_valid_s_cui.gif" width="16" height="16">
                   </c:when>
                   <c:otherwise>
                     <img src="/images/<bean:message key="locale" />/icons_expired_s_cui.gif" width="16" height="16">
                   </c:otherwise>
                 </c:choose>
	           </div>
	          </td>
	        </tr>
	      </c:forEach>
      </table></td>
    </tr>
  </table>
<br>
<input type="hidden" name="processAction" value="">
</html:form>
</body>
</html>
