<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib uri="/WEB-INF/tld/struts-bean-el.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/tld/struts-html-el.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/tld/c.tld" prefix="c" %>

<html>
<head>
<html:base /> 
<title><bean:message bundle="adminResource" key="adm.passwd.title" /></title>
<link href="/css/trend-style.css" rel="stylesheet" type="text/css">
<script language="javascript">
   function validate() {  
      form = document.forms[0]; 
      if (form.oldPwd.value == "") {
         alert("<bean:message bundle="adminResource" key="msg.pwd.enter_old_pwd" />");
         form.oldPwd.focus();
         return false;
      }
      if (form.newPwd.value == "") {
         alert("<bean:message bundle="adminResource" key="msg.pwd.enter_new_pwd" />");
         form.newPwd.focus();
         return false;
      }
      if (form.confirmPwd.value != form.newPwd.value) {
         alert("<bean:message bundle="adminResource" key="msg.pwd.pwd_not_match" />");
         form.newPwd.focus();
         return false;
      }
      // only checks for new password length, because new and confirm password must match, the server side will check the old password
      if (form.newPwd.value.length < 4 || form.newPwd.value.length > 32) {
         alert ("<bean:message bundle="adminResource" key="msg.pwd.invalid_length" />");
         form.newPwd.focus();
         return false;
      }
      return true;
   }
   
   function checkBError() { 
      <c:if test="${ !empty changePwdErr}" var="errmsg" scope="request">
         alert("<c:out value='${changePwdErr}' />");
      </c:if>
   }   
</script>
</head>

<body bgcolor="#FFFFFF" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0" onload="document.forms[0].oldPwd.focus();checkBError()">
<table width="540" border="0" cellspacing="0" cellpadding="0">
  <tr> 
    <td width="507" class="content-title"><bean:message bundle="adminResource" key="adm.passwd.change_passwd" /></td>
    <td width="33" valign="bottom"> 
      <div align="right"><a href="/help/<bean:message key="locale" />/admin_password_help.htm" target="_blank"><img src="/images/<bean:message key="locale" />/question_cui.gif" border="0"></a></div></td>
  </tr>
</table>
<table width="540" border="0" cellspacing="0" cellpadding="0">
  <tr> 
    <td height="10" valign="middle"><img src="/images/<bean:message key="locale" />/dotline_cui.gif" width="540" height="1"></td>
  </tr>
  <tr> 
    <td height="10"><img src="/images/<bean:message key="locale" />/1space_cui.gif" width="1" height="10"></td>
  </tr>
</table>
<TABLE width="540" border=0 cellPadding=0 cellSpacing=0 class="border">
  <TBODY>
    <TR> 
      <TD width="538">
<html:form action="/saveChangePwd" >      
<table width="538" border="0" cellpadding="0" cellspacing="0">
          <tr> 
            <td width="121" height="22" class="data1"><bean:message bundle="adminResource" key="adm.passwd.old_passwd" />:</td>
            <td width="407" height="22"> <html:password property="oldPwd" styleClass="button" size="50" maxlength="32"/></td>
          </tr>
          <tr> 
            <td height="22" class="data1"><bean:message bundle="adminResource" key="adm.passwd.new_passwd" />:</td>
            <td height="22"> <html:password property="newPwd" styleClass="button" size="50" maxlength="32"/></td>
          </tr>
          <tr> 
            <td height="22" class="data1"><bean:message bundle="adminResource" key="adm.passwd.confirm_passwd" />:&nbsp;</td>
            <td height="22"> <html:password property="confirmPwd" styleClass="button" size="50" maxlength="32"/></td>
          </tr>
          <tr>
            <td height="10" colspan="2" class="hor-dotted-line"><img src="/images/<bean:message key="locale" />/1space_cui.gif" width="1" height="10"></td>
          </tr>
          <tr> 
            <td height="22" colspan="2" class="data1"><bean:message bundle="adminResource" key="adm.passwd.passwd_note" /></td>
          </tr>
        </table></TD>
    </TR>
  </TBODY>
</TABLE>
<table width="540" border="0" cellspacing="0" cellpadding="0">
  <tr> 
    <td height="28" valign="bottom"> 
      <html:submit styleClass="button"  style="width:50px" onclick="return validate(this)"><bean:message key="button.save" /></html:submit>
<c:choose>
<c:when test="${appliance=='yes'}">  
      <html:cancel styleClass="button"  style="width:50px"><bean:message key="button.cancel" /></html:cancel>
</c:when>
<c:otherwise>
      <html:cancel styleClass="cbutton" ><bean:message key="button.cancel" /></html:cancel>
</c:otherwise>
</c:choose>


      
    </td>
  </tr>
  <tr>
  	<td><html:errors bundle="errors" property="changeOK" /></td>
  </tr>
</table>
</html:form>
</body>
</html>

