﻿<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib uri="http://jakarta.apache.org/struts/tags-bean" prefix="bean" %>
<%@ taglib uri="/WEB-INF/tld/struts-bean-el.tld" prefix="bean-el" %>
<%@ taglib uri="/WEB-INF/tld/struts-html-el.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/tld/struts-logic.tld" prefix="logic" %>
<%@ taglib uri="/WEB-INF/tld/c.tld" prefix="c" %>
<html:html>
<head>
<html:base />
<c:choose>
<c:when test="${appliance=='yes'}"> 
<title><bean:message bundle="adminEuq" key="adminEuq.title" /></title>
</c:when>
<c:otherwise>
<title><bean:message bundle="adminResource" key="eu.title" /></title>
</c:otherwise>
</c:choose>
<link href="/css/trend-style.css" rel="stylesheet" type="text/css">
<script language="JavaScript" src="/javascripts/tooltip.js" type="text/javascript"></script>
<script language="JavaScript" src="/javascripts/validation.jsp" type="text/javascript"></script>
<script LANGUAGE="JavaScript">
var BEerror = null;
<logic:present name="errorMsg" scope="request">
     BEerror = '<c:out value="${errorMsg}" />'; 
</logic:present>
function checkError() {
   if (BEerror) alert(BEerror);
}
  
var readOnly=false;
function switchTo() { 
    if(readOnly)
        return false;

    document.EUQAccessForm.action = "/processEndUserAccess.imss";
    document.EUQAccessForm.actionType.value=document.EUQAccessForm.searchOrBrowse.value;
    document.EUQAccessForm.submit();
    LockForm(document.forms[0]);

 	return false; 	 
  
}
<c:if test="${appliance=='yes'}">
function remove()
{
  if (!confirm("<bean:message bundle="adminEuq" key="adminEuq.confirmRemove" />"))
    return false;
  document.forms[0].action="/processRemoveEuq.imss";
  return true;
}
</c:if>
function save()
{
	document.EUQAccessForm.action = "/processEndUserAccess.imss";
    <c:choose>
      <c:when test="${euqAdminMode == 'search'}">
        document.EUQAccessForm.actionType.value='searchSave';
      </c:when>
      <c:otherwise>
        document.EUQAccessForm.actionType.value='browseSave';
      </c:otherwise>
    </c:choose>
 	return true; 	 
}

function cancelClick()
{
	document.EUQAccessForm.action = "/initEndUserAccess.imss";
    document.EUQAccessForm.submit();
    LockForm(document.forms[0]);
    return false;
}

function Delete(action_type)
{
    if(readOnly)
        return false;

    document.EUQAccessForm.action = "/processEndUserAccess.imss";
    document.EUQAccessForm.actionType.value=action_type;
    document.EUQAccessForm.submit();
    LockForm(document.forms[0]);
    return false; 
}

function Add(action_type)
{
	document.EUQAccessForm.action = "/processEndUserAccess.imss";
    document.EUQAccessForm.actionType.value=action_type;
    document.EUQAccessForm.submit();
    LockForm(document.forms[0]);
    return true; 
}

function Search()
{
	if(!checkempty(document.forms[0].ldapSearchString))
	    return false;
  	document.EUQAccessForm.action = "/processEndUserAccess.imss";
    document.EUQAccessForm.actionType.value='search';
    document.EUQAccessForm.submit();
    LockForm(document.forms[0]);
    return true; 
}

function setFocus() {
   if (document.forms[0].ldapsearchstr != null) {
      document.forms[0].ldapsearchstr.focus();
   }
}

function updateUIStatus()
{
    if(document.forms[0].enableAll.checked)
    {
        <c:if test="${euqAdminMode == 'search'}">
          document.forms[0].ldapSearchString.disabled=true;
          document.forms[0].btnSearch.disabled=true;
        </c:if>
        document.forms[0].searchOrBrowse.disabled=true;
        document.forms[0].ldapGrpSelected.disabled=true;
        document.forms[0].btnAdd.disabled=true;
        document.forms[0].btnDelete.disabled=true;
    }
    else
    {
        <c:if test="${euqAdminMode == 'search'}">
          document.forms[0].ldapSearchString.disabled=false;
          document.forms[0].btnSearch.disabled=false;
        </c:if>
        document.forms[0].searchOrBrowse.disabled=false;
        document.forms[0].ldapGrpSelected.disabled=false;
        document.forms[0].btnAdd.disabled=false;
        document.forms[0].btnDelete.disabled=false;
    }
    <c:if test="${!uiStates.hasEUQ}">
        var form = document.forms[0];
        for (var i=0; i<form.elements.length; i++) 
        {
            form.elements[i].disabled = true;
        }
        readOnly=true;
    </c:if>
}

</script>
</head>
<body bgcolor="#FFFFFF" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0" onLoad="setFocus(); updateUIStatus(); checkError();">
<DIV id="tooltip" style="visibility:hidden;position:absolute;z-index:1000;top:-100"></DIV>
<script language="JavaScript" type="text/javascript">


Text[0]=["<bean:message bundle="adminResource" key="eu.enable_end_user_access" />","<bean:message bundle="adminResource" key="eu.view_qt_msg_by_spam_rule_with_euq" />"]

Style[0]=["black","","","","",11,"black","white","","","",11,290,,0,"#666666",3,24,0.4,90,,"",,,12,-10]

var tipId="tooltip"
var FiltersEnabled = 1 // [for IE5.5+] if your not going to use transitions or filters in any of the tips set this to zero.
mig_clay()
</script>
<html:form action="/initEndUserAccess.imss" onsubmit="LockFormButton(this);">
<table cellspacing=0 cellpadding=0 width=540 border=0>
  <tbody>
    <tr> 
<c:choose>
	<c:when test="${appliance=='yes'}"> 
      <td class="content-title"><bean:message bundle="adminEuq" key="adminEuq.title" /><br></td>
	</c:when>
	<c:otherwise>
      <td class="content-title"><bean:message bundle="adminResource" key="eu.title" /><br></td>
	</c:otherwise>
</c:choose>
      <td valign="bottom"> <div align="right"><a href="/help/<bean:message key="locale" />/eu_access_search_help.htm" target="_blank"><img src="/images/<bean:message key="locale" />/question_cui.gif" border="0"></a></div></td>
    </tr>
    <tr> 
      <td height="10" colspan="2" class="hor-dotted-line"><img src="/images/<bean:message key="locale" />/1space_cui.gif" width="1" height="1"></td>
    </tr>
    <tr> 
      <td height="10" colspan="2" class="data1"><bean:message bundle="adminResource" key="eu.access_spam_ldap" />
    </tr>
    <tr> 
      <td height="10" colspan="2"><img src="/images/<bean:message key="locale" />/1space_cui.gif" width="1" height="10"> 
    </tr>
 <c:if test="${appliance=='yes'}">
    <tr>
      <!-- TABS -->
      <td background="/images/<bean:message key="locale" />/tab_background_cui.gif">
        <table cellpadding="0" cellspacing="0" border="0">
          <tr>
            <td><img src="/images/<bean:message key="locale" />/tab_inactive1_left_cui.gif" width="11" height="23" alt="" border="0"></td>
            <td background="/images/<bean:message key="locale" />/tab_inactive_background_cui.gif" class="tabinactive" valign="top" nowrap> <A onmouseover="this.style.color='#FF0000';" 
        style="COLOR: #000000; text-decoration:none" 
        onmouseout="this.style.color='#000000';" 
        href="/initEuqMgr.imss" > <bean:message bundle="adminEuq" key="adminEuq.MgrTitle" /></a></td>
            <td><img src="/images/<bean:message key="locale" />/tab_inactive_right_cui.gif" width="23" height="23" alt="" border="0"></td>
            <td><img src="/images/<bean:message key="locale" />/tab_active2_left_cui.gif" width="11" height="23" alt="" border="0"></td>
            <td style="vertical-align:top" background="/images/<bean:message key="locale" />/tab_active_background_cui.gif" class="tabactive" valign="top" nowrap><bean:message bundle="adminEuq" key="adminEuq.AccessTitle" /></td>
            <td><img src="/images/<bean:message key="locale" />/tab_active_right_cui.gif" width="23" height="23" alt="" border="0"></td>
          </tr>
        </table>
      </td>
      <td background="/images/<bean:message key="locale" />/tab_background_cui.gif" align="right"><img src="/images/<bean:message key="locale" />/tab_right_corner_cui.gif" width="6" height="23" alt="" border="0"></td>
      <!-- /TABS -->
      </tr>
</c:if>
	<tr>		
      <td height="10" colspan="2">
        <TABLE cellSpacing=0 cellPadding=0 width="540" border=0>
          <TBODY>
            <tr> 
              <td colspan="2" class="border">
                <table width="538" border="0" cellspacing="0" cellpadding="0">
                  <tr> 
                    <td width="538" class="data1">
                      <html:checkbox property="enableAccess"/>
                      <bean:message bundle="adminResource" key="eu.enable_access" />
                      <a href="#" onclick="return false" 
                        onMouseOver="document.forms[0].maxApprovedSenders.style.visibility = 'hidden';document.forms[0].keepDays.style.visibility = 'hidden';stm(Text[0],Style[0]);return false;" 
                        onMouseOut="document.forms[0].maxApprovedSenders.style.visibility = 'visible';document.forms[0].keepDays.style.visibility = 'visible';htm();return false;">
                        <img src="/images/<bean:message key="locale" />/info_mark_cui.gif" width="15" height="15"border="0" align="absmiddle">
                      </a>
                    </td>
                  </tr>
                  <tr> 
                    <td colspan="3" class="data1"><bean:message bundle="adminResource" key="eu.keepForDays" />
                      <html:select property="keepDays" styleClass="button">
                        <html:option value="1"><bean:message bundle="adminResource" key="eu.day1" /></html:option>
<c:choose>
	<c:when test="${appliance=='yes'}"> 
                        <c:forEach begin="2" end="14" var="i">
                          <html:option value="${i}"><c:out value="${i}" /> <bean:message bundle="adminResource" key="eu.days" /></html:option>
                        </c:forEach>
	</c:when>
	<c:otherwise>
                        <c:forEach begin="2" end="35" var="i">
                          <html:option value="${i}"><c:out value="${i}" /> <bean:message bundle="adminResource" key="eu.days" /></html:option>
                        </c:forEach>
	</c:otherwise>
</c:choose>
                        
                      </html:select>
                    </td>
                  </tr>
                  <tr> 
                    <td colspan="3"><img src="/images/<bean:message key="locale" />/1space_cui.gif" width="1" height="10"> 
                  </tr>
                  <tr> 
                    <td>
                      <table width="540" border="0" cellpadding="0" cellspacing="0" class="border3">
                        <tr> 
                          <td class="tableheadergrey"><bean:message bundle="adminResource" key="eu.max_approved_senders" /></td>
                        </tr>
                      </table>
                    </td>
                  </tr>
                 <tr>
                    <td class="data1"><bean:message bundle="adminResource" key="eu.max_euser" />:
                     <html:select styleClass="button" property="maxApprovedSenders" size="1">
                              <html:option value="25">25</html:option>
                              <html:option value="50">50</html:option>
                              <html:option value="75">75</html:option>
                              <html:option value="100">100</html:option>
                 	</html:select>
                    </td>
                  </tr>
                  <tr> 
                    <td colspan="3"><img src="/images/<bean:message key="locale" />/1space_cui.gif" width="1" height="10"> 
                  </tr>
                  <tr> 
                    <td>
                      <table width="540" border="0" cellpadding="0" cellspacing="0" class="border3">
                        <tr> 
                          <td class="tableheadergrey"><bean:message bundle="adminResource" key="eu.customize_login_msg" /></td>
                        </tr>
                      </table>
                    </td>
                  </tr>
                 <tr>
                    <td class="data1">
                     <bean:message bundle="adminResource" key="eu.customize_login_msg_explain" />
                    </td>
                  </tr>
                 <tr>
                    <td class="data1">
                     <html:textarea property="euqLoginMsg" styleClass="button" cols="70" rows="4"/>
                    </td>
                  </tr>
                  <tr> 
                    <td><img src="/images/<bean:message key="locale" />/1space_cui.gif" width="1" height="10"></td>
                  </tr>
                  <tr> 
                    <td>
                      <table width="540" border="0" cellpadding="0" cellspacing="0" class="border3">
                        <tr> 
                          <td class="tableheadergrey"><bean:message bundle="adminResource" key="eu.select_ldap_group" /></td>
                        </tr>
                      </table>
                    </td>
                  </tr>
                  <tr> 
                    <td>
                      <table width="528" border="0" cellpadding="0" cellspacing="0">
                        <tr> 
                          <td width="255" style="vertical-align:top" >
                            <div id="searchSection" style="display:block">                                                    
	                            <table width="255" border="0" cellpadding="0" cellspacing="0">
	                              <tr>
	                                <td colspan="2" class="data1">
	                                  <html:checkbox property="enableAll" onclick="updateUIStatus();"/><bean:message bundle="adminResource" key="eu.enable_all" />
	                                </td>
	                              </tr>
	                              <tr>
	                                <td colspan="2" class="data1"><bean:message bundle="adminResource" key="eu.selectFromSearch" />
	                                </td>
	                              </tr>
	                              <c:choose>
	                                <c:when test="${euqAdminMode == 'search'}">     
                                           <tr>
                                             <td colspan="2" class="data1">
                                               <select name="searchOrBrowse" class="button" onchange="switchTo()" style="width:245">
                                                 <option value="switchToSearch" selected><bean:message bundle="adminResource" key="eu.search" /></option>
                                                 <option value="switchToBrowse"><bean:message bundle="adminResource" key="eu.browse" /></option>
                                               </select>
                                             </td>
                                           </tr>                
		                              <tr> 
	                                       <td colspan="2" class="data1"><html:text property="ldapSearchString" styleClass="button" size="34" maxlength="256"/>
                                              <input name="btnSearch" type="button"  class="button"  value="<bean:message key="button.search" />" style="width:55px" onClick="return Search();">
	                                       </td>
                                              <td>
                                                <bean:message bundle="adminResource" key="eu.selected_groups" />
                                              </td>
	                                     </tr> 
		                         </c:when>
		                         <c:otherwise>
                                           <tr>
                                             <td colspan="2" class="data1">
                                               <select name="searchOrBrowse" class="button" onchange="switchTo()" style="width:245">
                                                 <option value="switchToSearch"><bean:message bundle="adminResource" key="eu.search" /></option>
                                                 <option value="switchToBrowse" selected><bean:message bundle="adminResource" key="eu.browse" /></option>
                                               </select>
                                             </td>
                                             <td>
                                               <bean:message bundle="adminResource" key="eu.selected_groups" />
                                             </td>
                                           </tr>                
		                         </c:otherwise>                                                      
	                              </c:choose>
	                                     <tr> 
	                                       <td class="data1" >
	                                         <html:select property="ldapGrpSelected" size="13" multiple="true" styleClass="button" style="width:245px">	                            
	                                         <c:forEach items="${tmpLdapGrps}" var="choiceItem">
	                                           <html:option value="${choiceItem}"><c:out value="${choiceItem}" /></html:option>
	                                         </c:forEach>
	                                         </html:select>
	                                       </td>
	                                       <td style="vertical-align:center" > 
			                              <c:choose>
			                                <c:when test="${euqAdminMode == 'search'}">
			                                   <input name="btnAdd" type="button"  class="button"  value="&gt;&gt;" style="width:30px" onClick="return Add('searchAdd');"> 
			                                   <input name="btnDelete" type="button"  class="button"  value="&lt;&lt;" style="width:30px" onClick="return Add('searchDelete');"> 
			                                </c:when>
				                         <c:otherwise>		                            
				                            <input name="btnAdd" type="button"  class="button"  value="&gt;&gt;" style="width:30px" onClick="return Add('browseAdd');"> 
				                            <input name="btnDelete" type="button"  class="button"  value="&lt;&lt;" style="width:30px" onClick="return Add('browseDelete');"> 
				                         </c:otherwise>
			                              </c:choose>    
	                                       </td>
	                                       <td>
	                                         <html:select property="selectedDeleteGroups" size="13" multiple="true" styleClass="button" style="width:245px">
	                                           <c:forEach items="${selectedLdapGrps}" var="lgrp" varStatus="status">
	                                             <html:option value="${status.index}"><c:out value="${lgrp}"/></html:option>
	                                           </c:forEach>
	                                         </html:select>
	                                       </td>
	                                     </tr>
	                            </table>
                            </div>  
                                
                            </td>
                          <td width="10"><img src="/images/<bean:message key="locale" />/1space_cui.gif" width="10" height="1"></td>
                          <td width="263" style="vertical-align:top" >
                         </td>
                        </tr>
                      </table></td>
                  </tr>
                </table></td>
            </tr>
        </table></tr>
  </tbody>
</table>
<table width="540" border="0" cellspacing="0" cellpadding="0">
  <tr> 
    <td height="28" valign="bottom"> 
    <html:submit styleClass="button" style="width:50px"  onclick="return save();"><bean:message key="button.save" /></html:submit> 
<c:choose>
	<c:when test="${appliance=='yes'}"> 
     <html:cancel styleClass="button" style="width:50px" onclick="return cancelClick();"><bean:message key="button.cancel" /></html:cancel> 
	</c:when>
	<c:otherwise>
     <html:cancel styleClass="cbutton" onclick="return cancelClick();"><bean:message key="button.cancel" /></html:cancel> 
	</c:otherwise>
</c:choose>
    </td>
  </tr>
  <tr>
  	<td><html:errors bundle="errors" property="changeOK" /></td>
  </tr>
</table>
<html:hidden property="actionType"  /> 
<html:hidden property="selectedLdap"  /> 
</html:form>
</body>
</html:html>
