<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib uri="/WEB-INF/tld/struts-bean-el.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/tld/struts-html-el.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/tld/c.tld" prefix="c" %>


<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>Untitled Document</title>
<meta content="text/html; utf-8" http-equiv="Content-Type" />
<link href="/css/left.css" type="text/css" rel="stylesheet"></link>
<script language="JavaScript" src="/javascripts/popup.js"></script>
<script id="TMCUBE_COMMON_JAVASCRIPT_FILE" language="JavaScript" Src="/javascripts/TmCube_Common.js"> </script>
<c:choose>
	<c:when test="${appliance=='yes'}"> 
<script language="JavaScript" Src="/javascripts/en/TmCube_Message.js"> </script>
	</c:when>
	<c:otherwise>
<script language="JavaScript" Src="/javascripts/TmCube_Message.js"> </script>
	</c:otherwise>
</c:choose>
<script id="CompJS" language="JavaScript">
var uicompList = new Array();

var TmCube_Navigation = new Object();
TmCube_Navigation.name = "Navigation";
TmCube_Navigation.onload = window.TmCube_Navigation_onload;
uicompList[uicompList.length] = TmCube_Navigation;


//Component: Navigation

//Global variables definition
/**
 *  Color of selected menu item.
 */
TmCube_Navigation_HIGHLIGHT = "#990000";

//Function definition
function TmCube_Navigation_activeMenu(element)
{
	var compObj = TmCube_getComponent(element);
	var curControl = TmCube_getControlName(element);
	var box = TmCube_getElement(compObj.name, "box");
	if (compObj.expandingAbility && /^multiple$/i.test(compObj.expandingAbility))
	{
		TmCube_Navigation_recoverCurrent(element);
		if (TmCube_Navigation_isExpanded(compObj, element))
		{
			TmCube_Navigation_expandingAbility(element);
			compObj.currentMenu = "";
		}
		else
		{
			TmCube_Navigation_expandMenu(element);
			compObj.currentMenu = "";
		}
		TmCube_Navigation_refreshTable(box);
		return false;
	}
	if (compObj.currentMenu == curControl)
	{
		TmCube_Navigation_recoverCurrent(element);
		TmCube_Navigation_refreshTable(box);
		return false;
	}
	TmCube_Navigation_recoverCurrent(element);
	TmCube_Navigation_expandMenu(element);
	TmCube_Navigation_refreshTable(box);
	return false;
}

function TmCube_Navigation_activeIcon(element)
{
	var compObj = TmCube_getComponent(element);
	var curControl = TmCube_getControlName(element);
	var cut = curControl.search(/_icon$/);
	if (cut == -1)
	{
	    alert("Unknow icon");
		return false;
	}
	var menuItem = curControl.slice(0, cut);
	var menuElement = TmCube_getElement(compObj.name, menuItem);
	if (menuElement && /a/i.test(menuElement.tagName))
	{
		TmCube_Navigation_activeMenu(menuElement);
	}
	return false;
}

function TmCube_Navigation_expandingAbility(element)
{
	var compObj = TmCube_getComponent(element);
	var prefix = compObj.name;
	var curControl = TmCube_getControlName(element);
	element.parentNode.className = "navinactive";
	var curItemsElem = TmCube_getElement(compObj.name, curControl + "_items");
	if (compObj.currentElement)
	{
		if (TmCube_Navigation_isContained(compObj.currentElement, curItemsElem))
		{
			compObj.curGroup = curControl;
			element.style.color = TmCube_Navigation_HIGHLIGHT;
		}
	}
	var curImgElem = TmCube_getElement(compObj.name, curControl + "_img");
	curItemsElem.style.display = "none";
	curImgElem.src = TmCube_getNormalURL("/images/<bean:message key="locale" />/os_nav_arrow_inactive_cui.gif");
}

function TmCube_Navigation_isContained(son, father)
{
	var htmlreg = /^html$/i;
	for (;son.parentNode != father && !htmlreg.test(son.tagName); son = son.parentNode);
	if (htmlreg.test(son.tagName))
	{
		return false;
	}
	return true;
}

function TmCube_Navigation_recoverCurrent(element)
{
	var compObj = TmCube_getComponent(element);
	var prefix = compObj.name;
	if (compObj.currentMenu)
	{
		var curElem = TmCube_getElement(prefix, compObj.currentMenu);
		var curItemsElem = TmCube_getElement(prefix, compObj.currentMenu + "_items");
		if (curItemsElem) //Means sub item exists
		{
			var curImgElem = TmCube_getElement(prefix, compObj.currentMenu + "_img");
			curElem.parentNode.className = "navinactive";
			if (compObj.currentElement && TmCube_Navigation_isContained(compObj.currentElement, curItemsElem))
			{
				compObj.curGroup = compObj.currentMenu;
			}
			curItemsElem.style.display = "none";
			curImgElem.src = TmCube_getNormalURL("/images/<bean:message key="locale" />/os_nav_arrow_inactive_cui.gif");
		}
		else //Means sub item not exists, just single menu
		{
			var curControl = TmCube_getControlName(element);
			if (compObj.currentMenu == curControl)
			{
				return;
			}
			curElem.parentNode.className = "navinactive";
			var curImgElem = TmCube_getElement(prefix, compObj.currentMenu + "_img");
			curImgElem.src = TmCube_getNormalURL("/images/<bean:message key="locale" />/arrow_inactive_space_cui.gif");
		}
		TmCube_Navigation_resetMenu(compObj, curElem);
		if (compObj.curGroup)
		{
			var curGroup = TmCube_getElement(compObj.name, compObj.curGroup);
			if (curGroup)
			{
				curGroup.style.color = TmCube_Navigation_HIGHLIGHT;
			}
		}
	}
	compObj.currentMenu = "";
	return;
}

function TmCube_Navigation_isExpanded(compObj, element)
{
	var id = TmCube_getControlName(element);
	var itemsElem = TmCube_getElement(compObj.name, id + "_items");
	return (itemsElem.style.display == "block");
}

function TmCube_Navigation_resetMenu(compObj, curElem)
{
	if (compObj.expandingAbility && (/^single$/i.test(compObj.expandingAbility) ||
		/^multiple$/i.test(compObj.expandingAbility)))
	{
		return;
	}
	var id = curElem.id;
	var curItemElem = TmCube_getElement(compObj.name, compObj.currentMenu + "_items");
	if (!curItemElem)
	{
		return;
	}
	var lastElem = compObj[id];
	if (!lastElem)
	{
		lastElem = document.createElement('tt');
		lastElem.id = curElem.id;
		lastElem.innerHTML = curElem.innerHTML;
	}
	var parent = curElem.parentNode;
	parent.replaceChild(lastElem, curElem);
	compObj[id] = curElem;
}

function TmCube_Navigation_expandMenu(element)
{
	//alert(element.);
	var compObj = TmCube_getComponent(element);
	var curControl = TmCube_getControlName(element);
	if (compObj.currentMenu == curControl)
	{
		compObj.currentMenu = "";
		return;
	}
	element.parentNode.className = "navactive";
	var curItemsElem = TmCube_getElement(compObj.name, curControl + "_items");
	var curImgElem = TmCube_getElement(compObj.name, curControl + "_img");
	curItemsElem.style.display = "block";
	curImgElem.src = TmCube_getNormalURL("/images/<bean:message key="locale" />/os_nav_arrow_active_cui.gif");
	compObj.currentMenu = curControl;
	TmCube_Navigation_resetMenu(compObj, element);
	if (compObj.curGroup && compObj.curGroup == curControl)
	{
		var curGroup = TmCube_getElement(compObj.name, compObj.curGroup);
		if (curGroup)
		{
			curGroup.style.color = "";
		}
	}
}

function TmCube_Navigation_processSingle(element)
{
	if (!TmCube_Navigation_checkChanging(element))
	{
		return false;
	}
	TmCube_Navigation_recoverCurrent(element);
	TmCube_Navigation_selectSingle(element);
	var box = TmCube_getElement(TmCube_getPrefix(element), "box");
	TmCube_Navigation_refreshTable(box);
	return true;
}

function TmCube_Navigation_selectSingle(element)
{
	var compObj = TmCube_getComponent(element);
	var curControl = TmCube_getControlName(element);
	if (compObj.currentMenu == curControl)
	{
		return;
	}
	element.parentNode.className = "navactivesingle";
	if (compObj.currentElement)
	{
		compObj.currentElement.style.color = "";
	}
	compObj.currentElement = element;
	compObj.currentElement.style.color = TmCube_Navigation_HIGHLIGHT;
	if (compObj.curGroup)
	{
		var curGroup = TmCube_getElement(compObj.name, compObj.curGroup);
		if (curGroup)
		{
			curGroup.style.color = "";
		}
		compObj.curGroup = "";
	}
	var curImgElem = TmCube_getElement(compObj.name, curControl + "_img");
	curImgElem.src = TmCube_getNormalURL("/images/<bean:message key="locale" />/arrow_space_cui.gif");
	compObj.currentMenu = curControl;
}

function TmCube_Navigation_refreshTable(node)
{
	if (TmCube_getBrowserType() == "NS")
	{
		if (/Netscape6\/6\.0/.test(navigator.userAgent))
		{
			node.setAttribute("height", "0");
		}
		else
		{
			var aNode = document.createTextNode("Temp");
			var parent = node.parentNode;
			parent.replaceChild(aNode, node);
			parent.replaceChild(node, aNode);
		}
	}
}

function TmCube_Navigation_isSingleMenuSelected(compObj)
{
	if (compObj.currentMenu)

	{
		var itemsElem = TmCube_getElement(compObj.name, compObj.currentMenu + "_items");
		return !itemsElem;
	}
	return false;
}

/**
 * Test whether the navigation can be redirect.
 */
function TmCube_Navigation_checkChanging(element)
{
	var compObj = TmCube_getComponent(element);
	if (!TmCube_Navigation_canChange(compObj, element))
		return false;
	TmCube_Navigation_selectMenuItem(compObj, element);
	return true;
}

function TmCube_Navigation_selectMenuItem(compObj, element)
{
	if (compObj.currentElement)
	{
		compObj.currentElement.style.color = "";
	}
	compObj.currentElement = element;
	element.style.color = TmCube_Navigation_HIGHLIGHT;
	var curGroup = TmCube_getElement(compObj.name, compObj.curGroup);
	if (curGroup)
	{
		curGroup.style.color = "";
		//compObj.curGroup = "";
	}
	if (TmCube_Navigation_isSingleMenuSelected(compObj))
	{
		TmCube_Navigation_recoverCurrent(element);
	}
}

function TmCube_Navigation_canChange(compObj, element)
{
	var older = compObj.currentElement;
	if (compObj.pageChanging && element != older)
	{
		var result = compObj.pageChanging(element.href, (older)? older.href:null); 
		if (!result)
		{
			return false;
		}
	}
	return true;
}

/**
 * Given a menuitem name, and retrieve it's parent menu name.
 * Internal function. If paramenters is not valid, return null.
 * No exceptions. No error message.
 * @param compName component name
 * @param itemName name attribute of menuitem.
 * @return a string represent the name  of  parent menu(component name has been stripped). If null, there are two possibilities:
 *              1. Parameters may be null; 2. Could not found the parent element; 3. the parent element name is corrupt.
 */
function TmCube_Navigation_getParentName(compName, itemName)
{
	if (!compName || !itemName)
	{
		return null;
	}
	var fullName = compName + "__" + itemName;
	var elem = document.getElementById(fullName);
    for (;elem && (!elem.id || !/_items$/.test(elem.id));elem = elem.parentNode);
    if (!elem)
    {
        return null;
    }
	var controlName = TmCube_getControlName(elem);
	if (!controlName)
	{
		return null;
	}
	return controlName.slice(0, controlName.search(/_items$/));
}

/**
 * Jump to the menu item and adjust navigation current selected item to the right one.
 * API function. Requires that parameters are exact, otherwise show exception dialog to user. no error dialog.
 * @param itemName name attribute of menuitem or menu. If its menu name. the menu must be single menu.
 * @param compName component name. if it's null, treat it as default component name "Navigation".
 * @return none.
 */
function TmCube_Navigation_goTo(itemName, compName, noJump)
{
	if (!compName)
	{
		compName = "Navigation";
	}
	if (noJump === false)
	{
		noJump = false;
	}
	else
	{
		noJump = true;
	}
	var compObj = TmCube_getComponentByPrefix(compName);
	try
	{
		if (compObj)
		{
			var controlName = TmCube_Navigation_getParentName(compName, itemName);
			if (controlName)
			{
				TmCube_Navigation_goToSubItem(compObj, controlName, itemName, noJump);
			}
			else if (TmCube_Navigation_isSingleItem(compName, itemName))
			{
				TmCube_Navigation_goToSingleMenu(compObj, itemName, noJump);
			}
			else
			{
				throw "The menu item could not be found, Please recheck the parameters of this function";
			}
		}
	}
	catch (e)
	{
		alert ("Exception occurred:\n" + e);
	}
}

/**
 * Goto sub mene item. 
 * Internal function. Require that all parameters are reliable. Throw exceptions. No error message.
 * @param compObj component object.
 * @param controlName parent menu name(id).
 * @param itemName single menu item name (single menu is the level one menu item)
 * @param noJump If true, open the menu link, default is false.
 * @return none.
 * @throw exception if no element which corresponds to parent menu doesn't exist.
 */
function TmCube_Navigation_goToSubItem(compObj, controlName, itemName, noJump)
{
	var elem = TmCube_getElement(compObj.name, controlName);
	if (elem ) 
	{
		var itemElem = TmCube_getElement(compObj.name, itemName);
		if (TmCube_Navigation_canChange(compObj, itemElem))
		{
			if (compObj.currentMenu != controlName)
			{
					/* For multiple navigation only. if the menu has expanded, skipping the click simulation.*/
					if (!/^multiple$/i.test(compObj.expandingAbility) || !TmCube_Navigation_isExpanded(compObj, elem))
					{
						TmCube_Navigation_activeMenu(elem);
					}
			}
			TmCube_Navigation_selectMenuItem(compObj, itemElem);
			if (!noJump)
			{
				window.open(unescape(itemElem.href), itemElem.target);			
			}
		}
	}
	else
	{
		throw "No parent menu found : " + compObj.name + "__" + controlName;
	}
}

/**
 * Determine whether the target item is a single menu (in the first menu level).
 * Internal function. If parameters is not valid, return false. No exception. No error message.
 * @param compName component name.
 * @param itemName single menu item name (single menu is the level one menu item)
 * @return if true, item is single menu.
 */
function TmCube_Navigation_isSingleItem(compName, itemName)
{
	var elem = TmCube_getElement(compName, itemName);
	if (elem && /^a$/i.test(elem.tagName))
	{
		if ("IE" == TmCube_getBrowserType())
		{
			if (typeof elem.onclick == "function" && elem.onclick.toString().indexOf("return TmCube_Navigation_processSingle(this);"))
			{
				return true;
			}
		}
		else if ("NS" == TmCube_getBrowserType())
		{
			var onclickHandler;
			if ((onclickHandler = elem.getAttribute('onclick')) && (onclickHandler.indexOf("return TmCube_Navigation_processSingle(this);") != -1))
			{
				return true;
			}
		}
	}
	return false;
}

/**
 * Goto the single menu.
 * Internal function.Do nothing if parameters is not valid. Throw exceptions. No error message. 
 * @param compObj component object.
 * @param itemName single menu item name (single menu is the level one menu item)
 * @param noJump If false, open the menu link, default is false.
 * @return none.
 * @throw exception if the element which represents the single menu does not exist.
 */
function TmCube_Navigation_goToSingleMenu(compObj, itemName, noJump)
{
	if (compObj.currentMenu != itemName)
	{
		var elem = TmCube_getElement(compObj.name, itemName);
		if (elem && elem.href)
		{
			if (TmCube_Navigation_processSingle(elem) && !noJump)
			{
				window.open(unescape(elem.href), elem.target);			
			}
		}
		else
		{
			throw "No single menu found : " + compObj.name + "__" + itemName;
		}
	}
}

function TmCube_Navigation_onload()
{
	document.body.style.backgroundColor = "#EDEEEC";
	document.body.style.color = "#000000";
	document.body.style.marginLeft = "0";
	document.body.style.marginTop = "0";
	document.body.style.marginRight = "0";
	document.body.style.paddingRight = "0";
	TmCube_resolveURLAttributes(TmCube_getElement(this.name, "box"), new Array("td", "background"));
	this.currentMenu = "";
	if (this.defaultMenu)
	{
		TmCube_Navigation_goTo(this.defaultMenu, this.name, false);
	}
	if (TmCube_getBrowserType() != "IE")
	{
		self.resizeBy(0, -2);
		window.setTimeout("window.self.resizeBy(0,2)", 1);
	}
}
</script>
</head>

<body onLoad="TmCube_uiInitial()">
<div style="background-color:#A8A8A8; position:absolute; left:178; top:0px; width:1px; height:100%; padding:0px; margin: 0px"></div>
<table id="Navigation__box" width="179" border="0" bgcolor="#EDEEEC" cellpadding="0" cellspacing="0">
  
  <tr>
    <td height="20px">&nbsp;</td>
  </tr>
  <tr>
    <td style="width:1px" valign="top" bgcolor="#A8A8A8"><img height="1px" src="/images/<bean:message key="locale" />/1space_cui.gif"></img></td>
  </tr>

  <c:if test="${adminUser.showSummary}" >
  <tr>
    <td><table width="100%" border="0" cellpadding="0" cellspacing="0">
        <tr>
          <td class="navinactive" height="20px"><a><img width="7px" border="0" height="9px" id="Navigation__Summary_img" src="/images/<bean:message key="locale" />/arrow_inactive_space_cui.gif"></img></a>&nbsp;<a target="right" onClick="return TmCube_Navigation_processSingle(this);" id="Navigation__Summary" href="/initSummRealtime.imss"><bean:message key="label.nav.summary" /></a></td>
        </tr>
      </table></td>
  </tr>
  </c:if>
  
   <c:if test="${adminUser.showPolicy}" >
  <tr>
    <td><table width="100%" border="0" cellpadding="0" cellspacing="0">
        <tr>
          <td class="navinactive" height="20px"><a target="right" onClick="return TmCube_Navigation_activeIcon(this)" href="#" id="Navigation__Policy_icon"><img width="7px" border="0" height="9px" id="Navigation__Policy_img" src="/images/<bean:message key="locale" />/os_nav_arrow_inactive_cui.gif"></img></a>&nbsp;<a target="right" onClick="return TmCube_Navigation_activeMenu(this)" href="#" id="Navigation__Policy"><bean:message key="label.nav.policy" /></a></td>
        </tr>
        <tr id="Navigation__Policy_items" style="display:none;margin:0;padding:0;">
          <td style="margin:0;padding:0;"><div style="margin:0;padding:0;">
              <table style="margin:0;padding:0;" border="0" cellpadding="0" cellspacing="0">
                <tr>
                  <td bgcolor="#FFFFFF" background="/images/<bean:message key="locale" />/leftbk2_cui.gif"><img width="179" height="4" src="/images/<bean:message key="locale" />/leftbk2_cui.gif"></img></td>
                </tr>
                <tr>
                  <td class="subnav" height="20"><a target="right" onClick="return TmCube_Navigation_checkChanging(this)" id="Navigation__ListOfPolicies" href="/initRuleList.imss"><bean:message key="label.nav.policyList" /></a></td>
                </tr>
                <tr>
                  <td bgcolor="#FFFFFF" background="/images/<bean:message key="locale" />/dot_cui.gif"><img height="1px" src="/images/<bean:message key="locale" />/1space_cui.gif"></img></td>
                </tr>
                <tr>
                  <td class="subnav" height="20"><a target="right" onClick="return TmCube_Navigation_checkChanging(this)" id="Navigation__ScanningExceptions" href="/scanExcpAction.imss"><bean:message key="label.nav.scanExcp" /></a></td>
                </tr>
                <tr>
                  <td bgcolor="#FFFFFF" background="/images/<bean:message key="locale" />/dot_cui.gif"><img height="1px" src="/images/<bean:message key="locale" />/1space_cui.gif"></img></td>
                </tr>
                <tr>
                  <td class="subnav" height="20"><a target="right" onClick="return TmCube_Navigation_checkChanging(this)" id="Navigation__InternalAddresses" href="/initPolicyIntGrps.imss"><bean:message key="label.nav.intAddr" /></a></td>
                </tr>
                <tr>
                  <td style="border-bottom-style: solid; border-bottom-width: 1px; border-bottom-color: #999999;"><img height="1px" src="/images/<bean:message key="locale" />/1space_cui.gif"></img></td>
                </tr>
              </table>
            </div></td>
        </tr>
      </table></td>
  </tr>
  </c:if>
  <c:if test="${adminUser.showIPFiltering and (uiStates.hasIPFiltering or uiStates.hasNRS)}">
  <tr>
    <td><table width="100%" border="0" cellpadding="0" cellspacing="0">
        <tr>
          <td class="navinactive" height="20px"><a target="right" onClick="return TmCube_Navigation_activeIcon(this)" href="#" id="Navigation__IPFiltering_icon"><img width="7px" border="0" height="9px" id="Navigation__IPFiltering_img" src="/images/<bean:message key="locale" />/os_nav_arrow_inactive_cui.gif"></img></a>
          <a target="right" onClick="return TmCube_Navigation_activeMenu(this)" href="#" id="Navigation__IPFiltering"> <bean:message key="label.nav.ipfilter" /></a></td>
        </tr>
        <tr id="Navigation__IPFiltering_items" style="display:none;margin:0;padding:0;">
          <td style="margin:0;padding:0;"><div style="margin:0;padding:0;">
              <table style="margin:0;padding:0;" border="0" cellpadding="0" cellspacing="0">
                <tr>
                  <td bgcolor="#FFFFFF" background="/images/<bean:message key="locale" />/leftbk2_cui.gif"><img width="179" height="4" src="/images/<bean:message key="locale" />/leftbk2_cui.gif"></img></td>
                </tr>
				<c:if test="${uiStates.hasIPFiltering}">
				<tr>
                  <td class="subnav" height="20"><a target="right" onClick="return TmCube_Navigation_checkChanging(this)" id="Navigation__Overview" href="/ip_overview.imss"><bean:message key="label.nav.overview"/></a></td>
                </tr>
				<tr>
                  <td bgcolor="#FFFFFF" background="/images/<bean:message key="locale" />/dot_cui.gif"><img height="1px" src="/images/<bean:message key="locale" />/1space_cui.gif"></img></td>
			    </tr>
				</c:if>
				<c:if test="${uiStates.hasIPFiltering}">
                <tr>
                  <td class="subnav" height="20"><a target="right" onClick="return TmCube_Navigation_checkChanging(this)" id="Navigation__IRules" href="/ip_setting_spam_query.imss"><bean:message key="label.nav.ipsetting" /></a></td>
                </tr>
				
				<tr>
                  <td bgcolor="#FFFFFF" background="/images/<bean:message key="locale" />/dot_cui.gif"><img height="1px" src="/images/<bean:message key="locale" />/1space_cui.gif"></img></td>
                </tr>
				</c:if>
				<c:if test="${uiStates.hasNRS}">
				<tr>
                  <td class="subnav" height="20"><a target="right" onClick="return TmCube_Navigation_checkChanging(this)" id="Navigation__NRS" href="/ip_nrs_setting_query.imss"><bean:message key="label.nav.nrs"/></a></td>
                </tr>
				

                <tr>
                  <td bgcolor="#FFFFFF" background="/images/<bean:message key="locale" />/dot_cui.gif"><img height="1px" src="/images/<bean:message key="locale" />/1space_cui.gif"></img></td>
                </tr>
				</c:if>
				<c:if test="${uiStates.hasIPFiltering or uiStates.hasNRS}">
                <tr>
                  <td class="subnav" height="20"><a target="right" onClick="return TmCube_Navigation_checkChanging(this)" id="Navigation__Whitelist" href="/ip_whitelist.imss"><bean:message key="label.nav.whitelist"/> </a></td>
                </tr>
                <tr>
                  <td bgcolor="#FFFFFF" background="/images/<bean:message key="locale" />/dot_cui.gif"><img height="1px" src="/images/<bean:message key="locale" />/1space_cui.gif"></img></td>
                </tr>
				</c:if>
                <c:if test="${uiStates.hasIPFiltering}">
                <tr>
                  <td class="subnav" height="20"><a target="right" onClick="return TmCube_Navigation_checkChanging(this)" id="Navigation__Blocklist" href="/ip_blocked.imss"><bean:message key="label.nav.blocklist"/></a></td>
                </tr>
                <tr>
                  <td bgcolor="#FFFFFF" background="/images/<bean:message key="locale" />/dot_cui.gif"><img height="1px" src="/images/<bean:message key="locale" />/1space_cui.gif"></img></td>
                </tr>
				</c:if>
				<c:if test="${uiStates.hasIPFiltering}">
                <tr>
                  <td class="subnav" height="20"><a target="right" onClick="return TmCube_Navigation_checkChanging(this)" id="Navigation__CachedIP" href="/ip_cached_query.imss"><bean:message key="label.nav.catchedip"/></a></td>
                </tr>
				</c:if>
                <tr>
                  <td style="border-bottom-style: solid; border-bottom-width: 1px; border-bottom-color: #999999;"><img height="1px" src="/images/<bean:message key="locale" />/1space_cui.gif"></img></td>
                </tr>
              </table>
            </div></td>
        </tr>
      </table></td>
  </tr>
  </c:if>
  <c:if test="${adminUser.showReports}" >
  <tr>
    <td><table width="100%" border="0" cellpadding="0" cellspacing="0">
        <tr>
          <td class="navinactive" height="20px"><a target="right" onClick="return TmCube_Navigation_activeIcon(this)" href="#" id="Navigation__Reports_icon"><img width="7px" border="0" height="9px" id="Navigation__Reports_img" src="/images/<bean:message key="locale" />/os_nav_arrow_inactive_cui.gif"></img></a>&nbsp;<a target="right" onClick="return TmCube_Navigation_activeMenu(this)" href="#" id="Navigation__Reports"><bean:message key="label.nav.report" /></a></td>
        </tr>
        <tr id="Navigation__Reports_items" style="display:none;margin:0;padding:0;">
          <td style="margin:0;padding:0;"><div style="margin:0;padding:0;">
              <table style="margin:0;padding:0;" border="0" cellpadding="0" cellspacing="0">
                <tr>
                  <td bgcolor="#FFFFFF" background="/images/<bean:message key="locale" />/leftbk2_cui.gif"><img width="179" height="4" src="/images/<bean:message key="locale" />/leftbk2_cui.gif"></img></td>
                </tr>
                <tr>
                  <td class="subnav" height="20"><a target="right" onClick="return TmCube_Navigation_checkChanging(this)" id="Navigation__OneTimeReports" href="/reports_onetimePage.imss"><bean:message key="label.nav.oneTimeReport" /></a></td>
                </tr>
                <tr>
                  <td bgcolor="#FFFFFF" background="/images/<bean:message key="locale" />/dot_cui.gif"><img height="1px" src="/images/<bean:message key="locale" />/1space_cui.gif"></img></td>
                </tr>
                <tr>
                  <td class="subnav" height="20"><a target="right" onClick="return TmCube_Navigation_checkChanging(this)" id="Navigation__ScheduledReports" href="/reports_schedPage.imss"><bean:message key="label.nav.schdReport" /></a></td>
                </tr>
                <tr>
                  <td bgcolor="#FFFFFF" background="/images/<bean:message key="locale" />/dot_cui.gif"><img height="1px" src="/images/<bean:message key="locale" />/1space_cui.gif"></img></td>
                </tr>
                <tr>
                  <td class="subnav" height="20"><a target="right" onClick="return TmCube_Navigation_checkChanging(this)" id="Navigation__RSettings" href="/reports_settingsPage.imss"><bean:message key="label.nav.rptSetting" /></a></td>
                </tr>
                <tr>
                  <td style="border-bottom-style: solid; border-bottom-width: 1px; border-bottom-color: #999999;"><img height="1px" src="/images/<bean:message key="locale" />/1space_cui.gif"></img></td>
                </tr>
              </table>
            </div></td>
        </tr>
      </table></td>
  </tr>
  </c:if>
  


  <c:if test="${adminUser.showLogs}" >
  <tr>
    <td><table width="100%" border="0" cellpadding="0" cellspacing="0">
        <tr>
          <td class="navinactive" height="20px"><a target="right" onClick="return TmCube_Navigation_activeIcon(this)" href="#" id="Navigation__Logs_icon"><img width="7px" border="0" height="9px" id="Navigation__Logs_img" src="/images/<bean:message key="locale" />/os_nav_arrow_inactive_cui.gif"></img></a>&nbsp;<a target="right" onClick="return TmCube_Navigation_activeMenu(this)" href="#" id="Navigation__Logs"><bean:message key="label.nav.log" /></a></td>
        </tr>
        <tr id="Navigation__Logs_items" style="display:none;margin:0;padding:0;">
          <td style="margin:0;padding:0;"><div style="margin:0;padding:0;">
              <table style="margin:0;padding:0;" border="0" cellpadding="0" cellspacing="0">
                <tr>
                  <td bgcolor="#FFFFFF" background="/images/<bean:message key="locale" />/leftbk2_cui.gif"><img width="179" height="4" src="/images/<bean:message key="locale" />/leftbk2_cui.gif"></img></td>
                </tr>
                <tr>
                  <td class="subnav" height="20"><a target="right" onClick="return TmCube_Navigation_checkChanging(this)" id="Navigation__LQuery" href="/left_logsPage.imss"><bean:message key="label.nav.logQuery" /></a></td>
                </tr>
                <tr>
                  <td bgcolor="#FFFFFF" background="/images/<bean:message key="locale" />/dot_cui.gif"><img height="1px" src="/images/<bean:message key="locale" />/1space_cui.gif"></img></td>
                </tr>
                <tr>
                  <td class="subnav" height="20"><a target="right" onClick="return TmCube_Navigation_checkChanging(this)" id="Navigation__LSettings" href="/initLogSettings.imss"><bean:message key="label.nav.logSetting" /></a></td>
                </tr>
                <tr>
                  <td style="border-bottom-style: solid; border-bottom-width: 1px; border-bottom-color: #999999;"><img height="1px" src="/images/<bean:message key="locale" />/1space_cui.gif"></img></td>
                </tr>
              </table>
            </div></td>
        </tr>
      </table></td>
  </tr>
  </c:if>
  
  <c:if test="${adminUser.showQuarantines}" >
  <tr>
    <td><table width="100%" border="0" cellpadding="0" cellspacing="0">
        <tr>
          <td class="navinactive" height="20px"><a target="right" onClick="return TmCube_Navigation_activeIcon(this)" href="#" id="Navigation__QuarantineArchive_icon"><img width="7px" border="0" height="9px" id="Navigation__QuarantineArchive_img" src="/images/<bean:message key="locale" />/os_nav_arrow_inactive_cui.gif"></img></a>&nbsp;<a target="right" onClick="return TmCube_Navigation_activeMenu(this)" href="#" id="Navigation__QuarantineArchive"><bean:message key="label.nav.quarantine" /></a></td>
        </tr>
        <tr id="Navigation__QuarantineArchive_items" style="display:none;margin:0;padding:0;">
          <td style="margin:0;padding:0;"><div style="margin:0;padding:0;">
              <table style="margin:0;padding:0;" border="0" cellpadding="0" cellspacing="0">
                <tr>
                  <td bgcolor="#FFFFFF" background="/images/<bean:message key="locale" />/leftbk2_cui.gif"><img width="179" height="4" src="/images/<bean:message key="locale" />/leftbk2_cui.gif"></img></td>
                </tr>
                <tr>
                  <td class="subnav" height="20"><a target="right" onClick="return TmCube_Navigation_checkChanging(this)" id="Navigation__QQuery" href="/initQtQueryPage.imss"><bean:message key="label.nav.quaQuery" /></a></td>
                </tr>
                <tr>
                  <td bgcolor="#FFFFFF" background="/images/<bean:message key="locale" />/dot_cui.gif"><img height="1px" src="/images/<bean:message key="locale" />/1space_cui.gif"></img></td>
                </tr>
                <tr>
                  <td class="subnav" height="20"><a target="right" onClick="return TmCube_Navigation_checkChanging(this)" id="Navigation__QSettings" href="/initQtSettingsPage.imss"><bean:message key="label.nav.quaSetting" /></a></td>
                </tr>
                <tr>
                  <td style="border-bottom-style: solid; border-bottom-width: 1px; border-bottom-color: #999999;"><img height="1px" src="/images/<bean:message key="locale" />/1space_cui.gif"></img></td>
                </tr>
              </table>
            </div></td>
        </tr>
      </table></td>
  </tr>
  </c:if>

  <c:if test="${adminUser.showSystem || adminUser.usingIMSSAuth}">
  <tr>
    <td><table width="100%" border="0" cellpadding="0" cellspacing="0">
        <tr>
          <td class="navinactive" height="20px"><a target="right" onClick="return TmCube_Navigation_activeIcon(this)" href="#" id="Navigation__Administration_icon"><img width="7px" border="0" height="9px" id="Navigation__Administration_img" src="/images/<bean:message key="locale" />/os_nav_arrow_inactive_cui.gif"></img></a>&nbsp;<a target="right" onClick="return TmCube_Navigation_activeMenu(this)" href="#" id="Navigation__Administration"><bean:message key="label.nav.admin" /></a></td>
        </tr>
        <tr id="Navigation__Administration_items" style="display:none;margin:0;padding:0;">
          <td style="margin:0;padding:0;"><div style="margin:0;padding:0;">
              <table style="margin:0;padding:0;" border="0" cellpadding="0" cellspacing="0">
                <tr>
                  <td bgcolor="#FFFFFF" background="/images/<bean:message key="locale" />/leftbk2_cui.gif"><img width="179" height="4" src="/images/<bean:message key="locale" />/leftbk2_cui.gif"></img></td>
                </tr>
<c:choose>
	<c:when test="${appliance=='yes'}"> 
                <c:if test="${adminUser.showSystem}" >
	                <tr>
	                  <td class="subnav"><bean:message key="label.nav.update" /></td>
	                </tr>
	                <tr>
	                  <td bgcolor="#FFFFFF" background="/images/<bean:message key="locale" />/dot_cui.gif"><img height="1px" src="/images/<bean:message key="locale" />/1space_cui.gif"></img></td>
	                </tr>    


	                <tr>
	                  <td class="subnav2" height="20"><a target="right" onClick="return TmCube_Navigation_checkChanging(this)" id="Navigation__Updates" href="/initUpdSchPage.imss"><bean:message bundle="patch" key="label.nav.auupdates" /></a></td>
	                </tr>
	                <tr>
	                  <td class="subnav2" height="20"><a target="right" onClick="return TmCube_Navigation_checkChanging(this)" id="Navigation__Patch" href="/initPatchPage.imss"><bean:message bundle="patch" key="label.nav.patch" /></a></td>
	                </tr>

	               <tr>
	                  <td bgcolor="#FFFFFF" background="/images/<bean:message key="locale" />/dot_cui.gif"><img height="1px" src="/images/<bean:message key="locale" />/1space_cui.gif"></img></td>
      		        </tr>
      		                            <!-- leilu start-->
                    <c:if test="${adminUser.showSystem}">
                    <tr>
	                  <td class="subnav" height="20"><a target="right" onClick="return TmCube_Navigation_checkChanging(this)" id="Navigation__Backup" href="/initBackupPage.imss"><bean:message bundle="backupResource" key="label.nav.backup" /></a></td>
	                </tr>
                    <tr>
	                  <td bgcolor="#FFFFFF" background="/images/<bean:message key="locale" />/dot_cui.gif"><img height="1px" src="/images/<bean:message key="locale" />/1space_cui.gif"></img></td>
      		        </tr>
                    </c:if>
                    <!-- leilu end-->
                    <!-- add by IMSA -->
                <c:if test="${adminUser.showSystem}">
                <tr>
                  <td class="subnav" height="20"><a target="right" onClick="return TmCube_Navigation_checkChanging(this)" id="Navigation__LSettings" href="/initLogCollection.imss"><bean:message key="label.nav.logCollect" /></a></td>
                </tr>
                <tr>
                  <td bgcolor="#FFFFFF" background="/images/<bean:message key="locale" />/dot_cui.gif"><img height="1px" src="/images/<bean:message key="locale" />/1space_cui.gif"></img></td>
                </tr>
                </c:if>
                <!-- end -->
                <c:if test="${adminUser.root}" >
                <tr>
                  <td class="subnav" height="20"><a target="right" onClick="return TmCube_Navigation_checkChanging(this)" id="Navigation__EndUserAcess" href="/initEuqMgr.imss"><bean:message bundle="adminEuq" key="label.nav.adminEuq" /></a></td>
                </tr>
                <tr>
                  <td bgcolor="#FFFFFF" background="/images/<bean:message key="locale" />/dot_cui.gif"><img height="1px" src="/images/<bean:message key="locale" />/1space_cui.gif"></img></td>
                </tr>
              </c:if>
			  <tr>
	                 <td class="subnav" height="20"><a target="right" onClick="return TmCube_Navigation_checkChanging(this)" id="Navigation__Notifications" href="/initNotiEventPage.imss"><bean:message key="label.nav.notify" /></a></td>
	               </tr>
  			  <tr>
                        <td bgcolor="#FFFFFF" background="/images/<bean:message key="locale" />/dot_cui.gif"><img height="1px" src="/images/<bean:message key="locale" />/1space_cui.gif"></img></td>
                	  </tr>

	                <tr>
	                  <td class="subnav"><bean:message key="label.nav.adminImssCfg" /></td>
	                </tr>
	                <tr>
	                  <td bgcolor="#FFFFFF" background="/images/<bean:message key="locale" />/dot_cui.gif"><img height="1px" src="/images/<bean:message key="locale" />/1space_cui.gif"></img></td>
	                </tr>
	                <tr>
	                  <td class="subnav2" height="20"><a target="right" onClick="return TmCube_Navigation_checkChanging(this)" id="Navigation__Connections" href="/initConnBasicPage.imss"><bean:message key="label.nav.connect" /></a></td>
	                </tr>
	                <c:if test="${uiStates.hasSMTP}">
		                <tr>
		                  <td class="subnav2" height="20"><a target="right" onClick="return TmCube_Navigation_checkChanging(this)" id="Navigation__SMTPRouting" href="/initSMTPSetting.imss"><bean:message key="label.nav.mta" /></a></td>
		                </tr>
	                </c:if>
	                <tr>
	                  <td class="subnav2" height="20"><a target="right" onClick="NewWindowRnd('/initConfigWizard.imss','ConfigWiz','720','455','yes');return false;" href="/initConfigWizard.imss" id="Navigation__ConfigWizard"><bean:message key="label.nav.adminCfgWizard" /></a><img src="/images/<bean:message key="locale" />/icon_popup.gif"></td>
	                </tr>
	                <tr>
	                  <td bgcolor="#FFFFFF" background="/images/<bean:message key="locale" />/dot_cui.gif"><img height="1px" src="/images/<bean:message key="locale" />/1space_cui.gif"></img></td>
	                </tr>
                    <!-- leilu start -->
	                <tr>
	                  <td class="subnav" height="20"><a target="right" onClick="return TmCube_Navigation_checkChanging(this)" id="Navigation__DBMaintain" href="/initDbMaintainPage.imss"><bean:message bundle="dbMaintenanceResource" key="label.nav.db_maintenance" /></a></td>
	                </tr>
	                <tr>
	                  <td bgcolor="#FFFFFF" background="/images/<bean:message key="locale" />/dot_cui.gif"><img height="1px" src="/images/<bean:message key="locale" />/1space_cui.gif"></img></td>
	                </tr>
                    <!-- leilu end -->
		</c:if>
		
		<c:if test="${adminUser.root}" >
                <tr>
                  <td class="subnav" height="20"><a target="right" onClick="return TmCube_Navigation_checkChanging(this)" id="Navigation__AdminAccts" href="/displayAdminList.imss"><bean:message key="label.nav.adminAcct" /></a></td>
                </tr>
                <tr>
                  <td bgcolor="#FFFFFF" background="/images/<bean:message key="locale" />/dot_cui.gif"><img height="1px" src="/images/<bean:message key="locale" />/1space_cui.gif"></img></td>
                </tr>
              </c:if>
	</c:when>
	<c:otherwise>
                <c:if test="${adminUser.showSystem}" >
			   <tr>
	                  <td class="subnav" height="20"><a target="right" onClick="return TmCube_Navigation_checkChanging(this)" id="Navigation__Updates" href="/initUpdSchPage.imss"><bean:message key="label.nav.update" /></a></td>
	                </tr>
	               <tr>
	                  <td bgcolor="#FFFFFF" background="/images/<bean:message key="locale" />/dot_cui.gif"><img height="1px" src="/images/<bean:message key="locale" />/1space_cui.gif"></img></td>
      		        </tr>
			  <tr>
	                 <td class="subnav" height="20"><a target="right" onClick="return TmCube_Navigation_checkChanging(this)" id="Navigation__Notifications" href="/initNotiEventPage.imss"><bean:message key="label.nav.notify" /></a></td>
	               </tr>
  			  <tr>
                        <td bgcolor="#FFFFFF" background="/images/<bean:message key="locale" />/dot_cui.gif"><img height="1px" src="/images/<bean:message key="locale" />/1space_cui.gif"></img></td>
                	  </tr>

	                <tr>
	                  <td class="subnav"><bean:message key="label.nav.adminImssCfg" /></td>
	                </tr>
	                <tr>
	                  <td bgcolor="#FFFFFF" background="/images/<bean:message key="locale" />/dot_cui.gif"><img height="1px" src="/images/<bean:message key="locale" />/1space_cui.gif"></img></td>
	                </tr>
	                <tr>
	                  <td class="subnav2" height="20"><a target="right" onClick="return TmCube_Navigation_checkChanging(this)" id="Navigation__Connections" href="/initConnBasicPage.imss"><bean:message key="label.nav.connect" /></a></td>
	                </tr>
	                <c:if test="${uiStates.hasSMTP}">
		                <tr>
		                  <td class="subnav2" height="20"><a target="right" onClick="return TmCube_Navigation_checkChanging(this)" id="Navigation__SMTPRouting" href="/initSMTPSetting.imss"><bean:message key="label.nav.mta" /></a></td>
		                </tr>
	                </c:if>
	                <tr>
	                  <td class="subnav2" height="20"><a target="right" onClick="NewWindowRnd('/initConfigWizard.imss','ConfigWiz','720','455','yes');return false;" href="/initConfigWizard.imss" id="Navigation__ConfigWizard"><bean:message key="label.nav.adminCfgWizard" /></a> <img src="/images/<bean:message key="locale" />/icon_popup.gif"></td>
	                </tr>
	                <tr>
	                  <td bgcolor="#FFFFFF" background="/images/<bean:message key="locale" />/dot_cui.gif"><img height="1px" src="/images/<bean:message key="locale" />/1space_cui.gif"></img></td>
	                </tr>
		</c:if>
		
		<c:if test="${adminUser.root}" >
                <tr>
                  <td class="subnav" height="20"><a target="right" onClick="return TmCube_Navigation_checkChanging(this)" id="Navigation__AdminAccts" href="/displayAdminList.imss"><bean:message key="label.nav.adminAcct" /></a></td>
                </tr>
                <tr>
                  <td bgcolor="#FFFFFF" background="/images/<bean:message key="locale" />/dot_cui.gif"><img height="1px" src="/images/<bean:message key="locale" />/1space_cui.gif"></img></td>
                </tr>
                <tr>
                  <td class="subnav" height="20"><a target="right" onClick="return TmCube_Navigation_checkChanging(this)" id="Navigation__EndUserAcess" href="/initEndUserAccess.imss"><bean:message key="label.nav.adminEuqAccess" /></a></td>
                </tr>
                <tr>
                  <td bgcolor="#FFFFFF" background="/images/<bean:message key="locale" />/dot_cui.gif"><img height="1px" src="/images/<bean:message key="locale" />/1space_cui.gif"></img></td>
                </tr>
              </c:if>
	</c:otherwise>
</c:choose>
              <c:if test="${adminUser.usingIMSSAuth}">
                <tr>
                  <td class="subnav" height="20"><a target="right" onClick="return TmCube_Navigation_checkChanging(this)" id="Navigation__Password" href="/initChangePwd.imss"><bean:message key="label.nav.adminPwd" /></a></td>
                </tr>
              </c:if>
              <c:if test="${adminUser.root}" >
                <tr>
                  <td bgcolor="#FFFFFF" background="/images/<bean:message key="locale" />/dot_cui.gif"><img height="1px" src="/images/<bean:message key="locale" />/1space_cui.gif"></img></td>
                </tr>
                <tr>
                  <td class="subnav" height="20"><a target="right" onClick="return TmCube_Navigation_checkChanging(this)" id="Navigation__ProductLicenses" href="/initPRpage.imss"><bean:message key="label.nav.adminProdLic" /></a></td>
                </tr>
                </c:if>
                <tr>
                  <td style="border-bottom-style: solid; border-bottom-width: 1px; border-bottom-color: #999999;"><img height="1px" src="/images/<bean:message key="locale" />/1space_cui.gif"></img></td>
                </tr>
              </table>
            </div></td>
        </tr>
      </table></td>
  </tr>
  </c:if>
  
</table>
</body>

</html>
