<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib uri="/WEB-INF/tld/struts-bean-el.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/tld/struts-html-el.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/tld/c.tld" prefix="c" %>
<script language="JavaScript" type="text/JavaScript">
function initField()
{
	<c:if test="${adminUser.IPFilteringReadOnly}">
	        var form = document.forms[0];      
	        for (i=0; i<form.elements.length; i++) {
	            form.elements[i].disabled = true;
	        }
	</c:if>
}

function setStatus()
{
  	var form = document.forms[0];      

       <c:if test="${platform=='linux'}">
	if(form.enabled.checked)
	{
		form.useDefault[0].disabled = false;
		form.useDefault[1].disabled = false;
		if(form.useDefault[1].checked)
		{
			form.replyErrCode.disabled = false;
			form.replyErrStr.disabled = false;
		}
		else
		{
			form.replyErrCode.disabled = true;
			form.replyErrStr.disabled = true;
		}
	}
	else
	{
		form.useDefault[0].disabled = true;
		form.useDefault[1].disabled = true;
		form.replyErrCode.disabled = true;
		form.replyErrStr.disabled = true;
	}
       </c:if>

       <c:if test="${platform=='windows'}">
	if(form.enabled.checked)
	{
		form.useDefault[0].disabled = false;
		form.useDefault[1].disabled = false;
		if(form.useDefault[1].checked)
		{
			form.customizedAction[0].disabled = false;
			form.customizedAction[1].disabled = false;
			form.customizedAction[2].disabled = false;
			form.customizedAction[3].disabled = false;
			if(form.customizedAction[1].checked)
			{
				form.replyErrCode.disabled = false;
				form.replyErrStr.disabled = false;
			}
			else
			{
				form.replyErrCode.disabled = true;
				form.replyErrStr.disabled = true;
			}

			if(form.customizedAction[2].checked)
			{
				form.delaySeconds.disabled = false;
			}
			else
			{
				form.delaySeconds.disabled = true;
			}
		}
		else
		{
			form.customizedAction[0].disabled = true;
			form.customizedAction[1].disabled = true;
			form.customizedAction[2].disabled = true;
			form.customizedAction[3].disabled = true;
			form.delaySeconds.disabled = true;
			form.replyErrCode.disabled = true;
			form.replyErrStr.disabled = true;
		}
	}
	else
	{
		form.useDefault[0].disabled = true;
		form.useDefault[1].disabled = true;
		form.customizedAction[0].disabled = true;
		form.customizedAction[1].disabled = true;
		form.customizedAction[2].disabled = true;
		form.customizedAction[3].disabled = true;
		form.delaySeconds.disabled = true;
		form.replyErrCode.disabled = true;
		form.replyErrStr.disabled = true;
	}
	</c:if>
}

function checkBError() {
    <c:if test="${ !empty saveErr}" var="errmsg" scope="request">
        alert("<c:out value='${saveErr}' />");
    </c:if>
}

function LockButtons()  {
   var form =  document.forms[0];
   form.save.disabled = true;     
   return true;
}

</script>
<html>

<head>

<title></title>
<link rel="stylesheet" type="text/css" href="../css/trend-style.css">
<base target="_self">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
</head>

<BODY leftmargin="0" topmargin="0" marginwidth="0" onload="setStatus();initField();checkBError();">
<table cellspacing=0 cellpadding=0 width=540 border=0>
  <tbody>
    <tr> 
      <td class="content-title"><bean:message bundle="ipfilter" key="ip.nrs.title"/></td>
      <td align="right" valign="bottom"><a href="/help/<bean:message key="locale" />/ip_filtering_nrs.htm" target="_blank"><img src="/images/<bean:message key="locale" />/question_cui.gif" width="16" height="16" border="0"></a></td>
    </tr>
    <tr> 
      <td height="10" colspan="2" class="hor-dotted-line"><img src="../images/<bean:message key="locale" />/1space_cui.gif" width="1" height="1"></td>
    </tr>
    <tr> 
      <td height="10" colspan="2"><img src="/images/<bean:message key="locale" />/1space_cui.gif" width="1" height="10"> 
    </tr>
  </tbody>
</table>
<html:form action="/ip_nrs_setting_update"  onsubmit="return LockButtons()">
<table width="540" border="0" cellpadding="0" cellspacing="0" class="border">
  <tr>
    <td style="padding-bottom:3px"><table width="538" border="0" cellpadding="0" cellspacing="0">
      
      <tr>
        <td colspan="4"><table width="100%" border="0" cellpadding="0" cellspacing="0">
            <tr>
              <td class="tableheadergrey"><bean:message bundle="ipfilter" key="ip.nrs.tabletitle"/> </td>
            </tr>
        </table></td>
      </tr>
      
      <tr>
        <td colspan="4" class="data1"><html:checkbox property="enabled" onclick="setStatus()"/>
          <bean:message bundle="ipfilter" key="ip.nrs.enable"/></td>
      </tr>
      
      <tr>
        <td width="12" class="data1">&nbsp;</td>
        <td width="20" class="data1"><html:radio property="useDefault" value="yes"  onclick="setStatus()"/></td>
        <td colspan="2" class="data1"><bean:message bundle="ipfilter" key="ip.nrs.defaultAction"/></td>
      </tr>
      <tr>
        <td class="data1">&nbsp;</td>
        <td class="data1">&nbsp;</td>
        <td colspan="2" class="data1"><bean:message bundle="ipfilter" key="ip.nrs.default550"/></td>
      </tr>
      <tr>
        <td class="data1">&nbsp;</td>
        <td class="data1">&nbsp;</td>
        <td colspan="2" class="data1"><bean:message bundle="ipfilter" key="ip.nrs.default450"/></td>
      </tr>
      <tr>
        <td class="data1">&nbsp;</td>
        <td class="data1"><html:radio property="useDefault" value="no" onclick="setStatus()"/></td>
        <td colspan="2" class="data1"><bean:message bundle="ipfilter" key="ip.nrs.customizeAction"/></td>
      </tr>
      <c:if test="${platform=='windows'}">
      <tr>
        <td class="data1">&nbsp;</td>
        <td class="data1">&nbsp;</td>
        <td class="data1"><html:radio property="customizedAction" value="1" onclick="setStatus()"/></td>
        <td class="data1"><bean:message bundle="ipfilter" key="ip.nrs.customizeAction_Close"/></td>
      </tr>
      <tr>
        <td class="data1">&nbsp;</td>
        <td class="data1">&nbsp;</td>
        <td class="data1"><html:radio property="customizedAction" value="2" onclick="setStatus()"/></td>
        <td class="data1"><bean:message bundle="ipfilter" key="ip.nrs.customizeAction_Reject"/></td>
      </tr>
      </c:if>
      <tr>
        <td class="data1">&nbsp;</td>
        <td class="data1">&nbsp;</td>
        <td class="data1">&nbsp;</td>
        <td class="data1"><bean:message bundle="ipfilter" key="ip.nrs.smtpErrCode"/>
        <html:text property="replyErrCode" styleClass="button" size="4"  maxlength='3'/></td>
      </tr>
      <tr>
        <td class="data1">&nbsp;</td>
        <td class="data1">&nbsp;</td>
        <td class="data1">&nbsp;</td>
        <td class="data1"><bean:message bundle="ipfilter" key="ip.nrs.smtpErrStr"/></td>
      </tr>
      <tr>
        <td class="data1">&nbsp;</td>
        <td class="data1">&nbsp;</td>
        <td class="data1">&nbsp;</td>
        <td class="data1"><html:text property="replyErrStr" styleClass="button" size="80"  maxlength='256'/></td>
      </tr>
      <c:if test="${platform=='windows'}">
      <tr>
        <td class="data1">&nbsp;</td>
        <td class="data1">&nbsp;</td>
        <td class="data1"><html:radio property="customizedAction" value="3" onclick="setStatus()"/></td>
        <td class="data1"><bean:message bundle="ipfilter" key="ip.nrs.customizeAction_Delay"/>
        <html:text property="delaySeconds" styleClass="button" size="5"  maxlength='5'/><bean:message bundle="ipfilter" key="ip.nrs.customizeAction_Delay_Seconds"/></td>
      </tr>
      <tr>
        <td class="data1">&nbsp;</td>
        <td class="data1">&nbsp;</td>
        <td class="data1"><html:radio property="customizedAction" value="4" onclick="setStatus()"/></td>
        <td class="data1"><bean:message bundle="ipfilter" key="ip.nrs.customizeAction_Log"/></td>
      </tr>
      </c:if>

    </table></td>
  </tr>
</table>
<table width="540" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td height="28" valign="bottom"> 
	  <input name="save" type="submit" value="<bean:message key='button.save'/>" style="width:50px" class="button" />
      <input name="cancel" type="button" class="cbutton" value="<bean:message key='button.cancel'/>" onClick="self.location.href=('/ip_nrs_setting_query.imss')">
    </td>
  </tr>
  <tr>
  	<td><html:errors bundle="errors" property="changeOK" /></td>
  </tr>
</table>
</html:form>
<br>
</BODY>
</HTML>
