<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib uri="/WEB-INF/tld/struts-bean-el.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/tld/struts-html-el.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/tld/c.tld" prefix="c" %>

<html>
<head>
<title></title>
<link href="/css/trend-style.css" rel="stylesheet" type="text/css">
<base target="_self">
<script language="JavaScript" src="/javascripts/validation.jsp" type="text/javascript"></script>
<script language="JavaScript" src="/javascripts/tooltip.js" type="text/javascript"></script>
<script language="JavaScript" type="text/JavaScript">
function checkReadOnly()
{
    <c:if test="${adminUser.policyReadOnly}" >
        var form = document.forms[0];
        for (var i=0; i<form.elements.length; i++) 
        {
            form.elements[i].disabled = true;
        }
        form.cancel1.disabled=false;
        form.cancel2.disabled=false;
    </c:if>
}

<c:if test="${uiStates.ruleUIState==1}">
function Back()
{
    document.forms[0].action="/addRuleConfirmBack.imss";
    document.forms[0].submit();
    return true;
}

function Finish(from)
{
    document.forms[0].action="/ruleConfirmTempSave.imss?from="+from+"&to=finish";
    document.forms[0].submit();
    return false;
}

function CancelCreate()
{
    self.location.href=('/addRuleCancel.imss');
    LockForm(document.forms[0]);
    return true;
}
</c:if>

<c:if test="${uiStates.ruleUIState==2}">
function Save(from)
{
    document.forms[0].action="/ruleConfirmTempSave.imss?from="+from+"&to=save";
    document.forms[0].submit();
    return false;
}

function CancelEdit()
{
    self.location.href=('/editRuleCancel.imss');
    LockForm(document.forms[0]);
    return true;
}

function changeStatus(obj){
  <c:if test="${ruleList.only1EnabledAny2AnyAVRuleLeft &&  tempRule.ruleId == ruleList.onlyAny2AnyAVRuleId}">
    if(!obj.checked)
        if(!confirm("<bean:message bundle="errors" key="errors.policy.addr.promptEnAny2AnyDis"/>"))
            obj.checked=true;
	</c:if>	
}
</c:if>

function switchToTab(from, to)
{
    document.forms[0].action="/ruleConfirmTempSave.imss?from="+from+"&to="+to;
    document.forms[0].submit();
    return false;
}

function checkBError()
{
  <c:if test="${ !empty errorMsg}" var="errmsg" scope="request">
     alert("<c:out value='${errorMsg}' />");
  </c:if>
}
</script>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8"></head>
<body marginwidth="0" marginheight="0" leftmargin="0" topmargin="0" onload="checkReadOnly(); checkBError();">

<DIV id="tooltip" style="visibility:hidden;position:absolute;z-index:1000;top:-100"></DIV>
<script language="JavaScript" type="text/javascript">

tipStep1=["<bean:message bundle="policy" key="addRule.title.step1Tip" />","<bean:message bundle="policy" key="addRule.title.step1TipMsg" />"]
tipStep2=["<bean:message bundle="policy" key="addRule.title.step2Tip" />","<bean:message bundle="policy" key="addRule.title.step2TipMsg" />"]
tipStep3=["<bean:message bundle="policy" key="addRule.title.step3Tip" />","<bean:message bundle="policy" key="addRule.title.step3TipMsg" />"]
tipStep4=["<bean:message bundle="policy" key="addRule.title.step4Tip" />","<bean:message bundle="policy" key="addRule.title.step4TipMsg" />"]

tipStyle=["black","","","","",11,"black","white","","","",11,290,,0,"#666666",3,24,0.4,90,,"",,,12,-10]

var tipId="tooltip"
var FiltersEnabled = 1 // [for IE5.5+] if your not going to use transitions or filters in any of the tips set this to zero.
mig_clay()
</script>

<html:form action="/addRuleFinish.imss">
<table cellspacing=0 cellpadding=0 width=540 border=0>
  <tbody>
    <tr> 
      <td class="content-title">
        <c:if test="${uiStates.ruleUIState==1}">
        <bean:message bundle="policy" key="addRule.head" />
        </c:if>
        <c:if test="${uiStates.ruleUIState==2}">
        <bean:message bundle="policy" key="ruleDetail.summary.head" /> [<c:out value="${tempRule.ruleName}"/>]
        </c:if>
      </td>
      <td align="right" valign="bottom"><a href="/help/<bean:message key="locale" />/rule_name_enable_help.htm" target="_blank"><img src="/images/<bean:message key="locale" />/question_cui.gif" width="16" height="16" border="0"></a></td>
    </tr>
    <tr> 
      <td height="10" colspan="2" class="hor-dotted-line"><img src="/images/<bean:message key="locale" />/1space_cui.gif" width="1" height="1"></td>
    </tr>
    <tr>
      <td colspan="2" class="data1">
        <a href="/initRuleList.imss"><bean:message bundle="policy" key="addRule.title.policyList" /></a> &gt; 
        <c:if test="${uiStates.ruleUIState==1}">
        <bean:message bundle="policy" key="addRule.title.newRule" />
        </c:if>
        <c:if test="${uiStates.ruleUIState==2}">
        <bean:message bundle="policy" key="editRule.title" />
        </c:if>
      </td>
    </tr>
    <tr> 
      <td height="10" colspan="2"><img src="/images/<bean:message key="locale" />/1space_cui.gif" width="1" height="10">      </td>
    </tr>

    <c:if test="${uiStates.ruleUIState==1}">
    <tr>
      <td height="10" colspan="2">
      <table width="100%" border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td width="1%" valign="bottom"><img src="/images/<bean:message key="locale" />/gray_top_left.gif" width="13" height="7"></td>
          <td width="98%" valign="bottom"><img src="/images/<bean:message key="locale" />/gray_bottom_bar.gif" width="100%" height="7"></td>
          <td width="1%" valign="bottom"><img src="/images/<bean:message key="locale" />/gray_top_right.gif" width="13" height="7"></td>
        </tr>
        <tr>
          <td bgcolor="#EFEFEF" class="sideborderleft">&nbsp;</td>
          <td bgcolor="#EFEFEF">
            <table  border="0" align="left" cellpadding="0" cellspacing="0">
              <tr>
                <td  class="WizardStepsDone" nowrap style="cursor:default;" onMouseOver="stm(tipStep1,tipStyle);return false;" onMouseOut="htm();return false;"><bean:message bundle="policy" key="addRule.title.step1" /></td>
                <td valign="middle"  nowrap>&nbsp;<img src="/images/<bean:message key="locale" />/arrow_icons3.gif" width="24" height="9">&nbsp;</td>
                <td  class="WizardStepsDone" nowrap style="cursor:default;" onMouseOver="stm(tipStep2,tipStyle);return false;" onMouseOut="htm();return false;"><bean:message bundle="policy" key="addRule.title.step2" /></td>
                <td valign="middle"  nowrap>&nbsp;<img src="/images/<bean:message key="locale" />/arrow_icons3.gif" width="24" height="9">&nbsp;</td>
                <td  class="WizardStepsDone" nowrap style="cursor:default;" onMouseOver="stm(tipStep3,tipStyle);return false;" onMouseOut="htm();return false;"><bean:message bundle="policy" key="addRule.title.step3" /></td>
                <td valign="middle"  nowrap>&nbsp;<img src="/images/<bean:message key="locale" />/arrow_icons2.gif" width="24" height="9">&nbsp;</td>
                <td  class="WizardSelectedStep" nowrap><bean:message bundle="policy" key="addRule.title.step4Detail" /></td>
              </tr>
            </table></td>
          <td bgcolor="#EFEFEF" class="sideborderright">&nbsp;</td>
        </tr>
        <tr>
          <td height="7" valign="top"><img src="/images/<bean:message key="locale" />/gray_bottom_left.gif" width="13" height="7"></td>
          <td valign="top"><img src="/images/<bean:message key="locale" />/gray_top_bar.gif" width="100%" height="7"></td>
          <td valign="top"><img src="/images/<bean:message key="locale" />/gray_bottom_right.gif" width="13" height="7"></td>
        </tr>
      </table></td>
    </tr>
    <tr>
      <td height="10" colspan="2"><img src="/images/<bean:message key="locale" />/1space_cui.gif" width="1" height="10"> </td>
    </tr>
    </c:if>
  </tbody>
</table>

<c:if test="${uiStates.ruleUIState==1}">
<table width="540" border="0" cellspacing="0" cellpadding="0">  
  <tr>
    <td height="28" valign="top">
      <input name="back" type="button" class="button" value="&lt; <bean:message key="button.prev" />" onClick="return Back();">
      <input name="next" type="button" class="button" value="<bean:message key="button.finish" />" onClick="return Finish('rule');"> &nbsp;
      <input name="cancel" type="button" class="button" value="<bean:message key="button.cancel" />" onClick="return CancelCreate();">
    </td>
  </tr>
</table>
</c:if>
<c:if test="${uiStates.ruleUIState==2}">
<table width="540" border="0" cellspacing="0" cellpadding="0">  
  <tr>
    <td height="28" valign="top">
      <input name="save" type="button" class="button" value="<bean:message key="button.save" />" style="width:50px" onClick="return Save('rule');">
      <input name="cancel1" type="button" class="cbutton" value="<bean:message key="button.cancel" />" onClick="return CancelEdit();">
    </td>
  </tr>
</table>
</c:if>
<table width="540" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td><table cellpadding="0" cellspacing="0" border="0" width="100%">
        <tr> 
          <!-- TABS -->
          <td background="/images/<bean:message key="locale" />/tab_background_cui.gif"> <table cellpadding="0" cellspacing="0" border="0">
              <tr> 
                <td><img src="/images/<bean:message key="locale" />/tab_active1_left_cui.gif" width="11" height="23" alt="" border="0"></td>
                <td style="vertical-align:top" background="/images/<bean:message key="locale" />/tab_active_background_cui.gif" class="tabactive" nowrap> 
                  <bean:message bundle="policy" key="ruleDetail.confirm.tab.rule" /></td>
                <td><img src="/images/<bean:message key="locale" />/tab_active_right_cui.gif" width="23" height="23" alt="" border="0"></td>
                <td><img src="/images/<bean:message key="locale" />/tab_inactive2_left_cui.gif" width="11" height="23" alt="" border="0"></td>
                <td style="vertical-align:top" nowrap background="/images/<bean:message key="locale" />/tab_inactive_background_cui.gif" class="tabinactive"><A onMouseOver="this.style.color='#FF0000';" 
      style="COLOR: #000000; text-decoration:none" 
      onmouseout="this.style.color='#000000';" 
      href="#" onclick="return switchToTab('rule', 'notes');" ><bean:message bundle="policy" key="ruleDetail.confirm.tab.notes" /></a></td>
                <td><img src="/images/<bean:message key="locale" />/tab_inactive_right_cui.gif" width="23" height="23" alt="" border="0"></td>
              </tr>
            </table></td>
          <td background="/images/<bean:message key="locale" />/tab_background_cui.gif" align="right"><img src="/images/<bean:message key="locale" />/tab_right_corner_cui.gif" width="6" height="23" alt="" border="0"></td>
          <!-- /TABS -->
        </tr>
        <tr> 
          <td colspan="2" class="border" ><table width="100%" border="0" cellpadding="0" cellspacing="0">
              <tr>
                <td width="95"  class="data1" style="padding-top:3px">
                  <html:checkbox property="ruleEnabled" onclick="changeStatus(this);" /><bean:message bundle="policy" key="ruleDetail.confirm.rule.enable" /></td>
                <td width="443"  class="data1" style="padding-top:3px">&nbsp;</td>
              </tr>
              <tr> 
                <td  class="data1" style="padding-top:3px"><bean:message bundle="policy" key="ruleDetail.confirm.rule.ruleName" /></td>
                <td  class="data1" style="padding-top:3px"> 
                  <html:text property="ruleName" styleClass="button" size="84" maxlength="256" /></td>
              </tr>
              <tr>
                <td class="data1"><bean:message bundle="policy" key="ruleDetail.confirm.rule.orderNum" /></td>
                <td  class="data1">
                  <html:text property="ruleOrder" styleClass="button" size="3"  maxlength="10"/></td>
              </tr>
              <tr>
                <td colspan="2" ><img src="/images/<bean:message key="locale" />/1space_cui.gif" width="1" height="10"> </td>
              </tr>

              <c:if test="${uiStates.ruleUIState==1}">
              <tr>
                <td colspan="2" >
                  <TABLE width="100%" border="0" cellpadding="0" cellspacing="0" class="border2">
                  <TR>
                    <TD class="grey2"><bean:message bundle="policy" key="ruleDetail.confirm.rule.order" /></TD>
                    <TD class="grey2"><bean:message bundle="policy" key="ruleDetail.confirm.rule.existRule" /></TD>
                    <TD class="grey2"><bean:message bundle="policy" key="ruleDetail.confirm.rule.action" /></TD>
                    <TD class="grey2"><bean:message bundle="policy" key="ruleDetail.confirm.rule.modified" /></TD>
                    <TD align="center" class="grey2-end"><bean:message bundle="policy" key="ruleDetail.confirm.rule.status" /></TD>
                  </TR>
                  
                  <c:forEach items="${ruleList.list}" var="ruleSummary" varStatus="current" >
	           <c:choose>
	             <c:when test="${current.index % 2 == 0}">
	               <c:set var="class1" value="data1b" />
	               <c:set var="class2" value="data1" />
	             </c:when>
	             <c:otherwise>
	               <c:set var="class1" value="data2b" />
	               <c:set var="class2" value="data2" />
	             </c:otherwise>
	           </c:choose>
                  <TR>
                    <TD class="<c:out value='${class1}' />"><c:out value="${ruleSummary.ruleOrder}" /></TD>
                    <TD class="<c:out value='${class1}' />"><c:out value='${ruleSummary.ruleName}' /></TD>
                    <TD class="<c:out value='${class1}' />"><c:out value='${ruleSummary.displayAction}' /></TD>
                    <TD class="<c:out value='${class1}' />"><c:out value='${ruleSummary.lastModifiedTime}' /></TD>
                    <TD align="center" class="<c:out value='${class2}' />">
          <c:if test="${ruleSummary.enabled}">
          <c:choose>
            <c:when test="${ruleSummary.grayed}">
              <img src="/images/<bean:message key="locale" />/icon_invalid_on_cui_s.gif" width="16" height="16">
            </c:when>
            <c:otherwise>
              <img src="/images/<bean:message key="locale" />/icon_valid_s_cui.gif" width="16" height="16">
            </c:otherwise>
          </c:choose>
          </c:if>

          <c:if test="${!ruleSummary.enabled}">
          <c:choose>
            <c:when test="${ruleSummary.grayed}">
              <img src="/images/<bean:message key="locale" />/icon_invalid_off_cui_s.gif" width="16" height="16">
            </c:when>
            <c:otherwise>
              <img src="/images/<bean:message key="locale" />/icon_expired_s_cui.gif" width="16" height="16">
            </c:otherwise>
          </c:choose>
          </c:if>
                    </TD>
                  </TR>
                  </c:forEach>
                </TABLE>
                </td>
              </tr>
              <tr>
                <td height="10" colspan="2"><img src="/images/<bean:message key="locale" />/1space_cui.gif" width="1" height="10"> </td>
              </tr>
              </c:if>

              <tr> 
                <td height="10" colspan="2" class="hor-dotted-line"><img src="/images/<bean:message key="locale" />/1space_cui.gif" width="1" height="10"></td>
              </tr>
              <tr> 
                <td colspan="2" style="padding-bottom:3px">
                <c:if test="${uiStates.ruleUIState==1}">
                  <iframe frameborder="0" marginwidth="0" marginheight="0" src="/ruleContent.imss" name="details" width="538" height="150" scrolling="auto"></iframe>
                </c:if>
                <c:if test="${uiStates.ruleUIState==2}">
                
                
<TABLE width="100%" border="0" cellpadding="0" cellspacing="0">
  <c:if test="${tempRule.infoLevel >0 }" >
  <TR> 
    <TD colspan="2" class="data2">
      <c:if test="${uiStates.ruleUIState==2}">
        <a href="/initRuleRouteFrame.imss">
      </c:if>
      <bean:message bundle="policy" key="ruleDetail.desc.msgIs" /><img src="/images/<bean:message key="locale" />/icon_edit.gif" alt="<bean:message bundle="policy" key="addRule.edit" />" border="0" align="absmiddle">
      <c:if test="${uiStates.ruleUIState==2}">
        </a>
      </c:if>
    </TD>
  </TR>
  <TR> 
    <TD width="25" class="rule">&nbsp;</TD>
    <TD width="504" class="rule-red">
    <c:if test="${tempRule.direction==1}">
      <bean:message bundle="policy" key="ruleDetail.desc.incoming" />
    </c:if>
    <c:if test="${tempRule.direction==2}">
      <bean:message bundle="policy" key="ruleDetail.desc.outgoing" />
    </c:if>
    <c:if test="${tempRule.direction==3}">
      <bean:message bundle="policy" key="ruleDetail.desc.bothInAndOut" />
    </c:if>
    <c:if test="${tempRule.direction==4}">
      <bean:message bundle="policy" key="ruleDetail.desc.POP3" />
    </c:if>
    <c:if test="${tempRule.direction==5}">
      <bean:message bundle="policy" key="ruleDetail.desc.allRoutes" />
    </c:if>
    </TD>
  </TR>
  <TR> 
    <TD width="25" class="rule">&nbsp;</TD>
    <TD class="rule">
    	
    <c:if test="${tempRule.direction!=3}">
      <bean:message bundle="policy" key="ruleDetail.desc.smallTo" />
    </c:if>
    <c:if test="${tempRule.direction==3}">
      <bean:message bundle="policy" key="ruleDetail.desc.smallToAndFrom" />
    </c:if>
    
    <c:if test="${tempRule.direction==1 }">
    <c:if test="${tempRule.recipientsAnyoneSelected}">
    	<span class="rule-red"><bean:message bundle="policy" key="ruleDetail.addr.anyone" /></span>
    </c:if>	
    <c:if test="${!tempRule.recipientsAnyoneSelected}">
      <span class="rule-red"><c:out value="${tempRule.toSummary}" /></span>
    </c:if>
    </c:if>
    
    <c:if test="${tempRule.direction==2}">
    <c:if test="${tempRule.senderAnyoneSelected}">
      <span class="rule-red"><bean:message bundle="policy" key="ruleDetail.addr.anyone" /></span>
    </c:if>
    <c:if test="${!tempRule.senderAnyoneSelected}">
      <span class="rule-red"><c:out value="${tempRule.toSummary}" /></span>
    </c:if>
    </c:if>    
    
    <c:if test="${tempRule.direction==3}">
    	<span class="rule-red"><c:out value="${tempRule.toSummary}" /></span>
    </c:if>	
    
    <c:if test="${tempRule.direction==4}">
    <span class="rule-red"><bean:message bundle="policy" key="ruleDetail.addr.pop3Acct" /></span>
    </c:if>
    
    <c:if test="${tempRule.direction==5}">
    <span class="rule-red"><bean:message bundle="policy" key="ruleDetail.addr.anyone" /></span>
    </c:if>
    
    </TD>
  </TR>
  
  <c:if test="${tempRule.direction!=3}">
  <TR> 
    <TD width="25" class="rule">&nbsp;</TD>
    <TD class="rule"><bean:message bundle="policy" key="ruleDetail.desc.AND" /></TD>
  </TR>
  <TR> 
    <TD width="25" class="rule">&nbsp;</TD>
    <TD class="rule"><bean:message bundle="policy" key="ruleDetail.desc.smallfrom" />
    
    <c:if test="${tempRule.direction==1}">
    <c:if test="${tempRule.senderAnyoneSelected}">
      <span class="rule-red"><bean:message bundle="policy" key="ruleDetail.addr.anyone" /></span>
    </c:if>
    <c:if test="${!tempRule.senderAnyoneSelected}">
      <span class="rule-red"><c:out value="${tempRule.fromSummary}" /></span>
    </c:if>
    </c:if>
    
    <c:if test="${tempRule.direction==2}">
    <c:if test="${tempRule.recipientsAnyoneSelected}">
    	 <span class="rule-red"><bean:message bundle="policy" key="ruleDetail.addr.anyone" /></span>
    </c:if>
    <c:if test="${!tempRule.recipientsAnyoneSelected}">
      <span class="rule-red"><c:out value="${tempRule.fromSummary}" /></span>
    </c:if>
    </c:if>
    
    <c:if test="${tempRule.direction==4}">
      <span class="rule-red"><bean:message bundle="policy" key="ruleDetail.addr.anyone" /></span>
    </c:if>
    <c:if test="${tempRule.direction==5}">
    <span class="rule-red"><bean:message bundle="policy" key="ruleDetail.addr.anyone" /></span>
    </c:if>
    </TD>
  </TR>
  </c:if>
  
  <c:if test="${tempRule.direction!=4}">
  <c:if test="${tempRule.exceptionSize>0}">
  <TR> 
    <TD width="25" class="rule">&nbsp;</TD>
    <TD class="rule"><bean:message bundle="policy" key="ruleDetail.desc.except" />
    <bean:message bundle="policy" key="ruleDetail.desc.smallfrom" />
    <span class="rule-red"><c:out value="${tempRule.exceptionFromSummary}" /></span>
    <bean:message bundle="policy" key="ruleDetail.desc.smallTo" />
    <span class="rule-red"><c:out value="${tempRule.exceptionToSummary}" /></span>
    </TD>
  </TR>
  </c:if>
  </c:if>
  </c:if>
  <c:if test="${tempRule.infoLevel >1 }" >
  <TR> 
    <TD colspan="2" class="data2">
      <c:if test="${uiStates.ruleUIState==2}">
        <a href="/initRuleAttributeFrame.imss">
      </c:if>
      <bean:message bundle="policy" key="ruleDetail.desc.msgAttrMatch" /><img src="/images/<bean:message key="locale" />/icon_edit.gif" alt="<bean:message bundle="policy" key="addRule.edit" />" border="0" align="absmiddle">
      <c:if test="${uiStates.ruleUIState==2}">
        </a>
      </c:if>
    </TD>
  </TR>
  <c:if test="${tempRule.virusRule}">
  <TR>
    <TD width="25" class="rule">&nbsp;</TD>
    <TD class="rule-red">
      <bean:message bundle="policy" key="ruleDetail.desc.virusCri" />
      <c:if test="${tempRule.virus.enableIntelliTrap}">
        , <bean:message bundle="policy" key="ruleDetail.desc.intellitrapCri" />
      </c:if>
      <c:if test="${tempRule.virus.additionalSelected}">
        , <bean:message bundle="policy" key="ruleDetail.desc.otherVirusCri" />
      </c:if>
    </TD>
  </TR>
  </c:if>

  <c:if test="${!tempRule.virusRule}">
  <c:forEach items="${tempRule.attributeList}" var="attr" varStatus="current">
  <c:if test="${current.index<=1}">
  <c:if test="${current.index%2==0}">
  <TR> 
    <TD width="25" class="rule">&nbsp;</TD>
    <TD class="rule"><c:out value="${attr}" />
  </c:if>
  <c:if test="${current.index%2==1}">
    <span class="rule-red"><c:out value="${attr}" /></span>
    </TD>
  </TR>
  </c:if>
  </c:if>
  
  <c:if test="${current.index>1}">
  <c:if test="${current.index%2==0}">
  <TR> 
    <TD width="25" class="rule">&nbsp;</TD>
    <TD class="rule">
    <c:if test="${tempRule.attribute.conditionType==1}">
    <bean:message bundle="policy" key="ruleDetail.desc.AND" />
    </c:if>
    <c:if test="${tempRule.attribute.conditionType==0}">
    <bean:message bundle="policy" key="ruleDetail.desc.OR" />
    </c:if>
    </TD>
  </TR>
  <TR> 
    <TD width="25" class="rule">&nbsp;</TD>
    <TD class="rule"><c:out value="${attr}" />
  </c:if>
  <c:if test="${current.index%2==1}">
    <span class="rule-red"><c:out value="${attr}" /></span>
    </TD>
  </TR>
  </c:if>
  </c:if>
  </c:forEach>
  </c:if><!-- if test="${!tempRule.virusRule}" -->
  </c:if><!-- if test="${!tempRule.infoLevel>1}" -->
  <c:if test="${tempRule.infoLevel >2 }" >
  <TR> 
    <TD colspan="2" class="data2">
      <c:if test="${uiStates.ruleUIState==2}">
        <a href="/initRuleActionFrame.imss">
      </c:if>
      <bean:message bundle="policy" key="ruleDetail.desc.thenActionIs" /><img src="/images/<bean:message key="locale" />/icon_edit.gif" alt="<bean:message bundle="policy" key="addRule.edit" />" border="0" align="absmiddle">
      <c:if test="${uiStates.ruleUIState==2}">
        </a>
      </c:if>
    </TD>
  </TR>
  <c:forEach items="${tempRule.actionList}" var="action" varStatus="current">
  <c:if test="${current.index==0}">
  <TR> 
    <TD width="25" class="rule">&nbsp;</TD>
    <TD class="rule-red"><c:out value="${action}" /></TD>
  </TR>
  </c:if>

  <c:if test="${current.index>0}">
  <TR> 
    <TD width="25" class="rule">&nbsp;</TD>
    <TD class="rule">
    <bean:message bundle="policy" key="ruleDetail.desc.AND" />
    </TD>
  </TR>
  <TR> 
    <TD width="25" class="rule">&nbsp;</TD>
    <TD class="rule-red"><c:out value="${action}" /></TD>
  </TR>
  </c:if>
  </c:forEach>
  </c:if>
</TABLE>


                </c:if>
                </td>
              </tr>
            </table></td>
        </tr>
      </table></td>
  </tr>
  <tr> 
    <td height="28" valign="bottom"> 
      <c:if test="${uiStates.ruleUIState==1}">
      <input name="back" type="button" class="button" value="&lt; <bean:message key="button.prev" />" onClick="return Back();">
      <input name="next" type="button" class="button" value="<bean:message key="button.finish" />" onClick="return Finish('rule');"> &nbsp;
      <input name="cancel" type="button" class="button" value="<bean:message key="button.cancel" />" onClick="return CancelCreate();">
      </c:if>
      <c:if test="${uiStates.ruleUIState==2}">
      <input name="save" type="button" class="button" value="<bean:message key="button.save" />" style="width:50px" onClick="return Save('rule');">
      <input name="cancel2" type="button" class="cbutton" value="<bean:message key="button.cancel" />" onClick="return CancelEdit();">
      </c:if>
    </td>
  </tr>
</html:form>
</table>
<br>
</body>

</html>

