<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib uri="/WEB-INF/tld/struts-bean-el.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/tld/struts-html-el.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/tld/c.tld" prefix="c" %>

<html>
<head>
<title></title>
<link href="/css/trend-style.css" rel="stylesheet" type="text/css">
<script language="JavaScript" src="/javascripts/validation.jsp" type="text/javascript"></script>
<script language="JavaScript" type="text/JavaScript">
function checkReadOnly()
{
    <c:if test="${adminUser.policyReadOnly}" >
        var form = document.forms[0];
        for (var i=0; i<form.elements.length; i++) 
        {
            form.elements[i].disabled = true;
        }
        form.btnCancel1.disabled=false;
        form.btnCancel2.disabled=false;
        form.selectedNotifyList.disabled=false;
        form.selectedChoosedNotify.disabled=false;
        form.btnEdit.disabled=false;
    </c:if>
}

function createNotification()
{
    document.forms[0].action="/ruleActionNotifyCreate.imss";
    document.forms[0].submit();
    LockForm(document.forms[0]);
    return true;
}

function editNotification()
{
    document.forms[0].action="/ruleActionNotifyEdit.imss";
    document.forms[0].submit();
    LockForm(document.forms[0]);
    return true;
}

function copyNotification()
{
    document.forms[0].action="/ruleActionNotifyCopy.imss";
    document.forms[0].submit();
    LockForm(document.forms[0]);
    return true;
}

function deleteNotification()
{
    document.forms[0].action="/ruleActionNotifyDelete.imss";
    document.forms[0].submit();
    LockForm(document.forms[0]);
    return true;
}

function addNotification()
{
    document.forms[0].action="/ruleActionNotifyAdd.imss";
    document.forms[0].submit();
    LockForm(document.forms[0]);
    return true;
}

function removeNotification()
{
    document.forms[0].action="/ruleActionNotifyRemove.imss";
    document.forms[0].submit();
    LockForm(document.forms[0]);
    return true;
}

function changeSelect(obj, showAreaId)
{
    var i=obj.selectedIndex;
    document.getElementById(showAreaId).innerHTML=obj[i].text;
}

function updateShowText()
{
    var obj=document.forms[0].selectedNotifyList;
    var showAreaId="showAreaLeft";
    var i;
    if(obj.selectedIndex>=0)
    {
        i=obj.selectedIndex;
        document.getElementById(showAreaId).innerHTML=obj[i].text;
    }

    obj=document.forms[0].selectedChoosedNotify;
    showAreaId="showAreaRight";
    if(obj.selectedIndex>=0)
    {
        i=obj.selectedIndex;
        document.getElementById(showAreaId).innerHTML=obj[i].text;
    }
}

function checkBError()
{
  <c:if test="${ !empty errorMsg}" var="errmsg" scope="request">
     alert("<c:out value='${errorMsg}' />");
  </c:if>
}

</script>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8"></head>
<body marginwidth="0" marginheight="0" leftmargin="0" topmargin="0" onload="updateShowText(); checkReadOnly(); checkBError();">

<table cellspacing=0 cellpadding=0 width=540 border=0>
  <tbody>
    <tr> 
      <td class="content-title">
        <bean:message bundle="policy" key="ruleDetail.notify.head" />
      <br></td>
      <td align="right" valign="bottom"><a href="/help/<bean:message key="locale" />/action_notify_help.htm" target="_blank"><img src="/images/<bean:message key="locale" />/question_cui.gif" width="16" height="16" border="0"></a></td>
    </tr>
    <tr> 
      <td height="10" colspan="2" class="hor-dotted-line"><img src="/images/<bean:message key="locale" />/1space_cui.gif" width="1" height="1"></td>
    </tr>
    <tr>
      <td height="10" colspan="2" class="data1">
      <c:if test="${uiStates.accessNameObjectFrom==1}">
        <a href="/initRuleActionFrame.imss">
        <c:if test="${uiStates.ruleUIState==1}">
        <bean:message bundle="policy" key="addRule.title.newRule" />
        </c:if>
        <c:if test="${uiStates.ruleUIState==2}">
        <c:out value="${tempRule.ruleName}"/>
        </c:if>
        </a>
      </c:if>
      <c:if test="${uiStates.accessNameObjectFrom==2}">
	   <c:if test="${scanExcpObj.type == 0}">
            <a href="/initSEpasswordAction.imss?type=0">
	      <bean:message bundle="systemResource" key="sys.scanExcp.title.violation" />
            </a>
          </c:if>
          <c:if test="${scanExcpObj.type == 1}">
            <a href="/initSEpasswordAction.imss?type=1">
	      <bean:message bundle="systemResource" key="sys.scanExcp.title.encryptMsg" />
            </a>
          </c:if>
          <c:if test="${scanExcpObj.type == 2}">
            <a href="/initSEpasswordAction.imss?type=2">
	      <bean:message bundle="systemResource" key="sys.scnaExcp.title.msgPasswordZip" />
            </a>
          </c:if>
          <c:if test="${scanExcpObj.type == 3}">
            <a href="/initSEpasswordAction.imss?type=3">
	      <bean:message bundle="systemResource" key="sys.scanExcp.title.otherScanning" />
            </a>
          </c:if>
      </c:if>
        &gt; <bean:message bundle="policy" key="ruleDetail.notify.title" />
      </td>
    <tr> 
    <td height="10" colspan="2"><img src="/images/<bean:message key="locale" />/1space_cui.gif" width="1" height="10">    </tr>
  </tbody>
</table>

<html:form action="/ruleActionNotifySave.imss" onsubmit="LockFormButton(this);">
<table width="540" border="0" cellspacing="0" cellpadding="0">
  <tr> 
    <td height="28" valign="top">
      <html:submit styleClass="button" style="width:50px"><bean:message key="button.save" /></html:submit>
      <input name="btnCancel1" type="button"  class="cbutton"  value="<bean:message key="button.cancel" />" onClick="self.location.href=('/ruleActionNotifyCancel.imss'); LockForm(document.forms[0]);" > 
    </td>
  </tr>
</table>
<table width="540" border="0" cellpadding="0" cellspacing="0" class="border">
  <tr>
    <td style="padding-bottom:3px">
      <table width="538" border="0" cellpadding="0" cellspacing="0">

        <tr> 
          <td width="248"  class="data1"><bean:message bundle="policy" key="ruleDetail.notify.available" /></td>
          <td width="100"  class="data1">&nbsp;</td>
          <td width="249" colspan="2" class="data1"><bean:message bundle="policy" key="ruleDetail.notify.selected" /></td>
        </tr>
        <tr> 
          <td  class="data1">
            <input name="btnCreate" type="button" class="button" value="<bean:message key="button.add" />" style="width:50px" onClick="return createNotification();"> 
            <input name="btnEdit" type="button" class="button" value="<bean:message key="button.edit" />" style="width:50px" onClick="return editNotification();"> 
            <input name="btnCopy" type="button" class="button" value="<bean:message key="button.copy" />" style="width:50px" onClick="return copyNotification();"> 
            <input name="btnDelete" type="button" class="button" value="<bean:message key="button.delete" />" style="width:50px" onClick="return deleteNotification();">
          </td>
          <td width="100"  class="data1">&nbsp;</td>
          <td colspan="2" class="data1">&nbsp;</td>
        </tr>
        <tr> 
          <td  class="data1">
            <html:select property="selectedNotifyList" size="10" multiple="true" styleClass="button" style="width:242px" onchange="return changeSelect(this, 'showAreaLeft');">
              <c:forEach items="${ruleNotifyList}" var="notify" varStatus="current" >
                <html:option value="${notify.id}"><c:out value="${notify.name}" /></html:option>
              </c:forEach>
            </html:select>
          </td>
          <td width="100" align="center" >
            <input name="buttonAdd" type="button" class="button" value="&gt;&gt;" style="width:25px" onClick="return addNotification();">
            <input name="buttonRemove" type="button" class="button" value="&lt;&lt;" style="width:25px" onClick="return removeNotification();">
          </td>
          <td colspan="2" class="data1">
            <html:select property="selectedChoosedNotify" size="10" multiple="true" styleClass="button" style="width:242px" onchange="return changeSelect(this, 'showAreaRight');">
              <c:forEach items="${ruleNotifyChoosed}" var="notify" varStatus="current">
                <html:option value="${notify.id}"><c:out value="${notify.name}" /></html:option>
              </c:forEach>
            </html:select>
          </td>
        </tr>
        <tr> 
          <td class="data1"><bean:message bundle="policy" key="ruleDetail.notify.notificationName" /></td>
          <td class="data1"></td>
          <td class="data1"><bean:message bundle="policy" key="ruleDetail.notify.notificationName" /></td>
        </tr>
        <tr> 
          <td class="data-highlightb" id="showAreaLeft"><bean:message bundle="policy" key="ruleDetail.notify.noItem" /></td>
          <td class="data1"></td>
          <td class="data-highlightb" id="showAreaRight"><bean:message bundle="policy" key="ruleDetail.notify.noItem" /></td>
        </tr>
      </table>
    </td>
  </tr>
</table>
<table width="540" border="0" cellspacing="0" cellpadding="0">
<c:if test="${appliance=='yes'}">
  <tr>
   <td><bean:message bundle="policy" key="action.noti.note" /></td>
  </tr>
  <tr>
    <td>&nbsp;</td>
  </tr>
</c:if>
  <tr> 
    <td height="28" valign="bottom">
      <html:submit styleClass="button" style="width:50px"><bean:message key="button.save" /></html:submit>
      <input name="btnCancel2" type="button"  class="cbutton"  value="<bean:message key="button.cancel" />" onClick="self.location.href=('/ruleActionNotifyCancel.imss'); LockForm(document.forms[0]);" > 
    </td>
  </tr>
</table>
</html:form>
<br>
</body>

</html>


