<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib uri="/WEB-INF/tld/struts-bean-el.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/tld/struts-html-el.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/tld/c.tld" prefix="c" %>

<html>
<head>
<title></title>
<link href="/css/trend-style.css" rel="stylesheet" type="text/css">
<script language="JavaScript" src="/javascripts/validation.jsp" type="text/javascript"></script>
<script language="JavaScript" type="text/JavaScript">
function checkReadOnly()
{
    <c:if test="${adminUser.policyReadOnly}" >
        var form = document.forms[0];
        for (var i=0; i<form.elements.length; i++) 
        {
            form.elements[i].disabled = true;
        }
        form.btnCancel1.disabled=false;
        form.btnCancel2.disabled=false;
        form.selectedKeywordList.disabled=false;
        form.selectedChoosedKeyword.disabled=false;
        form.btnEdit.disabled=false;
    </c:if>
}

function createKeyword()
{
    document.forms[0].action="/ruleAttrKeywordCreate.imss";
    document.forms[0].submit();
    LockForm(document.forms[0]);
    return true;
}

function editKeyword()
{
    document.forms[0].action="/ruleAttrKeywordEdit.imss";
    document.forms[0].submit();
    LockForm(document.forms[0]);
    return true;
}

function copyKeyword()
{
    document.forms[0].action="/ruleAttrKeywordCopy.imss";
    document.forms[0].submit();
    LockForm(document.forms[0]);
    return true;
}

function deleteKeyword()
{
    document.forms[0].action="/ruleAttrKeywordDelete.imss";
    document.forms[0].submit();
    LockForm(document.forms[0]);
    return true;
}

function addKeyword()
{
    document.forms[0].action="/ruleAttrKeywordAdd.imss";
    document.forms[0].submit();
    LockForm(document.forms[0]);
    return true;
}

function removeKeyword()
{
    document.forms[0].action="/ruleAttrKeywordRemove.imss";
    document.forms[0].submit();
    LockForm(document.forms[0]);
    return true;
}

function checkForm()
{
    <c:if test="${uiStates.keywordType==2}">
    var checked=false;
    for(i=0; i<document.forms[0].selectedHeaderType.length; i++)
    {
        if(document.forms[0].selectedHeaderType[i].checked)
            checked=true;
    }
    
    if(!checked && document.forms[0].selectedChoosedKeyword.length!=0)
    {
        alert("<bean:message bundle="errors" key="errors.ruleCri.KW.noHdr" />");
        return false;
    }
    if(document.forms[0].selectedHeaderType[4].checked)
    {
        if(!checkempty(document.forms[0].otherHeader))
            return false;
    }
    </c:if>
    return true;
}

function checkBError()
{
  <c:if test="${ !empty errorMsg}" var="errmsg" scope="request">
     alert("<c:out value='${errorMsg}' />");
  </c:if>
}

</script>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8"></head>
<body marginwidth="0" marginheight="0" leftmargin="0" topmargin="0" onload="checkReadOnly(); checkBError();">

<table cellspacing=0 cellpadding=0 width=540 border=0>
  <tbody>
    <tr> 
      <td class="content-title">
      <c:if test="${uiState.keywordType!=2}">
        <bean:message bundle="policy" key="ruleDetail.KW.head" />
      </c:if>
      <c:if test="${uiState.keywordType==2}">
        <bean:message bundle="policy" key="ruleDetail.KW.header.head" />
      </c:if>
      <br></td>
      <td align="right" valign="bottom"><a href="/help/<bean:message key="locale" />/criteria_keyword_help.htm" target="_blank"><img src="/images/<bean:message key="locale" />/question_cui.gif" width="16" height="16" border="0"></a></td>
    </tr>
    <tr> 
      <td height="10" colspan="2" class="hor-dotted-line"><img src="/images/<bean:message key="locale" />/1space_cui.gif" width="1" height="1"></td>
    </tr>
    <tr>
      <td height="10" colspan="2" class="data1">
        <a href="/initRuleAttributeFrame.imss">
        <c:if test="${uiStates.ruleUIState==1}">
        <bean:message bundle="policy" key="addRule.title.newRule" />
        </c:if>
        <c:if test="${uiStates.ruleUIState==2}">
        <c:out value="${tempRule.ruleName}"/>
        </c:if>
        </a> &gt; 
        <c:if test="${uiState.keywordType!=2}">
          <bean:message bundle="policy" key="ruleDetail.KW.title" />
        </c:if>
        <c:if test="${uiState.keywordType==2}">
          <bean:message bundle="policy" key="ruleDetail.KW.header.title" />
        </c:if>
      </td>
    <tr> 
    <td height="10" colspan="2"><img src="/images/<bean:message key="locale" />/1space_cui.gif" width="1" height="10">    </tr>
  </tbody>
</table>

<html:form action="/ruleAttrKeywordSave.imss" onsubmit="LockFormButton(this);">
<table width="540" border="0" cellspacing="0" cellpadding="0">
  <tr> 
    <td height="28" valign="top">
      <html:submit styleClass="button" style="width:50px" onclick="return checkForm();"><bean:message key="button.save"/></html:submit>
      <input name="btnCancel1" type="button"  class="cbutton"  value="<bean:message key="button.cancel" />" onClick="self.location.href=('/ruleAttrKeywordCancel.imss'); LockForm(document.forms[0]);" > 
    </td>
  </tr>
</table>
<table width="540" border="0" cellpadding="0" cellspacing="0" class="border">
  <tr>
    <td style="padding-bottom:3px">
      <table width="538" border="0" cellpadding="0" cellspacing="0">

        <c:if test="${uiStates.keywordType==2}">
        <tr> 
          <td colspan="3" class="data1"><bean:message bundle="policy" key="ruleDetail.KW.hdrMatch" /></td>
        </tr>
        <tr> 
          <td colspan="3" class="data1">
            <html:multibox property="selectedHeaderType" value="0" /><bean:message bundle="policy" key="ruleDetail.KW.subject" /></td>
        </tr>
        <tr> 
          <td colspan="3" class="data1">
            <html:multibox property="selectedHeaderType" value="1" /><bean:message bundle="policy" key="ruleDetail.KW.from" /></td>
        </tr>
        <tr> 
          <td colspan="3" class="data1">
            <html:multibox property="selectedHeaderType" value="2" /><bean:message bundle="policy" key="ruleDetail.KW.to" /></td>
        </tr>
        <tr> 
          <td colspan="3" class="data1">
            <html:multibox property="selectedHeaderType" value="3" /><bean:message bundle="policy" key="ruleDetail.KW.cc" /></td>
        </tr>
        <tr> 
          <td colspan="3" class="data1">
            <html:multibox property="selectedHeaderType" value="4" /><bean:message bundle="policy" key="ruleDetail.KW.other" />
            <html:text property="otherHeader" styleClass="button" size="30" maxlength="256"/></td>
        </tr>
        <tr> 
          <td colspan="3"><img src="/images/<bean:message key="locale" />/1space_cui.gif" width="1" height="10"></td>
        </tr>
        </c:if>

        <tr> 
          <td width="248"  class="data1"><bean:message bundle="policy" key="ruleDetail.KW.available" /></td>
          <td width="100"  class="data1">&nbsp;</td>
          <td width="249" colspan="2" class="data1"><bean:message bundle="policy" key="ruleDetail.KW.selected" /></td>
        </tr>
        <tr> 
          <td  class="data1">
            <input name="btnCreate" type="button" class="button" value="<bean:message key="button.add" />" style="width:50px" onClick="return createKeyword();"> 
            <input name="btnEdit" type="button" class="button" value="<bean:message key="button.edit" />" style="width:50px" onClick="return editKeyword();"> 
            <input name="btnCopy" type="button" class="button" value="<bean:message key="button.copy" />" style="width:50px" onClick="return copyKeyword();"> 
            <input name="btnDelete" type="button" class="button" value="<bean:message key="button.delete" />" style="width:50px" onClick="return deleteKeyword();">
          </td>
          <td width="100"  class="data1">&nbsp;</td>
          <td colspan="2" class="data1">&nbsp;</td>
        </tr>
        <tr> 
          <td  class="data1">
            <html:select property="selectedKeywordList" size="10" multiple="true" styleClass="button" style="width:242px">
              <c:forEach items="${ruleKeywordList}" var="keyword" varStatus="current" >
                <html:option value="${keyword.id}"><c:out value="${keyword.name}" /></html:option>
              </c:forEach>
            </html:select>
          </td>
          <td width="100" align="center" >
            <input name="buttonAdd" type="button" class="button" value="&gt;&gt;" style="width:25px" onClick="return addKeyword();">
            <input name="buttonRemove" type="button" class="button" value="&lt;&lt;" style="width:25px" onClick="return removeKeyword();">
          </td>
          <td colspan="2" class="data1">
            <html:select property="selectedChoosedKeyword" size="10" multiple="true" styleClass="button" style="width:242px">
              <c:forEach items="${ruleKeywordChoosed}" var="keyword" varStatus="current">
                <html:option value="${keyword.id}"><c:out value="${keyword.name}" /></html:option>
              </c:forEach>
            </html:select>
          </td>
        </tr>
      </table>
    </td>
  </tr>
</table>
<table width="540" border="0" cellspacing="0" cellpadding="0">
  <tr> 
    <td height="28" valign="bottom">
      <html:submit styleClass="button" style="width:50px" onclick="return checkForm();"><bean:message key="button.save"/></html:submit>
      <input name="btnCancel2" type="button"  class="cbutton"  value="<bean:message key="button.cancel" />" onClick="self.location.href=('/ruleAttrKeywordCancel.imss'); LockForm(document.forms[0]);" > 
    </td>
  </tr>
</table>
</html:form>
<br>
</body>

</html>

