<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib uri="/WEB-INF/tld/struts-bean-el.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/tld/struts-html-el.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/tld/c.tld" prefix="c" %>

<html>
<head>
<title></title>
<link href="/css/trend-style.css" rel="stylesheet" type="text/css">
<script language="JavaScript" src="/javascripts/validation.jsp" type="text/javascript"></script>
<script language="JavaScript" type="text/JavaScript">

var readOnly=false;
function checkReadOnly()
{
    <c:if test="${adminUser.policyReadOnly}" >
        readOnly=true;
        var form = document.forms[0];
        for (var i=0; i<form.elements.length; i++) 
        {
            form.elements[i].disabled = true;
        }
        form.btnCancel1.disabled=false;
        form.btnCancel2.disabled=false;
    </c:if>
}

function changeMethod()
{
    document.forms[0].action="/ruleAttrKeywordDetailSwitch.imss";
    document.forms[0].submit();
    LockForm(document.forms[0]);
    return true;
}

function addItem()
{
    if(readOnly)
        return false;
    
    document.forms[0].action="/ruleAttrKeywordContentTempSave.imss?type=add";
    document.forms[0].submit();
    LockForm(document.forms[0]);
    return false;
}

function editItem(id)
{
    
    document.forms[0].action="/ruleAttrKeywordContentTempSave.imss?type=edit&itemId="+id;
    document.forms[0].submit();
    LockForm(document.forms[0]);
    return false;
}

function deleteItem()
{
    if(readOnly)
        return false;
    
    document.forms[0].action="/ruleAttrKeywordDeleteItem.imss";
    document.forms[0].submit();
    LockForm(document.forms[0]);
    return false;
}

function checkForm()
{
    if(!checkempty(document.forms[0].name))
        return false;
    <c:if test="${ruleAttrKeywordForm.map.matchMethod==0}" >
        if(!checknumber(document.forms[0].totalScore))
            return false;
    </c:if>
    return true;
}

function checkBError()
{
  <c:if test="${ !empty errorMsg}" var="errmsg" scope="request">
     alert("<c:out value='${errorMsg}' />");
  </c:if>
}
</script>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8"></head>
<body marginwidth="0" marginheight="0" leftmargin="0" topmargin="0" onload="checkReadOnly(); checkBError();">

<table cellspacing=0 cellpadding=0 width=540 border=0>
  <tbody>
    <tr> 
      <td class="content-title"> 
      <c:if test="${uiStates.keywordUIState==1}">
      <bean:message bundle="policy" key="ruleDetail.KW.new" />
      </c:if>
      <c:if test="${uiStates.keywordUIState==2}">
      <c:out value="${ruleAttrKeywordForm.map.name}" />
      </c:if>
      <br></td>
      <td valign="bottom"> <div align="right"><a href="/help/<bean:message key="locale" />/criteria_keyword_reg_expressions_help.htm" target="_blank"><img src="/images/<bean:message key="locale" />/question_cui.gif" width="16" height="16" border="0"></a></div></td>
    </tr>
    <tr> 
      <td height="10" colspan="2" class="hor-dotted-line"><img src="/images/<bean:message key="locale" />/images/1space_cui.gif" width="1" height="1"></td>
    </tr>
    <tr>
      <td height="10" colspan="2" class="data1">
        <a href="/initRuleAttributeFrame.imss">
        <c:if test="${uiStates.ruleUIState==1}">
        <bean:message bundle="policy" key="addRule.title.newRule" />
        </c:if>
        <c:if test="${uiStates.ruleUIState==2}">
        <c:out value="${tempRule.ruleName}"/>
        </c:if>
        </a> 
        &gt; <a href="/ruleAttrKeywordListContent.imss"><bean:message bundle="policy" key="ruleDetail.KW.title" /></a>
        &gt;
      <c:if test="${uiStates.keywordUIState==1}">
      <bean:message bundle="policy" key="ruleDetail.KW.new" />
      </c:if>
      <c:if test="${uiStates.keywordUIState==2}">
      <c:out value="${ruleAttrKeywordForm.map.name}" />
      </c:if>
      </td>
    </tr>
    <tr> 
      <td height="10" colspan="2"><img src="/images/<bean:message key="locale" />/images/1space_cui.gif" width="1" height="10"> 
      </td>
    </tr>
  </tbody>
</table>

<html:form action="/ruleAttrKeywordDetailSave.imss" onsubmit="LockFormButton(this);" >
<table width="540" border="0" cellpadding="0" cellspacing="0">
  <tr> 
    <td height="28" valign="top">
      <html:submit styleClass="button" style="width:50px" onclick="return checkForm();"><bean:message key="button.save" /></html:submit>
      <input name="btnCancel1" type="button"  class="cbutton"  value="<bean:message key="button.cancel" />" onClick="self.location.href=('/ruleAttrKeywordDetailCancel.imss'); LockForm(document.forms[0]);" > 
    </td>
  </tr>
</table>
<table width="540" border="0" cellspacing="0" cellpadding="0">
  <tr> 
    <td><table cellpadding="0" cellspacing="0" border="0" width="100%">
        <tr> 
          <td colspan="2" class="border" style="padding-top:3px"><table width="538" border="0" cellspacing="0" cellpadding="0">
              <tr> 
                <td width="66" class="data1"><bean:message bundle="policy" key="ruleDetail.KW.detail.listName" /></td>
                <td class="data1" style="padding-top:3px">
                  <html:text property="name" styleClass="button" style="width:400px" maxlength="256" />
                </td>
              </tr>
              <tr> 
                <td class="data1"><bean:message bundle="policy" key="ruleDetail.KW.detail.match" /></td>
                <td width="472" class="data1">
                  <html:select property="matchMethod" styleClass="button" onchange="return changeMethod();" style="width:400px">
                    <html:option value="2"><bean:message bundle="policy" key="ruleDetail.KW.detail.anyMatch" /></html:option>
                    <html:option value="1"><bean:message bundle="policy" key="ruleDetail.KW.detail.allMatch" /></html:option>
                    <html:option value="3"><bean:message bundle="policy" key="ruleDetail.KW.detail.notMatch" /></html:option>
                    <html:option value="0"><bean:message bundle="policy" key="ruleDetail.KW.detail.conbineMatch" /></html:option>
                  </html:select>
                </td>
              </tr>
              <c:if test="${ruleAttrKeywordForm.map.matchMethod==0}" >
              <tr> 
                <td>&nbsp;</td>
                <td class="data1"><bean:message bundle="policy" key="ruleDetail.KW.msgScore" /><html:text property="totalScore" styleClass="button" style="width:40px" maxlength="5" />
                </td>
              </tr>
              </c:if>
              <tr> 
                <td>&nbsp;</td>
                <td colspan="2" class="data1" style="padding-right:5px;padding-bottom:5px">
                  <table width="100%" border="0" cellpadding="0" cellspacing="0" class="border">
                    <tr> 
                      <td width="462" height="26">
                        <table border="0" cellpadding="0" cellspacing="0">
                          <tr> 
                            <td >&nbsp;</td>
                            <td ><img src="/images/<bean:message key="locale" />/1space_cui.gif" width="5" height="1"></td>
                            <td ><img src="/images/<bean:message key="locale" />/icon_add.gif" width="18" height="18"></td>
                            <td  class="data1"><a href="#" onclick="return addItem();" target="right"><bean:message key="label.add" /></a> 
                            </td>
                            <td ><img src="/images/<bean:message key="locale" />/1space_cui.gif" width="5" height="1"></td>
                            <td ><img src="/images/<bean:message key="locale" />/icon_delete.gif"></td>
                            <td  nowrap class="data1"><a href="#" onclick="return deleteItem();"><bean:message key="label.delete" /></a> </td>
                          </tr>
                        </table>
                        <table width="100%" border="0" cellpadding="0" cellspacing="0" class="border3">
                          <c:if test="${ruleAttrKeywordForm.map.matchMethod!=0}">
                          <tr> 
                            <td width="36"  class="grey"> <input type="checkbox" name="checkAllItem" value="checkbox" onClick="updateCheckboxGroup(this, this, document.forms[0].selectedItems);"></td>
                            <td width="369"  class="grey"><bean:message bundle="policy" key="ruleDetail.KW.detail.expressions" /></td>
                            <td width="57"  class="grey-end"><bean:message bundle="policy" key="ruleDetail.KW.detail.case" /></td>
                          </tr>
                          </c:if>
                          <c:if test="${ruleAttrKeywordForm.map.matchMethod==0}">
                          <tr> 
                            <td width="27"  class="grey"> <input type="checkbox" name="checkAllItem" value="checkbox" onClick="updateCheckboxGroup(this, this, document.forms[0].selectedItems);"></td>
                            <td width="331"  class="grey"><bean:message bundle="policy" key="ruleDetail.KW.detail.expressions" /></td>
                            <td width="57"  class="grey"><bean:message bundle="policy" key="ruleDetail.KW.detail.case" /></td>
                            <td width="47"  class="grey-end"><bean:message bundle="policy" key="ruleDetail.KW.detail.score" /></td>
                          </tr>
                          </c:if>
                          <c:set var="class1" value="data2b" />
                          <c:set var="class2" value="data2" />
                          <c:forEach items="${ruleKeywordTemp.items}" var="item" varStatus="current">
                            <c:choose>
                              <c:when test="${class1=='data2b'}">
                                <c:set var="class1" value="data1b" />
              	          <c:set var="class2" value="data1" />
              	         </c:when>
              	         <c:otherwise>
              	           <c:set var="class1" value="data2b" />
              	           <c:set var="class2" value="data2" />
              	         </c:otherwise>
              	       </c:choose>
                          <tr> 
                            <td  class="<c:out value="${class1}" />"><html:multibox property="selectedItems" value="${item.id}" onclick="updateCheckboxGroup(this, document.forms[0].checkAllItem, document.forms[0].selectedItems);"/></td>
                            <td  class="<c:out value="${class1}" />"><a href="#" onclick="return editItem('<c:out value="${item.id}" />');"><c:out value="${item.expression}" /></a></td>
                            <td  class="<c:out value="${class1}" />"><html:multibox property="caseSensitiveItems" value="${item.id}" /></td>
                            <c:if test="${ruleAttrKeywordForm.map.matchMethod==0}">
                            <td  class="<c:out value="${class2}" />">
                              <html:select property="itemScore" styleClass="button">
                                <html:option value="${item.id},-10">-10</html:option>
                                <html:option value="${item.id},-9">-9</html:option>
                                <html:option value="${item.id},-8">-8</html:option>
                                <html:option value="${item.id},-7">-7</html:option>
                                <html:option value="${item.id},-6">-6</html:option>
                                <html:option value="${item.id},-5">-5</html:option>
                                <html:option value="${item.id},-4">-4</html:option>
                                <html:option value="${item.id},-3">-3</html:option>
                                <html:option value="${item.id},-2">-2</html:option>
                                <html:option value="${item.id},-1">-1</html:option>
                                <html:option value="${item.id},1">1</html:option>
                                <html:option value="${item.id},2">2</html:option>
                                <html:option value="${item.id},3">3</html:option>
                                <html:option value="${item.id},4">4</html:option>
                                <html:option value="${item.id},5">5</html:option>
                                <html:option value="${item.id},6">6</html:option>
                                <html:option value="${item.id},7">7</html:option>
                                <html:option value="${item.id},8">8</html:option>
                                <html:option value="${item.id},9">9</html:option>
                                <html:option value="${item.id},10">10</html:option>
                              </html:select>
                            </td>
                            </c:if>
                          </tr>
                          </c:forEach>
                        </table></td>
                    </tr>
                  </table></td>
              </tr>
            </table></td>
        </tr>
      </table></td>
  </tr>
</table>
<table width="540" border="0" cellpadding="0" cellspacing="0">
  <tr> 
    <td height="28" valign="bottom">
      <html:submit styleClass="button" style="width:50px" onclick="return checkForm();"><bean:message key="button.save" /></html:submit>
      <input name="btnCancel2" type="button"  class="cbutton"  value="<bean:message key="button.cancel" />" onClick="self.location.href=('/ruleAttrKeywordDetailCancel.imss'); LockForm(document.forms[0]);" > 
    </td>
  </tr>
</table>
</html:form>
<br>
</body>

</html>

