<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib uri="/WEB-INF/tld/struts-bean-el.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/tld/struts-html-el.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/tld/c.tld" prefix="c" %>

<html>
<head>
<title></title>
<link href="/css/trend-style.css" rel="stylesheet" type="text/css">
<script src="/javascripts/expand.js"></script>
<script src="/javascripts/imageswap2.js"></script>
<script language="JavaScript" src="/javascripts/validation.jsp" type="text/javascript"></script>
<script language="JavaScript" type="text/JavaScript">
function checkReadOnly()
{
    <c:if test="${adminUser.policyReadOnly}" >
        var form = document.forms[0];
        for (var i=0; i<form.elements.length; i++) 
        {
            form.elements[i].disabled = true;
        }
        form.btnCancel1.disabled=false;
        form.btnCancel2.disabled=false;
        form.otherMIMEType.disabled=false;
    </c:if>
}

function trimMIMEType()
{
 
    expression = document.forms[0].otherMIMEType.value;
      
    re = new RegExp("\r", "ig");
    new_expression = expression.replace(re, "");
    re = new RegExp("\n", "ig");
    new_expression = new_expression.replace(re, "");
    re = new RegExp("\t", "ig");
    new_expression = new_expression.replace(re, "");
      
    if((event.keyCode==9 )
        || (event.keyCode==10 )
        || (event.keyCode==13 ) )
    {
       return false;
    }

    if(new_expression.length!=expression.length)
    {
        document.forms[0].otherMIMEType.value=new_expression;
    }

    return true;
}

function updateCheckbox()
{
    updateCheckboxGroup(document.forms[0].audioList[0], document.forms[0].audioCheckAll, document.forms[0].audioList);
    updateCheckboxGroup(document.forms[0].MIMEDocList[0], document.forms[0].MIMEDocCheckAll, document.forms[0].MIMEDocList);
    updateCheckboxGroup(document.forms[0].MIMEImgList[0], document.forms[0].MIMEImgCheckAll, document.forms[0].MIMEImgList);
    updateCheckboxGroup(document.forms[0].videoList[0], document.forms[0].videoCheckAll, document.forms[0].videoList);
    updateExpand(document.forms[0].audioList, 'audio_list', 'iamge0');
    updateExpand(document.forms[0].MIMEDocList, 'doc_list', 'iamge1');
    updateExpand(document.forms[0].MIMEImgList, 'images_list', 'iamge2');
    updateExpand(document.forms[0].videoList, 'video_list', 'iamge3');
}

function updateUIStatus()
{
    if(document.forms[0].includeOtherMIME.checked)
    {
        document.forms[0].otherMIMEType.disabled=false;
    }
    else
    {
        document.forms[0].otherMIMEType.disabled=true;
    }
}

function checkBError()
{
  <c:if test="${ !empty errorMsg}" var="errmsg" scope="request">
     alert("<c:out value='${errorMsg}' />");
  </c:if>
}
</script>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8"></head>
<body marginwidth="0" marginheight="0" leftmargin="0" topmargin="0" onload="updateCheckbox(); updateUIStatus(); checkReadOnly(); checkBError();">

<table cellspacing=0 cellpadding=0 width=540 border=0>
  <tbody>
    <tr> 
      <td class="content-title"><bean:message bundle="policy" key="ruleDetail.MIME.head" /><br></td>
      <td valign="bottom"> <div align="right"><a href="/help/<bean:message key="locale" />/criteria_attachment_mime_help.htm" target="_blank"><img src="/images/<bean:message key="locale" />/question_cui.gif" width="16" height="16" border="0"></a></div></td>
    </tr>
    <tr> 
      <td height="10" colspan="2" class="hor-dotted-line"><img src="/images/<bean:message key="locale" />/1space_cui.gif" width="1" height="1"></td>
    </tr>
    <tr>
      <td height="10" colspan="2" class="data1">
        <a href="/initRuleAttributeFrame.imss">
        <c:if test="${uiStates.ruleUIState==1}">
        <bean:message bundle="policy" key="addRule.title.newRule" />
        </c:if>
        <c:if test="${uiStates.ruleUIState==2}">
        <c:out value="${tempRule.ruleName}"/>
        </c:if>
        </a> &gt; <bean:message bundle="policy" key="ruleDetail.MIME.title" />
      </td>
    </tr>
    <tr> 
      <td height="10" colspan="2"><img src="/images/<bean:message key="locale" />/1space_cui.gif" width="1" height="10"> 
    </tr>
  </tbody>
</table>

<html:form action="/ruleAttrMIMESave.imss" onsubmit="LockFormButton(this);">
<table width="540" border="0" cellspacing="0" cellpadding="0">
  <tr> 
    <td height="28" valign="top">
      <html:submit styleClass="button" style="width:50px"><bean:message key="button.save" /></html:submit>
      <input name="btnCancel1" type="button"  class="cbutton"  value="<bean:message key="button.cancel" />" onClick="self.location.href=('/ruleAttrMIMECancel.imss'); LockForm(document.forms[0]);" > 
    </td>
  </tr>
</table>
<table width="540" border="0" cellpadding="0" cellspacing="0" class="border">
  <tr> 
    <td class="data1" style="padding-top:3px">
      <bean:message bundle="policy" key="ruleDetail.select" />
      <html:select property="matchMethod" styleClass="button">
        <html:option value="0"><bean:message bundle="policy" key="ruleDetail.MIME.selectAttachType" /></html:option>
        <html:option value="1"><bean:message bundle="policy" key="ruleDetail.MIME.notSelectAttachType" /></html:option>
      </html:select>
    </td>
  </tr>
  <tr> 
    <td class="data1">
      <input name="audioCheckAll" type="checkbox" value="checkbox" onClick="updateCheckboxGroup(this, this, document.forms[0].audioList);">
      <a href="#" class="expand" onClick="checkExpand(document.forms[0].audioList, 'audio_list', 'image0'); return false;"><bean:message bundle="policy" key="ruleDetail.MIME.audio" /><img id="image0" src="/images/<bean:message key="locale" />/arrow_down.gif" border="0"></a>
    </td>
  </tr>
  <tr> 
    <td><table width="536" border="0" cellspacing="0" cellpadding="0" id="audio_list" class="switchcontent">
        <tr> 
          <td width="20">&nbsp;</td>
          <td width="27"  > <html:multibox property="audioList" onclick="updateCheckboxGroup(this, document.forms[0].audioCheckAll, document.forms[0].audioList);">audio/*mid* *music/*mid*</html:multibox></td>
          <td width="489"  class="data1" > MIDI (audio/*mid*; *music/*mid*)</td>
        </tr>
        <tr> 
          <td>&nbsp;</td>
          <td  ><html:multibox property="audioList" onclick="updateCheckboxGroup(this, document.forms[0].audioCheckAll, document.forms[0].audioList);">audio/*mp3 audio/*mpeg</html:multibox></td>
          <td  class="data1" >MP3 (audio/*mp3; audio/*mpeg)</td>
        </tr>
        <tr> 
          <td>&nbsp;</td>
          <td  > <html:multibox property="audioList" onclick="updateCheckboxGroup(this, document.forms[0].audioCheckAll, document.forms[0].audioList);">audio/*wav</html:multibox></td>
          <td  class="data1" > WAV (audio/*wav)</td>
        </tr>
      </table></td>
  </tr>
  <tr> 
    <td class="data1">
      <input name="MIMEDocCheckAll" type="checkbox" value="checkbox" onClick="updateCheckboxGroup(this, this, document.forms[0].MIMEDocList);">
      <a href="#" class="expand" onClick="checkExpand(document.forms[0].MIMEDocList, 'doc_list', 'image1'); return false;"><bean:message bundle="policy" key="ruleDetail.MIME.document" /><img id="image1" src="/images/<bean:message key="locale" />/arrow_down.gif" border="0"></a>
    </td>
  </tr>
  <tr> 
    <td><table width="536" border="0" cellspacing="0" cellpadding="0" id="doc_list" class="switchcontent">
        <tr> 
          <td width="20">&nbsp;</td>
          <td width="27" > <html:multibox property="MIMEDocList" onclick="updateCheckboxGroup(this, document.forms[0].MIMEDocCheckAll, document.forms[0].MIMEDocList);">application/*excel</html:multibox></td>
          <td width="489" class="data1" > <bean:message bundle="policy" key="ruleDetail.MIME.excel" /> (application/*excel)</td>
        </tr>
        <tr> 
          <td>&nbsp;</td>
          <td > <html:multibox property="MIMEDocList"  onclick="updateCheckboxGroup(this, document.forms[0].MIMEDocCheckAll, document.forms[0].MIMEDocList);">application/*powerpoint</html:multibox></td>
          <td class="data1" > <bean:message bundle="policy" key="ruleDetail.MIME.powerpoint" /> (application/*powerpoint)</td>
        </tr>
        <tr> 
          <td>&nbsp;</td>
          <td > <html:multibox property="MIMEDocList"  onclick="updateCheckboxGroup(this, document.forms[0].MIMEDocCheckAll, document.forms[0].MIMEDocList);">application/*word</html:multibox></td>
          <td class="data1" > <bean:message bundle="policy" key="ruleDetail.MIME.word" /> (application/*word)</td>
        </tr>
        <tr> 
          <td>&nbsp;</td>
          <td > <html:multibox property="MIMEDocList"  onclick="updateCheckboxGroup(this, document.forms[0].MIMEDocCheckAll, document.forms[0].MIMEDocList);">application/*pdf</html:multibox></td>
          <td class="data1" > <bean:message bundle="policy" key="ruleDetail.MIME.pdf" /> (application/*pdf)</td>
        </tr>
        <tr> 
          <td>&nbsp;</td>
          <td > <html:multibox property="MIMEDocList"  onclick="updateCheckboxGroup(this, document.forms[0].MIMEDocCheckAll, document.forms[0].MIMEDocList);">application/*rtf text/richtext</html:multibox></td>
          <td class="data1" > <bean:message bundle="policy" key="ruleDetail.MIME.rtf" /> (application/*rtf; text/richtext)</td>
        </tr>
      </table></td>
  </tr>
  <tr> 
    <td class="data1">
      <input name="MIMEImgCheckAll" type="checkbox" value="checkbox" onClick="updateCheckboxGroup(this, this, document.forms[0].MIMEImgList);">
      <a href="#" class="expand" onClick="checkExpand(document.forms[0].MIMEImgList, 'images_list', 'image2'); return false;"><bean:message bundle="policy" key="ruleDetail.MIME.image" /><img id="image2" src="/images/<bean:message key="locale" />/arrow_down.gif" border="0"></a>
    </td>
  </tr>
  <tr> 
    <td><table width="538" border="0" cellspacing="0" cellpadding="0" id="images_list" class="switchcontent">
        <tr> 
          <td >&nbsp;</td>
          <td  class="data1"><html:multibox property="MIMEImgList"  onclick="updateCheckboxGroup(this, document.forms[0].MIMEImgCheckAll, document.forms[0].MIMEImgList);">image/*bmp</html:multibox>
            BMP (image/*bmp)</td>
        </tr>
        <tr> 
          <td >&nbsp;</td>
          <td  class="data1"><html:multibox property="MIMEImgList"  onclick="updateCheckboxGroup(this, document.forms[0].MIMEImgCheckAll, document.forms[0].MIMEImgList);">image/*gif</html:multibox>
            GIF (image/*gif)</td>
        </tr>
        <tr> 
          <td width="20" >&nbsp;</td>
          <td width="518"  class="data1"> <html:multibox property="MIMEImgList"  onclick="updateCheckboxGroup(this, document.forms[0].MIMEImgCheckAll, document.forms[0].MIMEImgList);">image/*jpeg</html:multibox>
            JPEG (image/*jpeg)</td>
        </tr>
        <tr> 
          <td >&nbsp;</td>
          <td  class="data1"><html:multibox property="MIMEImgList"  onclick="updateCheckboxGroup(this, document.forms[0].MIMEImgCheckAll, document.forms[0].MIMEImgList);">image/*tif*</html:multibox>
            TIF/TIFF (image/*tif*)</td>
        </tr>
      </table></td>
  </tr>
  <tr> 
    <td class="data1">
      <input name="videoCheckAll" type="checkbox" value="checkbox" onClick="updateCheckboxGroup(this, this, document.forms[0].videoList);">
      <a href="#" class="expand" onClick="checkExpand(document.forms[0].videoList, 'video_list', 'image3'); return false;"><bean:message bundle="policy" key="ruleDetail.MIME.video" /><img src="/images/<bean:message key="locale" />/arrow_down.gif" name="image3" border="0" id="image3"></a>
    </td>
  </tr>
  <tr> 
    <td><table width="538" border="0" cellspacing="0" cellpadding="0" id="video_list" class="switchcontent">
        <tr> 
          <td width="20" >&nbsp;</td>
          <td width="518"  class="data1"> <html:multibox property="videoList"  onclick="updateCheckboxGroup(this, document.forms[0].videoCheckAll, document.forms[0].videoList);">video/*mpeg</html:multibox>
            <bean:message bundle="policy" key="ruleDetail.MIME.mpeg" /> (video/*mpeg)</td>
        </tr>
        <tr> 
          <td >&nbsp;</td>
          <td  class="data1"> <html:multibox property="videoList"  onclick="updateCheckboxGroup(this, document.forms[0].videoCheckAll, document.forms[0].videoList);">video/*msvideo video/*avi video/*asf video/*mwv</html:multibox>
            <bean:message bundle="policy" key="ruleDetail.MIME.msvideo" /> (video/*msvideo; video/*avi; video/*asf; video/*mwv)</td>
        </tr>
        <tr> 
          <td >&nbsp;</td>
          <td  class="data1"> <html:multibox property="videoList"  onclick="updateCheckboxGroup(this, document.forms[0].videoCheckAll, document.forms[0].videoList);">video/*quicktime</html:multibox>
            <bean:message bundle="policy" key="ruleDetail.MIME.quicktime" /> (video/*quicktime)</td>
        </tr>
      </table></td>
  </tr>
  <tr> 
    <td class="data1">
      <html:checkbox property="includeOtherMIME" onclick="updateUIStatus()"/>
      <bean:message bundle="policy" key="ruleDetail.MIME.other" />
    </td>
  </tr>
  <tr> 
    <td class="data1"> <html:textarea property="otherMIMEType" styleClass="button" cols="55" rows="8" onkeydown="return trimMIMEType();" onkeyup="return trimMIMEType();" onchange="return trimMIMEType();"/></td>
  </tr>
</table>
<table width="540" border="0" cellspacing="0" cellpadding="0">
  <tr> 
    <td height="28" valign="bottom">
      <html:submit styleClass="button" style="width:50px"><bean:message key="button.save" /></html:submit>
      <input name="btnCancel2" type="button"  class="cbutton"  value="<bean:message key="button.cancel" />" onClick="self.location.href=('/ruleAttrMIMECancel.imss'); LockForm(document.forms[0]);" > 
    </td>
  </tr>
</table>
</html:form>
<br>
</body>

</html>

