<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib uri="/WEB-INF/tld/struts-bean-el.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/tld/struts-html-el.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/tld/c.tld" prefix="c" %>

<html>
<head>
<title></title>
<link href="/css/trend-style.css" rel="stylesheet" type="text/css">
<script language="JavaScript" src="/javascripts/validation.jsp" type="text/javascript"></script>
<script language="JavaScript" type="text/JavaScript">
function checkReadOnly()
{
    <c:if test="${adminUser.policyReadOnly}" >
        var form = document.forms[0];
        for (var i=0; i<form.elements.length; i++) 
        {
            form.elements[i].disabled = true;
        }
        form.btnCancel1.disabled=false;
        form.btnCancel2.disabled=false;
        form.selectedRange.disabled=false;
    </c:if>
}

function addRange()
{
    document.forms[0].action="/ruleAttrTimeRangeAdd.imss";
    document.forms[0].submit();
    LockForm(document.forms[0]);
    return true;
}

function deleteRange()
{
    document.forms[0].action="/ruleAttrTimeRangeDelete.imss";
    document.forms[0].submit();
    LockForm(document.forms[0]);
    return true;
}

function checkBError()
{
  <c:if test="${ !empty errorMsg}" var="errmsg" scope="request">
     alert("<c:out value='${errorMsg}' />");
  </c:if>
}
</script>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8"></head>
<body marginwidth="0" marginheight="0" leftmargin="0" topmargin="0" onload="checkReadOnly(); checkBError();">

<table cellspacing=0 cellpadding=0 width=540 border=0>
  <tbody>
    <tr> 
      <td class="content-title"><bean:message bundle="policy" key="ruleDetail.timeRange.head" /><br></td>
      <td valign="bottom"> <div align="right"><a href="/help/<bean:message key="locale" />/criteria_time_help.htm" target="_blank"><img src="/images/<bean:message key="locale" />/question_cui.gif" width="16" height="16" border="0"></a></div></td>
    </tr>
    <tr> 
      <td height="10" colspan="2" class="hor-dotted-line"><img src="/images/<bean:message key="locale" />/1space_cui.gif" width="1" height="1"></td>
    </tr>
    <tr>
      <td height="10" colspan="2" class="data1">
        <a href="/initRuleAttributeFrame.imss">
        <c:if test="${uiStates.ruleUIState==1}">
        <bean:message bundle="policy" key="addRule.title.newRule" />
        </c:if>
        <c:if test="${uiStates.ruleUIState==2}">
        <c:out value="${tempRule.ruleName}"/>
        </c:if>
        </a> &gt; <bean:message bundle="policy" key="ruleDetail.timeRange.title" />
      </td>
    </tr>
    <tr> 
      <td height="10" colspan="2"><img src="/images/<bean:message key="locale" />/1space_cui.gif" width="1" height="10"> 
    </tr>
  </tbody>
</table>

<html:form action="/ruleAttrTimeRangeSave.imss" onsubmit="LockFormButton(this);">
<table width="540" border="0" cellspacing="0" cellpadding="0">
  <tr> 
    <td height="28" valign="top">
      <html:submit styleClass="button" style="width:50px"><bean:message key="button.save" /></html:submit>
      <input name="btnCancel1" type="button"  class="cbutton"  value="<bean:message key="button.cancel" />" onClick="self.location.href=('/ruleAttrTimeRangeCancel.imss'); LockForm(document.forms[0]);" > 
    </td>
  </tr>
</table>
<table width="540" border="0" cellpadding="0" cellspacing="0" class="border">
  <tr> 
    <td class="data1">
      <bean:message bundle="policy" key="ruleDetail.select" />
      <html:select property="matchMethod" styleClass="button">
        <html:option value="1"><bean:message bundle="policy" key="ruleDetail.timeRange.within" /></html:option>
        <html:option value="2"><bean:message bundle="policy" key="ruleDetail.timeRange.except" /></html:option>
      </html:select>
    </td>
  </tr>
  <tr> 
    <td width="492" style="padding-bottom:3px"><table width="429" border="0" cellpadding="0" cellspacing="0">
        <tr class="border"> 
          <td width="379" class="data1"> 
            <html:select property="dayRange" styleClass="button">
              <html:option value="8"><bean:message bundle="policy" key="ruleDetail.timeRange.anyDay" /></html:option>
              <html:option value="9"><bean:message bundle="policy" key="ruleDetail.timeRange.monToFri" /></html:option>
              <html:option value="1"><bean:message bundle="policy" key="ruleDetail.timeRange.mon" /></html:option>
              <html:option value="2"><bean:message bundle="policy" key="ruleDetail.timeRange.tue" /></html:option>
              <html:option value="3"><bean:message bundle="policy" key="ruleDetail.timeRange.wed" /></html:option>
              <html:option value="4"><bean:message bundle="policy" key="ruleDetail.timeRange.thur" /></html:option>
              <html:option value="5"><bean:message bundle="policy" key="ruleDetail.timeRange.fri" /></html:option>
              <html:option value="6"><bean:message bundle="policy" key="ruleDetail.timeRange.sat" /></html:option>
              <html:option value="7"><bean:message bundle="policy" key="ruleDetail.timeRange.sun" /></html:option>
            </html:select>
            <html:select property="fromHH" styleClass="button">
             <html:option value="00">00</html:option>
             <html:option value="01">01</html:option>
             <html:option value="02">02</html:option>
             <html:option value="03">03</html:option>
             <html:option value="04">04</html:option>
             <html:option value="05">05</html:option>
             <html:option value="06">06</html:option>
             <html:option value="07">07</html:option>
             <html:option value="08">08</html:option>
             <html:option value="09">09</html:option>
             <html:option value="10">10</html:option>
             <html:option value="11">11</html:option>
             <html:option value="12">12</html:option>
             <html:option value="13">13</html:option>
             <html:option value="14">14</html:option>
             <html:option value="15">15</html:option>
             <html:option value="16">16</html:option>
             <html:option value="17">17</html:option>
             <html:option value="18">18</html:option>
             <html:option value="19">19</html:option>
             <html:option value="20">20</html:option>
             <html:option value="21">21</html:option>
             <html:option value="22">22</html:option>
             <html:option value="23">23</html:option>
            </html:select>
            <html:select property="fromMM" styleClass="button">
             <html:option value="00">00</html:option>
             <html:option value="01">01</html:option>
             <html:option value="02">02</html:option>
             <html:option value="03">03</html:option>
             <html:option value="04">04</html:option>
             <html:option value="05">05</html:option>
             <html:option value="06">06</html:option>
             <html:option value="07">07</html:option>
             <html:option value="08">08</html:option>
             <html:option value="09">09</html:option>
             <html:option value="10">10</html:option>
             <html:option value="11">11</html:option>
             <html:option value="12">12</html:option>
             <html:option value="13">13</html:option>
             <html:option value="14">14</html:option>
             <html:option value="15">15</html:option>
             <html:option value="16">16</html:option>
             <html:option value="17">17</html:option>
             <html:option value="18">18</html:option>
             <html:option value="19">19</html:option>
             <html:option value="20">20</html:option>
             <html:option value="21">21</html:option>
             <html:option value="22">22</html:option>
             <html:option value="23">23</html:option>
             <html:option value="24">24</html:option>
             <html:option value="25">25</html:option>
             <html:option value="26">26</html:option>
             <html:option value="27">27</html:option>
             <html:option value="28">28</html:option>
             <html:option value="29">29</html:option>
             <html:option value="30">30</html:option>
             <html:option value="31">31</html:option>
             <html:option value="32">32</html:option>
             <html:option value="33">33</html:option>
             <html:option value="34">34</html:option>
             <html:option value="35">35</html:option>
             <html:option value="36">36</html:option>
             <html:option value="37">37</html:option>
             <html:option value="38">38</html:option>
             <html:option value="39">39</html:option>
             <html:option value="40">40</html:option>
             <html:option value="41">41</html:option>
             <html:option value="42">42</html:option>
             <html:option value="43">43</html:option>
             <html:option value="44">44</html:option>
             <html:option value="45">45</html:option>
             <html:option value="46">46</html:option>
             <html:option value="47">47</html:option>
             <html:option value="48">48</html:option>
             <html:option value="49">49</html:option>
             <html:option value="50">50</html:option>
             <html:option value="51">51</html:option>
             <html:option value="52">52</html:option>
             <html:option value="53">53</html:option>
             <html:option value="54">54</html:option>
             <html:option value="55">55</html:option>
             <html:option value="56">56</html:option>
             <html:option value="57">57</html:option>
             <html:option value="58">58</html:option>
             <html:option value="59">59</html:option>
            </html:select>
            <bean:message bundle="policy" key="ruleDetail.timeRange.to" /> 
            <html:select property="toHH" styleClass="button">
             <html:option value="00">00</html:option>
             <html:option value="01">01</html:option>
             <html:option value="02">02</html:option>
             <html:option value="03">03</html:option>
             <html:option value="04">04</html:option>
             <html:option value="05">05</html:option>
             <html:option value="06">06</html:option>
             <html:option value="07">07</html:option>
             <html:option value="08">08</html:option>
             <html:option value="09">09</html:option>
             <html:option value="10">10</html:option>
             <html:option value="11">11</html:option>
             <html:option value="12">12</html:option>
             <html:option value="13">13</html:option>
             <html:option value="14">14</html:option>
             <html:option value="15">15</html:option>
             <html:option value="16">16</html:option>
             <html:option value="17">17</html:option>
             <html:option value="18">18</html:option>
             <html:option value="19">19</html:option>
             <html:option value="20">20</html:option>
             <html:option value="21">21</html:option>
             <html:option value="22">22</html:option>
             <html:option value="23">23</html:option>
            </html:select> 
            <html:select property="toMM" styleClass="button">
             <html:option value="00">00</html:option>
             <html:option value="01">01</html:option>
             <html:option value="02">02</html:option>
             <html:option value="03">03</html:option>
             <html:option value="04">04</html:option>
             <html:option value="05">05</html:option>
             <html:option value="06">06</html:option>
             <html:option value="07">07</html:option>
             <html:option value="08">08</html:option>
             <html:option value="09">09</html:option>
             <html:option value="10">10</html:option>
             <html:option value="11">11</html:option>
             <html:option value="12">12</html:option>
             <html:option value="13">13</html:option>
             <html:option value="14">14</html:option>
             <html:option value="15">15</html:option>
             <html:option value="16">16</html:option>
             <html:option value="17">17</html:option>
             <html:option value="18">18</html:option>
             <html:option value="19">19</html:option>
             <html:option value="20">20</html:option>
             <html:option value="21">21</html:option>
             <html:option value="22">22</html:option>
             <html:option value="23">23</html:option>
             <html:option value="24">24</html:option>
             <html:option value="25">25</html:option>
             <html:option value="26">26</html:option>
             <html:option value="27">27</html:option>
             <html:option value="28">28</html:option>
             <html:option value="29">29</html:option>
             <html:option value="30">30</html:option>
             <html:option value="31">31</html:option>
             <html:option value="32">32</html:option>
             <html:option value="33">33</html:option>
             <html:option value="34">34</html:option>
             <html:option value="35">35</html:option>
             <html:option value="36">36</html:option>
             <html:option value="37">37</html:option>
             <html:option value="38">38</html:option>
             <html:option value="39">39</html:option>
             <html:option value="40">40</html:option>
             <html:option value="41">41</html:option>
             <html:option value="42">42</html:option>
             <html:option value="43">43</html:option>
             <html:option value="44">44</html:option>
             <html:option value="45">45</html:option>
             <html:option value="46">46</html:option>
             <html:option value="47">47</html:option>
             <html:option value="48">48</html:option>
             <html:option value="49">49</html:option>
             <html:option value="50">50</html:option>
             <html:option value="51">51</html:option>
             <html:option value="52">52</html:option>
             <html:option value="53">53</html:option>
             <html:option value="54">54</html:option>
             <html:option value="55">55</html:option>
             <html:option value="56">56</html:option>
             <html:option value="57">57</html:option>
             <html:option value="58">58</html:option>
             <html:option value="59">59</html:option>
            </html:select>
          </td>
          <td width="50"> 
            <input name="buttonAdd" type="button" class="button" value="<bean:message key="button.add" />" style="width:50px" onclick="return addRange();"></td>
        </tr>
        <tr class="border"> 
          <td class="data1" style="padding-bottom:3px">
            <html:select property="selectedRange" size="10" multiple="true" styleClass="button" style="width:373px">
            <c:forEach items="${timeRangeList}" var="range" varStatus="index">
              <html:option value="${range.summary}"><c:out value="${range.summary}" /></html:option>
            </c:forEach>
            </html:select>
          </td>
          <td valign="top">
            <input name="buttonDelete" type="button" class="button" value="<bean:message key="button.delete" />" style="width:50px" onclick="return deleteRange();"> 
          </td>
        </tr>
      </table></td>
  </tr>
</table>
<table width="540" border="0" cellspacing="0" cellpadding="0">
  <tr> 
    <td height="28" valign="bottom">
      <html:submit styleClass="button" style="width:50px"><bean:message key="button.save" /></html:submit>
      <input name="btnCancel2" type="button"  class="cbutton"  value="<bean:message key="button.cancel" />" onClick="self.location.href=('/ruleAttrTimeRangeCancel.imss'); LockForm(document.forms[0]);" > 
    </td>
  </tr>
</table>
</html:form>
<br>
</body>

</html>

