<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib uri="/WEB-INF/tld/struts-bean-el.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/tld/struts-html-el.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/tld/c.tld" prefix="c" %>

<html>
<head>
<title></title>
<link href="/css/top.css" rel="stylesheet" type="text/css">
<base target="_self">
<script language="JavaScript" src="/javascripts/validation.jsp" type="text/javascript"></script>
<script language="JavaScript" type="text/JavaScript">
function checkReadOnly()
{
    <c:if test="${adminUser.policyReadOnly}" >
        var form = document.forms[0];
        for (var i=0; i<form.elements.length; i++) 
        {
            form.elements[i].disabled = true;
        }
    </c:if>
}

function checkForm()
{
    var attachSizeChecked=false;
    var attachNumChecked=false;
    var msgSizeChecked=false;
    var rcptNumChecked=false;

    for(i=0; i<document.forms[0].selectedCriteria.length; i++)
    {
        if(document.forms[0].selectedCriteria[i].checked)
        {
            if(document.forms[0].selectedCriteria[i].value=="7")
                attachSizeChecked=true;
            else if(document.forms[0].selectedCriteria[i].value=="5")
                attachNumChecked=true;
            else if(document.forms[0].selectedCriteria[i].value=="6")
                msgSizeChecked=true;
            else if(document.forms[0].selectedCriteria[i].value=="14")
                rcptNumChecked=true;
        }
    }
    if(attachSizeChecked && !checknumber(document.forms[0].attachSize))
        return false;
    if(attachNumChecked && !checknumber(document.forms[0].attachNum))
        return false;
    if(msgSizeChecked && !checknumber(document.forms[0].msgSize))
        return false;
    if(rcptNumChecked && !checknumber(document.forms[0].rcptNum))
        return false;

<c:if test="${appliance=='yes'}">
    if((document.forms[0].attachSize.value > 49 && document.forms[0].attachSizeUnit.value == 3) || (document.forms[0].attachSize.value > 50176 && document.forms[0].attachSizeUnit.value == 2))
    {
        alert("<bean:message bundle="errors" key="errors.policy.attsizelimit" />");
        document.forms[0].attachSize.focus();
        return false;
        
    }
    if((document.forms[0].msgSize.value > 49 && document.forms[0].msgSizeUnit.value == 3) || (document.forms[0].msgSize.value > 50176 && document.forms[0].msgSizeUnit.value == 2))
    {
        alert("<bean:message bundle="errors" key="errors.scanexp.msglimit" />");
        document.forms[0].msgSize.focus();
        return false;
        
    }
</c:if>
    return true;
}

function goTo(criteria)
{
    if(!checkForm())
        return false;

    var ok=false;

    for(i=0; i<document.forms[0].selectedCriteria.length; i++)
    {
        if(document.forms[0].selectedCriteria[i].checked)
            ok=true;
    }
    
    if(criteria=='attrNext' || criteria=='editSave')
    {
        if(!ok)
        {
            ok=confirm("<bean:message bundle="errors" key="errors.ruleCri.noCri" />");
            if(!ok)
                return false;
        }
        if(document.forms[0].selectedCriteria[0].checked && document.forms[0].selectedCriteria[1].checked && parent.document.forms[0].conditionType.value=="1")
            ok=confirm("<bean:message bundle="errors" key="errors.ruleCri.spamAndPhish" />");
        else
            ok=true;
    }
    else
        ok=true;

    if(ok)
    {
        document.forms[0].conditionType.value=parent.document.forms[0].conditionType.value;
        document.forms[0].action="/ruleAttributeTempSave.imss?criteria="+criteria;
        document.forms[0].submit();
        LockForm(document.forms[0]);
        LockForm(parent.document.forms[0]);
    }
    return false;
}

function updateStatus()
{
    <c:if test="${tempRule.direction==4}">
        for(i=0; i<document.forms[0].selectedCriteria.length; i++)
        {
            if(document.forms[0].selectedCriteria[i].value=="14"
                 || document.forms[0].selectedCriteria[i].value=="15")
            {
                document.forms[0].selectedCriteria[i].checked=false;
                document.forms[0].selectedCriteria[i].disabled=true;
            }
        }
    </c:if>
}

function checkBError()
{
  <c:if test="${ !empty errorMsg}" var="errmsg" scope="request">
     alert("<c:out value='${errorMsg}' />");
  </c:if>
}
</script>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8"></head>
<body marginwidth="0" marginheight="0" leftmargin="0" topmargin="0" onload="updateStatus(); checkReadOnly(); checkBError();">

<html:form action="/addRuleAttributeNext.imss" target="_parent">
<TABLE width="100%" border="0" cellpadding="0" cellspacing="0">
  <TR>
    <TD colspan="2"  class="tableheadergrey"><bean:message bundle="policy" key="ruleDetail.attr.title.spam" /></TD>
  </TR>
  <TR>
    <TD  class="data1b"><html:multibox property="selectedCriteria" value="8" /></TD>
    <TD  class="data1"><a href="#" onClick="return goTo('spam');" target="right"><bean:message bundle="policy" key="ruleDetail.attr.sapm" /></a></TD>
  </TR>
  <TR>
    <TD  class="data2b"><html:multibox property="selectedCriteria" value="16" /></TD>
    <TD  class="data2"><bean:message bundle="policy" key="ruleDetail.attr.phish" /></TD>
  </TR>
  <TR>
    <TD colspan="2" class="tableheadergrey"><bean:message bundle="policy" key="ruleDetail.attr.title.attach" /></TD>
  </TR>
  <TR>
    <TD  class="data1b"><html:multibox property="selectedCriteria" value="4" /></TD>
    <TD  class="data1"><a href="#" onClick="return goTo('name');" target="right"><bean:message bundle="policy" key="ruleDetail.attr.name" /></a></TD>
  </TR>
  <TR>
    <TD  class="data2b"><html:multibox property="selectedCriteria" value="3" /></TD>
    <TD  class="data2"><a href="#" onClick="return goTo('mime');" target="right"><bean:message bundle="policy" key="ruleDetail.attr.mime" /></a></TD>
  </TR>
  <TR>
    <TD width="1%"  class="data1b"><html:multibox property="selectedCriteria" value="2" /></TD>
    <TD  class="data1"><a href="#" onClick="return goTo('trueFile');" target="right"><bean:message bundle="policy" key="ruleDetail.attr.trueFile" /></a></TD>
  </TR>
  <TR>
    <TD width="1%" class="data2b"><html:multibox property="selectedCriteria" value="7" />
    </TD>
    <TD class="data2">
      <bean:message bundle="policy" key="ruleDetail.attr.attachSize" />
      <html:select property="attachSizeCond" size="1" styleClass="button">
        <html:option value="1">&gt; </html:option>
        <html:option value="2">&lt; </html:option>
        <html:option value="3">=</html:option>
      </html:select>
      <html:text property="attachSize" styleClass="button" size="5" maxlength="5"/>
      <html:select property="attachSizeUnit" size="1" styleClass="button">
        <html:option value="1">B </html:option>
        <html:option value="2">KB</html:option>
        <html:option value="3">MB</html:option>
      </html:select>
    </TD>
  </TR>
  <TR>
    <TD  class="data1b"><html:multibox property="selectedCriteria" value="5" /></TD>
    <TD  class="data1">
      <bean:message bundle="policy" key="ruleDetail.attr.attachNum" />
      <html:select property="attachNumCond" size="1" styleClass="button">
        <html:option value="1">&gt; </html:option>
        <html:option value="2">&lt; </html:option>
        <html:option value="3">=</html:option>
      </html:select>
      <html:text property="attachNum" styleClass="button" size="5" maxlength="5" />
    </TD>
  </TR>
    <TD colspan="2" class="tableheadergrey"><bean:message bundle="policy" key="ruleDetail.attr.title.size" /></TD>
  </TR>
  <TR>
    <TD  class="data1b"><html:multibox property="selectedCriteria" value="6" /></TD>
    <TD  class="data1">
      <bean:message bundle="policy" key="ruleDetail.attr.msgSize" />
      <html:select property="msgSizeCond" size="1" styleClass="button">
        <html:option value="1">&gt; </html:option>
        <html:option value="2">&lt; </html:option>
        <html:option value="3">=</html:option>
      </html:select>
      <html:text property="msgSize" styleClass="button" size="5" maxlength="5" />
      <html:select property="msgSizeUnit" size="1" styleClass="button">
        <html:option value="2">KB</html:option>
        <html:option value="3">MB</html:option>
      </html:select>
    </TD>
  </TR>
  <TR>
    <TD colspan="2" class="tableheadergrey"><bean:message bundle="policy" key="ruleDetail.attr.title.content" /></TD>
  </TR>
  <TR>
    <TD  class="data1b"><html:multibox property="selectedCriteria" value="9" /></TD>
    <TD  class="data1"><a href="#" onClick="return goTo('subjectKeyword');" target="right"><bean:message bundle="policy" key="ruleDetail.attr.subMatch" /></a></TD>
  </TR>
  <TR>
    <TD width="1%"  class="data2b"><html:multibox property="selectedCriteria" value="10" /></TD>
    <TD  class="data2"><bean:message bundle="policy" key="ruleDetail.attr.blank" /></TD>
  </TR>
  <TR>
    <TD width="1%"  class="data1b"><html:multibox property="selectedCriteria" value="11" /></TD>
    <TD  class="data1"><a href="#" onClick="return goTo('bodyKeyword');" target="right"><bean:message bundle="policy" key="ruleDetail.attr.bodyMatch" /></a></TD>
  </TR>
  <TR>
    <TD  class="data2b"><html:multibox property="selectedCriteria" value="12" /></TD>
    <TD  class="data2"><a href="#" onClick="return goTo('headerKeyword');" target="right"><bean:message bundle="policy" key="ruleDetail.attr.hdrMatch" /></a></TD>
  </TR>
  <TR>
    <TD width="1%"  class="data1b"><html:multibox property="selectedCriteria" value="13" /></TD>
    <TD  class="data1"><a href="#" onClick="return goTo('attachKeyword');" target="right"><bean:message bundle="policy" key="ruleDetail.attr.attachMatch" /></a> </TD>
  </TR>
  <TR>
    <TD colspan="2" class="tableheadergrey"><bean:message bundle="policy" key="ruleDetail.attr.title.other" /></TD>
  </TR>
  <TR>
    <TD  class="data1b"><html:multibox property="selectedCriteria" value="14" /></TD>
    <TD  class="data1">
      <bean:message bundle="policy" key="ruleDetail.attr.rcptNum" />
      <html:select property="rcptNumCond" size="1" styleClass="button">
        <html:option value="1">&gt; </html:option>
        <html:option value="2">&lt; </html:option>
        <html:option value="3">=</html:option>
      </html:select>
      <html:text property="rcptNum" styleClass="button" size="5" maxlength="5" />
    </TD>
  </TR>
  <TR>
    <TD width="1%"  class="data2b"><html:multibox property="selectedCriteria" value="15" /></TD>
    <TD  class="data2"><a href="#" onClick="return goTo('timeRange');" target="right"><bean:message bundle="policy" key="ruleDetail.attr.timeRange" /></a> </TD>
  </TR>
</TABLE>
<html:hidden property="conditionType" />
</html:form>
</body>
</html>


