<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib uri="/WEB-INF/tld/struts-bean-el.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/tld/struts-html-el.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/tld/c.tld" prefix="c" %>

<html>
<head>
<title></title>
<link href="/css/top.css" rel="stylesheet" type="text/css">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8"></head>
<body marginwidth="0" marginheight="0" leftmargin="0" topmargin="0">

<TABLE width="100%" border="0" cellpadding="0" cellspacing="0">
  <c:if test="${tempRule.infoLevel >0 }" >
  <TR> 
    <TD colspan="2" class="rule">
      <bean:message bundle="policy" key="ruleDetail.desc.msgIs" />
    </TD>
  </TR>
  <TR> 
    <TD width="25" class="rule">&nbsp;</TD>
    <TD width="504" class="rule-red">
    <c:if test="${tempRule.direction==1}">
      <bean:message bundle="policy" key="ruleDetail.desc.incoming" />
    </c:if>
    <c:if test="${tempRule.direction==2}">
      <bean:message bundle="policy" key="ruleDetail.desc.outgoing" />
    </c:if>
    <c:if test="${tempRule.direction==3}">
      <bean:message bundle="policy" key="ruleDetail.desc.bothInAndOut" />
    </c:if>
    <c:if test="${tempRule.direction==4}">
      <bean:message bundle="policy" key="ruleDetail.desc.POP3" />
    </c:if>
    <c:if test="${tempRule.direction==5}">
      <bean:message bundle="policy" key="ruleDetail.desc.allRoutes" />
    </c:if>
    </TD>
  </TR>
  <TR> 
    <TD width="25" class="rule">&nbsp;</TD>
    <TD class="rule">
    <c:if test="${tempRule.direction!=3}">
      <bean:message bundle="policy" key="ruleDetail.desc.smallTo" />
    </c:if>
    <c:if test="${tempRule.direction==3}">
      <bean:message bundle="policy" key="ruleDetail.desc.smallToAndFrom" />
    </c:if>
    
    <c:if test="${tempRule.direction==1}">
    <c:if test="${tempRule.recipientsAnyoneSelected}" >
    	<span class="rule-red"><bean:message bundle="policy" key="ruleDetail.addr.anyone" /></span>
    </c:if>	
    <c:if test="${!tempRule.recipientsAnyoneSelected}">
    <span class="rule-red"><c:out value="${tempRule.toSummary}" /></span>
    </c:if>
    </c:if>
    
    <c:if test="${tempRule.direction==2}">
    <c:if test="${tempRule.senderAnyoneSelected}">
      <span class="rule-red"><bean:message bundle="policy" key="ruleDetail.addr.anyone" /></span>
    </c:if>
    <c:if test="${!tempRule.senderAnyoneSelected}">
      <span class="rule-red"><c:out value="${tempRule.toSummary}" /></span>
    </c:if>
    </c:if>
    
    <c:if test="${tempRule.direction==3}">
    	<span class="rule-red"><c:out value="${tempRule.toSummary}" /></span>
    </c:if>	
        
    <c:if test="${tempRule.direction==4}">
    <span class="rule-red"><bean:message bundle="policy" key="ruleDetail.addr.pop3Acct" /></span>
    </c:if>
    
    <c:if test="${tempRule.direction==5}">
    <span class="rule-red"><bean:message bundle="policy" key="ruleDetail.addr.anyone" /></span>
    </c:if>
    
    </TD>
  </TR>
  
  <c:if test="${tempRule.direction!=3}">
  <TR> 
    <TD width="25" class="rule">&nbsp;</TD>
    <TD class="rule"><bean:message bundle="policy" key="ruleDetail.desc.AND" /></TD>
  </TR>
  <TR> 
    <TD width="25" class="rule">&nbsp;</TD>
    <TD class="rule"><bean:message bundle="policy" key="ruleDetail.desc.smallfrom" />
    
    <c:if test="${tempRule.direction==1}">
    <c:if test="${tempRule.senderAnyoneSelected}">
      <span class="rule-red"><bean:message bundle="policy" key="ruleDetail.addr.anyone" /></span>
    </c:if>
    <c:if test="${!tempRule.senderAnyoneSelected}">
      <span class="rule-red"><c:out value="${tempRule.fromSummary}" /></span>
    </c:if>
    </c:if>
    
    <c:if test="${tempRule.direction==2}">
    <c:if test="${tempRule.recipientsAnyoneSelected}">
    	<span class="rule-red"><bean:message bundle="policy" key="ruleDetail.addr.anyone" /></span>
    </c:if>
    <c:if test="${!tempRule.recipientsAnyoneSelected}">
      <span class="rule-red"><c:out value="${tempRule.fromSummary}" /></span>
    </c:if>
    </c:if>
    
    <c:if test="${tempRule.direction==4}">
      <span class="rule-red"><bean:message bundle="policy" key="ruleDetail.addr.anyone" /></span>
    </c:if>
    
    <c:if test="${tempRule.direction==5}">
    <span class="rule-red"><bean:message bundle="policy" key="ruleDetail.addr.anyone" /></span>
    </c:if>
    </TD>
  </TR>
  </c:if>
  
  <c:if test="${tempRule.direction!=4}">
  <c:if test="${tempRule.exceptionSize>0}">
  <TR> 
    <TD width="25" class="rule">&nbsp;</TD>
    <TD class="rule"><bean:message bundle="policy" key="ruleDetail.desc.except" />
    <bean:message bundle="policy" key="ruleDetail.desc.smallfrom" />
    <span class="rule-red"><c:out value="${tempRule.exceptionFromSummary}" /></span>
    <bean:message bundle="policy" key="ruleDetail.desc.smallTo" />
    <span class="rule-red"><c:out value="${tempRule.exceptionToSummary}" /></span>
    </TD>
  </TR>
  </c:if>
  </c:if>
  </c:if>
  <c:if test="${tempRule.infoLevel >1 }" >
  <TR> 
    <TD colspan="2" class="rule">
      <bean:message bundle="policy" key="ruleDetail.desc.msgAttrMatch" />
    </TD>
  </TR>
  <c:if test="${tempRule.virusRule}">
  <TR>
    <TD width="25" class="rule">&nbsp;</TD>
    <TD class="rule-red">
      <bean:message bundle="policy" key="ruleDetail.desc.virusCri" />
      <c:if test="${tempRule.virus.enableIntelliTrap}">
        , <bean:message bundle="policy" key="ruleDetail.desc.intellitrapCri" />
      </c:if>
      <c:if test="${tempRule.virus.additionalSelected}">
        , <bean:message bundle="policy" key="ruleDetail.desc.otherVirusCri" />
      </c:if>
    </TD>
  </TR>
  </c:if>

  <c:if test="${!tempRule.virusRule}">
  <c:forEach items="${tempRule.attributeList}" var="attr" varStatus="current">
  <c:if test="${current.index<=1}">
  <c:if test="${current.index%2==0}">
  <TR> 
    <TD width="25" class="rule">&nbsp;</TD>
    <TD class="rule"><c:out value="${attr}" />
  </c:if>
  <c:if test="${current.index%2==1}">
    <span class="rule-red"><c:out value="${attr}" /></span>
    </TD>
  </TR>
  </c:if>
  </c:if>
  
  <c:if test="${current.index>1}">
  <c:if test="${current.index%2==0}">
  <TR> 
    <TD width="25" class="rule">&nbsp;</TD>
    <TD class="rule">
    <c:if test="${tempRule.attribute.conditionType==1}">
    <bean:message bundle="policy" key="ruleDetail.desc.AND" />
    </c:if>
    <c:if test="${tempRule.attribute.conditionType==0}">
    <bean:message bundle="policy" key="ruleDetail.desc.OR" />
    </c:if>
    </TD>
  </TR>
  <TR> 
    <TD width="25" class="rule">&nbsp;</TD>
    <TD class="rule"><c:out value="${attr}" />
  </c:if>
  <c:if test="${current.index%2==1}">
    <span class="rule-red"><c:out value="${attr}" /></span>
    </TD>
  </TR>
  </c:if>
  </c:if>
  </c:forEach>
  </c:if><!-- if test="${!tempRule.virusRule}" -->
  </c:if><!-- if test="${!tempRule.infoLevel>1}" -->
  <c:if test="${tempRule.infoLevel >2 }" >
  <TR> 
    <TD colspan="2" class="rule">
      <bean:message bundle="policy" key="ruleDetail.desc.thenActionIs" />
    </TD>
  </TR>
  <c:forEach items="${tempRule.actionList}" var="action" varStatus="current">
  <c:if test="${current.index==0}">
  <TR> 
    <TD width="25" class="rule">&nbsp;</TD>
    <TD class="rule-red"><c:out value="${action}" /></TD>
  </TR>
  </c:if>

  <c:if test="${current.index>0}">
  <TR> 
    <TD width="25" class="rule">&nbsp;</TD>
    <TD class="rule">
    <bean:message bundle="policy" key="ruleDetail.desc.AND" />
    </TD>
  </TR>
  <TR> 
    <TD width="25" class="rule">&nbsp;</TD>
    <TD class="rule-red"><c:out value="${action}" /></TD>
  </TR>
  </c:if>
  </c:forEach>
  </c:if>
</TABLE>
</body>
</html>


