<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib uri="/WEB-INF/tld/struts-bean-el.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/tld/struts-html-el.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/tld/c.tld" prefix="c" %>

<html>
<head>
<title></title>
<link href="/css/trend-style.css" rel="stylesheet" type="text/css">
<base target="_self">
<script language="JavaScript" src="/javascripts/validation.jsp" type="text/javascript"></script>
<script language="JavaScript" type="text/JavaScript">

var readOnly=false;

function checkReadOnly()
{
    <c:if test="${adminUser.policyReadOnly}" >
        readOnly=true;
        var form = document.forms[0];
        for (var i=0; i<form.elements.length; i++) 
        {
            form.elements[i].disabled = true;
        }        
        form.btnCancel1.disabled=false;
        form.btnCancel2.disabled=false;
        form.addrType.disabled=false;
        form.selectedAddrGroup.disabled=false;
        form.btnEdit.disabled=false;
    </c:if>
}

function changeAddrType()
{
    document.forms[0].action="/ruleDetailChangeAddrType.imss";
    document.forms[0].submit();
    LockForm(document.forms[0]);
    return true;
}

function addAddr()
{
    document.forms[0].action="/ruleDetailAddAddrGroup.imss";
    document.forms[0].submit();
    LockForm(document.forms[0]);
    return true;
}

var anyoneSelected=false;
function Delete(value)
{
    if(readOnly)
        return false;
    if(anyoneSelected)
        return false;
    document.forms[0].action="/ruleDetailDeleteAddr.imss";
    document.forms[0].deleteAddr.value=value;
    document.forms[0].submit();
    LockForm(document.forms[0]);
    return true;
}

function add()
{
    document.forms[0].action="/ruleAddrGroupNew.imss?accessFrom=fromTo";
    document.forms[0].submit();
    LockForm(document.forms[0]);
    return true;
}

function edit()
{
    document.forms[0].action="/ruleAddrGroupEdit.imss?accessFrom=fromTo";
    document.forms[0].submit();
    LockForm(document.forms[0]);
    return true;
}

function DeleteGroup()
{
    document.forms[0].action="/ruleAddrGroupDelete.imss?accessFrom=fromTo";
    document.forms[0].submit();
    LockForm(document.forms[0]);
    return true;
}

function checkBError()
{
  <c:if test="${ !empty errorMsg}" var="errmsg" scope="request">
     alert("<c:out value='${errorMsg}' />");
  </c:if>
}

function updateAnyoneStatus()
{
    <c:if test="${uiStates.ruleRouteUIState==1 && tempRule.direction==1 || uiStates.ruleRouteUIState==0 && tempRule.direction==2}">
    var form=document.forms[0];
    var anyone=false;
    for(i=0; i<form.addrAnyone.length; i++)
    {
        if(form.addrAnyone[i].value=="anyone")
        {
            if(form.addrAnyone[i].checked)
                anyone=true;
        }
    }
    if(anyone)
    {
        anyoneSelected=true;
        form.addrType.disabled=true;
        form.selectedAddrGroup.disabled=true;
        form.btnCreate.disabled=true;
        form.btnEdit.disabled=true;
        form.btnDelete.disabled=true;
        form.btnAdd.disabled=true;
    }
    else
    {
        anyoneSelected=false;
        form.addrType.disabled=false;
        form.selectedAddrGroup.disabled=false;
        form.btnCreate.disabled=false;
        form.btnEdit.disabled=false;
        form.btnDelete.disabled=false;
        form.btnAdd.disabled=false;
    }
    </c:if>
    return true;
}

</script>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8"></head>
<body marginwidth="0" marginheight="0" leftmargin="0" topmargin="0" onload="checkReadOnly(); updateAnyoneStatus(); checkBError();">

<table cellspacing=0 cellpadding=0 width=540 border=0>
  <tbody>
    <tr> 
      <td class="content-title"><c:out value="${policyStepTitle}" /><br></td>
      <td valign="bottom"> <div align="right">
      <c:if test="${uiStates.ruleRouteUIState==0 || uiStates.ruleRouteUIState==1}">
      <a href="/help/<bean:message key="locale" />/select_users_help.htm" target="_blank">
      </c:if>
      <!--
      <c:if test="${uiStates.ruleRouteUIState==1 || uiStates.ruleRouteUIState==3}">
      <a href="/help/<bean:message key="locale" />/select_users_exceptions_help.htm" target="_blank">
      </c:if>
      -->
      <img src="/images/<bean:message key="locale" />/question_cui.gif" width="16" height="16" border="0">
      </a></div></td>
    </tr>
    <tr> 
      <td height="10" colspan="2" class="hor-dotted-line"><img src="/images/<bean:message key="locale" />/1space_cui.gif" width="1" height="1"></td>
    </tr>
    <tr>
      <td height="10" colspan="2" class="data1">
        <a href="/initRuleRouteFrame.imss">
        <c:if test="${uiStates.ruleUIState==1}">
        <bean:message bundle="policy" key="addRule.head" />
        </c:if>
        <c:if test="${uiStates.ruleUIState==2}">
        <c:out value="${tempRule.ruleName}"/>
        </c:if>
        </a> &gt; <c:out value="${policyStepTitle}" />
      </td>
    </tr>
    <tr> 
      <td height="10" colspan="2"><img src="/images/<bean:message key="locale" />/1space_cui.gif" width="1" height="10"> 
    </tr>
  </tbody>
</table>
<html:form action="/ruleDetailSaveAddr.imss" onsubmit="LockFormButton(this);">
<table width="540" border="0" cellspacing="0" cellpadding="0">
  <tr> 
    <td height="28" valign="top"> 
      <html:submit styleClass="button" style="width:50px"><bean:message key="button.save" /></html:submit>
      <input name="btnCancel1" type="button"  class="cbutton"  value="<bean:message key="button.cancel" />" onClick="self.location.href=('/ruleDetailCancelAddr.imss'); LockForm(document.forms[0]);" > 
    </td>
  </tr>
</table>
<TABLE cellSpacing=0 cellPadding=0 width="540" border=0>
  <TBODY>
    <tr> 
      <td colspan="2" class="border"><TABLE width="538" border=0 cellPadding=0 cellSpacing=0>
          <TBODY>
            <tr> 
              <td colspan="2" class="tableheadergrey"><bean:message bundle="policy" key="ruleDetail.selectAddr" /></td>
            </tr>
            <c:if test="${tempRule.direction==1 || tempRule.direction==2}">
            <tr> 
              <td class="data1"> 
                <html:radio property="addrAnyone" value="anyone" onclick="return updateAnyoneStatus();" />
                <bean:message bundle="policy" key="ruleDetail.addr.anyone" />
              </td>
            </tr>
            <tr> 
              <td class="data1">
                <html:radio property="addrAnyone" value="anyOfSelected" onclick="return updateAnyoneStatus();" />
                <bean:message bundle="policy" key="ruleDetail.addr.anyOfSelected" />
              </td>
            </tr>
           </c:if>
            <tr> 
              <td height="252" style="padding:5px"> 
                <table width="528" border="0" cellpadding="0" cellspacing="0">
                  <tr> 
                    <td width="308" valign="top" ><table width="286" border="0" cellpadding="0" cellspacing="0">
                        <tr> 
                          <td width="220">
                            <html:select property="addrType" styleClass="button" style="width:220px" onchange="return changeAddrType();" >
                              <html:option value="addrInput"><bean:message bundle="policy" key="ruleDetail.selectAddr.enterAddr" /></html:option>
                              <html:option value="addrLDAP"><bean:message bundle="policy" key="ruleDetail.selectAddr.searchLDAP" /></html:option>
                              <html:option value="addrGroup"><bean:message bundle="policy" key="ruleDetail.selectAddr.selectAddrGroup" /></html:option>
                            </html:select> 
                          </td>
                          <td width="66">&nbsp;</td>
                        </tr>
                        <tr> 
                          <td height="214"> <p> 
                              <html:select property="selectedAddrGroup" styleClass="button" multiple="true" size="15" style="width:220px">
                                <c:forEach items="${ruleRouteGroupList}" var="grp" varStatus="current">
                                  <html:option value="${grp.id}"><c:out value="${grp.name}" /></html:option>
                                </c:forEach>
                              </html:select>
                              <input name="btnCreate" type="button"  class="button"  value="<bean:message key="button.add" />" style="width:50px" onClick="return add();">
                              <input name="btnEdit" type="button"  class="button"  value="<bean:message key="button.edit" />" style="width:50px" onClick="return edit();">
                              <input name="btnDelete" type="button"  class="button"  value="<bean:message key="button.delete" />" style="width:50px"onClick="return DeleteGroup();">
                            </p>
                            </td>
                          <td align="center"><input name="btnAdd" type="button"  class="button"  value="<bean:message key="button.add" /> &gt;" style="width:50px" onClick="return addAddr();"> 
                          </td>
                        </tr>
                      </table></td>
                    <td width="220" valign="top" >
                      <table width="220" border="0" cellpadding="0" cellspacing="0" class="border">
                        <tr> 
                          <td width="194" height="22" class="grey-end"><bean:message bundle="policy" key="ruleDetail.selectAddr.selected" /></td>
                          <td width="20" height="22" class="grey-end">&nbsp;</td>
                        </tr>
                        <c:set var="class1" value="data2b" />
                        <c:set var="class2" value="data2" />
                      <c:set var="index" value="0" />
                        <c:forEach items="${selectedRouteShow}" var="route" varStatus="current" >
                          <c:choose>
                            <c:when test="${class1=='data2b'}">
                              <c:set var="class1" value="data1b" />
                              <c:set var="class2" value="data1" />
                	     </c:when>
                	     <c:otherwise>
                	       <c:set var="class1" value="data2b" />
                	       <c:set var="class2" value="data2" />
                	     </c:otherwise>
                	   </c:choose>
                        <tr> 
                          <td height="22" class="<c:out value='${class1}' />"><c:out value="${route.showString}" /></td>
                          <td width="20" height="22" class="<c:out value='${class2}' />">
                            <div align="center">
                              <a href="#" onclick="return Delete('<c:out value='${route.id}' />');">
                                <img src="/images/<bean:message key="locale" />/icon_delete.gif" width="18" height="18" border=0>
                              </a>
                            </div>
                          </td>
                        </tr>
                          <c:set var="index" value="${current.index}" />
                        </c:forEach>
                      <c:if test="${index<7}">
                        <c:forEach begin="${index+1}" end="7" >
                          <c:choose>
                            <c:when test="${class1=='data2b'}">
                              <c:set var="class1" value="data1b" />
                              <c:set var="class2" value="data1" />
                	     </c:when>
                	     <c:otherwise>
                	       <c:set var="class1" value="data2b" />
                	       <c:set var="class2" value="data2" />
                	     </c:otherwise>
                	   </c:choose>
                        <tr> 
                          <td height="22" class="<c:out value='${class1}' />">&nbsp;</td>
                          <td width="20" height="22" class="<c:out value='${class2}' />">&nbsp; </td>
                        </tr>
                        </c:forEach>
                      </c:if>
                      </table>
                    </td>
                  </tr>
                </table></td>
            </tr>
        </table></td>
    </tr>
</table>
<table width="540" border="0" cellspacing="0" cellpadding="0">
  <tr> 
    <td height="28" valign="bottom"> 
      <html:submit styleClass="button" style="width:50px"><bean:message key="button.save" /></html:submit>
      <input name="btnCancel2" type="button"  class="cbutton"  value="<bean:message key="button.cancel" />" onClick="self.location.href=('/ruleDetailCancelAddr.imss'); LockForm(document.forms[0]);" > 
    </td>
  </tr>
</table>
<html:hidden property="deleteAddr" />
</html:form>
<br>
</body>
</html>
