<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib uri="/WEB-INF/tld/struts-bean-el.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/tld/struts-html-el.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/tld/c.tld" prefix="c" %>
<html>
<head>
<title><bean:message bundle="systemResource" key="syssys.scnaExcp.title.Summary" /></title>
<link href="/css/top.css" rel="stylesheet" type="text/css">
<script language="JavaScript" src="/javascripts/tooltip.js" type="text/javascript"></script>
<script language="JavaScript" src="/javascripts/validation.jsp" type="text/javascript"></script>
<script language="javascript">

function checkPermission()
{
    <c:if test="${adminUser.policyReadOnly}" >
        var form = document.forms[0];
        for (var i=0; i<form.elements.length; i++) 
        {
            if(form.elements[i].type!="submit")
                form.elements[i].disabled = true;
        }
    </c:if>
}

  function ValidateFields()
  {
      var form = document.forms[0];
      if (form.bcc.checked)
      {
          form.bccStr.value = form.bccStr.value.removeWhitespace();
          if (form.bccStr.value == "")
          {
              alert("<bean:message bundle="errors" key="errors.sys.enterBcc" />");
              form.bccStr.focus();
              return false;
          }

          if (!checkEmailAddressMultiple_Format(form.bccStr.value))
          {
               alert("<bean:message bundle="errors" key="errors.sys.bccInvalid" />");
               form.bccStr.focus();
               return false;
          }
      }
      form.submit();
      return true;
  }
  
  function chkNonsenseCombinations() {
    var form = document.forms[0];
    var selIntercept = "";
    for (var i=0; i<form.interceptAction.length; i++) {
      if (form.interceptAction[i].checked) {
        selIntercept = form.interceptAction[i].value;
      }
    }
    if (selIntercept == "exc" || selIntercept == "handsoff") {      
       form.bcc.disabled = false;
       <c:if test="${scanExcpObj.type == 2}" >
           form.postpone.disabled = false;         
	</c:if>
    }
    else {
      // disable and clear the nonsense combinations
      form.bcc.disabled = true;
      form.bcc.checked = false;
      form.bccStr.value = "";   
     <c:if test="${scanExcpObj.type == 2}" >
      		form.postpone.disabled = true;
		form.postpone.checked = false; 
	      form.deliveryHH.value = "00";
      		form.deliveryMM.value = "0";
     </c:if>
    }
  }

function goTo(nextpage)
{
    document.forms[0].action="/transferSEpwd.imss?toPage="+nextpage;
    document.forms[0].submit();
    return false;
}

function goToNotification()
{
    document.forms[0].action="/transferSEpwd.imss?toPage=notify";
    document.forms[0].submit();
    return false;
}
function goToTag()
{
    document.forms[0].action="/transferSEpwd.imss?toPage=tag";
    document.forms[0].submit();
    return false;
}

function checkBError() {
	var form = document.forms[0];
      <c:if test="${ !empty SEpwdErr}" var="errmsg" scope="request">
         alert("<c:out value='${SEpwdErr}' />");
      </c:if>
}
  
</script>  
</head>

<body bgcolor="#FFFFFF" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0" onload="chkNonsenseCombinations(); checkPermission(); checkBError();">
<DIV id="tooltip" style="visibility:hidden;position:absolute;z-index:1000;top:-100"></DIV>
<script language="JavaScript" type="text/javascript">
  <!-- the tool tip code below had been disabled/removed -->
  Text[0]=["<bean:message bundle="policy" key="ruleAction.ma.tooltip.title" /> ","<bean:message bundle="policy" key="ruleAction.ma.tooltip.desc" />"]
  Text[1]=["<bean:message bundle="policy" key="ruleAction.ia.tooltip.title" />","<bean:message bundle="policy" key="ruleAction.ia.tooltip.desc" />"]
  Text[2]=["<bean:message bundle="policy" key="ruleAction.moda.tooltip.title" />","<bean:message bundle="policy" key="ruleAction.moda.tooltip.desc" />"]
  Text[3]=["<bean:message bundle="policy" key="ruleAction.mona.tooltip.title" />","<bean:message bundle="policy" key="ruleAction.mona.tooltip.desc" />"]

  Style[0]=["black","","","","",11,"black","white","","","",11,290,,0,"#666666",3,24,0.4,90,,"",,,12,-10]

  var tipId="tooltip"
  var FiltersEnabled = 1 // [for IE5.5+] if your not going to use transitions or filters in any of the tips set this to zero.
  mig_clay()
</script>
<html:form action="/saveSEpwdAction" target="_parent">
<TABLE width="100%" border="0" cellpadding="0" cellspacing="0">
  <TR> 
    <TD  colspan="3"> <table width="100%" border="0" cellpadding="0" cellspacing="0">
        <tr> 
          <td  class="tableheader"><bean:message bundle="systemResource" key="sys.scanExcp.msg.trigger" /> 
          </td>
        </tr>
      </table></TD>
  </TR>
  <TR> 
    <TD  colspan="3"> <table width="100%" border="0" cellpadding="0" cellspacing="0" class="border3">
        <tr> 
          <td  class="tableheadergrey"><bean:message bundle="policy" key="ruleAction.label.intercept" /> 
	  </td>
        </tr>
      </table></TD>
  </TR>
  <TR> 
    <TD  class="data1b"><html:radio property="interceptAction" value="exc" onclick="chkNonsenseCombinations()" /></TD>
    <TD colspan="2" class="data1">
           <bean:message bundle="policy" key="ruleAction.label.notIntercept" />
           <!--
	<c:if test="${scanExcpObj.type == 2}" >
           <bean:message bundle="policy" key="ruleAction.label.excludeProcPwd" />
       </c:if>

	<c:if test="${scanExcpObj.type == 0 or scanExcpObj.type == 3}" >
           <bean:message bundle="policy" key="ruleAction.label.noaction" />
       </c:if>

	<c:if test="${scanExcpObj.type == 1}" >
           <bean:message bundle="policy" key="ruleAction.label.excludeProc" />
       </c:if>
            -->
       
    </TD>
  </TR>
  <TR> 
    <TD  class="data2b"> <div align="center"> 
        <html:radio property="interceptAction" value="del" onclick="chkNonsenseCombinations()" />
      </div></TD>
    <TD colspan="2" class="data2"><bean:message bundle="policy" key="ruleAction.label.delEntireMsg" /></TD>
  </TR>
  <TR> 
    <TD width="1%"  class="data1b"> <div align="center"> 
        <html:radio property="interceptAction" value="qua" onclick="chkNonsenseCombinations()" />
      </div></TD>
    <TD width="35%" class="data1b"><bean:message bundle="policy" key="ruleAction.label.quarantine" /></TD>
    <TD class="data1">
      <html:select property="qtAreaId" size="1" styleClass="button">
        <c:forEach items="${ruleQuarantineList}" var="qtObj">
          <html:option value="${qtObj.id}"><c:out value="${qtObj.name}" /></html:option>
        </c:forEach>
      </html:select>
      <input name="Submit" type="submit" class="button" value="<bean:message key="button.edit" />" onClick="return goTo('quarantine');"> 
    </TD>
  </TR>
  <TR>
    <TD  class="data1b"><div align="center">
        <html:radio property="interceptAction" value="handsoff" onclick="chkNonsenseCombinations();"/>
    </div></TD>
    <TD class="data1b"><bean:message bundle="policy" key="action.handoff" /></TD>
    <TD class="data1b">
        <bean:message bundle="policy" key="action.host" />
        <html:text property="handoffHost" styleClass="button" size="25" maxlength="256" />
        <bean:message bundle="policy" key="action.port" />
        <html:text property="handoffPort" styleClass="button" size="10" maxlength="5" />
    </TD>
  </TR>
  <c:if test="${scanExcpObj.type == 2}" >
  <TR> 
    <TD  colspan="3"><table width="100%" border="0" cellpadding="0" cellspacing="0" class="border3">
        <tr> 
          <td  class="tableheadergrey"><bean:message bundle="policy" key="ruleAction.label.modify" />
	   </td>
        </tr>
      </table></TD>
  </TR>
  <TR> 
    <TD  class="data1b"> <div align="center"> 
        <html:checkbox property="delAttach" />
      </div></TD>
    <TD class="data1"><bean:message bundle="policy" key="ruleAction.label.delAttach" /></TD>
    <TD class="data1">
    <html:select property="deleteAttchType" size="1" styleClass="button">
      <html:option  value="deleteMatch" ><bean:message bundle="policy" key="scanexcp.label.matchAttach" /></html:option >
       <html:option  value="deleteAll"><bean:message bundle="policy" key="scanexcp.label.allAttach" /></html:option >
      </html:select>
    </TD>
  </TR>
  <TR> 
    <TD  class="data2b"> <div align="center"> 
        <html:checkbox property="insertStamp" />
      </div></TD>
    <TD class="data2b"><bean:message bundle="policy" key="ruleAction.label.insertStamp" /></TD>
    <TD class="data2">
     <html:select property="stampAreaId" size="1" styleClass="button">
       <c:forEach items="${ruleStampList}" var="stampArea">
          <html:option value="${stampArea.id}"><c:out value="${stampArea.name}" /></html:option>
        </c:forEach>     
      </html:select>
      <input name="Submit3" type="submit" class="button" value="<bean:message key="button.edit" />"  onClick="return goTo('stamp');"> 
    </TD>
  </TR>
  <TR> 
    <TD  class="data1b"> <div align="center"> 
        <html:checkbox property="tabSubj" />
      </div></TD>
    <TD class="data1b"><a href="#" onClick="return goToTag();" target="right"><bean:message bundle="policy" key="action.tagSubject" /></a></TD>
    <TD class="data1">&nbsp;
    </TD>
  </TR>
  <TR> 
    <TD  class="data2b"> <div align="center"> 
        <html:checkbox property="postpone" />
      </div></TD>
    <TD class="data2b"><bean:message bundle="policy" key="ruleAction.label.postponeDelivery" /></TD>
    <TD class="data2"> <bean:message bundle="policy" key="ruleAction.label.toHourOf" /> 
      <html:select property="deliveryHH" styleClass="button">
        <html:option value="00">00</html:option>
             <html:option value="1">01</html:option>
             <html:option value="2">02</html:option>
             <html:option value="3">03</html:option>
             <html:option value="4">04</html:option>
             <html:option value="5">05</html:option>
             <html:option value="6">06</html:option>
             <html:option value="7">07</html:option>
             <html:option value="8">08</html:option>
             <html:option value="9">09</html:option>
             <html:option value="10">10</html:option>
             <html:option value="11">11</html:option>
             <html:option value="12">12</html:option>
             <html:option value="13">13</html:option>
             <html:option value="14">14</html:option>
             <html:option value="15">15</html:option>
             <html:option value="16">16</html:option>
             <html:option value="17">17</html:option>
             <html:option value="18">18</html:option>
             <html:option value="19">19</html:option>
             <html:option value="20">20</html:option>
             <html:option value="21">21</html:option>
             <html:option value="22">22</html:option>
             <html:option value="23">23</html:option>
      </html:select>
      <html:select property="deliveryMM" styleClass="button">
        	<html:option value="0">00</html:option>
             <html:option value="1">01</html:option>
             <html:option value="2">02</html:option>
             <html:option value="3">03</html:option>
             <html:option value="4">04</html:option>
             <html:option value="5">05</html:option>
             <html:option value="6">06</html:option>
             <html:option value="7">07</html:option>
             <html:option value="8">08</html:option>
             <html:option value="9">09</html:option>
             <html:option value="10">10</html:option>
             <html:option value="11">11</html:option>
             <html:option value="12">12</html:option>
             <html:option value="13">13</html:option>
             <html:option value="14">14</html:option>
             <html:option value="15">15</html:option>
             <html:option value="16">16</html:option>
             <html:option value="17">17</html:option>
             <html:option value="18">18</html:option>
             <html:option value="19">19</html:option>
             <html:option value="20">20</html:option>
             <html:option value="21">21</html:option>
             <html:option value="22">22</html:option>
             <html:option value="23">23</html:option>
             <html:option value="24">24</html:option>
             <html:option value="25">25</html:option>
             <html:option value="26">26</html:option>
             <html:option value="27">27</html:option>
             <html:option value="28">28</html:option>
             <html:option value="29">29</html:option>
             <html:option value="30">30</html:option>
             <html:option value="31">31</html:option>
             <html:option value="32">32</html:option>
             <html:option value="33">33</html:option>
             <html:option value="34">34</html:option>
             <html:option value="35">35</html:option>
             <html:option value="36">36</html:option>
             <html:option value="37">37</html:option>
             <html:option value="38">38</html:option>
             <html:option value="39">39</html:option>
             <html:option value="40">40</html:option>
             <html:option value="41">41</html:option>
             <html:option value="42">42</html:option>
             <html:option value="43">43</html:option>
             <html:option value="44">44</html:option>
             <html:option value="45">45</html:option>
             <html:option value="46">46</html:option>
             <html:option value="47">47</html:option>
             <html:option value="48">48</html:option>
             <html:option value="49">49</html:option>
             <html:option value="50">50</html:option>
             <html:option value="51">51</html:option>
             <html:option value="52">52</html:option>
             <html:option value="53">53</html:option>
             <html:option value="54">54</html:option>
             <html:option value="55">55</html:option>
             <html:option value="56">56</html:option>
             <html:option value="57">57</html:option>
             <html:option value="58">58</html:option>
             <html:option value="59">59</html:option>
        </html:select>
      </TD>
  </TR>
  </c:if> 
  <TR> 
    <TD  colspan="3"><table width="100%" border="0" cellpadding="0" cellspacing="0" class="border3">
        <tr> 
          <td  class="tableheadergrey"><bean:message bundle="policy" key="ruleAction.label.monitor" />
		</td>
        </tr>
      </table></TD>
  </TR>
  <TR> 
    <TD  class="data1b"> <div align="center"> 
        <html:checkbox property="sendNotif" />
      </div></TD>
    <TD class="data1b"><a href="#" onClick="return goToNotification();" target="right"><bean:message bundle="policy" key="ruleAction.label.sendNotify" /></a></TD>
    <TD class="data1">&nbsp;</TD>
  </TR>
  <TR> 
    <TD  class="data2b"> <div align="center"> 
        <html:checkbox property="arch" />
      </div></TD>
    <TD  class="data2b"><bean:message bundle="policy" key="scanexcp.label.archive" /> </TD>
    <TD class="data2">
      <html:select property="archiveId" size="1" styleClass="button">
          <c:forEach items="${ruleArchiveList}" var="archObj">
            <html:option value="${archObj.id}"><c:out value="${archObj.name}" /></html:option>
          </c:forEach>
        </html:select>
        <input name="Submit22" type="submit" class="button" value="<bean:message key="button.edit" />"  onClick="return goTo('archive');"> 
    </TD>
  </TR>
  <TR> 
    <TD  class="data1b"> <div align="center"> 
        <html:checkbox property="bcc" />
      </div></TD>
    <TD  class="data1b"><bean:message bundle="policy" key="ruleAction.label.bcc" /> </TD>
    <TD class="data1"><html:text property="bccStr" styleClass="button" size="50"  maxlength="256"/></TD>
  </TR>
</TABLE>
</html:form>
</body>
</html>

