<%@ page contentType="text/html;charset=utf-8" language="java" %>
<%@ taglib uri="/WEB-INF/tld/struts-bean-el.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/tld/struts-html-el.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/tld/c.tld" prefix="c" %>

<html>
<head>
<title>Quarantines</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<link href="/css/trend-style.css" rel="stylesheet" type="text/css">
<SCRIPT LANGUAGE="JavaScript">
function NewWindow(mypage, myname, w, h, scroll) {
var winl = (screen.width - w) / 2;
var wint = (screen.height - h) / 2;
winprops = 'height='+h+',width='+w+',top='+wint+',left='+winl+',scrollbars='+scroll+',resizable'
win = window.open(mypage, myname, winprops)
if (parseInt(navigator.appVersion) >= 4) { win.window.focus(); }
}

function displayHead(v1)
{
	if(v1)
	{
	 txtHeadAndBody.style.display = 'none';
	 txtHeader.style.display = '';
	}
    else
	{
	 txtHeadAndBody.style.display = '';
	 txtHeader.style.display = 'none';
	}
}

function resendEmail()
{
	<c:if test="${!empty isQT }">
		var k = <c:out value='${isQT}' />;
		
		<c:if test="${isQT == true}">
			window.location="/resendOneQtEmail.imss?id=<c:out value='${uniqueId}' /> ";
		</c:if>

		<c:if test="${isQT != true}">
			window.location="/resendQtEmail_A.imss?id=<c:out value='${uniqueId}' /> ";
		</c:if>
	</c:if>
}
function deleteEmail()
{
	<c:if test="${isQT == true}">
		window.location="/deleteQtEmail.imss?id=<c:out value='${uniqueId}' /> ";
	</c:if>

	<c:if test="${isQT != true}">
		window.location="/deleteQtEmail_A.imss?id=<c:out value='${uniqueId}' /> ";
	</c:if>

}
function downloadEmail()
{
	<c:if test="${isQT == true}">
		opera.window.location="/downloadQtEmail.imss?id=<c:out value='${msgID}' /> ";
	</c:if>

	<c:if test="${isQT != true}">
		opera.window.location="/downloadQtEmail_A.imss?id=<c:out value='${msgID}' /> ";
	</c:if>

}

function backToList()
{
	<c:if test="${isQT == true}">
		window.location="/goQtPage.imss?page=current";
	</c:if>

	<c:if test="${isQT != true}">
		window.location="/goQtPage_A.imss?page=current";
	</c:if>

}

function checkBError() {
    <c:if test="${ !empty saveErr}" var="errmsg" scope="request">
        alert("<c:out value='${saveErr}' />");
    </c:if>
}

function checkReadOnly()
{
	<c:if test="${adminUser.quarantinesReadOnly}" >
		document.getElementById("resendBtn").disabled=true;;
		document.getElementById("deleteBtn").disabled=true;;
	</c:if>
}

</script>
</head>

<body bgcolor="#FFFFFF" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0" onload="displayHead(true); checkBError();checkReadOnly();">
<table cellspacing=0 cellpadding=0 width=540 border=0>
  <tbody>
    <tr> 
      <td class="content-title">
	  
	  <c:if test="${isQT == true}">
		<bean:message bundle="qtResource" key="qt.query.title.qt_query" />
	  </c:if>

	  <c:if test="${isQT != true}">
		<bean:message bundle="qtResource" key="qt.query.title.ar_query" />
	  </c:if>

	  </td>
      <td align="right" valign="bottom">
          <c:if test="${isQT == true}">
		<a href="/help/<bean:message key="locale" />/quarantines_query_detailed_help.htm" target="_blank"><img src="/images/<bean:message key="locale" />/question_cui.gif" width="16" height="16" border="0"></a>
          </c:if>
          <c:if test="${isQT != true}">
		<a href="/help/<bean:message key="locale" />/quarantines_archive_detailed_help.htm" target="_blank"><img src="/images/<bean:message key="locale" />/question_cui.gif" width="16" height="16" border="0"></a>
          </c:if>

      </td>
    </tr>
    <tr> 
      <td height="10" colspan="2" class="hor-dotted-line"><img src="/images/<bean:message key="locale" />/1space_cui.gif" width="1" height="1"></td>
    </tr>
    <tr> 
      <td height="10" colspan="2"><img src="/images/<bean:message key="locale" />/1space_cui.gif" width="1" height="10"> 
      </td>
    </tr>
  </tbody>
</table>
<table width="540" border="0" cellpadding="0" cellspacing="0" class="border">
  <tr> 
    <td width="540"><table width="538" border="0" cellspacing="0" cellpadding="0">
        <tr> 
          <td width="82" nowrap class="data1" style="vertical-align:top"><bean:message bundle="qtResource" key="qt.query.detail.msgview_timestamp" />:</td>
          <td width="195"  class="data1" style="vertical-align:top"><c:out value="${timestamp}" /></td>
          <td width="79" nowrap class="data1" style="vertical-align:top"><bean:message bundle="qtResource" key="qt.query.detail.msgview_msgid" />:</td>
          <td width="182"   class="data1" style="vertical-align:top;word-wrap:break-word;word-break:break-all;"><c:out value="${originalMsgId}" /></td>
        </tr>
        <tr> 
          <td  class="data1" nowrap style="vertical-align:top"><bean:message bundle="qtResource" key="qt.query.detail.msgview_sender" />:</td>
          <td  class="data1" style="vertical-align:top;word-wrap:break-word;word-break:break-all;">
							<c:choose>
								<c:when test="${sender=='POP3_Mail_Sender'}">
								   <bean:message bundle="qtResource" key="pop3.sender"/>
								</c:when>
								<c:otherwise>
								   <c:out value="${sender}" /> 
								</c:otherwise>
							</c:choose>
		   </td>
          <td  class="data1" nowrap style="vertical-align:top"><bean:message bundle="qtResource" key="qt.query.detail.msgview_reason" />:</td>
          <td   class="data1" style="vertical-align:top;word-wrap:break-word;word-break:break-all;"><c:out value="${reason}" /></td>
        </tr>
        <tr> 
          <td  class="data1" nowrap style="vertical-align:top"><bean:message bundle="qtResource" key="qt.query.detail.msgview_reci" />:</td>
          <td  class="data1" style="vertical-align:top;word-wrap:break-word;word-break:break-all;" >
						<c:choose>
								<c:when test="${recipient=='POP3_Mail_Recipient'}">
								   <bean:message bundle="qtResource" key="pop3.recipient"/>
								</c:when>
								<c:otherwise>
								   <c:out value="${recipient}" /> 
								</c:otherwise>
						</c:choose>
		   </td>
          <td  class="data1" nowrap style="vertical-align:top"><bean:message bundle="qtResource" key="qt.query.detail.msgview_rule" />:</td>
          <td   class="data1" style="vertical-align:top;word-wrap:break-word;word-break:break-all;"><c:out value="${rule}" /></td>
        </tr>
        <tr> 
          <td  class="data1" nowrap style="vertical-align:top"><bean:message bundle="qtResource" key="qt.query.detail.msgview_subj" />:</td>
          <td  class="data1" style="vertical-align:top;word-wrap:break-word;word-break:break-all;"><c:out value="${subject}" /></td>
          <td  class="data1" nowrap style="vertical-align:top"><bean:message bundle="qtResource" key="qt.query.detail.msgview_scanner" />:</td>
          <td   class="data1" style="vertical-align:top;word-wrap:break-word;word-break:break-all;"><c:out value="${scanner}" /></td>
        </tr>
        <tr> 
          <td  class="data1" nowrap style="vertical-align:top"><bean:message bundle="qtResource" key="qt.query.detail.msgview_size" />:</td>
          <td   class="data1" style="vertical-align:top"><c:out value="${size}" /></td>
          <td  class="data1" style="vertical-align:top"><bean:message bundle="qtResource" key="qt.query.detail.msgview_internalMsgId" /></td>
          <td   class="data1" style="vertical-align:top;word-wrap:break-word;word-break:break-all;"><c:out value="${msgID}" /></td>
        </tr>
        <tr> 
          <td  class="data1" nowrap style="vertical-align:top"><bean:message bundle="qtResource" key="qt.query.detail.msgview_attach" />:</td>
          <td   class="data1" style="vertical-align:top;word-wrap:break-word;word-break:break-all;"><c:out value="${attachment}" /></td>
          <td  class="data1" style="vertical-align:top">&nbsp;</td>
          <td   class="data1" style="vertical-align:top">&nbsp;</td>
        </tr>
        <tr> 
          <td height="10" colspan="4" class="hor-dotted-line"><img src="/images/<bean:message key="locale" />/1space_cui.gif" width="1" height="10"></td>
        </tr>
        <tr> 
          <td  colspan="4" class="data1"><bean:message bundle="qtResource" key="qt.query.detail.msgview_whole" />: <a href="javascript:displayHead(true)"><bean:message bundle="qtResource" key="qt.query.detail.msgview_header" /></a> | <a href="javascript:displayHead(false)">
          <bean:message bundle="qtResource" key="qt.query.detail.msgview_message" /></a><bean:message bundle="qtResource" key="qt.query.detail.msgview_up_to_8k" /></td>
        </tr>
        <tr> 
          <td  colspan="4" class="data1" style="padding:3px">
          <textarea cols="100" name="txtHeader" readonly="readonly" rows="15" wrap="virtual" class="button" id="txtHeader" ><c:out value="${msgHeader}" /></textarea>
	   <textarea cols="100" name="txtHeadAndBody" readonly="readonly" rows="15" style="display:none" wrap="virtual" class="button" id="txtHeadAndBody"><c:out value="${msgHeaderAndBody}" /></textarea>


</td>
        </tr>
      </table></td>
  </tr>
  <tr> 
    <td  class="data1" style="padding-bottom:3px">
      <input name="button12" type="button"  class="button" value="<bean:message bundle="qtResource" key="qt.query.qdetail.btn.bktolist" />" style="width:80px" onclick="backToList()"> 
      <c:if test="${isQT == true}">
	      <input name="resendBtn" id="resendBtn"  type="button"  class="button" value="<bean:message bundle="qtResource" key="qt.query.qdetail.btn.resend" />" style="width:70px" onclick="resendEmail()">
      </c:if>
      <input name="deleteBtn" id="deleteBtn" type="button" class="button" value="<bean:message bundle="qtResource" key="qt.settings.label.del" />" style="width:70px" onclick="deleteEmail()">
      <input name="Apply22322" type="button" class="button" value="<bean:message bundle="qtResource" key="qt.query.qdetail.btn.download" />" style="width:70px" onclick="downloadEmail()"></td>
  </tr>
</table>
<br>

<iframe id="opera" name="opera" width="0" height="0" src="/aboutblank.imss" frameborder=0 scrolling="no" noresize="1"></iframe>

</body>
</html>
