﻿<%@ page contentType="text/html;charset=utf-8" language="java" %>
<%@ taglib uri="/WEB-INF/tld/struts-bean-el.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/tld/struts-html-el.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/tld/c.tld" prefix="c" %>

<html>

<head>

<title><bean:message bundle="systemResource" key="sys.wizard.title" /></title>
<link rel="stylesheet" type="text/css" href="/css/trend-style.css">
<base target="_self">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<script language="JavaScript" src="/javascripts/tooltip.js" type="text/javascript"></script>
<script language="JavaScript" src="/javascripts/validation.jsp"></script>

<script language="JavaScript" >

function checkallitems(direct)
{
    var form = document.forms[0]; 

    if(direct == 1)
    {
	    if(form.EnableLDAP1.checked)
	    {
	        if (!checkHostName(form.LDAPServer1)) 
	            return false;
	        
	        if(!checkport(form.LDAPPort1))
	            return false;
	    }
	    
	    if(form.EnableLDAP2.checked)
	    {
	        if (!checkHostName(form.LDAPServer2)) 
	            return false;
	        
	        if(!checkport(form.LDAPPort2))
	            return false;
	    }
	 
	 	if(form.EnableLDAP1.checked && form.EnableLDAP2.checked)
		{
		 	if(form.LDAPServer1.value == form.LDAPServer2.value)
			{
				if(form.LDAPPort1.value == form.LDAPPort2.value)
				{
					alert("<bean:message bundle="errors" key="errors.sys.conn.ldap.sameLDAP" />");
					return false;
				}
			}
		 }
	 
            if(form.EnableLDAP1.checked || form.EnableLDAP2.checked)
            {
                if(!checkempty(form.AdminAccount))
                    return false;
                if(!checkempty(form.AdminPwd))
                    return false;
                if(form.LDAPType.value!=1 && !checkempty(form.BaseName))
                    return false;
            }
	    if(!checknumber(document.forms[0].CacheExpiration))
	        return false;
		
	    if(!form.AuthMethod[0].checked)
	    {
	      if(!checkdomain(form.DefaultDomain))
	        return false;
	      
	      if(!checkport(form.KDCPort))
	        return false;
	    }
   }
  if(direct == 1)
  {
    if (!form.EnableLDAP1.checked && !form.EnableLDAP2.checked)
   {
    <c:if test="${isEuqEnable}">
        if (!confirm("<bean:message bundle="systemResource" key="sys.conn.ldap.confirm.disable"/>"))
            return false;
    </c:if>
    }
  }

  if(direct == -1)
    form.action="/WizardSetting_3.imss?direct=previou"  + "&rnd=" + Math.random();

    if(direct == 0)
		form.action="/WizardSetting_3.imss?direct=skip"  + "&rnd=" + Math.random();

  if(direct == 1)
		form.action="/WizardSetting_3.imss?direct=next"  + "&rnd=" + Math.random();
  
    form.submit();    
	
    return true;
}
 
function checkLdap1()
{
    if(!document.forms[0].EnableLDAP1.checked)
    {
        document.forms[0].LDAPServer1.disabled=true;
        document.forms[0].LDAPPort1.disabled=true;
    }
    else
    {
        document.forms[0].LDAPServer1.disabled=false;
        document.forms[0].LDAPPort1.disabled=false;
    }
}
function checkLdap2()
{
    if(!document.forms[0].EnableLDAP2.checked)
    {
        document.forms[0].LDAPServer2.disabled=true;
        document.forms[0].LDAPPort2.disabled=true;
    }
    else
    {
        document.forms[0].LDAPServer2.disabled=false;
        document.forms[0].LDAPPort2.disabled=false;
    }
}

function checkAuthMethod()
{
    if(document.forms[0].AuthMethod[0].checked)
    {
        document.forms[0].KerberoAuthRealm.disabled=true;
        document.forms[0].DefaultDomain.disabled=true;
        document.forms[0].KDCServer.disabled=true;
        document.forms[0].KDCPort.disabled=true;
    }
    else
    {
        document.forms[0].KerberoAuthRealm.disabled=false;
        document.forms[0].DefaultDomain.disabled=false;
        document.forms[0].KDCServer.disabled=false;
        document.forms[0].KDCPort.disabled=false;
    }
}

function checkBError() {
    <c:if test="${ !empty saveErr}" var="errmsg" scope="request">
        alert("<c:out value='${saveErr}' />");
    </c:if>
}

function checkDelgAdm() 
{
    <c:if test="${adminUser.systemReadOnly}" >
        var form = document.forms[0];      
        for (i=0; i<form.elements.length; i++) {
            form.elements[i].disabled = true;
        }
   	form.back.disabled = false;     
   	form.skip.disabled = false;     
   	form.next.disabled = false;     
    </c:if>
} 

function LockButtons()  {
   var form =  document.forms[0];
   form.back.disabled = true;     
   form.skip.disabled = true;     
   form.next.disabled = true;     
   return true;
}
 
function setFocus() { 
    var form = document.forms[0];
    if (form.next != null && form.next.disabled == false) {
        form.next.focus(); 
    }
    scroll(0,0);
}

</script>

</head>

<BODY leftmargin="0" topmargin="0" marginwidth="0" style="padding-top:10px" onLoad="checkBError();checkDelgAdm();setFocus();checkLdap1();checkLdap2();checkAuthMethod();">
<html:form action="/WizardSetting_3.imss?direct=next" onsubmit="return LockButtons();" >
<table width="690" border="0" cellpadding="0" cellspacing="0">
  <tr>
    <td width="179" height="49" align="center" valign="bottom" background="/images/<bean:message key="locale" />/cc_on.gif" class="textboldwhite" style="padding-bottom:10px;background-repeat: no-repeat">
   <bean:message bundle="systemResource" key="sys.wizard.step6" /></td>
    <td width="371">&nbsp;</td>
    <td width="150" rowspan="2" valign="top"><table width="150" border="0" cellspacing="0" cellpadding="0">
      <tr align="right" valign="top">
        <td height="49" colspan="2">&nbsp;</td>
      </tr>
      
      <tr>
        <td>&nbsp;</td>
        <td class="data1"><span class="textbold"><bean:message bundle="systemResource" key="sys.wizard.step" /></span></td>
      </tr>
      <tr>
        <td><img src="/images/<bean:message key="locale" />/1space_cui.gif" width="10" height="1"></td>
        <td class="data1"><bean:message bundle="systemResource" key="sys.wizard.step1.desc" /></td>
      </tr>
      <tr>
        <td width="10">&nbsp;</td>
        <td class="data1"><bean:message bundle="systemResource" key="sys.wizard.step2.desc" /></td>
      </tr>
      <tr>
        <td width="10">&nbsp;</td>
        <td class="data1"><bean:message bundle="systemResource" key="sys.wizard.step3.desc" /></td>
      </tr>
      <tr>
        <td width="10">&nbsp;</td>
        <td class="data1"><bean:message bundle="systemResource" key="sys.wizard.step4.desc" /></td>
      </tr>
      <tr>
        <td>&nbsp;</td>
        <td class="data1"><bean:message bundle="systemResource" key="sys.wizard.step5.desc" /></td>
      </tr>
      <tr>
        <td width="10">&nbsp;</td>
        <td class="data1"><span class="textbold"><bean:message bundle="systemResource" key="sys.wizard.step6.desc" /></span></td>
      </tr>
      <tr>
        <td width="10">&nbsp;</td>
        <td class="data1"><bean:message bundle="systemResource" key="sys.wizard.step7.desc" /></td>
      </tr>
		<tr>
			<td>&nbsp;</td>
			<td class="data1"><bean:message bundle="systemResource" key="sys.wizard.step8.desc" /></td>
		</tr>
		<tr>
			<td>&nbsp;</td>
			<td class="data1"><bean:message bundle="systemResource" key="sys.wizard.step9.desc" /></td>
		</tr>
		<tr>
			<td>&nbsp;</td>
			<td class="data1"><bean:message bundle="systemResource" key="sys.wizard.step10.desc" /></td>
		</tr>
    </table></td>
  </tr>
  <tr>
    <td colspan="2"><DIV id="tooltip" style="visibility:hidden;position:absolute;z-index:1000;top:-100"></DIV>
      <script language="JavaScript" type="text/javascript">
Text[0]=["<bean:message bundle="systemResource" key="sys.conn.ldap.tip.title" />","<bean:message bundle="systemResource" key="sys.conn.ldap.tip.desc" />"]

Style[0]=["black","","","","",11,"black","white","","","",11,290,,0,"#666666",3,24,0.4,90,,"",,,12,-10]

var tipId="tooltip"
var FiltersEnabled = 1 // [for IE5.5+] if your not going to use transitions or filters in any of the tips set this to zero.
mig_clay()
      </script>
      <table width=540 border=0 cellpadding=0 cellspacing=0>
        <tbody>
          <tr>
            <td width="328" class="content-title"><bean:message bundle="systemResource" key="sys.wizard.ldap.label.title" /> </td>
			<td align="right" valign="bottom"> 
			    <c:if test="${wizLoginOpen=='yes'}">
          	        <a href="/logoff.imss"><bean:message bundle="systemResource" key="sys.wizard.welcome.label.logoff" /></a>
                </c:if>
                &nbsp;&nbsp;
                <a href="/help/<bean:message key="locale" />/wizard_ldap_help.htm" target="_blank">
                    <img src="/images/<bean:message key="locale" />/question_cui.gif" width="16" height="16" border="0">
                </a>
            </td>
          </tr>
          <tr>
            <td colspan="2" height="10" class="hor-dotted-line"><img src="/images/<bean:message key="locale" />/1space_cui.gif" width="1" height="10"></td>
          </tr>
          <tr>
            <td colspan="2" class="data1"><bean:message bundle="systemResource" key="sys.wizard.ldap.desc1" /> <strong><bean:message bundle="systemResource" key="sys.wizard.ldap.desc2" /></strong> <bean:message bundle="systemResource" key="sys.wizard.ldap.desc3" /></tr>
          <tr>
            <td colspan="2"><img src="/images/<bean:message key="locale" />/1space_cui.gif" width="1" height="10"></td>          
          </tr>
        </tbody>
      </table>
      <table width="525" border="0" cellpadding="0" cellspacing="0" class="border">
        
        <tr>
          <td style="padding-bottom:3px"><table border="0" cellspacing="0" cellpadding="0">
            <tr>
              <td colspan="4" class="tableheadergrey"><bean:message bundle="systemResource" key="sys.conn.ldap.head.setting" /> </td>
            </tr>
            <tr>
              <td colspan="4"><img src="/images/<bean:message key="locale" />/1space_cui.gif" width="1" height="10"></td>
            </tr>
            <tr>
              <td colspan="2" class="data1"><bean:message bundle="systemResource" key="sys.conn.ldap.label.svrtype" /><span class="subtitle-red">*</span></td>
              <td colspan="2" class="data1">
              <html:select property="LDAPType" styleClass="button">
                    <html:option value="0"><bean:message bundle="systemResource" key="sys.conn.ldap.label.svrtype1" /></html:option>
                    <html:option value="1"><bean:message bundle="systemResource" key="sys.conn.ldap.label.svrtype2" /></html:option>
                    <html:option value="2"><bean:message bundle="systemResource" key="sys.conn.ldap.label.svrtype3" /></html:option>
              </html:select></td>
            </tr>
            <tr>
              <td class="data1"><html:checkbox property= "EnableLDAP1" onclick="checkLdap1();"/></td>
              <td colspan="3" class="data1"><bean:message bundle="systemResource" key="sys.conn.ldap.label.enable" /> 
                <strong><bean:message bundle="systemResource" key="sys.conn.ldap.label.svr1" /></strong></td>
            </tr>
            <tr>
              <td width="20" class="data1">&nbsp;</td>
              <td class="data1"><bean:message bundle="systemResource" key="sys.conn.ldap.label.serverAddr" /><span class="subtitle-red">*</span></td>
              <td colspan="2" class="data1"><html:text property="LDAPServer1" styleClass="button" size="58" maxlength="64"  />
              </td>
            </tr>
            <tr>
              <td>&nbsp;</td>
              <td>&nbsp;</td>
              <td colspan="2" style="vertical-align:top" class="data1"><bean:message bundle="systemResource" key="sys.conn.ldap.label.serverAddrExample" /></td>
            </tr>
            <tr>
              <td class="data1">&nbsp;</td>
              <td class="data1"><bean:message bundle="systemResource" key="sys.conn.ldap.label.portNum" /><span class="subtitle-red">*</span></td>
              <td colspan="2" class="data1"><html:text property="LDAPPort1" styleClass="button" size="10" maxlength="5" /></td>
            </tr>
            <tr>
              <td class="data1"><html:checkbox property= "EnableLDAP2" onclick="checkLdap2();"/></td>
              <td class="data1"><bean:message bundle="systemResource" key="sys.conn.ldap.label.enable" />
              <strong> <bean:message bundle="systemResource" key="sys.conn.ldap.label.Svr2" />  </strong></td>
              <td colspan="2" class="data1">&nbsp;</td>
            </tr>
            <tr>
              <td class="data1">&nbsp;</td>
              <td class="data1"><bean:message bundle="systemResource" key="sys.conn.ldap.label.serverAddr" /><span class="subtitle-red">*</span></td>
              <td colspan="2" class="data1"><html:text property="LDAPServer2" styleClass="button" size="58" maxlength="64" />
              </td>
            </tr>
            <tr>
              <td>&nbsp;</td>
              <td>&nbsp;</td>
              <td colspan="2" style="vertical-align:top" class="data1"><bean:message bundle="systemResource" key="sys.conn.ldap.label.serverAddrExample" /></td>
            </tr>
            <tr>
              <td class="data1">&nbsp;</td>
              <td class="data1"><bean:message bundle="systemResource" key="sys.conn.ldap.label.portNum" /><span class="subtitle-red">*</span></td>
              <td colspan="2" class="data1"><html:text property="LDAPPort2" styleClass="button" size="10" maxlength="5" /></td>
            </tr>
            <tr>
              <td colspan="4"><img src="/images/<bean:message key="locale" />/1space.gif" width="1" height="10"></td>
            </tr>
            <tr>
              <td colspan="4"><table width="100%" border="0" cellpadding="0" cellspacing="0" class="border3">
                  <tr>
                    <td class="tableheadergrey"><bean:message bundle="systemResource" key="sys.conn.ldap.label.ttl_desc" /></td>
                  </tr>
              </table></td>
            </tr>
            <tr>
              <td colspan="2" class="data1"><bean:message bundle="systemResource" key="sys.conn.ldap.label.ttl" /><span class="subtitle-red">*</span></td>
              <td colspan="2" class="data1"><html:text property="CacheExpiration" styleClass="button" size="4" maxlength="4"  /></td>
            </tr>
            <tr>
              <td colspan="4"><img src="/images/<bean:message key="locale" />/1space.gif" width="1" height="10"></td>
            </tr>
            <tr>
              <td colspan="4"><table width="100%" border="0" cellpadding="0" cellspacing="0" class="border3">
                  <tr>
                    <td class="tableheadergrey"><bean:message bundle="systemResource" key="sys.conn.ldap.head.authMethod" /></td>
                  </tr>
              </table></td>
            </tr>
            <tr>
              <td class="data1">&nbsp;</td>
              <td class="data1"><bean:message bundle="systemResource" key="sys.conn.ldap.label.adminAcct" /><span class="subtitle-red">*</span></td>
              <td colspan="2" class="data1" nowrap><html:text property="AdminAccount" styleClass="button" size="58" maxlength="64"  />
               <br><bean:message bundle="systemResource" key="sys.connect.ldap.acc.sample" /></td>
            </tr>
            <tr>
              <td class="data1">&nbsp;</td>
              <td class="data1"><bean:message bundle="systemResource" key="sys.conn.ldap.label.pwd" /><span class="subtitle-red">*</span></td>
              <td colspan="2" class="data1"><html:password property="AdminPwd" styleClass="button" size="58" maxlength="64" /></td>
            </tr>
            <tr>
              <td class="data1">&nbsp;</td>
              <td nowrap class="data1"><bean:message bundle="systemResource" key="sys.conn.ldap.label.baseName" /><span class="subtitle-red">*</span></td>
              <td colspan="2" class="data1"><html:text property="BaseName" styleClass="button" size="58" maxlength="256" />
                  <br>
                <bean:message bundle="systemResource" key="sys.conn.ldap.label.baseNameExample" /></td>
            </tr>
            <tr>
              <td class="data1">&nbsp;</td>
              <td class="data1"><bean:message bundle="systemResource" key="sys.conn.ldap.label.authMethod" /><span class="subtitle-red">*</span></td>
              <td width="20" class="data1"><html:radio property="AuthMethod" styleClass="button" value="simple" onclick="checkAuthMethod();" /> </td>
              <td class="data1"><bean:message bundle="systemResource" key="sys.conn.ldap.label.simple" />  
              <a href="#" onMouseOver="stm(Text[0],Style[0]);return false;" onMouseOut="htm();return false;"><img src="/images/<bean:message key="locale" />/info_mark_cui.gif" width="15" height="15" border="0" align="absmiddle"></a>
              </td>
            </tr>
            <tr>
              <td class="data1">&nbsp;</td>
              <td class="data1">&nbsp;</td>
              <td class="data1" style="vertical-align:top"><html:radio property="AuthMethod" styleClass="button" value="kerberos"  onclick="checkAuthMethod();" />
              </td>
              <td class="data1"><bean:message bundle="systemResource" key="sys.conn.ldap.label.kerberos" /></td>
            </tr>
            <tr>
              <td class="data1">&nbsp;</td>
              <td class="data1">&nbsp;</td>
              <td class="data1" style="vertical-align:top">&nbsp;</td>
              <td class="data1"><bean:message bundle="systemResource" key="sys.conn.ldap.label.kerbRealm" /></td>
            </tr>
            <tr>
              <td class="data1">&nbsp;</td>
              <td class="data1">&nbsp;</td>
              <td class="data1" style="vertical-align:top">&nbsp;</td>
              <td class="data1"><html:text property="KerberoAuthRealm" styleClass="button" size="58"  maxlength="256" /></td>
            </tr>
            <tr>
              <td class="data1">&nbsp;</td>
              <td class="data1">&nbsp;</td>
              <td class="data1" style="vertical-align:top">&nbsp;</td>
              <td class="data1"><bean:message bundle="systemResource" key="sys.conn.ldap.label.defDomain" /></td>
            </tr>
            <tr>
              <td class="data1">&nbsp;</td>
              <td class="data1">&nbsp;</td>
              <td class="data1" style="vertical-align:top">&nbsp;</td>
              <td class="data1"><html:text property="DefaultDomain" styleClass="button" size="58" maxlength="64" /></td>
            </tr>
            <tr>
              <td class="data1">&nbsp;</td>
              <td class="data1">&nbsp;</td>
              <td class="data1" style="vertical-align:top">&nbsp;</td>
              <td class="data1"><span class="data1" style="vertical-align:bottom"><bean:message bundle="systemResource" key="sys.conn.ldap.label.KDCServer" /></span></td>
            </tr>
            <tr>
              <td class="data1">&nbsp;</td>
              <td class="data1">&nbsp;</td>
              <td class="data1" style="vertical-align:top">&nbsp;</td>
              <td class="data1"><html:text property="KDCServer" styleClass="button" size="58" maxlength="64" /></td>
            </tr>
            <tr>
              <td class="data1">&nbsp;</td>
              <td class="data1">&nbsp;</td>
              <td class="data1" style="vertical-align:top">&nbsp;</td>
              <td class="data1"><bean:message bundle="systemResource" key="sys.conn.ldap.label.KDCPort" /></td>
            </tr>
            <tr>
              <td class="data1">&nbsp;</td>
              <td class="data1">&nbsp;</td>
              <td class="data1" style="vertical-align:top">&nbsp;</td>
              <td class="data1"><html:text property="KDCPort" styleClass="button" size="5" maxlength="5" /></td>
            </tr>
          </table></td>
        </tr>
      </table>
      <table width="540" border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td height="28" valign="bottom">
            <input name="back" type="button"  class="button"  onClick="return checkallitems(-1)" value="&lt; <bean:message key='button.back' />" style="width:50px">
            <input name="skip" type="button"  class="button"  onClick="return checkallitems(0)" value="<bean:message key='button.skip' />" style="width:50px"> 
            <input name="next" type="button"  class="button"  onClick="return checkallitems(1)" value="<bean:message key='button.next' /> &gt;" style="width:50px">          
            </td>
        </tr>
      </table>
      <br></td>
  </tr>
</table>
</html:form>
</BODY>
</HTML>

