<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib uri="/WEB-INF/tld/struts-bean-el.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/tld/struts-html-el.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/tld/c.tld" prefix="c" %>

<html>
<head>
<title><bean:message bundle="systemResource" key="sys.smtp.delivery.title.destinationDomain" /></title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<script language="JavaScript" src="/javascripts/validation.jsp" type="text/javascript"></script>
<link href="../css/top.css" rel="stylesheet" type="text/css">
<script language="JavaScript" type="text/JavaScript">

function checkReadOnly()
{
    <c:if test="${adminUser.systemReadOnly}" >
        var form = document.forms[0];
        for (var i=0; i<form.elements.length; i++) 
        {
            form.elements[i].disabled = true;
        }        
    </c:if>
}

function checkSubmit()
{
    <c:if test="${platform=='windows' && mode=='edit' && mtaDeliveryForm.map.domainName==''}">
    if(document.forms[0].port.value!='' || document.forms[0].server.value!='')
    {
       if(!checkempty(document.forms[0].server))
           return false;
       if(!checkipordomain(document.forms[0].server))
           return false;
       if(!checkport(document.forms[0].port))
           return false;
    }
    </c:if>
    <c:if test="${!(platform=='windows' && mode=='edit' && mtaDeliveryForm.map.domainName=='')}">
       if(!checkpostfixwildcarddomain(document.forms[0].domainName))
           return false;
       if(!checkempty(document.forms[0].server))
           return false;
       if(!checkipordomain(document.forms[0].server))
           return false;
       if(!checkport(document.forms[0].port))
           return false;
	var r=/^[\x01-\xff]+$/;
	if(!r.test(document.forms[0].domainName.value))
	{
		alert("<bean:message bundle="systemResource" key="sys.smtp.delivery.badDomain" />");
		return false;
	}

    if(window.opener==null
        ||window.opener.document.forms[0].domainName==null
        ||window.opener.document.forms[0].server==null
        ||window.opener.document.forms[0].port==null)
        {
            window.close();
            return false;
        }

       window.opener.document.forms[0].domainName.value=document.forms[0].domainName.value;
    </c:if>

    if(window.opener==null
    <c:if test="${platform=='linux'}">
        ||window.opener.document.forms[0].domainName==null
    </c:if>
        ||window.opener.document.forms[0].server==null
        ||window.opener.document.forms[0].port==null)
    {
        window.close();
        return false;
    }

    <c:if test="${platform=='linux'}">
    window.opener.document.forms[0].domainName.value=document.forms[0].domainName.value;
    </c:if>
    window.opener.document.forms[0].server.value=document.forms[0].server.value;
    window.opener.document.forms[0].port.value=document.forms[0].port.value;
    <c:if test="${mode=='add'}">
    if(window.opener!=null && window.opener.addSubmit!=null)
        window.opener.addSubmit();
    </c:if>
    <c:if test="${mode=='edit'}">
    if(window.opener!=null && window.opener.editSubmit!=null)
        window.opener.editSubmit('<c:out value="${id}" />');
    </c:if>
    window.close();
    return false;
}
</script>
</head>

<body bgcolor="#FFFFFF" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0" onload="checkReadOnly();">
<html:form action="/saveAddSMTPDelivery.imss">
<table width="550" border="0" align="center" cellpadding="0" cellspacing="0">
  <tr> 
    <td bgcolor="#FF0000" class="popup-title">
    <c:if test="${platform=='windows' && mode=='edit' && mtaDeliveryForm.map.domainName==''}">
      <bean:message bundle="systemResource" key="sys.smtp.delivery.default" />
    </c:if>
    <c:if test="${!(platform=='windows' && mode=='edit' && mtaDeliveryForm.map.domainName=='')}">
      <bean:message bundle="systemResource" key="sys.smtp.delivery.title.destinationDomain" />
    </c:if>
    </td>
  </tr>
  <tr> 
    <td width="550"> <table width="100%" border="0" cellpadding="0" cellspacing="0">
        <tr> 
          <td colspan="2"  class="data1">
          <table border="0" cellpadding="0" cellspacing="0" >
          <c:if test="${!(platform=='windows' && mode=='edit' && mtaDeliveryForm.map.domainName=='')}">
            <tr>
              <td colspan="2"><img src="/images/<bean:message key="locale" />/1space_cui.gif" width="1" height="10"></td>
            </tr>
            <tr>
              <td width="156" class="data1"><bean:message bundle="systemResource" key="sys.smtp.delivery.domainName" /></td>
              <td width="388" class="data1"><html:text property="domainName" styleClass="button" size="30" maxlength="256" />
              </td>
            </tr>
            <tr>
                <td class="data1" colspan="2"><bean:message bundle="systemResource" key="sys.smtp.delivery.exam1" /><br>
                <bean:message bundle="systemResource" key="sys.smtp.delivery.exam2" /><br>
               <bean:message bundle="systemResource" key="sys.smtp.delivery.exam3" /></td>
            </tr>
            <tr>
              <td colspan="2"><img src="/images/<bean:message key="locale" />/1space_cui.gif" width="1" height="10"></td>
            </tr>
            <tr>
              <td colspan="2"><table width="100%" border="0" cellpadding="0" cellspacing="0" class="border3">
                  <tr>
                    <td class="tableheadergrey"><bean:message bundle="systemResource" key="sys.smtp.delivery.title.deliveryMethod" /></td>
                  </tr>
              </table></td>
            </tr>
          </c:if>
            <tr>
              <td colspan="2" class="data1"><bean:message bundle="systemResource" key="sys.smtp.delivery.methodStr1" /><br>
              <bean:message bundle="systemResource" key="sys.smtp.delivery.methodStr2" /></td>
            </tr>
            <tr>
              <td colspan="2"><img src="/images/<bean:message key="locale" />/1space_cui.gif" width="1" height="10"></td>
            </tr>
            <tr>
              <td class="data1"><bean:message bundle="systemResource" key="sys.smtp.delivery.server" /></td>
              <td class="data1"><bean:message bundle="systemResource" key="sys.smtp.delivery.port" /></td>
            </tr>
            <tr>
              <td class="data1"><html:text property="server" styleClass="button" size="30" maxlength="256"/></td>
              <td class="data1">:<html:text property="port" styleClass="button" size="30" maxlength="5" /></td>
            </tr>
          </table></td>
        </tr>
      </table></td>
  </tr>
  <tr>
    <td height="35" style="padding:5px"> 
      <div align="center"> 
        <html:submit styleClass="button" style="width:50px" onclick="return checkSubmit();"><bean:message key="button.OK" /></html:submit>
        <input name="cancel" type="button" class="button" onClick="javascript:window.close();" value="<bean:message key="button.close" />" style="width:50px">
      </div></td>
  </tr>
</table>
</html:form>
</body>
</html>

