﻿<%@ page contentType="text/html;charset=utf-8" language="java" %>
<%@ taglib uri="/WEB-INF/tld/struts-bean-el.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/tld/struts-html-el.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/tld/c.tld" prefix="c" %>


<html>

<head>

<title></title>
<link rel="stylesheet" type="text/css" href="/css/trend-style.css">
<base target="_self">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">

<script language="JavaScript" src="/javascripts/tooltip.js" type="text/javascript"></script>
<script language="JavaScript" src="/javascripts/validation.jsp"></script>

<script language="JavaScript" >

function checkallitems()
{
    var form = document.forms[0]; 
    
    if(form.EnableLDAP1.checked)
    {
        if (!checkHostName(form.LDAPServer1)) 
            return false;
        
        if(!checkport(form.LDAPPort1))
            return false;
    }
    
    if(form.EnableLDAP2.checked)
    {
        if (!checkHostName(form.LDAPServer2)) 
            return false;
        
        if(!checkport(form.LDAPPort2))
            return false;
    }
	
	 if(form.EnableLDAP1.checked && form.EnableLDAP2.checked)
	 {
	 	if(form.LDAPServer1.value == form.LDAPServer2.value)
		{
			if(form.LDAPPort1.value == form.LDAPPort2.value)
			{
				alert("<bean:message bundle="errors" key="errors.sys.conn.ldap.sameLDAP" />");
				return false;
			}
		}
	 }
 
    if(!checknumber(document.forms[0].CacheExpiration))
        return false;
    
    if(form.EnableLDAP1.checked || form.EnableLDAP2.checked)
    {
        if(!checkempty(form.AdminAccount))
            return false;
        if(!checkempty(form.AdminPwd))
            return false;
        if(form.LDAPType.value!=1 && !checkempty(form.BaseName))
            return false;
    }
	
    if(!form.AuthMethod[0].checked)
    {
      if(!checkdomain(form.DefaultDomain))
        return false;
      
      if(!checkport(form.KDCPort))
        return false;
    }
    
    return true;
}
 
function checkLdap1()
{
    if(!document.forms[0].EnableLDAP1.checked)
    {
        document.forms[0].LDAPServer1.disabled=true;
        document.forms[0].LDAPPort1.disabled=true;
    }
    else
    {
        document.forms[0].LDAPServer1.disabled=false;
        document.forms[0].LDAPPort1.disabled=false;
    }
}
function checkLdap2()
{
    if(!document.forms[0].EnableLDAP2.checked)
    {
        document.forms[0].LDAPServer2.disabled=true;
        document.forms[0].LDAPPort2.disabled=true;
    }
    else
    {
        document.forms[0].LDAPServer2.disabled=false;
        document.forms[0].LDAPPort2.disabled=false;
    }
}

function checkAuthMethod()
{
    if(document.forms[0].AuthMethod[0].checked)
    {
        document.forms[0].KerberoAuthRealm.disabled=true;
        document.forms[0].DefaultDomain.disabled=true;
        document.forms[0].KDCServer.disabled=true;
        document.forms[0].KDCPort.disabled=true;
    }
    else
    {
        document.forms[0].KerberoAuthRealm.disabled=false;
        document.forms[0].DefaultDomain.disabled=false;
        document.forms[0].KDCServer.disabled=false;
        document.forms[0].KDCPort.disabled=false;
    }
}

function checkBError() {
    <c:if test="${ !empty saveErr}" var="errmsg" scope="request">
        alert("<c:out value='${saveErr}' escapeXml='false'/>");
    </c:if>
}

function checkDelgAdm() 
{
    <c:if test="${adminUser.systemReadOnly}" >
        var form = document.forms[0];      
        for (i=0; i<form.elements.length; i++) {
            form.elements[i].disabled = true;
        }
    </c:if>
} 

function LockButtons()  {
   var form =  document.forms[0];
<c:if test="${appliance=='yes'}">    
   if (!form.EnableLDAP1.checked && !form.EnableLDAP2.checked)
   {
    <c:if test="${isEuqEnable}">
        if (!confirm("<bean:message bundle="systemResource" key="sys.conn.ldap.confirm.disable"/>"))
            return false;
    </c:if>
   }
</c:if>   
   form.submitbtn.disabled = true;     
   return true;
}
 
function setFocus() { 
    var form = document.forms[0];
    if (form.submitbtn != null && form.submitbtn.disabled == false) {
        form.submitbtn.focus(); 
        scroll(0,0);
    }
}

</script>
</head>

<BODY leftmargin="0" topmargin="0" marginwidth="0" onload="checkLdap1();checkLdap2();checkAuthMethod();checkDelgAdm();checkBError();">
<html:form action="/saveLdapPage.imss" onsubmit="return LockButtons();" >

<DIV id="tooltip" style="visibility:hidden;position:absolute;z-index:1000;top:-100"></DIV>
<script language="JavaScript" type="text/javascript">
    Text[0]=["<bean:message bundle="systemResource" key="sys.conn.ldap.tip.title" />","<bean:message bundle="systemResource" key="sys.conn.ldap.tip.desc" />"]
    Text[1]=["<bean:message bundle="systemResource" key="sys.conn.ldap.tip.baseDN.title" />","<bean:message bundle="systemResource" key="sys.conn.ldap.tip.baseDN.desc" />"]

    Style[0]=["black","","","","",11,"black","white","","","",11,290,,0,"#666666",3,24,0.4,90,,"",,,12,-10]

    var tipId="tooltip"
    var FiltersEnabled = 1 // [for IE5.5+] if your not going to use transitions or filters in any of the tips set this to zero.
    mig_clay()
</script>


<table cellspacing=0 cellpadding=0 width=540 border=0>

  <tbody>
    <tr> 
      <td class="content-title"><bean:message bundle="systemResource" key="sys.conn.head.connection" /></td>
      <td valign="bottom"> <div align="right"><a href="/help/<bean:message key="locale" />/sys_connect_ldap_help.htm" target="_blank"><img src="/images/<bean:message key="locale" />/question_cui.gif" width="16" height="16" border="0"></a></div></td>
    </tr>
    <tr> 
      <td height="10" colspan="2" class="hor-dotted-line"><img src="/images/<bean:message key="locale" />/1space_cui.gif" width="1" height="1"></td>
    </tr>
    <tr> 
      <td height="10" colspan="2"><img src="/images/<bean:message key="locale" />/1space_cui.gif" width="1" height="10"> 
    </tr>
  </tbody>
</table>
<TABLE cellSpacing=0 cellPadding=0 width="540" border=0>
  <TBODY>
    <TR> 
      <TD id=main-content vAlign=top width="540"> <table cellpadding="0" cellspacing="0" border="0" width="100%">
          <tr> 
            <!-- TABS -->
            <td background="/images/<bean:message key="locale" />/tab_background_cui.gif"> <table cellpadding="0" cellspacing="0" border="0">
                <tr> 
                  <td><img src="/images/<bean:message key="locale" />/tab_inactive1_left_cui.gif" width="11" height="23" alt="" border="0"></td>
                  <td style="vertical-align:top" background="/images/<bean:message key="locale" />/tab_inactive_background_cui.gif" class="tabinactive" nowrap> 
                    <A onmouseover="this.style.color='#FF0000';" 
      style="COLOR: #000000; text-decoration:none" 
      onmouseout="this.style.color='#000000';" 
      href="/initConnBasicPage.imss" > <bean:message bundle="systemResource" key="sys.conn.tab.component" /></a></td>
                  <td><img src="/images/<bean:message key="locale" />/tab_inactive_right_cui.gif" width="23" height="23" alt="" border="0"></td>
                  
                  <td><img src="/images/<bean:message key="locale" />/tab_active2_left_cui.gif" width="11" height="23" alt="" border="0"></td>
                  <td background="/images/<bean:message key="locale" />/tab_active_background_cui.gif" class="tabactive" style="vertical-align:top" nowrap><bean:message bundle="systemResource" key="sys.conn.tab.ldap" /></td>
                  <td><img src="/images/<bean:message key="locale" />/tab_active_right_cui.gif" width="23" height="23" alt="" border="0"></td>
                  
                  <td><img src="/images/<bean:message key="locale" />/tab_inactive2_left_cui.gif" width="11" height="23" alt="" border="0"></td>
                  <td style="vertical-align:top" background="/images/<bean:message key="locale" />/tab_inactive_background_cui.gif" class="tabinactive" nowrap> 
                    <A onmouseover="this.style.color='#FF0000';" 
      style="COLOR: #000000; text-decoration:none" 
      onmouseout="this.style.color='#000000';" 
      href="/initPop3Page.imss" > <bean:message bundle="systemResource" key="sys.conn.tab.pop3" /></a></td>
                  <td><img src="/images/<bean:message key="locale" />/tab_inactive_right_cui.gif" width="23" height="23" alt="" border="0"></td>
<c:if test="${appliance!='yes'}">                 
                  <td><img src="/images/<bean:message key="locale" />/tab_inactive2_left_cui.gif" width="11" height="23" alt="" border="0"></td>
                  <td style="vertical-align:top" background="/images/<bean:message key="locale" />/tab_inactive_background_cui.gif" class="tabinactive" nowrap> 
                    <A onmouseover="this.style.color='#FF0000';" 
      style="COLOR: #000000; text-decoration:none" 
      onmouseout="this.style.color='#000000';" 
      href="/initDatabasePage.imss" > <bean:message bundle="systemResource" key="sys.conn.tab.db" /></a></td>
                  <td><img src="/images/<bean:message key="locale" />/tab_inactive_right_cui.gif" width="23" height="23" alt="" border="0"></td>
</c:if>                  
                  <td><img src="/images/<bean:message key="locale" />/tab_inactive2_left_cui.gif" width="11" height="23" alt="" border="0"></td>
                  <td style="vertical-align:top" background="/images/<bean:message key="locale" />/tab_inactive_background_cui.gif" class="tabinactive" nowrap> 
                    <A onmouseover="this.style.color='#FF0000';" 
      style="COLOR: #000000; text-decoration:none" 
      onmouseout="this.style.color='#000000';" 
      href="/initTMCMPage.imss" > <bean:message bundle="systemResource" key="sys.conn.tab.tmcm" /></a></td>
                  <td><img src="/images/<bean:message key="locale" />/tab_inactive_right_cui.gif" width="23" height="23" alt="" border="0"></td>
<c:if test="${appliance=='yes'}">
                  <td><img src="/images/<bean:message key="locale" />/tab_inactive2_left_cui.gif" width="11" height="23" alt="" border="0"></td>
                  <td style="vertical-align:top" background="/images/<bean:message key="locale" />/tab_inactive_background_cui.gif" class="tabinactive" nowrap> 
                    <A onmouseover="this.style.color='#FF0000';" 
      style="COLOR: #000000; text-decoration:none" 
      onmouseout="this.style.color='#000000';" 
      href="/initNTPPage.imss" > <bean:message bundle="systemResource" key="sys.conn.tab.ntp" /></a></td>
                  <td><img src="/images/<bean:message key="locale" />/tab_inactive_right_cui.gif" width="23" height="23" alt="" border="0"></td>
                  <td><img src="/images/<bean:message key="locale" />/tab_inactive2_left_cui.gif" width="11" height="23" alt="" border="0"></td>
                  <td style="vertical-align:top" background="/images/<bean:message key="locale" />/tab_inactive_background_cui.gif" class="tabinactive" nowrap> 
                    <A onmouseover="this.style.color='#FF0000';" 
      style="COLOR: #000000; text-decoration:none" 
      onmouseout="this.style.color='#000000';" 
      href="/initChildIPPage.imss" > <bean:message bundle="systemResource" key="sys.conn.tab.childip" /></a></td>
                  <td><img src="/images/<bean:message key="locale" />/tab_inactive_right_cui.gif" width="23" height="23" alt="" border="0"></td>

</c:if>                   
                </tr>
              </table></td>
            <td background="/images/<bean:message key="locale" />/tab_background_cui.gif" align="right"><img src="/images/<bean:message key="locale" />/tab_right_corner_cui.gif" width="6" height="23" alt="" border="0"></td>
            <!-- /TABS -->
          </tr>
          <tr> 
            <td colspan="2" class="border"> <table width="100%" border="0" cellspacing="0" cellpadding="0">
                <tr> 
<c:choose> 
<c:when test="${appliance=='yes'}"> 
                  <td width="570"><table width="570" border="0" cellspacing="0" cellpadding="0">
</c:when>
<c:otherwise>                
                  <td width="538"><table width="538" border="0" cellspacing="0" cellpadding="0">
</c:otherwise>
</c:choose>                  
                      <TR> 
                        <TD  colspan="2"><table width="100%" border="0" cellpadding="0" cellspacing="0">
                            <tr> 
                              <td  class="tableheadergrey"><bean:message bundle="systemResource" key="sys.conn.ldap.head.setting" /></td>
                            </tr>
                          </table></TD>
                      </TR>
                      <tr> 
                        <td width="100%"><table border="0" cellspacing="0" cellpadding="0">
                            <tr> 
                              <td colspan="4" class="data1"><bean:message bundle="systemResource" key="sys.conn.ldap.desc" /></td>
                            </tr>
                            <tr>
                              <td colspan="4" height="12"><img src="/images/<bean:message key="locale" />/1space_cui.gif" width="1" height="10"></td>
                            </tr>
                            <tr>
                              <td colspan="2" class="data1"><bean:message bundle="systemResource" key="sys.conn.ldap.label.svrtype" /> </td>
                              <td width="352" colspan="2" class="data1">
                              <html:select property="LDAPType" styleClass="button">
                                    <html:option value="0"><bean:message bundle="systemResource" key="sys.conn.ldap.label.svrtype1" /></html:option>
                                    <html:option value="1"><bean:message bundle="systemResource" key="sys.conn.ldap.label.svrtype2" /></html:option>
                                    <html:option value="2"><bean:message bundle="systemResource" key="sys.conn.ldap.label.svrtype3" /></html:option>
                              </html:select>
                              </td>
                            </tr>
                            <tr> 
                              <td class="data1">
                               <html:checkbox property= "EnableLDAP1" onclick="checkLdap1();"/>
                               </td>
                              <td colspan="3" class="data1">
                              <bean:message bundle="systemResource" key="sys.conn.ldap.label.enable" /> &nbsp;
                               <strong>
                               <bean:message bundle="systemResource" key="sys.conn.ldap.label.svr1" />
                               </strong></td>
                            </tr>
                            <tr> 
                              <td class="data1">&nbsp;</td>
                              <td class="data1"><bean:message bundle="systemResource" key="sys.conn.ldap.label.serverAddr" /></td>
                              <td colspan="2" class="data1"> 
                              <html:text property="LDAPServer1" styleClass="button" size="58"  maxlength="64" />
                              </td>
                            </tr>
                            <tr> 
                              <td>&nbsp;</td>
                              <td>&nbsp;</td>
                              <td colspan="2" style="vertical-align:top" class="data1">
                              <bean:message bundle="systemResource" key="sys.conn.ldap.label.serverAddrExample" />
                              </td>
                            </tr>
                            <tr> 
                              <td class="data1">&nbsp;</td>
                              <td class="data1"><bean:message bundle="systemResource" key="sys.conn.ldap.label.portNum" /></td>
                              <td colspan="2" class="data1"> 
                              <html:text property="LDAPPort1" styleClass="button" size="10"  maxlength="5" />
                              </td>
                            </tr>
                            <tr> 
                              <td>&nbsp;</td>
                              <td>&nbsp;</td>
                              <td colspan="2" style="vertical-align:top" class="data1">
                              <bean:message bundle="systemResource" key="sys.conn.ldap.label.serverPortSuggestion" />
                              </td>
                            </tr>
                            <tr> 
                              <td height="5" colspan="4"><img src="/images/<bean:message key="locale" />/1space_cui.gif" width="1" height="10"></td>
                            </tr>
                         
                            <tr>
                              <td class="data1">
                              <html:checkbox property= "EnableLDAP2" onclick="checkLdap2();"/>
                              </td>
                              <td class="data1">
                              <bean:message bundle="systemResource" key="sys.conn.ldap.label.enable" /> &nbsp;
                              <strong> 
                              <bean:message bundle="systemResource" key="sys.conn.ldap.label.Svr2" /> 
                              </strong></td>
                              <td colspan="2" class="data1">&nbsp;</td>
                            </tr>
                            <tr>
                              <td class="data1">&nbsp;</td>
                              <td class="data1">
                              <bean:message bundle="systemResource" key="sys.conn.ldap.label.serverAddr" /></td>
                              <td colspan="2" class="data1">
                              <html:text property="LDAPServer2" styleClass="button" size="58" maxlength="64" />
                              </td>
                            </tr>
                            <tr>
                              <td>&nbsp;</td>
                              <td>&nbsp;</td>
                              <td colspan="2" style="vertical-align:top" class="data1">
                              <bean:message bundle="systemResource" key="sys.conn.ldap.label.serverAddrExample" /></td>
                            </tr>
                            <tr>
                              <td class="data1">&nbsp;</td>
                              <td class="data1"><bean:message bundle="systemResource" key="sys.conn.ldap.label.portNum" /></td>
                              <td colspan="2" class="data1">
                              <html:text property="LDAPPort2" styleClass="button" size="10" maxlength="5" />
                              </td>
                            </tr>
                            <tr> 
                              <td>&nbsp;</td>
                              <td>&nbsp;</td>
                              <td colspan="2" style="vertical-align:top" class="data1">
                              <bean:message bundle="systemResource" key="sys.conn.ldap.label.serverPortSuggestion" />
                              </td>
                            </tr>
				<tr>
                              <td colspan="4"><img src="/images/<bean:message key="locale" />/1space_cui.gif" width="1" height="10"></td>
                            </tr>
  				  <tr>
                              <td colspan="4"><table width="100%" border="0" cellpadding="0" cellspacing="0" class="border3">
                                <tr>
                                  <td  class="tableheadergrey"><bean:message bundle="systemResource" key="sys.conn.ldap.label.ttl_desc" /></td>
                                </tr>
                              </table></td>
                            </tr>
                            <tr>
                              <td colspan="2" class="data1"><bean:message bundle="systemResource" key="sys.conn.ldap.label.ttl" /></td>
                              <td colspan="2" class="data1">
	                              <html:text property="CacheExpiration" styleClass="button" size="4" maxlength="4"  />
                              </td>
                            </tr>
                            <tr>
                              <td height="5" colspan="4" class="text"><img src="/images/<bean:message key="locale" />/1space_cui.gif" width="1" height="10"></td>
                            </tr>
                            <tr>
                              <td height="5" colspan="4" class="tableheadergrey"><bean:message bundle="systemResource" key="sys.conn.ldap.head.authMethod" /></td>
                            </tr>
                            <tr>
                              <td height="5" colspan="4"><img src="/images/<bean:message key="locale" />/1space_cui.gif" width="1" height="10"></td>
                            </tr>
                            <tr>
                              <td class="data1">&nbsp;</td>
                              <td class="data1"><bean:message bundle="systemResource" key="sys.conn.ldap.label.adminAcct" /></td>
                              <td colspan="2" class="data1" nowrap>
                              <html:text property="AdminAccount" styleClass="button" size="58" maxlength="64"  />
                              <br><bean:message bundle="systemResource" key="sys.connect.ldap.acc.sample" />
                              </td>
                            </tr>
                            <tr>
                              <td class="data1">&nbsp;</td>
                              <td class="data1"><bean:message bundle="systemResource" key="sys.conn.ldap.label.pwd" /></td>
                              <td colspan="2" class="data1">
                              <html:password property="AdminPwd" styleClass="button" size="58" maxlength="64" />
                              </td>
                            </tr>
                            <tr>
                              <td class="data1">&nbsp;</td>
                              <td class="data1"><bean:message bundle="systemResource" key="sys.conn.ldap.label.baseName" /></td>
                              <td colspan="2" class="data1">
                              <html:text property="BaseName" styleClass="button" size="58" maxlength="256"/> <a href="#" onMouseOver="stm(Text[1],Style[0]);return false;" onMouseOut="htm();return false;"><img src="/images/<bean:message key="locale" />/info_mark_cui.gif" width="15" height="15" border="0" align="absmiddle"></a>
                                <br>
                                <bean:message bundle="systemResource" key="sys.conn.ldap.label.baseNameExample" /></td>
                            </tr>
                            <tr>
                              <td class="data1">&nbsp;</td>
                              <td class="data1"><bean:message bundle="systemResource" key="sys.conn.ldap.label.authMethod" /></td>
                              <td width="26" class="data1">
                              <html:radio property="AuthMethod" styleClass="button" value="simple" onclick="checkAuthMethod();" /> 
                              </td>
                              <td width="326" class="data1"><bean:message bundle="systemResource" key="sys.conn.ldap.label.simple" /> <a href="#" onMouseOver="stm(Text[0],Style[0]);return false;" onMouseOut="htm();return false;"><img src="/images/<bean:message key="locale" />/info_mark_cui.gif" width="15" height="15" border="0" align="absmiddle"></a></td>
                            </tr>
                            <tr>
                              <td class="data1">&nbsp;</td>
                              <td class="data1">&nbsp;</td>
                              <td class="data1" style="vertical-align:top">
                              <html:radio property="AuthMethod" styleClass="button" value="kerberos"  onclick="checkAuthMethod();" /> 
                              </td>
                              <td class="data1"><bean:message bundle="systemResource" key="sys.conn.ldap.label.kerberos" /></td>
                            </tr>
                          </table></td>
                      </tr>
                      <tr> 
                        <td ><img src="/images/<bean:message key="locale" />/1space_cui.gif" width="1" height="10" ></td>
                      </tr>
                      <tr> 
                        <td style="padding-bottom:3px"> <table width="538" border="0" cellpadding="0" cellspacing="0">
                            <tr> 
                              <td width="213" class="data1">&nbsp;</td>
                              <td colspan="2" class="data1"><bean:message bundle="systemResource" key="sys.conn.ldap.label.kerbRealm" /></td>
                            </tr>
                            <tr> 
                              <td class="data1">&nbsp;</td>
                              <td width="325" colspan="2" class="data1"> 
                              <html:text property="KerberoAuthRealm" styleClass="button" style="text-transform:uppercase" size="58"  maxlength="256" />
                              </td>
                            </tr>
                            <tr> 
                              <td class="data1">&nbsp;</td>
                              <td width="325" colspan="2"  class="data1"><bean:message bundle="systemResource" key="sys.conn.ldap.label.defDomain" /></td>
                            </tr>
                            <tr> 
                              <td class="data1">&nbsp;</td>
                              <td width="325" colspan="2" class="data1"> 
                              <html:text property="DefaultDomain" styleClass="button" size="58" maxlength="64" />
                              </td>
                            </tr>
                            <tr> 
                              <td class="data1">&nbsp;</td>
                              <td width="325" colspan="2" style="vertical-align:bottom" class="data1"><bean:message bundle="systemResource" key="sys.conn.ldap.label.KDCServer" /></td>
                            </tr>
                            <tr> 
                              <td class="data1">&nbsp;</td>
                              <td width="325" colspan="2" class="data1"> 
                              <html:text property="KDCServer" styleClass="button" size="58" maxlength="64"  />
                              </td>
                            </tr>
                            <tr> 
                              <td class="data1">&nbsp;</td>
                              <td width="325" colspan="2"class="data1"><bean:message bundle="systemResource" key="sys.conn.ldap.label.KDCPort" /></td>
                            </tr>
                            <tr> 
                              <td class="data1">&nbsp;</td>
                              <td width="325" colspan="2" class="data1"> 
                              <html:text property="KDCPort" styleClass="button" size="5" maxlength="5" />
                              </td>
                            </tr>
                          </table></td>
                      </tr>
                    </table> </td>
                </tr>
              </table></td>
          </tr>
        </table></TD>
    </TR>
  </TBODY>
</TABLE>
<table width="540" border="0" cellspacing="0" cellpadding="0">
  <tr> 
    <td height="28" valign="bottom"> 
      <html:submit property="submitbtn"  styleClass="button" onclick="return checkallitems();" style="width:50px" ><bean:message key="button.save" /></html:submit>
      <input name="Apply222" type="button" class="cbutton" value="<bean:message key="button.cancel" />" onClick="self.location.href=('/initLdapPage.imss')">
       </td>
  </tr>
  <tr>
  	<td><html:errors bundle="errors" property="changeOK" /></td>
  </tr>
</table>
<br>
</html:form>
</BODY>
</HTML>
