﻿<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib uri="/WEB-INF/tld/struts-bean-el.tld" prefix="bean-el" %>
<%@ taglib uri="/WEB-INF/tld/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/tld/struts-html-el.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/tld/struts-logic.tld" prefix="logic" %>
<%@ taglib uri="/WEB-INF/tld/c.tld" prefix="c" %>

<%@ page import="com.trendmicro.imss.ui.modelobjects.quarantines.*" %>
<%@ page import="com.trendmicro.imss.ui.framework.*" %>
<%@ page import="org.apache.struts.util.MessageResources" %>
<%@ page import="org.apache.struts.Globals" %>
<%@ page import="java.util.Vector" %>
<%@ page import="java.util.Calendar" %>
<%@ page import="java.text.*" %>
<%@ page import="java.util.Date" %>
<%@ page import="java.net.*" %>
<%@ page import="java.util.Locale" %>
<jsp:useBean id="EuqMessages" class="java.util.ArrayList" scope="request" />
<%
   com.trendmicro.imss.ui.enduser.EuqMessagesForm euqMessagesForm = (com.trendmicro.imss.ui.enduser.EuqMessagesForm) session.getAttribute("euqMessagesForm");
   
   int timeDateColspan = 1; 
   int senderColspan   = 1;
   int subjectColspan  = 1;  
   MessageResources msgs = MessageResources.getMessageResources("imss6Euq");
   MessageResources commonRB = MessageResources.getMessageResources("imss6Common");
   Locale locObj = (Locale) session.getAttribute(Globals.LOCALE_KEY);
   
   String displayName = msgs.getMessage(locObj, "euq.spamQuarantine", euqMessagesForm.getUserDisplayName());
   String keepDays;
   if (euqMessagesForm.getKeepDays()>1)
     keepDays = msgs.getMessage(locObj,"euq.delete.messages", String.valueOf(euqMessagesForm.getKeepDays()));
   else
     keepDays = msgs.getMessage(locObj,"euq.delete.messages.perday", String.valueOf(euqMessagesForm.getKeepDays()));
   String approvedSenderStatus= msgs.getMessage(locObj, "euq.approvedSender.status", String.valueOf(euqMessagesForm.getApprovedSendersCount()), String.valueOf(euqMessagesForm.getMaxApprovedSenders()));
   
%>
<html:html>
<head>
<html:base />
<title><bean:message bundle="euq" key="euq.quarantine.title" /></title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<link href="../../css/<bean:message key="locale" />/trend-style.css" rel="stylesheet" type="text/css">
<SCRIPT LANGUAGE="JavaScript">
function NewWindow(mypage, myname, w, h, scroll) 
{
    var winl = (screen.width - w) / 2;
    var wint = (screen.height - h) / 2;
    winprops = 'height='+h+',width='+w+',top='+wint+',left='+winl+',scrollbars='+scroll+',resizable'
    win = window.open(mypage, myname, winprops)
    if (parseInt(navigator.appVersion) >= 4)
    { 
        win.window.focus(); 
    }
}

var BEerror = null;
var reSentMsg = null;
    
<logic:present name="import_error" scope="request">
     BEerror = '<c:out value="${import_error}" />'; 
</logic:present>

<logic:present name="equ_resent_msg" scope="session">
     reSentMsg = '<c:out value="${equ_resent_msg}" />';
     <c:set var="equ_resent_msg" value="" scope="session" />    
</logic:present>

function checkError() {
    if (BEerror) alert(BEerror);
    if (reSentMsg) alert(reSentMsg);
  
   <c:if test= "${euqMessagesForm.totalItem == 0}">
   	<c:out value="DisableFormElement(document.euqMessagesForm.Delete);" />
    <c:out value="DisableFormElement(document.euqMessagesForm.NotSpam);" />
    <c:out value="DisableFormElement(document.euqMessagesForm.Delete1);" />
    <c:out value="DisableFormElement(document.euqMessagesForm.NotSpam1);" />
   </c:if>
}

function deleteMessages()
{
	if(!VerifyChecked()){
		alert("<bean:message bundle="errors" key="errors.euq.noItem" />");
		return false;
	}
    document.euqMessagesForm.action = "/DeleteEuq_MessagesPage.imss";
    document.euqMessagesForm.submit();
    return (true);
}

function notSpam()
{
	if(!VerifyChecked()){
	    alert("<bean:message bundle="errors" key="errors.euq.noItem" />");		
		return false;
	}
    document.euqMessagesForm.action = "/NotSpamEuq_MessagesPage.imss";
    document.euqMessagesForm.submit();
    return (true);
}

function browsePage( method , param , orderType )
{

    if (method == "jump")
    {
        //document.euqMessagesForm.sorttype.value  = 0;	//1: by time_date 2:sender 3:subject
        //document.euqMessagesForm.ordertype.value = 1;	//1:ascending 2:descending

        //0: no action, 1: goto beginning, 2: fw, 3: bk, 4: goto end
        if( param=="top") // top
        {
            document.euqMessagesForm.pageJump.value = 1;
        }
        else if ( param=="back")  // back
        {
            document.euqMessagesForm.pageJump.value = 3;
        }
        else if ( param=="next")  // next
        {
            document.euqMessagesForm.pageJump.value = 2;
        }
        else if ( param=="last") // last
        {
            document.euqMessagesForm.pageJump.value = 4;
        }
        else
        {
            document.euqMessagesForm.pageJump.value = 0;
        }
    }
    else if (method=="sort")
    {
        document.euqMessagesForm.pageJump.value = 0;

        //1: by time_date 2:sender 3:subject
        if (param == "timedate" )
        {
            document.euqMessagesForm.orderBy.value  = 'Time';	
        }
        else if (param == "sender" )
        {
            document.euqMessagesForm.orderBy.value  = 'Sender';
        }
        else // "subject"
        {
            document.euqMessagesForm.orderBy.value  = 'Subject';
        }
        
        //1:ascending 2:descending
        if(orderType=="ascending")
        {
            document.euqMessagesForm.orderASC.value = 'true';
        }
        else
        {
            document.euqMessagesForm.orderASC.value = 'false';
        }
    }
    
    document.euqMessagesForm.action = "/BrowseEuq_MessagesPage.imss";
    document.euqMessagesForm.submit();
    //disableButtons()
    return (true);
}
                      
function viewmessage(scannerID, msgId, sender, rcpt, timeDate)
{
	document.euqMessagesForm.selectedScannerID.value = scannerID;
	document.euqMessagesForm.selectedMsgID.value = msgId;
	document.euqMessagesForm.selectedSender.value = sender;
	document.euqMessagesForm.beRcpt.value = rcpt;
	document.euqMessagesForm.selectedTimeDate.value = timeDate;
	
	document.euqMessagesForm.action = "/initEuq_ViewMessagePage.imss";
	document.euqMessagesForm.submit();
	return true;
}

function check ( i )
{
    souceName = "checkbox" + i;
    targetName = "checkStatus" + i;
    
    var oElements = document.getElementById( souceName );
    var tElements = document.getElementById( targetName );
    if (oElements.checked == true)
    {
        tElements.value="1";
    }
    else
    {
        document.euqMessagesForm.doCheckAll.checked = false;
        tElements.value="0";
    }
}


function checkAllInView ()
{
    var oElements;
    var tElements;
    var souceName;
    var targetName;


    for ( i=0 ; i<document.euqMessagesForm.numberOfItemToShow.value ; i++ )
    {
        souceName = "checkbox" + i;
        targetName = "checkStatus" + i;

        oElements = document.getElementById( souceName );
        tElements = document.getElementById( targetName );

        if(document.euqMessagesForm.doCheckAll.checked == true )
        {
            oElements.checked=true;
            tElements.value="1";
        }
        else
        {
            oElements.checked=false;
            tElements.value="0";
        }
    }
}

function VerifyChecked()
{
    var oElements;
    var tElements;
    var souceName;
    var targetName;

    for ( i=0 ; i<document.euqMessagesForm.numberOfItemToShow.value ; i++ )
    {
        souceName = "checkbox" + i;
        oElements = document.getElementById( souceName );
        if(oElements.checked == true )
        {
            return true;
        }
    }
    return false;
}

function DisableFormElement(element)
{
  element.disabled=true;
  element.style.color="#666";
}


function onChangePageSize()
{
    document.euqMessagesForm.action = "/initEuq_MessagesPage.imss";
    document.euqMessagesForm.submit();
    return (true);
}
</script>
</head>

<body bgcolor="#FFFFFF" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0" onload="checkError();">
<html:form action="/initEuq_MessagesPage" >  
<table cellspacing=0 cellpadding=0 width=540 border=0>
  <tbody>
    <tr> 
      <td width="428" class="content-title"><% out.print(displayName); %></td>
      <td width="112" valign="bottom"> 
        <div align="right">
          <a href="/logoff.imss"><bean:message bundle="euq" key="euq.logoff" /></a>
          <a href="/help/<bean:message key="locale" />/euquarantine_home_help.htm" target="_blank"><img src="/images/<bean:message key="locale" />/question_cui.gif" width="18" height="18" border="0"></a>
        </div>
      </td>
    </tr>
    <tr> 
      <td height="10" colspan="2" class="hor-dotted-line"><img src="/images/<bean:message key="locale" />/1space_cui.gif" width="1" height="1"></td>
    </tr>
    <tr> 
      <td height="10" colspan="2"><img src="/images/<bean:message key="locale" />/1space_cui.gif" width="1" height="10"> 
      </td>
    </tr>
  </tbody>
</table>
<table width="540" border="0" cellpadding="0" cellspacing="0" class="border">
  <tr> 
    <td style="padding-top:3px"><table width="538" border="0" cellpadding="0" cellspacing="0">
        <tr> 
          <td class="data1"><p><FONT color="#FF0000"><% out.print(keepDays); %></FONT><br>
              <html:link page="/initEuq_Settings.imss"><bean:message bundle="euq" key="euq.approvedSenders" /></html:link>
              : <% out.print(approvedSenderStatus); %></FONT></p>
          </td>
          <td align="right" class="data1"><bean:message bundle="euq" key="euq.display" />: 
            <html:select styleClass="button" onchange="onChangePageSize()" property="itemPerPage" size="1">
              <html:option value="10">10 <bean:message bundle="euq" key="euq.perPage" /></html:option>
              <html:option value="15">15 <bean:message bundle="euq" key="euq.perPage" /></html:option>
              <html:option value="20">20 <bean:message bundle="euq" key="euq.perPage" /></html:option>
              <html:option value="30">30 <bean:message bundle="euq" key="euq.perPage" /></html:option>
              <html:option value="50">50 <bean:message bundle="euq" key="euq.perPage" /></html:option>
              <html:option value="100">100 <bean:message bundle="euq" key="euq.perPage" /></html:option>
            </html:select>
          </td>
        </tr>
        <tr>
          <td height="10"></td>
          <td></td>
        </tr>
        <tr> 
          <td width="304" class="data1"> 
            <input name="Delete"  type="button" class="button" value="<bean:message bundle="euq" key="euq.btn.delete" />" style="width:90px" onClick="deleteMessages();"> 
            <input name="NotSpam" type="button" class="button" value="<bean:message bundle="euq" key="euq.btn.notspam" />" style="width:90px" onClick="notSpam();"> 
          </td>
          
          <td width="234"> 
            <table height="26" border="0" align="right" cellpadding="0" cellspacing="0">
              <tr> 
                <td class="data1">
                   <%   
                         if((euqMessagesForm.getItemEnd() == 0) && ( euqMessagesForm.getTotalItem() ==0)){
                             String _itemend = String.valueOf(euqMessagesForm.getItemEnd());
                             String _totalitem = String.valueOf(euqMessagesForm.getTotalItem());
                             String PagesSummary = msgs.getMessage(locObj, "euq.itemend_of_totalitem", _itemend , _totalitem );
                             out.println(PagesSummary);
                         } else {
                             String _itemstart = String.valueOf(euqMessagesForm.getItemStart());
                             String _itemend = String.valueOf(euqMessagesForm.getItemEnd());
                             String _totalitem = String.valueOf(euqMessagesForm.getTotalItem());
                             String PagesSummary = msgs.getMessage(locObj, "euq.itemstart_dash_itemend_of_totalitem", _itemstart, _itemend , _totalitem);
                             out.println(PagesSummary);
                         }
                   %>
                </td>
                <td>&nbsp;<a href="JavaScript:browsePage('jump','top','0')"><img src="/images/<bean:message key="locale" />/pagination-beginning.gif" width="10" height="9" alt="" border="0" title="<bean:message key="display.1stPg"/>"></a></td>
                <td>&nbsp;<a href="JavaScript:browsePage('jump','back','0')"><img src="/images/<bean:message key="locale" />/pagination-previous.gif" width="10" height="9" alt="" border="0" title="<bean:message key="display.prevPg"/>"></a></td>
                <td>&nbsp;<a href="JavaScript:browsePage('jump','next','0')"><img src="/images/<bean:message key="locale" />/pagination-next.gif" width="10" height="9" alt="" border="0" title="<bean:message key="display.nextPg"/>"></a></td>
                <td>&nbsp;<a href="JavaScript:browsePage('jump','last','0')"><img src="/images/<bean:message key="locale" />/pagination-end.gif" width="10" height="9" alt="" border="0" title="<bean:message key="display.lastPg"/>"></a></td>
              </tr>
            </table>
          </td>
        </tr>
        <tr> 
          <td colspan="2"> <table width="538" border="0" cellpadding="0" cellspacing="0" class="border2b">
              <tr> 
                <td width="20" class="grey"> 
                    <input type="checkbox" onclick="checkAllInView()" name="doCheckAll" id="doCheckAll"> 
                    <%			
                                    
                        // get subheaders from resource bundle
                        String subjSub = msgs.getMessage(locObj, "euq.subject");
                        String senderSub = msgs.getMessage(locObj, "euq.sender"); 
                                  
                        String recSub = msgs.getMessage(locObj, "euq.received");
                        String lang = commonRB.getMessage(locObj, "locale");
                        //String lang = comBundle.getString("locale");                                  
                                   
                        // SENDER
                        if( euqMessagesForm.getOrderBy() != null && euqMessagesForm.getOrderBy().equalsIgnoreCase(ListEuqSpamParam.ORDER_BY_SENDER) )
                        {
                             // 1:ascending 2:descending
                            if( euqMessagesForm.isOrderASC())
                            {   
                            	out.println("<td width=\"120\"  class=\"grey-end\"><a href=\"JavaScript:browsePage( 'sort' , 'sender' , 'descending')\">" + senderSub + "</a></td>");
                            	out.println("<td width=\"10\"  class=\"grey\"><div align=\"right\">");
                                out.println("<img src=\"/images/" +
                                  lang + 
                                  "/arrow_up.gif\" width=\"10\" height=\"9\"></div></td>");
                            }
                            else
                            {
                                out.println("<td width=\"120\"  class=\"grey-end\"><a href=\"JavaScript:browsePage( 'sort' , 'sender' , 'ascending')\">" + senderSub + "</a></td>");
                            	out.println("<td width=\"10\"  class=\"grey\"><div align=\"right\">");
                        		out.println("<img src=\"/images/" + 
                        		 lang + 
                        		"/arrow_down.gif\" width=\"10\" height=\"9\"></div></td>");
                            }
                            
                            out.println("<td width=\"200\"  class=\"grey\"><a href=\"JavaScript:browsePage( 'sort' , 'subject' , 'descending')\">" + subjSub + "</a></td>"); 
                            out.println("<td width=\"110\"  class=\"grey\"><a href=\"JavaScript:browsePage( 'sort' , 'timedate' , 'descending')\">" + recSub + "</a></td>");
                  			/* Used to determine column for data rows */     
                            timeDateColspan=1;
                            senderColspan  =2;
                            subjectColspan =1;
                   
                        }
                       // SUBJECT
                        else if ( euqMessagesForm.getOrderBy() != null && euqMessagesForm.getOrderBy().equalsIgnoreCase(ListEuqSpamParam.ORDER_BY_SUBJECT) )
                        {
                            out.println("<td width=\"120\"  class=\"grey\"><a href=\"JavaScript:browsePage( 'sort' , 'sender' , 'descending')\">" + 
                            senderSub +
                            "</a></td>");
                             // 1:ascending 2:descending
                           if( euqMessagesForm.isOrderASC())
                            {
                               	out.println("<td width=\"200\"  class=\"grey-end\"><a href=\"JavaScript:browsePage( 'sort' , 'subject' , 'descending')\">" +
                               	subjSub +
                               	"</a></td>");
                            	out.println("<td width=\"10\"  class=\"grey\"><div align=\"right\">");
                                out.println("<img src=\"/images/" + 
                                 lang + 
                                "/arrow_up.gif\" width=\"10\" height=\"9\"></div></td>");
                            }
                            else
                            {
                             	out.println("<td width=\"200\"  class=\"grey-end\"><a href=\"JavaScript:browsePage( 'sort' , 'subject' , 'ascending')\">" +
                             	subjSub +
                             	"</a></td>");
                            	out.println("<td width=\"10\"  class=\"grey\"><div align=\"right\">");
                                out.println("<img src=\"/images/" + 
                                 lang + 
                                 "/arrow_down.gif\" width=\"10\" height=\"9\"></div></td>");
                            }
                            out.println("<td width=\"110\"  class=\"grey\"><a href=\"JavaScript:browsePage( 'sort' , 'timedate' , 'descending')\">" + 
                            recSub +
                            "</a></td>");
                         
                            timeDateColspan=1;
                            senderColspan  =1;
                            subjectColspan =2;
                        }
                        // TIMEDATE
                        else if ( euqMessagesForm.getOrderBy() != null && euqMessagesForm.getOrderBy().equalsIgnoreCase(ListEuqSpamParam.ORDER_BY_TIME) )
                        {
                            out.println("<td width=\"120\"  class=\"grey\"><a href=\"JavaScript:browsePage( 'sort' , 'sender' , 'descending')\">" + senderSub + "</a></td>");
                            out.println("<td width=\"200\"  class=\"grey\"><a href=\"JavaScript:browsePage( 'sort' , 'subject' , 'descending')\">" + subjSub + "</a></td>");
                               // 1:ascending 2:descending                                            
                            if( euqMessagesForm.isOrderASC())
                            {
                                out.println("<td width=\"110\"  class=\"grey-end\"><a href=\"JavaScript:browsePage( 'sort' , 'timedate' , 'descending' )\">" + recSub + "</a></td>");
                            	out.println("<td width=\"10\"  class=\"grey\"><div align=\"right\">");
                                out.println("<img src=\"/images/" +
                                 lang + 
                                 "/arrow_up.gif\" width=\"10\" height=\"9\"></div></td>");
                            }
                            else
                            {
                            	out.println("<td width=\"110\"  class=\"grey-end\"><a href=\"JavaScript:browsePage( 'sort' , 'timedate' , 'ascending' )\">" + recSub + "</a></td>");
                           	 	out.println("<td width=\"10\"  class=\"grey\"><div align=\"right\">");
                                out.println("<img src=\"/images/" + 
                                lang + 
                                "/arrow_down.gif\" width=\"10\" height=\"9\"></div></td>");
                            }
                            timeDateColspan=2;
                            senderColspan  =1;
                            subjectColspan =1;
                        }
                            
                    %>
                </td>
              </tr>
              <tr> 
                <!-------------------------------------->
                <!-- Show grabbed data                -->
                <!-------------------------------------->
               <%
           	    
                  int max = EuqMessages.size();
                  EuqSummary euqDataElem;
                  long                  ltimedate;
                  Calendar              timeDate = Calendar.getInstance(); 
                  String		sender;
                  String		subject;
                  String		msgId;
                  String		beRcpt;
                  int			scannerId;
                  
                  String myStrBuf;
                 // String myStrUrlBuf;

                  String cssClass;

                  //2005.04.11
                  //SimpleDateFormat dateformatter = new SimpleDateFormat("MM/dd/yy HH:mm:ss");
                  String emptySubject = msgs.getMessage(locObj,"euq.subject.empty");
                  
             	for (int i=0 ; i<max ; i++) 
                  {
                      EuqSummary euqData = (EuqSummary) EuqMessages.get(i);
                      
                      ltimedate = euqData.getRecvTime();
                      Date d = new Date(ltimedate);
                      //timeDate.setTime(new Date(euqData.getRecvTime()));
                      
                      //2005.04.11
                      IMSSUIDate displayDate = new IMSSUIDate(request.getLocale(), d, IMSSUIDate.SHOW_DATE_TIME);
                      myStrBuf = displayDate.getSDate();
                      
                      //myStrBuf = dateformatter.format( timeDate.getTime() );      
                  
                      sender     = euqData.getSender();
                      subject    = euqData.getTranslatedSubject();
                      if (subject.length()==0)
                        subject = emptySubject;
                      msgId      = euqData.getMsgId();
                      scannerId  = euqData.getScannerId();
                      beRcpt		 = euqData.getBeRcpt();
                    
                      
                      out.println("<tr>");
                      if( (i % 2) == 0 ) 
                      {
                          cssClass = "class=\"data2b\"";
                      }
                      else
                      {
                          cssClass = "class=\"data1b\"";
                      }

      				  out.println("  <td width=\"20\"  " + cssClass + ">");
                      out.println("  <input type=\"checkbox\" name=\"checkbox" + i + "\" id=\"checkbox" + i + "\"");
                      out.println("        onclick=\"check(" + i + ")\">");
                      out.println("  </td>");
                      out.println("  <td colspan=\"" + senderColspan  + "\" " + cssClass + ">" + sender + "</td>");
                      out.println("  <td colspan=\"" + subjectColspan + "\" " + cssClass + ">");
                      out.println("  <a href=\"javascript:viewmessage(" + scannerId + ", '"+ msgId + "', '" + euqData.getTranslatedSender() + "', '" + euqData.getTranslatedBeRcpt() + "', '" + myStrBuf + "')\">" + subject  + "</a></td>");
                      out.println("  <td colspan=\"" + timeDateColspan + "\"  " + cssClass + ">" + myStrBuf + "</td>");
                                         
                      out.println("  <td>");
                      	
                      out.println("<input type=\"hidden\" name=\"checkStatus\" property=\"checkStatus\" id=\"checkStatus" + i + "\" maxlength=\"1\" size=\"1\" value=\"0\" >");
                      
                      out.println("<input type=\"hidden\" name=\"scannerId\" property=\"scannerId\" id=\"scannerId" + i + "\" maxlength=\"1\" size=\"1\" value=\"" + scannerId + "\" >");
                      
                      out.println("<input type=\"hidden\" name=\"MsgId\" property=\"MsgId\" id=\"MsgId" + i + "\" maxlength=\"1\" size=\"1\" value=\"" + msgId + "\" >");
                
                      out.println("  </td>");	
                      out.println("</tr>");

      			}
              		%>
              </tr>
              
              
              
            </table></td>
        </tr>
        <tr> 
          <td class="data1"> 
            <input name="Delete1"  type="button" class="button" value="<bean:message bundle="euq" key="euq.btn.delete" />" style="width:90px" onClick="deleteMessages();"> 
            <input name="NotSpam1" type="button" class="button" value="<bean:message bundle="euq" key="euq.btn.notspam" />" style="width:90px" onClick="notSpam();"> &nbsp; 
          </td>
          <td> <table width="240" height="26" border="0" align="right" cellpadding="0" cellspacing="0">
              <tr> 
                <td width="178" align="right" class="data1"> 
                    <%   
                         if((euqMessagesForm.getItemEnd() == 0) && ( euqMessagesForm.getTotalItem() ==0)){
                             String _itemend = String.valueOf(euqMessagesForm.getItemEnd());
                             String _totalitem = String.valueOf(euqMessagesForm.getTotalItem());
                             String PagesSummary = msgs.getMessage(locObj, "euq.itemend_of_totalitem", _itemend , _totalitem );
                             out.println(PagesSummary);
                         } else {
                             String _itemstart = String.valueOf(euqMessagesForm.getItemStart());
                             String _itemend = String.valueOf(euqMessagesForm.getItemEnd());
                             String _totalitem = String.valueOf(euqMessagesForm.getTotalItem());
                             String PagesSummary = msgs.getMessage(locObj, "euq.itemstart_dash_itemend_of_totalitem", _itemstart, _itemend , _totalitem);
                             out.println(PagesSummary);
                         }
                    %>
                </td>
                <td>&nbsp;<a href="JavaScript:browsePage('jump','top','0')"><img src="/images/<bean:message key="locale" />/pagination-beginning.gif" width="10" height="9" alt="" border="0"></a></td>
                    <td>&nbsp;<a href="JavaScript:browsePage('jump','back','0')"><img src="/images/<bean:message key="locale" />/pagination-previous.gif" width="10" height="9" alt="" border="0"></a></td>
                    <td>&nbsp;<a href="JavaScript:browsePage('jump','next','0')"><img src="/images/<bean:message key="locale" />/pagination-next.gif" width="10" height="9" alt="" border="0"></a></td>
                    <td>&nbsp;<a href="JavaScript:browsePage('jump','last','0')"><img src="/images/<bean:message key="locale" />/pagination-end.gif" width="10" height="9" alt="" border="0"></a></td>
              </tr>
            </table></td>
        </tr>
      </table></td>
  </tr>
</table>
<br>
<html:hidden property="itemStart"       /> 
<html:hidden property="itemEnd"         /> 
<html:hidden property="totalItem"       /> 
<html:hidden property="pageJump"        /> 
<html:hidden property="orderBy"        /> 
<html:hidden property="orderASC"       /> 
<html:hidden property="numberOfItemToShow"      /> 

<html:hidden property="maxApprovedSenders"  /> 
<html:hidden property="approvedSendersCount"    />

<input type="hidden" name="selectedScannerID" id="selectedScannerID" value="0" >
<input type="hidden" name="selectedMsgID" id="selectedMsgID" value="0" >
<input type="hidden" name="selectedSender" id="selectedSender" value="0" >
<input type="hidden" name="selectedTimeDate" id="selectedTimeDate" value="0" >
<input type="hidden" name="beRcpt" id="beRcpt" value="0" >


</html:form>
</body>
</html:html>