#!/bin/sh
usage()
{
	echo "$0 <continent|country|city> output_filename"
	exit
}

trap "" SIGINT
trap "unlock" EXIT

. $IMSS_HOME/script/imssfunctions

lock

if [ -z $2 ] ; then
	usage
	exit 1
fi

case $1 in
	continent)
		/opt/TrendMicro/GoldenGate/bin/glcfg /etc/conf/ggb.conf val system continent > $2
		;;
	country)
		/opt/TrendMicro/GoldenGate/bin/glcfg /etc/conf/ggb.conf val system country > $2
		;;
	city)
		/opt/TrendMicro/GoldenGate/bin/glcfg /etc/conf/ggb.conf val system city > $2
		;;
	*)
		usage
		;;
esac

