#!/bin/sh

SYS=`uname -s`
if test $SYS = "SunOS" ; then
  PS="ps -ef"
  PSUSER="ps -fu"
  KILL9="kill -9"
else if test $SYS = "Linux" ; then 
  PS="ps -ef --width 1000"
  PSUSER="ps -fu"
  KILL9="kill -9"
fi fi

stop(){
daemonlist="/imss/bin/imssmgr \
   /imss/bin/imssmgrmon \
   /imss/UI/javaJRE/bin/java \
   /imss/UI/apache/bin/httpd \
   /imss/bin/imssd \
   /imss/bin/imssps \
   /imss/bin/foxdns \
   /imss/bin/imsscmagent \
   /imss/bind/named \
   /imss/PostgreSQL/bin/postmaster \
   /ipprofiler/bin/TmFoxProxy \
   /ipprofiler/script/foxpurgelog \
   /nrs/nrslog_parser \
   imsstasks \
   imssausched \
   euqutil \
   dblog_janitor \
   smart_reporter \
   predata_gen \
   traffic_summary_gen"
   
for daemon in $daemonlist
do
    idlist=`$PS|grep $daemon|grep -v grep|awk '{print $2}'`
    for id in $idlist
    do
        $KILL9 $id 1>/dev/null 2>&1
    done
done
sleep 1
   
imssdaemon=`$PSUSER imss|awk '{print $2}'|grep -v PID`
for id in $imssdaemon
do
    $KILL9 $id 1>/dev/null 2>&1
done
}

case "$1" in
'stop')
   	stop;
    ;;    	        
*)
    echo "usage: $0 stop"
    exit 1
    ;;
esac
