#! /bin/bash

trap "" SIGINT
trap "unlock" EXIT

PATH=/sbin:/usr/sbin:/bin:/usr/bin:$PATH
export PATH

IMSS_HOME=/opt/trend/imss
export IMSS_HOME

LD_LIBRARY_PATH=$IMSS_HOME/lib
IMSS_DB_DIR=postgresql
IMSS_DB_INI=database.ini
KRB5_CONFIG=$IMSS_HOME/config/krb5.conf
ODBCINI=$IMSS_HOME/config/odbc.ini
ODBCSYSINI=$IMSS_HOME/config

export LD_LIBRARY_PATH
export IMSS_DB_DIR
export IMSS_DB_INI
export ODBCINI
export ODBCSYSINI
export KRB5_CONFIG

EXE_NAME=purge_scanner_info

. $IMSS_HOME/script/imssfunctions

lock
$IMSS_HOME/bin/euqutil -e
if [ $? -ne 0 ]; then
  echo "Get euq db setting information failed"
  exit 0
fi
ODBCINI=$IMSS_HOME/config/euqodbc.ini
export ODBCINI
	
cd $IMSS_HOME;
$IMSS_HOME/bin/$EXE_NAME
