#!/bin/sh
PATH=/sbin:/usr/sbin:/bin:/usr/bin:$PATH
export PATH

IMSS_HOME=/opt/trend/imss
LD_LIBRARY_PATH=$IMSS_HOME/lib
IMSS_DB_DIR=postgresql
IMSS_DB_INI=database.ini
ODBCINI=$IMSS_HOME/config/odbc.ini
ODBCSYSINI=$IMSS_HOME/config
export IMSS_HOME
export LD_LIBRARY_PATH
export IMSS_DB_DIR
export IMSS_DB_INI
export ODBCINI
export ODBCSYSINI
 
trap "" SIGINT
trap "unlock" EXIT

. $IMSS_HOME/script/imssfunctions

lock

RET=`$IMSS_HOME/bin/euqop is_enable`
echo "Euq status in db: $RET"
if [ "$RET" == "EUQ disabled." ]; then
    $IMSS_HOME/bin/euqop disable
elif [ "$RET" == "EUQ enabled." ]; then 
    $IMSS_HOME/bin/euqop enable
fi

    
