<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib uri="/WEB-INF/tld/struts-bean-el.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/tld/struts-html-el.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/tld/c.tld" prefix="c" %>

<html>
<head>
<html:base />
<title><bean:message bundle="adminResource" key="adm.permission.title" /></title>
<link rel="stylesheet" type="text/css" href="/css/trend-style.css">
<script>
   function checkSysFull(chkbox) {
      if (chkbox.checked) {
        document.forms[0].sysSettingsRead.checked = true;
      }
   }
   function checkPolicyFull(ckbox) {
      if (ckbox.checked) {
          document.forms[0].policyRead.checked = true;
      }
   }
   
   // admin cannot change its own permission
   function checkDisablePerm() {
      <c:if test="${tempAdmin.root}" >
        var form = document.forms[0];
        for (var i=0; i<form.elements.length; i++) {
          if (form.elements[i].type == 'radio') {
            form.elements[i].disabled = true;
          }        
        }
        
      </c:if>
    <c:if test="${!uiStates.hasIPFiltering && !uiStates.hasNRS}">
        document.forms[0].ipFilteringPermission[0].disabled = true;
        document.forms[0].ipFilteringPermission[1].disabled = true;
        document.forms[0].ipFilteringPermission[2].disabled = true;
    </c:if>
   }
   
   function checkBError() { 
      <c:if test="${ !empty AdminAcctErr}" var="errmsg" scope="request">
         alert("<c:out value='${AdminAcctErr}' />");
      </c:if>
   }
</script>
</head>

<body marginwidth="0" marginheight="0" leftmargin="0" topmargin="0" onload="checkDisablePerm();checkBError();">
<html:form action="/saveAccountSubTab" > 
<table cellspacing=0 cellpadding=0 width=540 border=0>
  <tbody>
    <tr> 
      <td class="content-title"><c:out value="${uiStates.adminName}" /><br></td>
      <td valign="bottom"> <div align="right"><a href="/help/<bean:message key="locale" />/admin_permissions_root_help.htm" target="_blank"><img src="/images/<bean:message key="locale" />/question_cui.gif" border="0"></a></div></td>
    </tr>
    <tr> 
      <td height="10" colspan="2" class="hor-dotted-line"><img src="/images/<bean:message key="locale" />/1space_cui.gif" width="1" height="1"></td>
    </tr>
    <tr> 
      <td height="10" colspan="2"><img src="/images/<bean:message key="locale" />/1space_cui.gif" width="1" height="10"> 
      </td>
    </tr>
  </tbody>
</table>
<TABLE cellSpacing=0 cellPadding=0 width="540" border=0>
  <TBODY>
    <TR> 
      <TD id=main-content vAlign=top width="100%"> 
          <table cellpadding="0" cellspacing="0" border="0" width="100%">
            <tr> 
              <!-- TABS -->
              <td background="/images/<bean:message key="locale" />/tab_background_cui.gif"> 
                <table cellpadding="0" cellspacing="0" border="0">
                  <tr> 
                    <td><img src="/images/<bean:message key="locale" />/tab_inactive1_left_cui.gif" width="11" height="23" alt="" border="0"></td>                    
                    <td style="vertical-align:top" background="/images/<bean:message key="locale" />/tab_inactive_background_cui.gif" class="tabinactive" nowrap> 
                    <A onmouseover="this.style.color='#FF0000';" 
      style="COLOR: #000000; text-decoration:none" 
      onmouseout="this.style.color='#000000';" 
      href="#" onclick="document.forms[0].gotoTab.value = 'auth';document.forms[0].tabAction.value = 'savePerm';document.forms[0].submit();return false;" ><bean:message bundle="adminResource" key="adm.grouproot.authentication" /></a></td>
                    <td><img src="/images/<bean:message key="locale" />/tab_inactive_right_cui.gif" width="23" height="23" alt="" border="0"></td>
                    
                    <td><img src="/images/<bean:message key="locale" />/tab_active2_left_cui.gif" width="11" height="23" alt="" border="0"></td>
                    <td background="/images/<bean:message key="locale" />/tab_active_background_cui.gif" class="tabactive" style="vertical-align:top" nowrap><bean:message bundle="adminResource" key="adm.grouproot.permission" /></td>
                    <td><img src="/images/<bean:message key="locale" />/tab_active_right_cui.gif" width="23" height="23" alt="" border="0"></td>
                  </tr>
                </table></td>
              <td background="/images/<bean:message key="locale" />/tab_background_cui.gif" align="right"><img src="/images/<bean:message key="locale" />/tab_right_corner_cui.gif" width="6" height="23" alt="" border="0"></td>
              <!-- /TABS -->
            </tr>
            <tr> 
              
            <td colspan="2" class="border"> 
              <table width="538" border="0" cellspacing="0" cellpadding="0">
                <tr> 
                  <td colspan="4">
                    <table width="538" border="0" cellpadding="0" cellspacing="0">
                      <tr> 
                        <td width="132" class="grey"><bean:message bundle="adminResource" key="adm.permission.access_areas" /></td>
                        <td width="40"  align="center" class="grey"><bean:message bundle="adminResource" key="adm.permission.full" /></td>
                        <td width="40"  align="center" class="grey"><bean:message bundle="adminResource" key="adm.permission.read" /></td>
                        <td width="40"  align="center" class="grey"><bean:message bundle="adminResource" key="adm.permission.none" /></td>
                        <td class="grey-end" >&nbsp;</td>
                      </tr>
                      <tr> 
                        <td class="data1b"><bean:message bundle="adminResource" key="adm.permission.summary" /></td>
                        <td align="center" class="data1b">
                         <html:radio property="summaryPermission" value="3" />
                        </td>
                        <td align="center" class="data1b">
                         <html:radio property="summaryPermission" value="1" />
                        </td>
                        <td align="center" class="data1b">
                         <html:radio property="summaryPermission" value="0" />
                        </td>
                        <td class="data1" >&nbsp;</td>
                      </tr>
                      <tr> 
                        <td class="data2b"><bean:message bundle="adminResource" key="adm.permission.policy" /></td>
                        <td align="center" class="data2b">
                         <html:radio property="policyPermission" value="3" />
                        </td>
                        <td align="center" class="data2b">
                         <html:radio property="policyPermission" value="1" />
                        </td>
                        <td align="center" class="data2b">
                         <html:radio property="policyPermission" value="0" />
                        </td>
                        <td class="data2" >&nbsp;</td>
                      </tr>
                      <tr> 
                        <td class="data1b"><bean:message bundle="adminResource" key="adm.permission.ipFiltering" /></td>
                        <td align="center" class="data1b">
                         <html:radio property="ipFilteringPermission" value="3" />
                        </td>
                        <td align="center" class="data1b">
                         <html:radio property="ipFilteringPermission" value="1" />
                        </td>
                        <td align="center" class="data1b">
                         <html:radio property="ipFilteringPermission" value="0" />
                        </td>
                        <td class="data1" >&nbsp;</td>
                      </tr>
                      <tr> 
                        <td class="data2b"><bean:message bundle="adminResource" key="adm.permission.reports" /></td>
                        <td align="center" class="data2b">
                         <html:radio property="reportsPermission" value="3" />
                        </td>
                        <td align="center" class="data2b">
                         <html:radio property="reportsPermission" value="1" />
                        </td>
                        <td align="center" class="data2b">
                         <html:radio property="reportsPermission" value="0" />
                        </td>
                        <td class="data2" >&nbsp;</td>
                      </tr>
                      <tr> 
                        <td class="data1b"><bean:message bundle="adminResource" key="adm.permission.logs" /></td>
                        <td align="center" class="data1b">
                         <html:radio property="logsPermission" value="3" />
                        </td>
                        <td align="center" class="data1b">
                         <html:radio property="logsPermission" value="1" />
                        </td>
                        <td align="center" class="data1b">
                         <html:radio property="logsPermission" value="0" />
                        </td>
                        <td class="data1" >&nbsp;</td>
                      </tr>
                      <tr> 
                        <td class="data2b"><bean:message bundle="adminResource" key="adm.permission.quarantines" /></td>
                        <td align="center" class="data2b">
                         <html:radio property="quarantinesPermission" value="3" />
                        </td>
                        <td align="center" class="data2b">
                         <html:radio property="quarantinesPermission" value="1" />
                        </td>
                        <td align="center" class="data2b">
                         <html:radio property="quarantinesPermission" value="0" />
                        </td>
                        <td class="data2" >&nbsp;</td>
                      </tr>
                      <tr> 
                        <td class="data1b"><bean:message bundle="adminResource" key="adm.permission.system" /></td>
                        <td align="center" class="data1b">
                         <html:radio property="systemPermission" value="3" />
                        </td>
                        <td align="center" class="data1b">
                         <html:radio property="systemPermission" value="1" />
                        </td>
                        <td align="center" class="data1b">
                         <html:radio property="systemPermission" value="0" />
                        </td>
                        <td class="data1" >&nbsp;</td>
                      </tr>
<c:if test="${appliance=='yes'}">
                      <tr> 
                        <td class="data2b"><bean:message bundle="adminResource" key="adm.permission.cli" /></td>
                        <td align="center" class="data2b">
                         <html:radio property="cliPermission" value="3" />
                        </td>
                        <td align="center" class="data2b">
                        &nbsp;
                        </td>
                        <td align="center" class="data2b">
                         <html:radio property="cliPermission" value="0" />
                        </td>
                        <td class="data2" >&nbsp;</td>
                      </tr>
</c:if>
                    </table>
                  </td>
                </tr>
              </table></td>
            </tr>
        </table>
      </TD>
    </TR>
  </TBODY>
</TABLE>
<table width="540" border="0" cellspacing="0" cellpadding="0">
  <tr> 
    <td height="28" valign="bottom"><font> 
      <input name="saveButton" type="button" class="button" value="<bean:message key="button.save" />" style="width:50px" onClick="document.forms[0].tabAction.value = 'savePerm';document.forms[0].gotoTab.value = 'saveAll';submit();return false;">
      <input name="cancelButton" type="button" class="cbutton" value="<bean:message key="button.cancel" />" onClick="self.location.href=('/displayAdminList.imss')">
      </font> </td>
  </tr>
</table>
<br>
<html:hidden property="tabAction" />
<html:hidden property="gotoTab" />
</html:form>
</body>

</html>
