﻿<%@ page contentType="text/html;charset=utf-8" language="java" %>
<%@ taglib uri="/WEB-INF/tld/struts-bean-el.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/tld/struts-html-el.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/tld/c.tld" prefix="c" %>

<html>
<head>
<title>Logs</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">


<link href="../css/trend-style.css" rel="stylesheet" type="text/css">

<script language="JavaScript" src="/javascripts/tooltip.js" type="text/javascript"></script>
<script language="JavaScript" src="/javascripts/validation.jsp"></script>

<script language="JavaScript" >

function checkallitems()
{
    if(!checknumber(document.forms[0].rptKeepDays))
        return false;

    if(!checknumber(document.forms[0].logKeepDays))
        return false;

    if(!checknumber(document.forms[0].maxLogFileSize))
        return false;


   var maxSize = document.forms[0].maxLogFileSize.value;
   if(document.forms[0].enableMaxLogFileSize.checked)
   {
      var tmp_maxSize = 99999;
      <c:if test="${appliance=='yes'}">
          tmp_maxSize = 2048;
      </c:if>   
      if(maxSize < 100 || maxSize > tmp_maxSize)
      {
         alert("<bean:message bundle="errors" key="error.log.setting.maxfilesize" />");
         return false;
      }
   }

   var keepday = document.forms[0].logKeepDays.value;
   if(document.forms[0].enableLogKeepDays.checked)
   {
      if(keepday < 1 || keepday > 99999)
      {
         alert("<bean:message bundle="errors" key="error.log.setting.logfile" />");
         return false;
      }
   
      //IMSS 7.0 SP1-00335 
      //if(keepday < 62)
      //{
      //   alert("<bean:message bundle="errors" key="error.log.setting.lowVal" />");
      //}
      if(keepday > 150)
      {
         alert("<bean:message bundle="errors" key="error.log.setting.highVal" />");
      }
   }

    return true;
}
 
function checkBError() {
    <c:if test="${ !empty saveErr}" var="errmsg" scope="request">
        alert("<c:out value='${saveErr}' />");
    </c:if>
}

function checkReadOnly()
{
    <c:if test="${adminUser.logsReadOnly}" >
        var form = document.forms[0];      
        for (i=0; i<form.elements.length; i++) {
            form.elements[i].disabled = true;
        }
	//form.cancelbtn.disabled=false;
    </c:if>
}


function LockButtons()  {
   var form =  document.forms[0];
   form.submitbtn.disabled = true;     
   return true;
}
 
function setFocus() { 
    var form = document.forms[0];
    if (form.submitbtn != null && form.submitbtn.disabled == false) {
        form.submitbtn.focus(); 
    }
}

function displayTip()
{
	var form = document.forms[0];
	if(form.logLevel.value=="normal")
		stm(Text[0],Style[0]);	

	if(form.logLevel.value=="detail")
		stm(Text[1],Style[0]);	

	if(form.logLevel.value=="diagnostic")
		stm(Text[2],Style[0]);	

	if(form.logLevel.value=="debug")
		stm(Text[3],Style[0]);	

	return false;
}

</script>

</head>

<body bgcolor="#FFFFFF" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0" onload="checkReadOnly();checkBError(); ">


<DIV id="tooltip" style="visibility:hidden;position:absolute;z-index:1000;top:-100"></DIV>
<script language="JavaScript" type="text/javascript">
Text[0]=["<bean:message bundle="logs" key="setting.loglevel.nomal.tip.title"/>","<bean:message bundle="logs" key="setting.loglevel.nomal.tip.desc"/>"]
Text[1]=["<bean:message bundle="logs" key="setting.loglevel.detailed.tip.title"/>","<bean:message bundle="logs" key="setting.loglevel.detailed.tip.desc"/>"]
Text[2]=["<bean:message bundle="logs" key="setting.loglevel.diagnostic.tip.title"/>","<bean:message bundle="logs" key="setting.loglevel.diagnostic.tip.desc"/>"]
Text[3]=["<bean:message bundle="logs" key="setting.loglevel.debug.tip.title"/>","<bean:message bundle="logs" key="setting.loglevel.debug.tip.desc"/>"]

Style[0]=["black","","","","",11,"black","white","","","",11,290,,0,"#666666",3,24,0.4,90,,"",,,12,-10]

var tipId="tooltip"
var FiltersEnabled = 1 // [for IE5.5+] if your not going to use transitions or filters in any of the tips set this to zero.
mig_clay()
</script>

<html:form action="/saveLogSettings.imss" onsubmit="return LockButtons();" >
<table cellspacing=0 cellpadding=0 width=540 border=0>
  <tbody>
    <tr> 
      <td class="content-title"><bean:message bundle="logs" key="settings.title"/><br></td>
      <td valign="bottom"> <div align="right"><a href="/help/<bean:message key="locale" />/logs_settings_help.htm" target="_blank"><img src="/images/<bean:message key="locale" />/question_cui.gif" width="16" height="16" border="0"></a></div></td>
    </tr>
    <tr> 
      <td height="10" colspan="2" class="hor-dotted-line"><img src="/images/<bean:message key="locale" />/1space_cui.gif" width="1" height="1"></td>
    </tr>
    <tr> 
      <td height="10" colspan="2"><img src="/images/<bean:message key="locale" />/1space_cui.gif" width="1" height="10"> 
      </td>
    </tr>
  </tbody>
</table>
<table width="540" border="0" cellpadding="0" cellspacing="0" class="border">
  <tr> 
    <td  colspan="2" class="tableheadergrey"><bean:message bundle="logs" key="settings.reportingLogs"/></td>
  </tr>
  <tr> 
    <td class="data1"><bean:message bundle="logs" key="settings.dbLogUpdInt"/>:</td>
    <td  class="data1"> <html:select property="rptUpdateInterval" styleClass="button" size="1">
                      <html:option value="1">01</html:option>
                      <html:option value="2">02</html:option>
                      <html:option value="3">03</html:option>
                      <html:option value="4">04</html:option>
                      <html:option value="5">05</html:option>
                      <html:option value="6">06</html:option>
                      <html:option value="7">07</html:option>
                      <html:option value="8">08</html:option>
                      <html:option value="9">09</html:option>
                      <html:option value="10">10</html:option>
                      <html:option value="11">11</html:option>
                      <html:option value="12">12</html:option>
                      <html:option value="13">13</html:option>
                      <html:option value="14">14</html:option>
                      <html:option value="15">15</html:option>
                      <html:option value="16">16</html:option>
                      <html:option value="17">17</html:option> 
                      <html:option value="18">18</html:option> 
                      <html:option value="19">19</html:option> 
                      <html:option value="20">20</html:option> 
                      <html:option value="21">21</html:option> 
                      <html:option value="22">22</html:option> 
                      <html:option value="23">23</html:option> 
                      <html:option value="24">24</html:option>
                      <html:option value="25">25</html:option>
                      <html:option value="26">26</html:option>
                      <html:option value="27">27</html:option>
                      <html:option value="28">28</html:option>
                      <html:option value="29">29</html:option>
                      <html:option value="30">30</html:option>
                      <html:option value="31">31</html:option>
                      <html:option value="32">32</html:option>
                      <html:option value="33">33</html:option>
                      <html:option value="34">34</html:option>
                      <html:option value="35">35</html:option>
                      <html:option value="36">36</html:option>
                      <html:option value="37">37</html:option>
                      <html:option value="38">38</html:option>
                      <html:option value="39">39</html:option>
                      <html:option value="40">40</html:option>
                      <html:option value="41">41</html:option>
                      <html:option value="42">42</html:option>
                      <html:option value="43">43</html:option>
                      <html:option value="44">44</html:option>
                      <html:option value="45">45</html:option>
                      <html:option value="46">46</html:option>
                      <html:option value="47">47</html:option>
                      <html:option value="48">48</html:option>
                      <html:option value="49">49</html:option>
                      <html:option value="50">50</html:option>
                      <html:option value="51">51</html:option>
                      <html:option value="52">52</html:option>
                      <html:option value="53">53</html:option>
                      <html:option value="54">54</html:option>
                      <html:option value="55">55</html:option>
                      <html:option value="56">56</html:option>
                      <html:option value="57">57</html:option>
                      <html:option value="58">58</html:option>
                      <html:option value="59">59</html:option>
                      <html:option value="60">60</html:option>
                  </html:select>
      <bean:message bundle="logs" key="settings.minutes"/></td>
  </tr>
  <tr> 
    <td width="234" class="data1"><bean:message bundle="logs" key="settings.nDaystoKeepRptg"/>:</td>
    <td width="304"  class="data1"> <html:text property="rptKeepDays" styleClass="button" size="5" maxlength='5' />
    
      <bean:message bundle="logs" key="settings.days"/></td>
  </tr>
  <tr> 
    <td height="10" colspan="2"><img src="/images/<bean:message key="locale" />/1space_cui.gif" width="1" height="10"></td>
  </tr>
  <tr> 
    <td colspan="2"><table width="100%" border="0" cellpadding="0" cellspacing="0" class="border3">
        <tr> 
          <td  class="tableheadergrey"><bean:message bundle="logs" key="settings.logfiles"/></td>
        </tr>
      </table></td>
  </tr>
  <tr> 
    <td colspan="2" style="padding-bottom:3px"><table width="538" border="0" cellspacing="0" cellpadding="0">
        <tr> 
          <td width="172"  class="data1"><bean:message bundle="logs" key="settings.appLogDetLvl"/>:</td>
          <td colspan="2" class="data1" > 
		<html:select property="logLevel" styleClass="button" size="1">
                      <html:option value="normal"><bean:message bundle="logs" key="settings.option.normal"/></html:option>
                      <html:option value="detail"><bean:message bundle="logs" key="settings.option.detailed"/></html:option>
                      <html:option value="diagnostic"><bean:message bundle="logs" key="settings.option.diagnostic"/></html:option>
			  <html:option value="debug"><bean:message bundle="logs" key="settings.option.debug"/></html:option>
           	</html:select>
	<a href="#" onMouseOver="return displayTip();" onMouseOut="htm();return false;"><img src="/images/<bean:message key="locale" />/info_mark_cui.gif" width="14" height="17" border="0" align="absmiddle"></a></td>
        </tr>
        <tr> 
          <td colspan="2"  class="data1"> <html:checkbox property="enableLogKeepDays" />
            <bean:message bundle="logs" key="settings.nDaysKeepLogFiles"/>:</td>
          <td width="240" class="data1" > <html:text property="logKeepDays" styleClass="button" size="5" maxlength='5' />
           <bean:message bundle="logs" key="settings.days"/></td>
        </tr>
        <tr> 
          <td colspan="2"  class="data1"><html:checkbox property="enableMaxLogFileSize" />
            <bean:message bundle="logs" key="settings.maxSizeLogFiles"/>:</td>
          <td class="data1" > <html:text property="maxLogFileSize" styleClass="button" size="5"  maxlength='5'/>
            MB </td>
        </tr>
      </table></td>
  </tr>
</table>
<table width="540" border="0" cellspacing="0" cellpadding="0">
  <tr> 
    <td height="28" valign="bottom">
	<html:submit property="submitbtn"  styleClass="button" onclick="return checkallitems();" style="width:50px" ><bean:message key="button.save" /></html:submit>
      <input name="cancelbtn" type="button" class="cbutton" value="<bean:message key="button.cancel" />" onClick="self.location.href=('/initLogSettings.imss')">
    </td>
  </tr>
  <tr>
  	<td><html:errors bundle="errors" property="changeOK" /></td>
  </tr>
</table>
<br>
</html:form>
</body>
</html>
