<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib uri="/WEB-INF/tld/struts-bean-el.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/tld/struts-html-el.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/tld/c.tld" prefix="c" %>

<html>
<head>
<title></title>
<link href="/css/trend-style.css" rel="stylesheet" type="text/css">
<base target="_self">
<script language="JavaScript" src="/javascripts/validation.jsp" type="text/javascript"></script>
<script language="JavaScript" src="/javascripts/popup.js" type="text/javascript"></script>
<script language="JavaScript" type="text/JavaScript">
function checkReadOnly()
{
    <c:if test="${adminUser.policyReadOnly}" >
        var form = document.forms[0];
        for (var i=0; i<form.elements.length; i++) 
        {
            form.elements[i].disabled = true;
        }        
        form.selectedGroupAddrList.disabled=false;
        form.btnCancel1.disabled=false;
        form.btnCancel2.disabled=false;
        form.addrType.disabled=false;
        form.accessFrom.disabled=false;
        form.excpAddrFromType.disabled=false;
        form.excpAddrToType.disabled=false;
    </c:if>
}

function addAddress()
{
    if(document.forms[0].addressStr.value=="*@*")
    {
        document.forms[0].addressStr.select();
        alert("That email address is invalid. Please try again.");
        return false;
    }
    if(!checkwildcardemail(document.forms[0].addressStr))
        return false;
    document.forms[0].action="/ruleAddrGroupAddAddr.imss";
    document.forms[0].submit();
    LockForm(document.forms[0]);
    return true;
}

function delAddress()
{
    document.forms[0].action="/ruleAddrGroupDeleteAddr.imss";
    document.forms[0].submit();
    LockForm(document.forms[0]);
    return true;
}

function checkForm()
{
    if(!checkempty(document.forms[0].groupName))
        return false;
    return true;
}

function reload()
{
    document.forms[0].action="/ruleAddrGroupContent.imss";
    document.forms[0].submit();
    LockForm(document.forms[0]);
    return true;
}

function cancelForm()
{
    document.forms[0].action="/ruleAddrGroupCancel.imss";
    document.forms[0].submit();
    LockForm(document.forms[0]);
    return true;
}

function checkBError()
{
  <c:if test="${ !empty errorMsg}" var="errmsg" scope="request">
     alert("<c:out value='${errorMsg}' />");
  </c:if>
}
</script>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8"></head>
<body marginwidth="0" marginheight="0" leftmargin="0" topmargin="0" onload="checkReadOnly(); checkBError();">

<table cellspacing=0 cellpadding=0 width=540 border=0>
  <tbody>
    <tr> 
      <td class="content-title"><c:out value="${addressGroupName}" /><br></td>
      <td valign="bottom"> <div align="right"><a href="/help/<bean:message key="locale" />/select_users_address_group_add_help.htm" target="_blank"><img src="/images/<bean:message key="locale" />/question_cui.gif" width="16" height="16" border="0"></a></div></td>
    </tr>
    <tr> 
      <td height="10" colspan="2" class="hor-dotted-line"><img src="/images/<bean:message key="locale" />/1space_cui.gif" width="1" height="1"></td>
    </tr>
    <tr>
      <td height="10" colspan="2" class="data1">
        <a href="/initRuleRouteFrame.imss">
        <c:if test="${uiStates.ruleUIState==1}">
        <bean:message bundle="policy" key="addRule.head" />
        </c:if>
        <c:if test="${uiStates.ruleUIState==2}">
        <c:out value="${tempRule.ruleName}"/>
        </c:if>
        </a> &gt; <c:out value="${policyStepTitle}" />
    </tr>
    <tr> 
      <td height="10" colspan="2"><img src="/images/<bean:message key="locale" />/1space_cui.gif" width="1" height="10"> 
    </tr>
    <tr> 
      <td colspan="2" class="data1"><bean:message bundle="policy" key="ruleDetail.addrGroup.example" /></td>
    </tr>
    <tr> 
      <td height="10" colspan="2"><img src="/images/<bean:message key="locale" />/1space_cui.gif" width="1" height="10"> 
    </tr>
  </tbody>
</table>

<html:form action="/ruleAddrGroupSave.imss" onsubmit="LockFormButton(this);">
<table width="540" border="0" cellspacing="0" cellpadding="0">
  <tr> 
    <td height="28" valign="top"> 
      <html:submit styleClass="button" style="width:50px" onclick="return checkForm();"><bean:message key="button.save" /></html:submit>
      <input name="btnCancel1" type="button"  class="cbutton"  value="<bean:message key="button.cancel" />" onClick="return cancelForm(); " > 
    </td>
  </tr>
</table>
<table width="540" border="0" cellpadding="0" cellspacing="0" class="border">
  <tr> 
    <td width="538" ><table width="100%" border="0" cellspacing="0" cellpadding="0">
        <tr> 
          <td width="97" height="29" class="data1"><bean:message bundle="policy" key="ruleDetail.addrGroup.name" /></td>
          <td colspan="2">
            <html:text property="groupName" styleClass="button" size="68" maxlength="256" /> 
          </td>
        </tr>
        <tr> 
          <td class="data1"><bean:message bundle="policy" key="ruleDetail.addrGroup.address" /></td>
          <td width="346">
            <html:text property="addressStr" styleClass="button" size="68" maxlength="256" /> 
          </td>
          <td>
            <input name="addButton" type="button" class="button" value="<bean:message key="button.add" />" style="width:60px" onClick="return addAddress();">
          </td>
        </tr>
        <tr> 
          <td class="data1">&nbsp;</td>
          <td>
            <html:select property="selectedGroupAddrList" size="15" multiple="true" styleClass="button" style="width:350px">
              <c:forEach items="${tempAddrGroup.addrList}" var="addr" varStatus="current" >
                <html:option value="${addr}"><c:out value="${addr}" /></html:option>
              </c:forEach>
            </html:select>
          </td>
          <td style="vertical-align:top">
            <input name="importButton" type="button" class="button" value="<bean:message key="button.import" />" style="width:60px" onClick="NewWindow('/ruleAddrGroupImport.imss?type=3','Import','540','148','no');return false;">            
            <input name="deleteButton" type="button" class="button" value="<bean:message key="button.delete" />" style="width:60px" onClick="return delAddress();">
          </td>
        </tr>
      </table></td>
  </tr>
</table>
<table width="540" border="0" cellspacing="0" cellpadding="0">
  <tr> 
    <td height="28" valign="bottom"> 
      <html:submit styleClass="button" style="width:50px" onclick="return checkForm();"><bean:message key="button.save" /></html:submit>
      <input name="btnCancel2" type="button"  class="cbutton"  value="<bean:message key="button.cancel" />" onClick="return cancelForm(); " > 
    </td>
  </tr>
</table>
<html:hidden property="addrAnyone" />
<html:hidden property="addrType" />
<html:hidden property="accessFrom" />
<html:hidden property="excpAddrFromType" />
<html:hidden property="excpAddrToType" />
</html:form>
<br>
</body>

</html>

