<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib uri="/WEB-INF/tld/struts-bean-el.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/tld/struts-html-el.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/tld/c.tld" prefix="c" %>

<html>
<head>
<title></title>
<link href="/css/trend-style.css" rel="stylesheet" type="text/css">
<script language="JavaScript" src="/javascripts/validation.jsp" type="text/javascript"></script>
<script language="JavaScript" type="text/JavaScript">
function checkReadOnly()
{
    <c:if test="${adminUser.policyReadOnly}" >
        var form = document.forms[0];
        for (var i=0; i<form.elements.length; i++) 
        {
            if(form.elements[i].type!="submit")
                form.elements[i].disabled = true;
        }
        form.selectedArea.disabled=false;
        form.btnEdit.disabled=false;
    </c:if>
}

function addObj()
{
    document.forms[0].action="/ruleActionNamedObjAdd.imss";
    document.forms[0].submit();
    LockForm(document.forms[0]);
    return true;
}

function editObj()
{
    document.forms[0].action="/ruleActionNamedObjEdit.imss";
    document.forms[0].submit();
    LockForm(document.forms[0]);
    return true;
}

function copyObj()
{
    document.forms[0].action="/ruleActionNamedObjCopy.imss";
    document.forms[0].submit();
    LockForm(document.forms[0]);
    return true;
}

function deleteObj()
{
    document.forms[0].action="/ruleActionNamedObjDelete.imss";
    document.forms[0].submit();
    LockForm(document.forms[0]);
    return true;
}

function checkBError()
{
  <c:if test="${ !empty errorMsg}" var="errmsg" scope="request">
     alert("<c:out value='${errorMsg}' />");
  </c:if>
}
</script>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8"></head>
<body marginwidth="0" marginheight="0" leftmargin="0" topmargin="0" onload="checkReadOnly(); checkBError();">

<html:form action="/ruleActionNamedObjDone.imss" onsubmit="LockFormButton(this);">
<table cellspacing=0 cellpadding=0 width=540 border=0>
  <tbody>
    <tr> 
      <td class="content-title">
        <c:if test="${uiStates.namedObjType==2}">
        <bean:message bundle="policy" key="ruleDetail.stamp.head" />
        </c:if>
        <c:if test="${uiStates.namedObjType==3}">
        <bean:message bundle="policy" key="ruleDetail.quarantine.head" />
        </c:if>
        <c:if test="${uiStates.namedObjType==4}">
        <bean:message bundle="policy" key="ruleDetail.archive.head" />
        </c:if>
      <br></td>
      <td valign="bottom"> <div align="right">
      <c:if test="${uiStates.namedObjType==2}">
      <a href="/help/<bean:message key="locale" />/rules_action_stamps_pick_help.htm" target="_blank">
      </c:if>
      <c:if test="${uiStates.namedObjType==3}">
      <a href="/help/<bean:message key="locale" />/rules_action_quarantine_help.htm" target="_blank">
      </c:if>
      <c:if test="${uiStates.namedObjType==4}">
      <a href="/help/<bean:message key="locale" />/action_archive_help.htm" target="_blank">
      </c:if>
        <img src="/images/<bean:message key="locale" />/question_cui.gif" width="16" height="16" border="0">
      </a></div></td>
    </tr>
    <tr> 
      <td height="10" colspan="2" class="hor-dotted-line"><img src="/images/<bean:message key="locale" />/1space_cui.gif" width="1" height="1"></td>
    </tr>
    <tr>
      <td height="10" colspan="2" class="data1">
      <c:if test="${uiStates.accessNameObjectFrom==1}">
        <a href="/initRuleActionFrame.imss">
        <c:if test="${uiStates.ruleUIState==1}">
        <bean:message bundle="policy" key="addRule.title.newRule" />
        </c:if>
        <c:if test="${uiStates.ruleUIState==2}">
        <c:out value="${tempRule.ruleName}"/>
        </c:if>
        </a>
      </c:if>
      <c:if test="${uiStates.accessNameObjectFrom==2}">
	   <c:if test="${scanExcpObj.type == 0}">
            <a href="/initSEpasswordAction.imss?type=0">
	      <bean:message bundle="systemResource" key="sys.scanExcp.title.violation" />
            </a>
          </c:if>
          <c:if test="${scanExcpObj.type == 1}">
            <a href="/initSEpasswordAction.imss?type=1">
	      <bean:message bundle="systemResource" key="sys.scanExcp.title.encryptMsg" />
            </a>
          </c:if>
          <c:if test="${scanExcpObj.type == 2}">
            <a href="/initSEpasswordAction.imss?type=2">
	      <bean:message bundle="systemResource" key="sys.scnaExcp.title.msgPasswordZip" />
            </a>
          </c:if>
          <c:if test="${scanExcpObj.type == 3}">
            <a href="/initSEpasswordAction.imss?type=3">
	      <bean:message bundle="systemResource" key="sys.scanExcp.title.otherScanning" />
            </a>
          </c:if>
      </c:if>
        &gt; 
          <c:if test="${uiStates.namedObjType==2}">
          <bean:message bundle="policy" key="ruleDetail.stamp.head" />
          </c:if>
          <c:if test="${uiStates.namedObjType==3}">
          <bean:message bundle="policy" key="ruleDetail.quarantine.head" />
          </c:if>
          <c:if test="${uiStates.namedObjType==4}">
          <bean:message bundle="policy" key="ruleDetail.archive.head" />
          </c:if>
        </td>
    </tr>
    <tr> 
      <td height="10" colspan="2"><img src="/images/<bean:message key="locale" />/1space_cui.gif" width="1" height="10"> 
      </td>
    </tr>
  </tbody>
</table>
<table width="540" border="0" cellpadding="0" cellspacing="0">
  <tr> 
    <td height="28" valign="top"> 
      <html:submit styleClass="button" style="width:50px" ><bean:message key="button.done" /></html:submit>
    </td>
  </tr>
</table>
<table width="540" border="0" cellspacing="0" cellpadding="0">
  <tr> 
    <td class="border" style="padding:5px"><table border="0" cellpadding="0" cellspacing="0">
        <tr> 
          <td >
            <html:select property="selectedArea" size="12" multiple="true" styleClass="button" style="width:350px">
            <c:if test="${uiStates.namedObjType==2}">
              <c:set var="list" value="${ruleStampList}" />
            </c:if>
            <c:if test="${uiStates.namedObjType==3}">
              <c:set var="list" value="${ruleQuarantineList}" />
            </c:if>
            <c:if test="${uiStates.namedObjType==4}">
              <c:set var="list" value="${ruleArchiveList}" />
            </c:if>
            <c:forEach items="${list}" var="item" varStatus="index">
              <html:option value="${item.id}"><c:out value="${item.name}" /></html:option>
            </c:forEach>
            </html:select> 
          </td>
          <td style="vertical-align:top"> 
            <input name="btnAdd" type="button" class="button" value="<bean:message key="button.add" />" style="width:50px" onClick="return addObj();">
            <br>
            <input name="btnEdit" type="button" class="button" value="<bean:message key="button.edit" />" style="width:50px" onClick="return editObj();">
            <br>
            <c:if test="${uiStates.namedObjType==2}">
            <input name="btnCopy" type="button" class="button" value="<bean:message key="button.copy" />" style="width:50px" onClick="return copyObj();">
            <br>
            </c:if>
            <input name="btnDelete" type="button" class="button" value="<bean:message key="button.delete" />" style="width:50px" onClick="return deleteObj();"> 
          </td>
        </tr>
      </table></td>
  </tr>
</table>
<table width="540" border="0" cellpadding="0" cellspacing="0">
  <tr> 
    <td height="28" valign="bottom"> 
      <html:submit styleClass="button" style="width:50px" ><bean:message key="button.done" /></html:submit>
    </td>
  </tr>
</table>
</html:form>
<br>
</body>

</html>

