<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib uri="/WEB-INF/tld/struts-bean-el.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/tld/struts-html-el.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/tld/c.tld" prefix="c" %>

<html>
<head>
<title></title>
<link href="/css/trend-style.css" rel="stylesheet" type="text/css">
<script src="/javascripts/expand.js"></script>
<script src="/javascripts/imageswap2.js"></script>
<script language="JavaScript" src="/javascripts/validation.jsp" type="text/javascript"></script>
<script language="JavaScript" src="/javascripts/popup.js" type="text/javascript"></script>
<script language="JavaScript" type="text/JavaScript">
function checkReadOnly()
{
    <c:if test="${adminUser.policyReadOnly}" >
        var form = ruleAttrNameForm;
        for (var i=0; i<form.elements.length; i++) 
        {
            form.elements[i].disabled = true;
        }
        form.btnCancel1.disabled=false;
        form.btnCancel2.disabled=false;
        form.manualName.disabled=false;
    </c:if>
}

function openImport()
{
    var url='/ruleAttrNameImport.imss';
    NewWindow(url,'Import','540','110','no');
    return false;
}

function setManualName(manual_name)
{	  
    ruleAttrNameForm.manualName.value+=manual_name+';';
    return true;
}

function trimFilename()
{
 
    expression = document.forms[0].manualName.value;
      
    re = new RegExp("\r", "ig");
    new_expression = expression.replace(re, "");
    re = new RegExp("\n", "ig");
    new_expression = new_expression.replace(re, "");
    re = new RegExp("\t", "ig");
    new_expression = new_expression.replace(re, "");
      
    if((event.keyCode==9 )
        || (event.keyCode==10 )
        || (event.keyCode==13 ) )
    {
       return false;
    }

    if(new_expression.length!=expression.length)
    {
        document.forms[0].manualName.value=new_expression;
    }

    return true;
}

function updateCheckbox()
{
    updateCheckboxGroup(document.forms[0].recommended[0], document.forms[0].recommendedChkbox, document.forms[0].recommended);
    updateCheckboxGroup(document.forms[0].commons[0], document.forms[0].chooseCommon, document.forms[0].commons);
    updateExpand(document.forms[0].recommended, 'recommendedList', 'iamge0');
    updateExpand(document.forms[0].commons, 'common', 'iamge1');
}

function updateUIStatus()
{
    if(document.forms[0].includeUserList.checked)
    {
        document.forms[0].manualName.disabled=false;
        document.forms[0].importBtn.disabled=false;
    }
    else
    {
        document.forms[0].manualName.disabled=true;
        document.forms[0].importBtn.disabled=true;
    }
}

function checkBError()
{
  <c:if test="${ !empty errorMsg}" var="errmsg" scope="request">
     alert("<c:out value='${errorMsg}' />");
  </c:if>
}

</script>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8"></head>
<body marginwidth="0" marginheight="0" leftmargin="0" topmargin="0" onload="updateCheckbox(); updateUIStatus(); checkReadOnly(); checkBError();">

<table cellspacing=0 cellpadding=0 width=540 border=0>
  <tbody>
    <tr> 
      <td class="content-title"><bean:message bundle="policy" key="ruleDetail.name.head" /><br></td>
      <td align="right" valign="bottom"><a href="/help/<bean:message key="locale" />/criteria_attachment_name_help.htm" target="_blank"><img src="/images/<bean:message key="locale" />/question_cui.gif" width="16" height="16" border="0"></a></td>
    </tr>
    <tr> 
      <td height="10" colspan="2" class="hor-dotted-line"><img src="/images/<bean:message key="locale" />/1space_cui.gif" width="1" height="1"></td>
    </tr>
    <tr>
      <td height="10" colspan="2" class="data1">
        <a href="/initRuleAttributeFrame.imss">
        <c:if test="${uiStates.ruleUIState==1}">
        <bean:message bundle="policy" key="addRule.title.newRule" />
        </c:if>
        <c:if test="${uiStates.ruleUIState==2}">
        <c:out value="${tempRule.ruleName}"/>
        </c:if>
        </a> &gt; <bean:message bundle="policy" key="ruleDetail.name.title" />
      </td>
    </tr>
    </tr>
    <tr> 
      <td height="10" colspan="2"><img src="/images/<bean:message key="locale" />/1space_cui.gif" width="1" height="10"> 
    </tr>
  </tbody>
</table>

<html:form action="/ruleAttrNameSave.imss" onsubmit="LockFormButton(this);">
<table width="540" border="0" cellspacing="0" cellpadding="0">
  <tr> 
    <td height="28" valign="top">
      <html:submit styleClass="button" style="width:50px"><bean:message key="button.save" /></html:submit>
      <input name="btnCancel1" type="button"  class="cbutton"  value="<bean:message key="button.cancel" />" onClick="self.location.href=('/ruleAttrNameCancel.imss'); LockForm(document.forms[0]);" > 
    </td>
  </tr>
</table>
<table width="540" border="0" cellpadding="0" cellspacing="0" class="border">
  <tr> 
    <td width="629" height="26"  class="data1" style="padding-top:3px">
      <bean:message bundle="policy" key="ruleDetail.select" />
      <html:select property="matchMethod" styleClass="button">
        <html:option value="0"><bean:message bundle="policy" key="ruleDetail.name.selectAttachName" /></html:option>
        <html:option value="1"><bean:message bundle="policy" key="ruleDetail.name.notSelectAttachName" /></html:option>
      </html:select>
    </td>
  </tr>
  <tr> 
    <td  class="data1">
       <input name="recommendedChkbox" type="checkbox" value="recommendedChkbox"
          onClick="updateCheckboxGroup(this, this, document.forms[0].recommended);"> 
        <a href="#" class="expand" onClick="checkExpand(document.forms[0].recommended, 'recommendedList', 'image0'); return false;"><bean:message bundle="policy" key="ruleDetail.name.fExtBlock" /><img id="image0" src="/images/<bean:message key="locale" />/arrow_down.gif" border="0"></a></td>
  </tr>
  <tr> 
    <td><table width="538" border="0" cellspacing="0" cellpadding="0" id="recommendedList" name="recommendedList" class="switchcontent" > 
        <tr> 
          <td width="24">&nbsp;</td>
          <td width="20"  > 
            <html:multibox property="recommended" onclick="updateCheckboxGroup(this, document.forms[0].recommendedChkbox, document.forms[0].recommended);">386</html:multibox>
          </td>
          <td width="69"  class="data1" > 386 </td>
          <td width="425"  class="data1" > <bean:message bundle="policy" key="attachName.extDesc.386" /> </td>
        </tr>
        <tr> 
          <td>&nbsp;</td>  
          <td width="20"  > <html:multibox property="recommended" onclick="updateCheckboxGroup(this, document.forms[0].recommendedChkbox, document.forms[0].recommended);">ACM</html:multibox></td>
          <td  class="data1" > ACM </td>
          <td  class="data1" > <bean:message bundle="policy" key="attachName.extDesc.ACM" /> </td>
        </tr>
        <tr> 
          <td>&nbsp;</td>
          <td width="20"  > <html:multibox property="recommended" onclick="updateCheckboxGroup(this, document.forms[0].recommendedChkbox, document.forms[0].recommended);">ASP</html:multibox></td>
          <td  class="data1" > ASP </td>
          <td  class="data1" > <bean:message bundle="policy" key="attachName.extDesc.ASP" /> </td>
        </tr>
        <tr> 
          <td>&nbsp;</td>
          <td width="20"  > <html:multibox property="recommended" onclick="updateCheckboxGroup(this, document.forms[0].recommendedChkbox, document.forms[0].recommended);">AVB</html:multibox></td>
          <td  class="data1" > AVB </td>
          <td  class="data1" > <bean:message bundle="policy" key="attachName.extDesc.AVB" /> </td>
        </tr>
        <tr> 
          <td>&nbsp;</td>
          <td width="20"  > <html:multibox property="recommended" onclick="updateCheckboxGroup(this, document.forms[0].recommendedChkbox, document.forms[0].recommended);">BAT</html:multibox></td>
          <td  class="data1" > BAT </td>
          <td  class="data1" > <bean:message bundle="policy" key="attachName.extDesc.BAT" /> </td>
        </tr>
        <tr> 
          <td>&nbsp;</td>
          <td width="20"  > <html:multibox property="recommended" onclick="updateCheckboxGroup(this, document.forms[0].recommendedChkbox, document.forms[0].recommended);">BIN</html:multibox></td>
          <td  class="data1" > BIN </td>
          <td  class="data1" > <bean:message bundle="policy" key="attachName.extDesc.BIN" /> </td>
        </tr>
        <tr> 
          <td>&nbsp;</td>
          <td width="20"  > <html:multibox property="recommended" onclick="updateCheckboxGroup(this, document.forms[0].recommendedChkbox, document.forms[0].recommended);">CGI</html:multibox></td>
          <td  class="data1" > CGI<o:p></o:p> </td>
          <td  class="data1" > <bean:message bundle="policy" key="attachName.extDesc.CGI" /><o:p></o:p> </td>
        </tr>
        <tr> 
          <td>&nbsp;</td>
          <td width="20"  > <html:multibox property="recommended" onclick="updateCheckboxGroup(this, document.forms[0].recommendedChkbox, document.forms[0].recommended);">CHM</html:multibox></td>
          <td  class="data1" > CHM<o:p></o:p> </td>
          <td  class="data1" > <bean:message bundle="policy" key="attachName.extDesc.CHM" /><o:p></o:p> </td>
        </tr>
        <tr> 
          <td>&nbsp;</td>
          <td width="20"  > <html:multibox property="recommended" onclick="updateCheckboxGroup(this, document.forms[0].recommendedChkbox, document.forms[0].recommended);">CLA</html:multibox></td>
          <td  class="data1" > CLA </td>
          <td  class="data1" > <bean:message bundle="policy" key="attachName.extDesc.CLA" /> </td>
        </tr>
        <tr> 
          <td>&nbsp;</td>
          <td width="20"  > <html:multibox property="recommended" onclick="updateCheckboxGroup(this, document.forms[0].recommendedChkbox, document.forms[0].recommended);">CLASS</html:multibox></td>
          <td  class="data1" > CLASS </td>
          <td  class="data1" > <bean:message bundle="policy" key="attachName.extDesc.CLASS" />&nbsp; 
          </td>
        </tr>
        <tr> 
          <td>&nbsp;</td>
          <td width="20"  > <html:multibox property="recommended" onclick="updateCheckboxGroup(this, document.forms[0].recommendedChkbox, document.forms[0].recommended);">CMD</html:multibox></td>
          <td  class="data1" > CMD </td>
          <td  class="data1" > <bean:message bundle="policy" key="attachName.extDesc.CMD" /> </td>
        </tr>
        <tr> 
          <td>&nbsp;</td>
          <td width="20"  > <html:multibox property="recommended" onclick="updateCheckboxGroup(this, document.forms[0].recommendedChkbox, document.forms[0].recommended);">CNV</html:multibox></td>
          <td  class="data1" > CNV </td>
          <td  class="data1" > <bean:message bundle="policy" key="attachName.extDesc.CNV" /> </td>
        </tr>
        <tr> 
          <td>&nbsp;</td>
          <td width="20"  > <html:multibox property="recommended" onclick="updateCheckboxGroup(this, document.forms[0].recommendedChkbox, document.forms[0].recommended);">COM</html:multibox></td>
          <td  class="data1" > COM </td>
          <td  class="data1" > <bean:message bundle="policy" key="attachName.extDesc.EXE" /> </td>
        </tr>
        <tr> 
          <td>&nbsp;</td>
          <td width="20"  > <html:multibox property="recommended" onclick="updateCheckboxGroup(this, document.forms[0].recommendedChkbox, document.forms[0].recommended);">CS*</html:multibox></td>
          <td  class="data1" > CS* </td>
          <td  class="data1" > <bean:message bundle="policy" key="attachName.extDesc.CS" /> </td>
        </tr>
        <tr> 
          <td>&nbsp;</td>
          <td width="20"  > <html:multibox property="recommended" onclick="updateCheckboxGroup(this, document.forms[0].recommendedChkbox, document.forms[0].recommended);">DLL</html:multibox></td>
          <td  class="data1" > DLL </td>
          <td  class="data1" > <bean:message bundle="policy" key="attachName.extDesc.DLL" /> </td>
        </tr>
        <tr> 
          <td>&nbsp;</td>
          <td width="20"  > <html:multibox property="recommended" onclick="updateCheckboxGroup(this, document.forms[0].recommendedChkbox, document.forms[0].recommended);">DRV</html:multibox></td>
          <td  class="data1" > DRV </td>
          <td  class="data1" > <bean:message bundle="policy" key="attachName.extDesc.DRV" /> </td>
        </tr>
        <tr> 
          <td>&nbsp;</td>
          <td width="20"  > <html:multibox property="recommended" onclick="updateCheckboxGroup(this, document.forms[0].recommendedChkbox, document.forms[0].recommended);">EXE</html:multibox></td>
          <td  class="data1" > EXE </td>
          <td  class="data1" > <bean:message bundle="policy" key="attachName.extDesc.EXE" /> </td>
        </tr>
        <tr> 
          <td>&nbsp;</td>
          <td width="20"  > <html:multibox property="recommended" onclick="updateCheckboxGroup(this, document.forms[0].recommendedChkbox, document.forms[0].recommended);">GMS</html:multibox></td>
          <td  class="data1" > GMS </td>
          <td  class="data1" > <bean:message bundle="policy" key="attachName.extDesc.GMS" /> 
          </td>
        </tr>
        <tr> 
          <td>&nbsp;</td>
          <td width="20"  > <html:multibox property="recommended" onclick="updateCheckboxGroup(this, document.forms[0].recommendedChkbox, document.forms[0].recommended);">HLP</html:multibox></td>
          <td  class="data1" > HLP </td>
          <td  class="data1" > <bean:message bundle="policy" key="attachName.extDesc.HLP" /> </td>
        </tr>
        <tr> 
          <td>&nbsp;</td>
          <td width="20"  > <html:multibox property="recommended" onclick="updateCheckboxGroup(this, document.forms[0].recommendedChkbox, document.forms[0].recommended);">HTA</html:multibox></td>
          <td  class="data1" > HTA </td>
          <td  class="data1" > <bean:message bundle="policy" key="attachName.extDesc.HTA" /> </td>
        </tr>
        <tr> 
          <td>&nbsp;</td>
          <td width="20"  > <html:multibox property="recommended" onclick="updateCheckboxGroup(this, document.forms[0].recommendedChkbox, document.forms[0].recommended);">HTM*</html:multibox></td>
          <td  class="data1" > HTM, <bean:message bundle="policy" key="attachName.and" /> HTML </td>
          <td  class="data1" > <bean:message bundle="policy" key="attachName.extDesc.HTM" /> </td>
        </tr>
        <tr> 
          <td>&nbsp;</td>
          <td width="20"  > <html:multibox property="recommended" onclick="updateCheckboxGroup(this, document.forms[0].recommendedChkbox, document.forms[0].recommended);">HTT</html:multibox></td>
          <td  class="data1" > HTT </td>
          <td  class="data1" > <bean:message bundle="policy" key="attachName.extDesc.HTT" /> </td>
        </tr>
        <tr> 
          <td>&nbsp;</td>
          <td width="20"  > <html:multibox property="recommended" onclick="updateCheckboxGroup(this, document.forms[0].recommendedChkbox, document.forms[0].recommended);">INF</html:multibox></td>
          <td  class="data1" > INF </td>
          <td  class="data1" > <bean:message bundle="policy" key="attachName.extDesc.INF" /> </td>
        </tr>
        <tr> 
          <td>&nbsp;</td>
          <td width="20"  > <html:multibox property="recommended" onclick="updateCheckboxGroup(this, document.forms[0].recommendedChkbox, document.forms[0].recommended);">INI</html:multibox></td>
          <td  class="data1" > INI </td>
          <td  class="data1" > <bean:message bundle="policy" key="attachName.extDesc.INI" /> 
          </td>
        </tr>
        <tr> 
          <td>&nbsp;</td>
          <td width="20"  > <html:multibox property="recommended" onclick="updateCheckboxGroup(this, document.forms[0].recommendedChkbox, document.forms[0].recommended);">JS*</html:multibox></td>
          <td  class="data1" > JS*, JS <bean:message bundle="policy" key="attachName.or" /> JSE </td>
          <td  class="data1" > <bean:message bundle="policy" key="attachName.extDesc.JSE" />&nbsp; 
          </td>
        </tr>
        <tr> 
          <td>&nbsp;</td>
          <td width="20"  ><html:multibox property="recommended" onclick="updateCheckboxGroup(this, document.forms[0].recommendedChkbox, document.forms[0].recommended);">LNK</html:multibox></td>
          <td  class="data1" > LNK </td>
          <td  class="data1" > <bean:message bundle="policy" key="attachName.extDesc.LNK" /> </td>
        </tr>
        <tr> 
          <td>&nbsp;</td>
          <td width="20"  > <html:multibox property="recommended" onclick="updateCheckboxGroup(this, document.forms[0].recommendedChkbox, document.forms[0].recommended);">MHT*</html:multibox></td>
          <td  class="data1" > MHT* </td>
          <td  class="data1" > <bean:message bundle="policy" key="attachName.extDesc.MHT" /> </td>
        </tr>
        <tr> 
          <td>&nbsp;</td>
          <td width="20"  > <html:multibox property="recommended" onclick="updateCheckboxGroup(this, document.forms[0].recommendedChkbox, document.forms[0].recommended);">MPD</html:multibox></td>
          <td  class="data1" > MPD </td>
          <td  class="data1" > <bean:message bundle="policy" key="attachName.extDesc.MPD" /> </td>
        </tr>
        <tr> 
          <td>&nbsp;</td>
          <td width="20"  > <html:multibox property="recommended" onclick="updateCheckboxGroup(this, document.forms[0].recommendedChkbox, document.forms[0].recommended);">OCX</html:multibox></td>
          <td  class="data1" > OCX </td>
          <td  class="data1" > <bean:message bundle="policy" key="attachName.extDesc.OCX" /> </td>
        </tr>
        <tr> 
          <td>&nbsp;</td>
          <td width="20"  > <html:multibox property="recommended" onclick="updateCheckboxGroup(this, document.forms[0].recommendedChkbox, document.forms[0].recommended);">OPO</html:multibox></td>
          <td  class="data1" > OPO<o:p></o:p> </td>
          <td  class="data1" > <bean:message bundle="policy" key="attachName.extDesc.OPO" /><o:p></o:p> 
          </td>
        </tr>
        <tr> 
          <td>&nbsp;</td>
          <td width="20"  > <html:multibox property="recommended" onclick="updateCheckboxGroup(this, document.forms[0].recommendedChkbox, document.forms[0].recommended);">OV*</html:multibox></td>
          <td  class="data1" > OV* </td>
          <td  class="data1" > <bean:message bundle="policy" key="attachName.extDesc.OV" /> </td>
        </tr>
        <tr> 
          <td>&nbsp;</td>
          <td width="20"  > <html:multibox property="recommended" onclick="updateCheckboxGroup(this, document.forms[0].recommendedChkbox, document.forms[0].recommended);">PHP</html:multibox></td>
          <td  class="data1" > PHP<o:p></o:p> </td>
          <td  class="data1" > <bean:message bundle="policy" key="attachName.extDesc.PHP" /><o:p></o:p> </td>
        </tr>
        <tr> 
          <td>&nbsp;</td>
          <td width="20"  > <html:multibox property="recommended" onclick="updateCheckboxGroup(this, document.forms[0].recommendedChkbox, document.forms[0].recommended);">PIF</html:multibox></td>
          <td  class="data1" > PIF </td>
          <td  class="data1" > <bean:message bundle="policy" key="attachName.extDesc.PIF" /> </td>
        </tr>
        <tr> 
          <td>&nbsp;</td>
          <td width="20"  > <html:multibox property="recommended" onclick="updateCheckboxGroup(this, document.forms[0].recommendedChkbox, document.forms[0].recommended);">PL</html:multibox></td>
          <td  class="data1" > PL<o:p></o:p> </td>
          <td  class="data1" > <bean:message bundle="policy" key="attachName.extDesc.PL" /><o:p></o:p> 
          </td>
        </tr>
        <tr> 
          <td>&nbsp;</td>
          <td width="20"  > <html:multibox property="recommended" onclick="updateCheckboxGroup(this, document.forms[0].recommendedChkbox, document.forms[0].recommended);">PRC</html:multibox></td>
          <td  class="data1" > PRC<o:p></o:p> </td>
          <td  class="data1" > <bean:message bundle="policy" key="attachName.extDesc.PRC" /><o:p></o:p> </td>
        </tr>
        <tr> 
          <td>&nbsp;</td>
          <td width="20"  > <html:multibox property="recommended" onclick="updateCheckboxGroup(this, document.forms[0].recommendedChkbox, document.forms[0].recommended);">REG</html:multibox></td>
          <td  class="data1" > REG<o:p></o:p> </td>
          <td  class="data1" > <bean:message bundle="policy" key="attachName.extDesc.REG" /><o:p></o:p> 
          </td>
        </tr>
        <tr> 
          <td>&nbsp;</td>
          <td width="20"  > <html:multibox property="recommended" onclick="updateCheckboxGroup(this, document.forms[0].recommendedChkbox, document.forms[0].recommended);">SCR</html:multibox></td>
          <td  class="data1" > SCR </td>
          <td  class="data1" > <bean:message bundle="policy" key="attachName.extDesc.SCR" /> </td>
        </tr>
        <tr> 
          <td>&nbsp;</td>
          <td width="20"  > <html:multibox property="recommended" onclick="updateCheckboxGroup(this, document.forms[0].recommendedChkbox, document.forms[0].recommended);">SH</html:multibox></td>
          <td  class="data1" > SH<o:p></o:p> </td>
          <td  class="data1" > <bean:message bundle="policy" key="attachName.extDesc.SH" /><o:p></o:p> 
          </td>
        </tr>
        <tr> 
          <td>&nbsp;</td>
          <td width="20"  > <html:multibox property="recommended" onclick="updateCheckboxGroup(this, document.forms[0].recommendedChkbox, document.forms[0].recommended);">SHS</html:multibox></td>
          <td  class="data1" > SHS </td>
          <td  class="data1" > <bean:message bundle="policy" key="attachName.extDesc.SHS" /> 
          </td>
        </tr>
        <tr> 
          <td>&nbsp;</td>
          <td width="20"  > <html:multibox property="recommended" onclick="updateCheckboxGroup(this, document.forms[0].recommendedChkbox, document.forms[0].recommended);">SYS</html:multibox></td>
          <td  class="data1" > SYS </td>
          <td  class="data1" > <bean:message bundle="policy" key="attachName.extDesc.SYS" /> 
          </td>
        </tr>
        <tr> 
          <td>&nbsp;</td>
          <td width="20"  > <html:multibox property="recommended" onclick="updateCheckboxGroup(this, document.forms[0].recommendedChkbox, document.forms[0].recommended);">TLB</html:multibox></td>
          <td  class="data1" > TLB </td>
          <td  class="data1" > <bean:message bundle="policy" key="attachName.extDesc.TLB" /></td>
        </tr>
        <tr> 
          <td>&nbsp;</td>
          <td width="20"  > <html:multibox property="recommended" onclick="updateCheckboxGroup(this, document.forms[0].recommendedChkbox, document.forms[0].recommended);">TSP</html:multibox></td>
          <td  class="data1" > TSP </td>
          <td  class="data1" > <bean:message bundle="policy" key="attachName.extDesc.TSP" /> </td>
        </tr>
        <tr> 
          <td>&nbsp;</td>
          <td width="20"  > <html:multibox property="recommended" onclick="updateCheckboxGroup(this, document.forms[0].recommendedChkbox, document.forms[0].recommended);">VBS</html:multibox></td>
          <td  class="data1" > VBS </td>
          <td  class="data1" > <bean:message bundle="policy" key="attachName.extDesc.VBS" /></td>
        </tr>
        <tr> 
          <td>&nbsp;</td>
          <td width="20"  > <html:multibox property="recommended" onclick="updateCheckboxGroup(this, document.forms[0].recommendedChkbox, document.forms[0].recommended);">VBE</html:multibox></td>
          <td  class="data1" > VBE </td>
          <td  class="data1" > <bean:message bundle="policy" key="attachName.extDesc.VBE" />
          </td>
        </tr>
        <tr> 
          <td>&nbsp;</td>
          <td width="20"  > <html:multibox property="recommended" onclick="updateCheckboxGroup(this, document.forms[0].recommendedChkbox, document.forms[0].recommended);">VXD</html:multibox></td>
          <td  class="data1" > VXD </td>
          <td  class="data1" > <bean:message bundle="policy" key="attachName.extDesc.VXD" />
          </td>
        </tr>
        <tr> 
          <td>&nbsp;</td>
          <td width="20"  > <html:multibox property="recommended" onclick="updateCheckboxGroup(this, document.forms[0].recommendedChkbox, document.forms[0].recommended);">WBS</html:multibox></td>
          <td  class="data1" > WBS<o:p></o:p> </td>
          <td  class="data1" > <bean:message bundle="policy" key="attachName.extDesc.WBS" /><o:p></o:p> 
          </td>
        </tr>
        <tr> 
          <td>&nbsp;</td>
          <td width="20"  > <html:multibox property="recommended" onclick="updateCheckboxGroup(this, document.forms[0].recommendedChkbox, document.forms[0].recommended);">WBT</html:multibox></td>
          <td  class="data1" > WBT </td>
          <td  class="data1" > <bean:message bundle="policy" key="attachName.extDesc.WBT" /> </td>
        </tr>
        <tr> 
          <td>&nbsp;</td>
          <td width="20"  > <html:multibox property="recommended" onclick="updateCheckboxGroup(this, document.forms[0].recommendedChkbox, document.forms[0].recommended);">WIZ</html:multibox></td>
          <td  class="data1" > WIZ </td>
          <td  class="data1" > <bean:message bundle="policy" key="attachName.extDesc.WIZ" /> </td>
        </tr>
        <tr> 
          <td>&nbsp;</td>
          <td width="20"  > <html:multibox property="recommended" onclick="updateCheckboxGroup(this, document.forms[0].recommendedChkbox, document.forms[0].recommended);">WSH </html:multibox></td>
          <td  class="data1" > WSH </td>
          <td  class="data1" > <bean:message bundle="policy" key="attachName.extDesc.WSH" /> </td>
        </tr>
      </table></td>
  </tr>
  <tr> 
    <td class="data1"> 
      <input name="chooseCommon" type="checkbox" value="chooseCommon"
         onClick="updateCheckboxGroup(this, this, document.forms[0].commons);"> 
      <a href="#" class="expand" onClick="checkExpand(document.forms[0].commons, 'common', 'image1'); return false;"><bean:message bundle="policy" key="ruleDetail.name.fExtConsiderBlock" /><img id="image1" src="/images/<bean:message key="locale" />/arrow_down.gif" border="0"></a></td>
  </tr>
  <tr> 
    <td><table width="538" border="0" cellspacing="0" cellpadding="0" id="common" class="switchcontent">              
        <tr> 
          <td width="24">&nbsp;</td>
          <td width="20" > <html:multibox property="commons" onclick="updateCheckboxGroup(this, document.forms[0].chooseCommon, document.forms[0].commons);">CD*</html:multibox></td>
          <td width="69" class="data1" > CD* </td>
          <td width="425" class="data1" > <bean:message bundle="policy" key="attachName.extDesc.CD" /> 
          </td>
        </tr>
        <tr> 
          <td>&nbsp;</td>
          <td width="20" > <html:multibox property="commons" onclick="updateCheckboxGroup(this, document.forms[0].chooseCommon, document.forms[0].commons);">CPT</html:multibox></td>
          <td class="data1" > CPT </td>
          <td class="data1" > <bean:message bundle="policy" key="attachName.extDesc.CPT" /> </td>
        </tr>
        <tr> 
          <td>&nbsp;</td>
          <td width="20" ><html:multibox property="commons" onclick="updateCheckboxGroup(this, document.forms[0].chooseCommon, document.forms[0].commons);">DO*</html:multibox></td>
          <td class="data1" > DO* </td>
          <td class="data1" > <bean:message bundle="policy" key="attachName.extDesc.DO" /> </td>
        </tr>
        <tr> 
          <td>&nbsp;</td>
          <td width="20" > <html:multibox property="commons" onclick="updateCheckboxGroup(this, document.forms[0].chooseCommon, document.forms[0].commons);">DVB</html:multibox></td>
          <td class="data1" > DVB </td>
          <td class="data1" > <bean:message bundle="policy" key="attachName.extDesc.DVB" /> </td>
        </tr>
        <tr> 
          <td>&nbsp;</td>
          <td width="20" > <html:multibox property="commons" onclick="updateCheckboxGroup(this, document.forms[0].chooseCommon, document.forms[0].commons);">EML</html:multibox></td>
          <td class="data1" > EML </td>
          <td class="data1" > <bean:message bundle="policy" key="attachName.extDesc.EML" /> </td>
        </tr>
        <tr> 
          <td>&nbsp;</td>
          <td width="20" > <html:multibox property="commons" onclick="updateCheckboxGroup(this, document.forms[0].chooseCommon, document.forms[0].commons);">MD*</html:multibox></td>
          <td class="data1" > MD* </td>
          <td class="data1" > <bean:message bundle="policy" key="attachName.extDesc.MD" /> </td>
        </tr>
        <tr> 
          <td>&nbsp;</td>
          <td width="20" > <html:multibox property="commons" onclick="updateCheckboxGroup(this, document.forms[0].chooseCommon, document.forms[0].commons);">MPP</html:multibox></td>
          <td class="data1" > MPP </td>
          <td class="data1" > <bean:message bundle="policy" key="attachName.extDesc.MPP" /> </td>
        </tr>
        <tr> 
          <td>&nbsp;</td>
          <td width="20" > <html:multibox property="commons" onclick="updateCheckboxGroup(this, document.forms[0].chooseCommon, document.forms[0].commons);">MPT</html:multibox></td>
          <td class="data1" > MPT </td>
          <td class="data1" > <bean:message bundle="policy" key="attachName.extDesc.MPT" /> </td>
        </tr>
        <tr> 
          <td>&nbsp;</td>
          <td width="20" > <html:multibox property="commons" onclick="updateCheckboxGroup(this, document.forms[0].chooseCommon, document.forms[0].commons);">MSG</html:multibox></td>
          <td class="data1" > MSG </td>
          <td class="data1" > <bean:message bundle="policy" key="attachName.extDesc.MSG" /> </td>
        </tr>
        <tr> 
          <td>&nbsp;</td>
          <td width="20" > <html:multibox property="commons" onclick="updateCheckboxGroup(this, document.forms[0].chooseCommon, document.forms[0].commons);">NWS*</html:multibox></td>
          <td class="data1" > NWS* </td>
          <td class="data1" > <bean:message bundle="policy" key="attachName.extDesc.NWS" /> </td>
        </tr>
        <tr> 
          <td>&nbsp;</td>
          <td width="20" > <html:multibox property="commons" onclick="updateCheckboxGroup(this, document.forms[0].chooseCommon, document.forms[0].commons);">OBD</html:multibox></td>
          <td class="data1" > OBD </td>
          <td class="data1" > <bean:message bundle="policy" key="attachName.extDesc.OBD" /> </td>
        </tr>
        <tr> 
          <td>&nbsp;</td>
          <td width="20" > <html:multibox property="commons" onclick="updateCheckboxGroup(this, document.forms[0].chooseCommon, document.forms[0].commons);">PDB</html:multibox></td>
          <td class="data1" > PDB<o:p></o:p> </td>
          <td class="data1" > <bean:message bundle="policy" key="attachName.extDesc.PDB" /><o:p></o:p> </td>
        </tr>
        <tr> 
          <td>&nbsp;</td>
          <td width="20" > <html:multibox property="commons" onclick="updateCheckboxGroup(this, document.forms[0].chooseCommon, document.forms[0].commons);">POT</html:multibox></td>
          <td class="data1" > POT </td>
          <td class="data1" > <bean:message bundle="policy" key="attachName.extDesc.POT" /> </td>
        </tr>
        <tr> 
          <td>&nbsp;</td>
          <td width="20" > <html:multibox property="commons" onclick="updateCheckboxGroup(this, document.forms[0].chooseCommon, document.forms[0].commons);">PP*</html:multibox></td>
          <td class="data1" > PP* </td>
          <td class="data1" > <bean:message bundle="policy" key="attachName.extDesc.PP" /> </td>
        </tr>
        <tr> 
          <td>&nbsp;</td>
          <td width="20" > <html:multibox property="commons" onclick="updateCheckboxGroup(this, document.forms[0].chooseCommon, document.forms[0].commons);">QPW</html:multibox></td>
          <td class="data1" > QPW </td>
          <td class="data1" > <bean:message bundle="policy" key="attachName.extDesc.QPW" /> </td>
        </tr>
        <tr> 
          <td>&nbsp;</td>
          <td width="20" > <html:multibox property="commons" onclick="updateCheckboxGroup(this, document.forms[0].chooseCommon, document.forms[0].commons);">RTF</html:multibox></td>
          <td class="data1" > RTF </td>
          <td class="data1" > <bean:message bundle="policy" key="attachName.extDesc.RTF" /> </td>
        </tr>
        <tr> 
          <td>&nbsp;</td>
          <td width="20" > <html:multibox property="commons" onclick="updateCheckboxGroup(this, document.forms[0].chooseCommon, document.forms[0].commons);">SMM</html:multibox></td>
          <td class="data1" > SMM </td>
          <td class="data1" > <bean:message bundle="policy" key="attachName.extDesc.SMM" /> </td>
        </tr>
        <tr> 
          <td>&nbsp;</td>
          <td width="20" > <html:multibox property="commons" onclick="updateCheckboxGroup(this, document.forms[0].chooseCommon, document.forms[0].commons);">SHW</html:multibox></td>
          <td class="data1" > SHW </td>
          <td class="data1" > <bean:message bundle="policy" key="attachName.extDesc.SHW" /> </td>
        </tr>
        <tr> 
          <td>&nbsp;</td>
          <td width="20" > <html:multibox property="commons" onclick="updateCheckboxGroup(this, document.forms[0].chooseCommon, document.forms[0].commons);">SWF</html:multibox></td>
          <td class="data1" > SWF<o:p></o:p> </td>
          <td class="data1" > <bean:message bundle="policy" key="attachName.extDesc.SWF" /><o:p></o:p> </td>
        </tr>
        <tr> 
          <td>&nbsp;</td>
          <td width="20" > <html:multibox property="commons" onclick="updateCheckboxGroup(this, document.forms[0].chooseCommon, document.forms[0].commons);">VS*</html:multibox></td>
          <td class="data1" > VS* </td>
          <td class="data1" > <bean:message bundle="policy" key="attachName.extDesc.VS" /> </td>
        </tr>
        <tr> 
          <td>&nbsp;</td>
          <td width="20" > <html:multibox property="commons" onclick="updateCheckboxGroup(this, document.forms[0].chooseCommon, document.forms[0].commons);">WBK</html:multibox></td>
          <td class="data1" > WBK </td>
          <td class="data1" > <bean:message bundle="policy" key="attachName.extDesc.WBK" /> </td>
        </tr>
        <tr> 
          <td>&nbsp;</td>
          <td width="20" > <html:multibox property="commons" onclick="updateCheckboxGroup(this, document.forms[0].chooseCommon, document.forms[0].commons);">WPD</html:multibox></td>
          <td class="data1" > WPD </td>
          <td class="data1" > <bean:message bundle="policy" key="attachName.extDesc.WPD" /> </td>
        </tr>
        <tr> 
          <td>&nbsp;</td>
          <td width="20" > <html:multibox property="commons" onclick="updateCheckboxGroup(this, document.forms[0].chooseCommon, document.forms[0].commons);">XL*</html:multibox></td>
          <td class="data1" > XL* </td>
          <td class="data1" > <bean:message bundle="policy" key="attachName.extDesc.XL" /> </td>
        </tr>
      </table></td>
  </tr>
  <tr> 
    <td class="data1"> 
      <html:checkbox property="includeUserList" onclick="updateUIStatus();"/>
      <bean:message bundle="policy" key="ruleDetail.name.attachNamed" />
      <input type="button" name="importBtn" class="button" value="<bean:message key="button.import"/>" onclick="return openImport();">
    </td>
  </tr>
  <tr> 
    <td style="padding-bottom:3px">
      <bean:message bundle="policy" key="ruleDetail.name.separateHint" />
      <table width="538" border="0" cellspacing="0" cellpadding="0">
        <tr class="border"> 
          <td width="26" >&nbsp;</td>
          <td>
            <html:textarea property="manualName" styleClass="button" cols="55" rows="8" onkeydown="return trimFilename();" onkeyup="return trimFilename();" onchange="return trimFilename();" />
          </td>
        </tr>
      </table>
    </td>
  </tr>
</table>
<table width="540" border="0" cellspacing="0" cellpadding="0">
  <tr> 
    <td height="28" valign="bottom">
      <html:submit styleClass="button" style="width:50px"><bean:message key="button.save" /></html:submit>
      <input name="btnCancel2" type="button"  class="cbutton"  value="<bean:message key="button.cancel" />" onClick="self.location.href=('/ruleAttrNameCancel.imss'); LockForm(document.forms[0]);" > 
    </td>
  </tr>
</table>
</html:form>
<br>
</body>

</html>

