<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib uri="/WEB-INF/tld/struts-bean-el.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/tld/struts-html-el.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/tld/c.tld" prefix="c" %>

<html>
<head>
<title></title>
<link href="/css/trend-style.css" rel="stylesheet" type="text/css">
<script language="JavaScript" src="/javascripts/validation.jsp" type="text/javascript"></script>
<script language="JavaScript" src="/javascripts/popup.js" type="text/javascript"></script>
<script language="JavaScript" src="/javascripts/tooltip.js" type="text/javascript"></script>
<script language="JavaScript" type="text/JavaScript">
function checkReadOnly()
{
    <c:if test="${adminUser.policyReadOnly}" >
        var form = ruleAttrSpamForm;
        for (var i=0; i<form.elements.length; i++) 
        {
            form.elements[i].disabled = true;
        }
        form.selectedApprovedAddr.disabled=false;
        form.selectedBlockedAddr.disabled=false;
        form.selectedExclude.disabled=false;
        form.btnEditExclude.disabled=false;
        form.btnCancel1.disabled=false;
        form.btnCancel2.disabled=false;
    </c:if>
}

function addApproved()
{
    if(ruleAttrSpamForm.approvedAddr.value=="*@*")
    {
        ruleAttrSpamForm.approvedAddr.select();
        alert("That email address is invalid. Please try again.");
        return false;
    }
    if(!checkwildcardemail(ruleAttrSpamForm.approvedAddr))
        return false;
    ruleAttrSpamForm.action="/ruleAttrSpamAddApproved.imss";
    ruleAttrSpamForm.submit();
    LockForm(ruleAttrSpamForm);
    return true;
}

function deleteApproved()
{
    ruleAttrSpamForm.action="/ruleAttrSpamDeleteApproved.imss";
    ruleAttrSpamForm.submit();
    LockForm(ruleAttrSpamForm);
    return true;
}

function addBlocked()
{
    if(ruleAttrSpamForm.blockedAddr.value=="*@*")
    {
        ruleAttrSpamForm.blockedAddr.select();
        alert("That email address is invalid. Please try again.");
        return false;
    }
    if(!checkwildcardemail(ruleAttrSpamForm.blockedAddr))
        return false;
    ruleAttrSpamForm.action="/ruleAttrSpamAddBlocked.imss";
    ruleAttrSpamForm.submit();
    LockForm(ruleAttrSpamForm);
    return true;
}

function deleteBlocked()
{
    ruleAttrSpamForm.action="/ruleAttrSpamDeleteBlocked.imss";
    ruleAttrSpamForm.submit();
    LockForm(ruleAttrSpamForm);
    return true;
}

function addExempt()
{
    ruleAttrSpamForm.action="/ruleAttrSpamAddExempt.imss";
    ruleAttrSpamForm.submit();
    LockForm(ruleAttrSpamForm);
    return true;
}

function editExempt()
{
    ruleAttrSpamForm.action="/ruleAttrSpamEditExempt.imss";
    ruleAttrSpamForm.submit();
    LockForm(ruleAttrSpamForm);
    return true;
}

function deleteExempt()
{
    ruleAttrSpamForm.action="/ruleAttrSpamDeleteExempt.imss";
    ruleAttrSpamForm.submit();
    LockForm(ruleAttrSpamForm);
    return true;
}

function reload()
{
    ruleAttrSpamForm.action="/ruleAttrSpamTempSave.imss";
    ruleAttrSpamForm.submit();
    LockForm(ruleAttrSpamForm);
    return true;
}

function exportList(type)
{
    ruleAttrSpamForm.action="/ruleAttrSpamExport.imss?type="+type;
    ruleAttrSpamForm.submit();
    return false;
}

function checkScoreFormat()
{
    if(document.forms[0].spamLevel[3].checked)
    {
        var reg=/^([0-9]\.[0-9]|[0-9]|10)$/;
        if(ruleAttrSpamForm.manualSpamScore.value!="10.0" && (!reg.test(ruleAttrSpamForm.manualSpamScore.value) || ruleAttrSpamForm.manualSpamScore.value<3))
        {
            alert("<bean:message bundle="errors" key="errors.ruleCri.spam.invalidScore" />");
            return false;
        }
    }
    return true;
}

function updateScoreStatus()
{
    var form=document.forms[0];
    if(form.enableSpamScore.checked)
    {
        form.spamLevel[0].disabled=false;
        form.spamLevel[1].disabled=false;
        form.spamLevel[2].disabled=false;
        form.spamLevel[3].disabled=false;
        form.manualSpamScore.disabled=false;
    }
    else
    {
        form.spamLevel[0].disabled=true;
        form.spamLevel[1].disabled=true;
        form.spamLevel[2].disabled=true;
        form.spamLevel[3].disabled=true;
        form.manualSpamScore.disabled=true;
    }
}

function updateStatus()
{
    <c:if test="${tempRule.direction==4}">
        ruleAttrSpamForm.selectedList[0].disabled=true;
        ruleAttrSpamForm.approvedAddr.disabled=true;
        ruleAttrSpamForm.btnAddApproved.disabled=true;
        ruleAttrSpamForm.selectedApprovedAddr.disabled=true;
        ruleAttrSpamForm.btnDeleteApproved.disabled=true;
        ruleAttrSpamForm.btnImportApproved.disabled=true;
        ruleAttrSpamForm.btnExportApproved.disabled=true;

        ruleAttrSpamForm.selectedList[1].disabled=true;
        ruleAttrSpamForm.blockedAddr.disabled=true;
        ruleAttrSpamForm.btnAddBlocked.disabled=true;
        ruleAttrSpamForm.selectedBlockedAddr.disabled=true;
        ruleAttrSpamForm.btnDeleteBlocked.disabled=true;
        ruleAttrSpamForm.btnImportBlocked.disabled=true;
        ruleAttrSpamForm.btnExportBlocked.disabled=true;
    </c:if>
}

function checkBError()
{
  <c:if test="${ !empty errorMsg}" var="errmsg" scope="request">
     alert("<c:out value='${errorMsg}' />");
  </c:if>
}

</script>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8"></head>
<body marginwidth="0" marginheight="0" leftmargin="0" topmargin="0" onload="updateScoreStatus(); checkReadOnly(); updateStatus(); checkBError();">

<DIV id="tooltip" style="visibility:hidden;position:absolute;z-index:1000;top:-100"></DIV>
<script language="JavaScript" type="text/javascript">

Text[0]=['<bean:message bundle="policy" key="ruleDetail.spam.manualTooltipTitle" />','<bean:message bundle="policy" key="ruleDetail.spam.manualTooltipMsg" />']

Style[0]=["black","","","","",11,"black","white","","","",11,290,,0,"#666666",3,24,0.4,90,,"",,,12,-10]

var tipId="tooltip"
var FiltersEnabled = 1 // [for IE5.5+] if your not going to use transitions or filters in any of the tips set this to zero.
mig_clay()
</script>
<table cellspacing=0 cellpadding=0 width=540 border=0>
  <tbody>
    <tr>
      <td class="content-title"><bean:message bundle="policy" key="ruleDetail.spam.head" /><br></td>
      <td align="right" valign="bottom"><a href="/help/<bean:message key="locale" />/criteria_spam_help.htm" target="_blank"><img src="/images/<bean:message key="locale" />/question_cui.gif" width="16" height="16" border="0"></a></td>
    </tr>
    <tr>
      <td height="10" colspan="2" class="hor-dotted-line"><img src="/images/<bean:message key="locale" />/1space_cui.gif" width="1" height="1"></td>
    </tr>
    <tr>
      <td height="10" colspan="2" class="data1">
        <a href="/initRuleAttributeFrame.imss">
        <c:if test="${uiStates.ruleUIState==1}">
        <bean:message bundle="policy" key="addRule.title.newRule" />
        </c:if>
        <c:if test="${uiStates.ruleUIState==2}">
        <c:out value="${tempRule.ruleName}"/>
        </c:if>
        </a> &gt; <bean:message bundle="policy" key="ruleDetail.spam.title" />
      </td>
    </tr>
    <tr>
      <td height="10" colspan="2"><img src="/images/<bean:message key="locale" />/1space_cui.gif" width="1" height="10"> 
    </tr>
  </tbody>
</table>

<html:form action="/ruleAttrSpamSave.imss" onsubmit="LockFormButton(this);">
<table width="540" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td height="28" valign="top">
      <html:submit styleClass="button" style="width:50px" onclick="return checkScoreFormat();"><bean:message key="button.save" /></html:submit>
      <input name="btnCancel1" type="button"  class="cbutton"  value="<bean:message key="button.cancel" />" onClick="self.location.href=('/ruleAttrSpamCancel.imss'); LockForm(document.forms[0]);" > 
    </td>
  </tr>
</table>
<table width="540" border="0" cellpadding="0" cellspacing="0" class="border">
  <tr>
    <td><table border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td colspan="4" class="data1"><html:checkbox property="enableSpamScore" onclick="updateScoreStatus();"/><bean:message bundle="policy" key="ruleDetail.spam.levelMsg" /></td>
      </tr>
      <tr>
        <td colspan="4"><table width="100%" border="0" cellspacing="0" cellpadding="0">
            <tr>
              <td width="17">&nbsp;</td>
              <td width="80"><html:radio property="spamLevel" value="1" /><span style="font-weight: bold;"><bean:message bundle="policy" key="ruleDetail.spam.highLevel" /></span></td>
              <td colspan="2" class="data1"><bean:message bundle="policy" key="ruleDetail.spam.highLevelDesc" /></td>
            </tr>
            <tr>
              <td>&nbsp;</td>
              <td><html:radio property="spamLevel" value="2" /><span style="font-weight: bold;"><bean:message bundle="policy" key="ruleDetail.spam.mediumLevel" /></span></td>
              <td colspan="2" class="data1"><bean:message bundle="policy" key="ruleDetail.spam.mediumLevelDesc" /></td>
            </tr>
            <tr>
              <td>&nbsp;</td>
              <td><html:radio property="spamLevel" value="3" /><span style="font-weight: bold;"><bean:message bundle="policy" key="ruleDetail.spam.lowLevel" /></span></td>
              <td colspan="2" class="data1"><bean:message bundle="policy" key="ruleDetail.spam.lowLevelDesc" /></td>
            </tr>
            <tr>
              <td>&nbsp;</td>
              <td colspan="3"><html:radio property="spamLevel" value="4" /><span style="font-weight: bold;"><bean:message bundle="policy" key="ruleDetail.spam.manualLevel" /></span> <bean:message bundle="policy" key="ruleDetail.spam.manualLevelDesc" />
              <A onMouseOver="document.forms[0].selectedApprovedAddr.style.visibility = 'hidden';stm(Text[0],Style[0]);return false;" onMouseOut="document.forms[0].selectedApprovedAddr.style.visibility = 'visible';htm();return false;" href="#">
                <IMG src="/images/<bean:message key="locale" />/info_mark_cui.gif" align=absMiddle border=0></A>
              <html:text property="manualSpamScore" styleClass="button" size="5" maxlength="4"/> <bean:message bundle="policy" key="ruleDetail.spam.scoreRange" /></td>
            </tr>
        </table></td>
      </tr>
      <tr>
        <td colspan="4"><img src="/images/<bean:message key="locale" />/1space_cui.gif" width="1" height="10"></td>
      </tr>
      <tr>
        <td colspan="4" style="padding-bottom:3px"><table border="0" cellspacing="0" cellpadding="0" id="recommended" >
            <tr>
              <td colspan="2"  class="data1">
                <html:multibox property="selectedList" value="approvedList" /><bean:message bundle="policy" key="ruleDetail.spam.approved" /></td>
            </tr>
            <tr>
              <td width="18"  class="data1">&nbsp;</td>
              <td  class="data1"><bean:message bundle="policy" key="ruleDetail.spam.email" />
                <html:text property="approvedAddr" styleClass="button" size="29" maxlength="256"/>
                  <input name="btnAddApproved" type="button" class="button" value="<bean:message key="button.add" />" style="width:50px" onclick="return addApproved();"></td>
            </tr>
            <tr>
              <td  class="data1">&nbsp;</td>
              <td  class="data1">
                <html:select property="selectedApprovedAddr" size="8" multiple="true" styleClass="button" style="width:301px">
                  <c:forEach items="${ruleSpamApprovedAddr}" var="add" varStatus="current">
                    <html:option value="${add}"><c:out value="${add}" /></html:option>
                  </c:forEach>
                </html:select>
              </td>
            </tr>
            <tr>
              <td>&nbsp;</td>
              <td align="right" class="data1">
                  <input name="btnDeleteApproved" type="button" class="button" value="<bean:message key="button.delete" />" onclick="return deleteApproved();">
                  <input name="btnImportApproved" type="button" class="button" value="<bean:message key="button.import" />" onClick="NewWindow('/ruleAttrSpamImport.imss?type=1','Import','540','148','no');return false;">
                  <input name="btnExportApproved" type="button" class="button" value="<bean:message key="button.export" />" onClick="return exportList(1);">
              </td>
            </tr>
            <tr>
              <td colspan="2"><img src="/images/<bean:message key="locale" />/1space_cui.gif" width="1" height="10"></td>
            </tr>
            <tr>
              <td colspan="2"  class="data1">
                <html:multibox property="selectedList" value="blockedList" /><bean:message bundle="policy" key="ruleDetail.spam.blocked" /></td>
            </tr>
            <tr>
              <td  class="data1">&nbsp;</td>
              <td  class="data1"><bean:message bundle="policy" key="ruleDetail.spam.email" />
                <html:text property="blockedAddr" styleClass="button" size="29" maxlength="256" />
                  <input name="btnAddBlocked" type="button" class="button" value="<bean:message key="button.add" />" style="width:50px" onclick="return addBlocked();"></td>
            </tr>
            <tr>
              <td  class="data1">&nbsp;</td>
              <td  class="data1">
                <html:select property="selectedBlockedAddr" size="8" multiple="true" styleClass="button" style="width:301px">
                  <c:forEach items="${ruleSpamBlockedAddr}" var="addr" varStatus="current">
                    <html:option value="${addr}"><c:out value="${addr}" /></html:option>
                  </c:forEach>
                </html:select>
              </td>
            </tr>
            <tr>
              <td>&nbsp;</td>
              <td align="right" class="data1">
                  <input name="btnDeleteBlocked" type="button" class="button" value="<bean:message key="button.delete" />" onclick="return deleteBlocked();">
                  <input name="btnImportBlocked" type="button" class="button" value="<bean:message key="button.import" />" onClick="NewWindow('/ruleAttrSpamImport.imss?type=2','Import','540','148','no');return false;">
                  <input name="btnExportBlocked" type="button" class="button" value="<bean:message key="button.export" />" onClick="return exportList(2);">
                </td>
            </tr>
            <tr>
              <td colspan="2"><img src="/images/<bean:message key="locale" />/1space_cui.gif" width="1" height="10"></td>
            </tr>
            <tr>
              <td colspan="2"  class="data1"><bean:message bundle="policy" key="ruleDetail.spam.exempt.head" /></td>
            </tr>
            <tr>
              <td colspan="2"  class="data1">
                <html:multibox property="selectedList" value="excludeList" /><bean:message bundle="policy" key="ruleDetail.spam.exclude" /></td>
            </tr>
            <tr>
              <td  class="data1">&nbsp;</td>
              <td  class="data1">
                <html:select property="selectedExclude" size="8" multiple="true" styleClass="button" style="width:301px">
                  <c:forEach items="${ruleSpamExclude}" var="exempt" varStatus="current">
                    <html:option value="${exempt.name}"><c:out value="${exempt.name}" /></html:option>
                  </c:forEach>
                </html:select>
              </td>
            </tr>
            <tr>
              <td  class="data1">&nbsp;</td>
              <td align="right"  class="data1">
                <input name="btnAddExclude" type="button" class="button" value="<bean:message key="button.add" />" style="width:50px"  onclick="return addExempt();">
                <input name="btnEditExclude" type="button" class="button" value="<bean:message key="button.edit" />" style="width:50px"  onclick="return editExempt();">
                <input name="btnDeleteExclude" type="button" class="button" value="<bean:message key="button.delete" />"  onclick="return deleteExempt();">
              </td>
            </tr>
        </table></td>
      </tr>
    </table></td>
  </tr>
</table>
<table width="540" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td height="28" valign="bottom">
      <html:submit styleClass="button" style="width:50px" onclick="return checkScoreFormat();"><bean:message key="button.save" /></html:submit>
      <input name="btnCancel2" type="button"  class="cbutton"  value="<bean:message key="button.cancel" />" onClick="self.location.href=('/ruleAttrSpamCancel.imss'); LockForm(document.forms[0]);" > 
    </td>
  </tr>
</table>
</html:form>
<br>
</body>

</html>

