<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib uri="/WEB-INF/tld/struts-bean-el.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/tld/struts-html-el.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/tld/c.tld" prefix="c" %>

<html>
<head>
<title></title>
<link href="/css/trend-style.css" rel="stylesheet" type="text/css">
<script src="/javascripts/expand.js"></script>
<script src="/javascripts/imageswap2.js"></script>
<script language="JavaScript" src="/javascripts/validation.jsp" type="text/javascript"></script>
<script language="JavaScript" type="text/JavaScript">
function checkReadOnly()
{
    <c:if test="${adminUser.policyReadOnly}" >
        var form = document.forms[0];
        for (var i=0; i<form.elements.length; i++) 
        {
            form.elements[i].disabled = true;
        }
        form.btnCancel1.disabled=false;
        form.btnCancel2.disabled=false;
    </c:if>
}

function updateCheckbox()
{
    updateCheckboxGroup(document.forms[0].exeList[0], document.forms[0].exeCheckAll, document.forms[0].exeList);
    updateCheckboxGroup(document.forms[0].docList[0], document.forms[0].docCheckAll, document.forms[0].docList);
    updateCheckboxGroup(document.forms[0].imageList[0], document.forms[0].imageCheckAll, document.forms[0].imageList);
    updateCheckboxGroup(document.forms[0].mediaList[0], document.forms[0].mediaCheckAll, document.forms[0].mediaList);
    updateCheckboxGroup(document.forms[0].compressList[0], document.forms[0].compressCheckAll, document.forms[0].compressList);
    updateExpand(document.forms[0].exeList, 'exe_list', 'iamge0');
    updateExpand(document.forms[0].docList, 'doc_list', 'iamge1');
    updateExpand(document.forms[0].imageList, 'img_list', 'iamge2');
    updateExpand(document.forms[0].mediaList, 'media_list', 'iamge3');
    updateExpand(document.forms[0].compressList, 'comp_list', 'iamge4');
}

</script>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8"></head>
<body marginwidth="0" marginheight="0" leftmargin="0" topmargin="0" onload="updateCheckbox(); checkReadOnly();">

<table cellspacing=0 cellpadding=0 width=540 border=0>
  <tbody>
    <tr> 
      <td class="content-title"><bean:message bundle="policy" key="ruleDetail.trueFile.head" /><br></td>
      <td valign="bottom"> <div align="right"><a href="/help/<bean:message key="locale" />/criteria_attachment_true_help.htm" target="_blank"><img src="/images/<bean:message key="locale" />/question_cui.gif" width="16" height="16" border="0"></a></div></td>
    </tr>
    <tr> 
      <td height="10" colspan="2" class="hor-dotted-line"><img src="/images/<bean:message key="locale" />/1space_cui.gif" width="1" height="1"></td>
    </tr>
    <tr>
      <td height="10" colspan="2" class="data1">
        <a href="/initRuleAttributeFrame.imss">
        <c:if test="${uiStates.ruleUIState==1}">
        <bean:message bundle="policy" key="addRule.title.newRule" />
        </c:if>
        <c:if test="${uiStates.ruleUIState==2}">
        <c:out value="${tempRule.ruleName}"/>
        </c:if>
        </a> &gt; <bean:message bundle="policy" key="ruleDetail.trueFile.title" />
      </td>
    </tr>
    <tr> 
      <td height="10" colspan="2"><img src="/images/<bean:message key="locale" />/1space_cui.gif" width="1" height="10"> 
    </tr>
  </tbody>
</table>

<html:form action="/ruleAttrTrueFileSave.imss" onsubmit="LockFormButton(this);">
<table width="540" border="0" cellspacing="0" cellpadding="0">
  <tr> 
    <td height="28" valign="top">
      <html:submit styleClass="button" style="width:50px"><bean:message key="button.save" /></html:submit>
      <input name="btnCancel1" type="button"  class="cbutton"  value="<bean:message key="button.cancel" />" onClick="self.location.href=('/ruleAttrTrueFileCancel.imss'); LockForm(document.forms[0]);" > 
    </td>
  </tr>
</table>
<table width="540" border="0" cellpadding="0" cellspacing="0" class="border">
  <tr> 
    <td width="538" class="data1" style="padding-top:3px">
      <bean:message bundle="policy" key="ruleDetail.select" />
      <html:select property="matchMethod" styleClass="button">
        <html:option value="0"><bean:message bundle="policy" key="ruleDetail.trueFile.selectAttachType" /></html:option>
        <html:option value="1"><bean:message bundle="policy" key="ruleDetail.trueFile.notSelectAttachType" /></html:option>
      </html:select>
    </td>
  </tr>
  <tr> 
    <td class="data1"> 
      <input name="exeCheckAll" type="checkbox" value="checkbox" onClick="updateCheckboxGroup(this, this, document.forms[0].exeList);">
      <a href="#" class="expand" onClick="checkExpand(document.forms[0].exeList, 'exe_list', 'image0'); return false;"><bean:message bundle="policy" key="ruleDetail.trueFile.exe" /><img id="image0" src="/images/<bean:message key="locale" />/arrow_down.gif" border="0"></a>
    </td>
  </tr>
  <tr> 
    <td><table width="538" border="0" cellspacing="0" cellpadding="0" id="exe_list" class="switchcontent">
        <tr> 
          <td width="20">&nbsp;</td>
          <td width="27"  > <html:multibox property="exeList" onclick="updateCheckboxGroup(this, document.forms[0].exeCheckAll, document.forms[0].exeList);" >dos_executable</html:multibox></td>
          <td width="489"  class="data1" >COM</td>
        </tr>
        <tr> 
          <td>&nbsp;</td>
          <td  > <html:multibox property="exeList" onclick="updateCheckboxGroup(this, document.forms[0].exeCheckAll, document.forms[0].exeList);" >win32_exe win31_exe os2_exe</html:multibox></td>
          <td  class="data1" >EXE</td>
        </tr>
        <tr> 
          <td>&nbsp;</td>
          <td  > <html:multibox property="exeList" onclick="updateCheckboxGroup(this, document.forms[0].exeCheckAll, document.forms[0].exeList);" >win32_dll win31_dll</html:multibox></td>
          <td  class="data1" >DLL</td>
        </tr>
        <tr> 
          <td>&nbsp;</td>
          <td  > <html:multibox property="exeList" onclick="updateCheckboxGroup(this, document.forms[0].exeCheckAll, document.forms[0].exeList);" >class</html:multibox></td>  
          <td  class="data1" ><bean:message bundle="policy" key="ruleDetail.trueFile.java" /></td>
        </tr>
        <tr> 
          <td>&nbsp;</td>
          <td  > <html:multibox property="exeList" onclick="updateCheckboxGroup(this, document.forms[0].exeCheckAll, document.forms[0].exeList);" >lzh</html:multibox></td>
          <td  class="data1" ><bean:message bundle="policy" key="ruleDetail.trueFile.compressed" /></td>
        </tr>
      </table></td>
  </tr>
  <tr> 
    <td class="data1">
      <input name="docCheckAll" type="checkbox" value="checkbox" onClick="updateCheckboxGroup(this, this, document.forms[0].docList);">
      <a href="#" class="expand" onClick="checkExpand(document.forms[0].docList, 'doc_list', 'image1'); return false;"><bean:message bundle="policy" key="ruleDetail.trueFile.document" /><img id="image1" src="/images/<bean:message key="locale" />/arrow_down.gif" border="0"></a>
    </td>
  </tr>
  <tr> 
    <td><table width="538" border="0" cellspacing="0" cellpadding="0" id="doc_list" class="switchcontent">
        <tr> 
          <td width="20">&nbsp;</td>
          <td width="27" > <html:multibox property="docList" onclick="updateCheckboxGroup(this, document.forms[0].docCheckAll, document.forms[0].docList);" >xls</html:multibox></td>
          <td width="489" class="data1" ><bean:message bundle="policy" key="ruleDetail.virusAttr.doc.excel" />
          </td>
        </tr>
        <tr> 
          <td>&nbsp;</td>
          <td > <html:multibox property="docList" onclick="updateCheckboxGroup(this, document.forms[0].docCheckAll, document.forms[0].docList);" >ppt</html:multibox></td>
          <td class="data1" ><bean:message bundle="policy" key="ruleDetail.virusAttr.doc.ppt" /></td>
        </tr>
        <tr> 
          <td>&nbsp;</td>
          <td > <html:multibox property="docList" onclick="updateCheckboxGroup(this, document.forms[0].docCheckAll, document.forms[0].docList);" >doc</html:multibox></td>
          <td class="data1" ><bean:message bundle="policy" key="ruleDetail.virusAttr.doc.word" /></td>
        </tr>
        <tr> 
          <td>&nbsp;</td>
          <td > <html:multibox property="docList" onclick="updateCheckboxGroup(this, document.forms[0].docCheckAll, document.forms[0].docList);" >pdf</html:multibox></td>
          <td class="data1" ><bean:message bundle="policy" key="ruleDetail.virusAttr.doc.pdf" /></td>
        </tr>
        <tr> 
          <td>&nbsp;</td>
          <td > <html:multibox property="docList" onclick="updateCheckboxGroup(this, document.forms[0].docCheckAll, document.forms[0].docList);" >rtf</html:multibox></td>
          <td class="data1" ><bean:message bundle="policy" key="ruleDetail.virusAttr.doc.rtf" /></td>
        </tr>
      </table></td>
  </tr>
  <tr> 
    <td class="data1">
      <input name="imageCheckAll" type="checkbox" value="checkbox" onClick="updateCheckboxGroup(this, this, document.forms[0].imageList);">
      <a href="#" class="expand" onClick="checkExpand(document.forms[0].imageList, 'img_list', 'image2'); return false;"><bean:message bundle="policy" key="ruleDetail.trueFile.image" /><img id="image2" src="/images/<bean:message key="locale" />/arrow_down.gif" border="0"></a>
    </td>
  </tr>
  <tr> 
    <td><table width="538" border="0" cellspacing="0" cellpadding="0" id="img_list" class="switchcontent">
        <tr> 
          <td >&nbsp;</td>
          <td  class="data1"><html:multibox property="imageList"  onclick="updateCheckboxGroup(this, document.forms[0].imageCheckAll, document.forms[0].imageList);">bmp</html:multibox>
            BMP</td>
        </tr>
        <tr> 
          <td >&nbsp;</td>
          <td  class="data1"><html:multibox property="imageList" onclick="updateCheckboxGroup(this, document.forms[0].imageCheckAll, document.forms[0].imageList);" >gif</html:multibox>
            GIF</td>
        </tr>
        <tr> 
          <td width="20" >&nbsp;</td>
          <td width="518"  class="data1"><html:multibox property="imageList" onclick="updateCheckboxGroup(this, document.forms[0].imageCheckAll, document.forms[0].imageList);" >jpeg</html:multibox>
            JPG</td>
        </tr>
        <tr> 
          <td >&nbsp;</td>
          <td  class="data1"><html:multibox property="imageList" onclick="updateCheckboxGroup(this, document.forms[0].imageCheckAll, document.forms[0].imageList);" >msp</html:multibox>
            MSP</td>
        </tr>
        <tr> 
          <td >&nbsp;</td>
          <td  class="data1"><html:multibox property="imageList" onclick="updateCheckboxGroup(this, document.forms[0].imageCheckAll, document.forms[0].imageList);" >pcx</html:multibox>
            PCX</td>
        </tr>
        <tr> 
          <td >&nbsp;</td>
          <td  class="data1"><html:multibox property="imageList" onclick="updateCheckboxGroup(this, document.forms[0].imageCheckAll, document.forms[0].imageList);" >psd</html:multibox>
            PSD</td>
        </tr>
        <tr> 
          <td >&nbsp;</td>
          <td  class="data1"> <html:multibox property="imageList" onclick="updateCheckboxGroup(this, document.forms[0].imageCheckAll, document.forms[0].imageList);" >tiff</html:multibox>
            TIF/TIFF</td>
        </tr>
      </table></td>
  </tr>
  <tr> 
    <td class="data1">
      <input name="mediaCheckAll" type="checkbox" value="checkbox" onClick="updateCheckboxGroup(this, this, document.forms[0].mediaList);">
      <a href="#" class="expand" onClick="checkExpand(document.forms[0].mediaList, 'media_list', 'image3'); return false;"><bean:message bundle="policy" key="ruleDetail.trueFile.media" /><img id="image3" src="/images/<bean:message key="locale" />/arrow_down.gif" width="9" height="9" border="0"></a>
    </td>
  </tr>
  <tr> 
    <td><table width="538" border="0" cellspacing="0" cellpadding="0" id="media_list" class="switchcontent">
        <tr> 
          <td width="20" >&nbsp;</td>
          <td width="518"  class="data1"> <html:multibox property="mediaList" onclick="updateCheckboxGroup(this, document.forms[0].mediaCheckAll, document.forms[0].mediaList);" >midi</html:multibox>
            MIDI</td>
        </tr>
        <tr> 
          <td >&nbsp;</td>
          <td  class="data1"> <html:multibox property="mediaList" onclick="updateCheckboxGroup(this, document.forms[0].mediaCheckAll, document.forms[0].mediaList);" >mp3</html:multibox>
            MP3</td>
        </tr>
        <tr> 
          <td >&nbsp;</td>
          <td  class="data1"> <html:multibox property="mediaList" onclick="updateCheckboxGroup(this, document.forms[0].mediaCheckAll, document.forms[0].mediaList);" >mpeg</html:multibox>
            MPEG</td>
        </tr>
        <tr> 
          <td >&nbsp;</td>
          <td  class="data1"><html:multibox property="mediaList" onclick="updateCheckboxGroup(this, document.forms[0].mediaCheckAll, document.forms[0].mediaList);" >avi</html:multibox>
            AVI</td>
        </tr>
        <tr> 
          <td >&nbsp;</td>
          <td  class="data1"> <html:multibox property="mediaList" onclick="updateCheckboxGroup(this, document.forms[0].mediaCheckAll, document.forms[0].mediaList);" >qtm</html:multibox>
            Quicktime</td>
        </tr>
        <tr> 
          <td >&nbsp;</td>
          <td  class="data1"> <html:multibox property="mediaList" onclick="updateCheckboxGroup(this, document.forms[0].mediaCheckAll, document.forms[0].mediaList);" >voc</html:multibox>
            VOC</td>
        </tr>
        <tr> 
          <td >&nbsp;</td>
          <td  class="data1"> <html:multibox property="mediaList" onclick="updateCheckboxGroup(this, document.forms[0].mediaCheckAll, document.forms[0].mediaList);" >wav</html:multibox>
            WAV</td>
        </tr>
      </table></td>
  </tr>
  <tr> 
    <td class="data1">
      <input name="compressCheckAll" type="checkbox" value="checkbox" onClick="updateCheckboxGroup(this, this, document.forms[0].compressList);">
      <a href="#" class="expand" onClick="checkExpand(document.forms[0].compressList, 'comp_list', 'image4'); return false;"><bean:message bundle="policy" key="ruleDetail.trueFile.compFile" /><img src="/images/<bean:message key="locale" />/arrow_down.gif" width="9" height="9" border="0" id="image4"></a>
    </td>
  </tr>
  <tr> 
    <td><table width="538" border="0" cellspacing="0" cellpadding="0" id="comp_list" class="switchcontent">
        <tr> 
          <td width="20" >&nbsp;</td>
          <td width="518"  class="data1"><html:multibox property="compressList" onclick="updateCheckboxGroup(this, document.forms[0].compressCheckAll, document.forms[0].compressList);" >arj</html:multibox>
            ARJ</td>
        </tr>
        <tr> 
          <td >&nbsp;</td>
          <td  class="data1"> <html:multibox property="compressList" onclick="updateCheckboxGroup(this, document.forms[0].compressCheckAll, document.forms[0].compressList);" >gz</html:multibox>
            GZ</td>
        </tr>
        <tr> 
          <td >&nbsp;</td>
          <td  class="data1"> <html:multibox property="compressList" onclick="updateCheckboxGroup(this, document.forms[0].compressCheckAll, document.forms[0].compressList);" >rar</html:multibox>
            RAR</td>
        </tr>
        <tr> 
          <td >&nbsp;</td>
          <td  class="data1"> <html:multibox property="compressList" onclick="updateCheckboxGroup(this, document.forms[0].compressCheckAll, document.forms[0].compressList);" >tar</html:multibox>
            TAR</td>
        </tr>
        <tr> 
          <td >&nbsp;</td>
          <td  class="data1"> <html:multibox property="compressList" onclick="updateCheckboxGroup(this, document.forms[0].compressCheckAll, document.forms[0].compressList);" >zip</html:multibox>
            ZIP</td>
        </tr>
        <tr> 
          <td >&nbsp;</td>
          <td  class="data1"><html:multibox property="compressList" onclick="updateCheckboxGroup(this, document.forms[0].compressCheckAll, document.forms[0].compressList);" >ar arc amg lzw cab lha pklite diet lzh lz</html:multibox>
            <bean:message bundle="policy" key="ruleDetail.trueFile.others" /></td>
        </tr>
      </table></td>
  </tr>
</table>
<table width="540" border="0" cellspacing="0" cellpadding="0">
  <tr> 
    <td height="28" valign="bottom">
      <html:submit styleClass="button" style="width:50px"><bean:message key="button.save" /></html:submit>
      <input name="btnCancel2" type="button"  class="cbutton"  value="<bean:message key="button.cancel" />" onClick="self.location.href=('/ruleAttrTrueFileCancel.imss'); LockForm(document.forms[0]);" > 
    </td>
  </tr>
</table>
</html:form>
<br>
</body>

</html>

