<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib uri="/WEB-INF/tld/struts-bean-el.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/tld/struts-html-el.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/tld/c.tld" prefix="c" %>

<html>
<head>
<title></title>
<link href="/css/trend-style.css" rel="stylesheet" type="text/css">
<base target="_self">
<script language="JavaScript" src="/javascripts/validation.jsp" type="text/javascript"></script>
<script language="JavaScript" type="text/JavaScript">

var readOnly=false;

function checkReadOnly()
{
    <c:if test="${adminUser.policyReadOnly}" >
        readOnly=true;
        var form = document.forms[0];
        for (var i=0; i<form.elements.length; i++) 
        {
            form.elements[i].disabled = true;
        }
        form.btnCancel1.disabled=false;
        form.btnCancel2.disabled=false;
    </c:if>
}

function changeAddrType(type)
{
    document.forms[0].action="/ruleDetailChangeExcpAddrType.imss?type="+type;
    document.forms[0].submit();
    LockForm(document.forms[0]);
    return true;
}

function search(type)
{
    if(type=='from' && !checkempty(document.forms[0].ldapSearchString))
        return false;
    if(type=='to' && !checkempty(document.forms[0].ldapSearchStringPlus))
        return false;
    document.forms[0].action="/ruleDetailExcpSearchLDAP.imss?type="+type;
    document.forms[0].submit();
    LockForm(document.forms[0]);
    return true;
}

function addException()
{
    var form=document.forms[0];
    <c:if test="${selectAddrForm.map.excpAddrFromType=='addrInput'}">
    if(!checkwildcardemail(form.inputAddr))
            return false;
    </c:if>
    <c:if test="${selectAddrForm.map.excpAddrToType=='addrInput'}">
    if(!checkwildcardemail(form.inputAddrPlus))
            return false;
    </c:if>

    document.forms[0].action="/ruleDetailAddException.imss";
    document.forms[0].submit();
    LockForm(document.forms[0]);
    return true;
}

function Delete(value)
{
    if(readOnly)
        return false;
    document.forms[0].action="/ruleDetailDeleteException.imss";
    document.forms[0].deleteAddr.value=value;
    document.forms[0].submit();
    LockForm(document.forms[0]);
    return true;
}

function AddGroup()
{
    document.forms[0].action="/ruleAddrGroupNew.imss?accessFrom=excp";
    document.forms[0].submit();
    LockForm(document.forms[0]);
    return true;
}

function EditGroup(leftRight)
{
    if(leftRight=='left')
        document.forms[0].action="/ruleAddrGroupEdit.imss?accessFrom=excp";
    else
    if(leftRight=='right')
        document.forms[0].action="/ruleAddrGroupEditPlus.imss?accessFrom=excp";
    else
        return false;
    document.forms[0].submit();
    LockForm(document.forms[0]);
    return true;
}

function DeleteGroup(leftRight)
{
    if(leftRight=='left')
        document.forms[0].action="/ruleAddrGroupDelete.imss?accessFrom=excp";
    else
    if(leftRight=='right')
        document.forms[0].action="/ruleAddrGroupDeletePlus.imss?accessFrom=excp";
    else
        return false;
    document.forms[0].submit();
    LockForm(document.forms[0]);
    return true;
}

function checkBError()
{
  <c:if test="${ !empty errorMsg}" var="errmsg" scope="request">
     alert("<c:out value='${errorMsg}' />");
  </c:if>
}
</script>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8"></head>
<body marginwidth="0" marginheight="0" leftmargin="0" topmargin="0" onload="checkReadOnly(); checkBError();">

<table cellspacing=0 cellpadding=0 width=540 border=0>
  <tbody>
    <tr> 
      <td class="content-title"><c:out value="${policyStepTitle}" /><br></td>
      <td valign="bottom"> <div align="right">
      <a href="/help/<bean:message key="locale" />/select_users_exceptions_help.htm" target="_blank">
      <img src="/images/<bean:message key="locale" />/question_cui.gif" width="16" height="16" border="0">
      </a></div></td>
    </tr>
    <tr> 
      <td height="10" colspan="2" class="hor-dotted-line"><img src="/images/<bean:message key="locale" />/1space_cui.gif" width="1" height="1"></td>
    </tr>
    <tr>
      <td height="10" colspan="2" class="data1">
        <a href="/initRuleRouteFrame.imss">
        <c:if test="${uiStates.ruleUIState==1}">
        <bean:message bundle="policy" key="addRule.head" />
        </c:if>
        <c:if test="${uiStates.ruleUIState==2}">
        <c:out value="${tempRule.ruleName}"/>
        </c:if>
        </a> &gt; <c:out value="${policyStepTitle}" />
      </td>
    </tr>
    <tr> 
      <td height="10" colspan="2"><img src="/images/<bean:message key="locale" />/1space_cui.gif" width="1" height="10"> 
    </tr>
  </tbody>
</table>
<html:form action="/ruleDetailSaveException.imss" onsubmit="LockFormButton(this);">
<table width="540" border="0" cellspacing="0" cellpadding="0">
  <tr> 
    <td height="28" valign="top"> 
      <html:submit styleClass="button" style="width:50px"><bean:message key="button.save" /></html:submit>
      <input name="btnCancel1" type="button"  class="cbutton"  value="<bean:message key="button.cancel" />" onClick="self.location.href=('/ruleDetailCancelAddr.imss'); LockForm(document.forms[0]);" > 
    </td>
  </tr>
</table>
<TABLE cellSpacing=0 cellPadding=0 width="540" border=0>
  <TBODY>
    <tr> 
      <td colspan="2" class="border">
        <table width="538" border="0" cellspacing="0" cellpadding="0">
          <tr> 
            <td class="tableheadergrey"><bean:message bundle="policy" key="ruleDetail.selectAddr" /></td>
          </tr>
          <tr> 
            <td style="padding:5px">
              <table width="528" border="0" cellpadding="0" cellspacing="0">
                <tr> 
                  <td style="vertical-align:top" >
                    <table width="100%" border="0" cellpadding="0" cellspacing="0">
                      <tr> 
                        <td ><bean:message bundle="policy" key="ruleDetail.selectAddr.exceptFrom" /></td>
                        <td width="88" >&nbsp;</td>
                        <td ><bean:message bundle="policy" key="ruleDetail.selectAddr.exceptTo" /></td>
                      </tr>
                      <tr> 
                        <td colspan="3">&nbsp;</td>
                      </tr>
                      <tr> 
                        <td width="220" >
                          <html:select property="excpAddrFromType" styleClass="button" style="width:220px" onchange="return changeAddrType('from');" >
                            <html:option value="addrInput"><bean:message bundle="policy" key="ruleDetail.selectAddr.enterAddr" /></html:option>
                            <html:option value="addrLDAP"><bean:message bundle="policy" key="ruleDetail.selectAddr.searchLDAP" /></html:option>
                            <html:option value="addrGroup"><bean:message bundle="policy" key="ruleDetail.selectAddr.selectAddrGroup" /></html:option>
                          </html:select>
                        </td>
                        <td width="88" >&nbsp;</td>
                        <td width="220" >
                          <html:select property="excpAddrToType" styleClass="button" style="width:220px" onchange="return changeAddrType('to');" >
                            <html:option value="addrInput"><bean:message bundle="policy" key="ruleDetail.selectAddr.enterAddr" /></html:option>
                            <html:option value="addrLDAP"><bean:message bundle="policy" key="ruleDetail.selectAddr.searchLDAP" /></html:option>
                            <html:option value="addrGroup"><bean:message bundle="policy" key="ruleDetail.selectAddr.selectAddrGroup" /></html:option>
                          </html:select> 
                        </td>
                      </tr>
                      <tr> 
                        <td valign="top">
                        <c:if test="${selectAddrForm.map.excpAddrFromType=='addrInput'}">
                          <html:text property="inputAddr" styleClass="button" size="31" style="width:220px" maxlength="256"/>
                        </c:if>
                        <c:if test="${selectAddrForm.map.excpAddrFromType=='addrLDAP'}">
                          <html:text property="ldapSearchString" styleClass="button" size="30" maxlength="256" style="width:165px" /> 
                          <input name="btnSearch" type="button"  class="button"  value="<bean:message key="button.search" />" style="width:50px" onClick="return search('from');"> 
                          <html:select property="selectedLDAPGrps" size="13" styleClass="button" style="width:220px">
                            <c:forEach items="${ruleRouteLDAPGrps}" var="grp" varStatus="current" >
                              <html:option value="${grp}"><c:out value='${grp}' /></html:option>
                            </c:forEach>
                          </html:select>
                        </c:if>
                        <c:if test="${selectAddrForm.map.excpAddrFromType=='addrGroup'}">
                              <html:select property="selectedAddrGroup" styleClass="button" size="15" style="width:220px">
                                <c:forEach items="${ruleRouteGroupList}" var="grp" varStatus="current">
                                  <html:option value="${grp.id}"><c:out value="${grp.name}" /></html:option>
                                </c:forEach>
                              </html:select>
                              <input name="btnCreate" type="button"  class="button"  value="<bean:message key="button.add" />" style="width:50px" onClick="return AddGroup();">
                              <input name="btnEdit" type="button"  class="button"  value="<bean:message key="button.edit" />" style="width:50px" onClick="return EditGroup('left');">
                              <input name="btnDelete" type="button"  class="button"  value="<bean:message key="button.delete" />" style="width:50px"onClick="return DeleteGroup('left');">
                        </c:if>
                        </td>
                        <td width="88" >&nbsp;</td>
                        <td valign="top">
                        <c:if test="${selectAddrForm.map.excpAddrToType=='addrInput'}">
                          <html:text property="inputAddrPlus" styleClass="button" size="31" style="width:220px" maxlength="256"/>
                        </c:if>
                        <c:if test="${selectAddrForm.map.excpAddrToType=='addrLDAP'}">
                          <html:text property="ldapSearchStringPlus" styleClass="button" size="30" maxlength="256" style="width:165px" /> 
                          <input name="btnSearch" type="button"  class="button"  value="<bean:message key="button.search" />" style="width:50px" onClick="return search('to');"> 
                          <html:select property="selectedLDAPGrpsPlus" size="13" styleClass="button" style="width:220px">
                            <c:forEach items="${ruleRouteLDAPGrpsPlus}" var="grp" varStatus="current" >
                              <html:option value="${grp}"><c:out value='${grp}' /></html:option>
                            </c:forEach>
                          </html:select>
                        </c:if>
                        <c:if test="${selectAddrForm.map.excpAddrToType=='addrGroup'}">
                              <html:select property="selectedAddrGroupPlus" styleClass="button" size="15" style="width:220px">
                                <c:forEach items="${ruleRouteGroupList}" var="grp" varStatus="current">
                                  <html:option value="${grp.id}"><c:out value="${grp.name}" /></html:option>
                                </c:forEach>
                              </html:select>
                              <input name="btnCreate" type="button"  class="button"  value="<bean:message key="button.add" />" style="width:50px" onClick="return AddGroup();">
                              <input name="btnEdit" type="button"  class="button"  value="<bean:message key="button.edit" />" style="width:50px" onClick="return EditGroup('right');">
                              <input name="btnDelete" type="button"  class="button"  value="<bean:message key="button.delete" />" style="width:50px"onClick="return DeleteGroup('right');">
                        </c:if>
                        </td>
                      </tr>
                      <tr> 
                        <td colspan="3">&nbsp;</td>
                      </tr>
                      <tr> 
                        <td > <input name="btnAdd" type="button"  class="button"  value="<bean:message key="button.add" /> &gt;" style="width:50px" onClick="return addException();" > </td>
                        <td >&nbsp;</td>
                        <td >&nbsp;</td>
                      </tr>
                    </table>
                  </td>
                </tr>
              </table>
            </td>
          </tr>
          
        <tr>
          <td>
          <table width="100%" border="0" cellpadding="0" cellspacing="0" class="border3">
            <tr>
              <td class="grey" width="250" ><bean:message bundle="policy" key="ruleDetail.addr.from" /></td>
              <td class="grey" width="250" ><bean:message bundle="policy" key="ruleDetail.addr.to" /></td>
              <td width="1" class="grey-end" width="28" >&nbsp;</td>
            </tr>
            <c:set var="class1" value="data2b" />
            <c:set var="class2" value="data2" />
            <c:set var="index" value="0" />
            <c:forEach items="${selectedRouteExcp}" var="excp" varStatus="current">
            <c:choose>
              <c:when test="${class1=='data2b'}">
                <c:set var="class1" value="data1b" />
                <c:set var="class2" value="data1" />
              </c:when>
              <c:otherwise>
                <c:set var="class1" value="data2b" />
                <c:set var="class2" value="data2" />
              </c:otherwise>
           </c:choose>
            <tr>
              <td class="<c:out value='${class1}' />"><c:out value="${excp.from.showString}"/></td>
              <td class="<c:out value='${class1}' />"><c:out value="${excp.to.showString}"/></td>
              <td align="center" class="<c:out value='${class2}' />"><a href="#" onclick="return Delete(<c:out value="${current.index}"/>)"><img src="/images/<bean:message key="locale" />/icon_delete.gif" border="0"></a></td>
            </tr>
            <c:set var="index" value="${current.index}" />
            </c:forEach>
            <c:if test="${index<7}">
            <c:forEach begin="${index+1}" end="7" >
            <c:choose>
              <c:when test="${class1=='data2b'}">
                <c:set var="class1" value="data1b" />
                <c:set var="class2" value="data1" />
              </c:when>
              <c:otherwise>
                <c:set var="class1" value="data2b" />
                <c:set var="class2" value="data2" />
              </c:otherwise>
           </c:choose>
            <tr>
              <td class="<c:out value='${class1}' />">&nbsp;</td>
              <td class="<c:out value='${class1}' />">&nbsp;</td>
              <td align="center" class="<c:out value='${class2}' />">&nbsp;</td>
            </tr>
            </c:forEach>
            </c:if>
          </table>
          </td>
        </tr>

        </table>
      </td>
    </tr>
</table>
<table width="540" border="0" cellspacing="0" cellpadding="0">
  <tr> 
    <td height="28" valign="bottom"> 
      <html:submit styleClass="button" style="width:50px"><bean:message key="button.save" /></html:submit>
      <input name="btnCancel2" type="button"  class="cbutton"  value="<bean:message key="button.cancel" />" onClick="self.location.href=('/ruleDetailCancelAddr.imss'); LockForm(document.forms[0]);" > 
    </td>
  </tr>
</table>
<html:hidden property="deleteAddr" />
</html:form>
<br>
</body>
</html>

