<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib uri="/WEB-INF/tld/struts-bean-el.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/tld/struts-html-el.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/tld/c.tld" prefix="c" %>

<html>
<head>
<title>Quarantines</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<link href="/css/trend-style.css" rel="stylesheet" type="text/css">

<script language="JavaScript" src="/javascripts/validation.jsp"></script>
<script language="javascript">

function stringTrim(strToTrim) {
	return(strToTrim.replace(/^\s+|\s+$/g, ''));
}

function checkallitems()
{
  	if(!checknumber(document.forms[0].expDays))
       	 return false;

      if(document.forms[0].expDays.value<=0 || document.forms[0].expDays.value>60)
      {
          document.forms[0].expDays.select();
          alert('<bean:message bundle="errors" key="error.qa.save.invalidDays" />');
          document.forms[0].expDays.focus();
          return false;
      }

   var form = document.forms[0];
   var oSrc = stringTrim(form.areaName.value);
   if (oSrc == null || oSrc.length == 0 || oSrc == " ") {
      	alert("<bean:message bundle="errors" key="error.qa.save.nameIsNull" />");
	form.areaName.focus();
      return false;
    }    

    return true;
}

function cancelSave()
{
    document.forms[0].action="/cacelSaveArea.imss";
    document.forms[0].submit();
    return true;
}


function checkDelgAdm() 
{
<c:if test="${uiStates.accessQuarantineFrom==1}">
    <c:if test="${adminUser.policyReadOnly}" >
        var form = document.forms[0];      
        for (i=0; i<form.elements.length; i++) {
            form.elements[i].disabled = true;
        }
	form.cancelbtn1.disabled=false;
	form.cancelbtn2.disabled=false;
    </c:if>
</c:if>
<c:if test="${uiStates.accessQuarantineFrom!=1}">
    <c:if test="${adminUser.quarantinesReadOnly}" >
        var form = document.forms[0];      
        for (i=0; i<form.elements.length; i++) {
            form.elements[i].disabled = true;
        }
	form.cancelbtn2.disabled=false;
    </c:if>
</c:if>
} 

function LockButtons()  {
   var form =  document.forms[0];
   form.submitbtn.disabled = true;     
   return true;
}
 
function setFocus() { 
    var form = document.forms[0];
    if (form.submitbtn != null && form.submitbtn.disabled == false) {
        form.submitbtn.focus(); 
    }
}

function checkBError() 
{
      <c:if test="${ !empty saveErr}" var="errmsg" scope="request">
         alert("<c:out value='${saveErr}' />");
      </c:if>
}

</script>
</head>

<body bgcolor="#FFFFFF" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0" onload="checkBError();checkDelgAdm();">

<html:form action="/saveArea.imss" onsubmit="return LockButtons();" >

<table cellspacing=0 cellpadding=0 width=540 border=0>
  <tbody>
    <tr> 
      <td class="content-title">

      <c:if test="${uiStates.accessQuarantineFrom==2}">
      	<c:if test="${updateForTitle == 'yes'}">
		<bean:message bundle="qtResource" key="qt.setting_detail.edit" /> <c:out value="${areaNameForTitle}" />
	</c:if>
	
	
	<c:if test="${updateForTitle != 'yes'}">
		<c:if test="${isQTForTitle == 'true'}">
			<bean:message bundle="qtResource" key="qt.setting_detail.add_qt" />
		</c:if>
		<c:if test="${isQTForTitle != 'true'}">
			<bean:message bundle="qtResource" key="qt.setting_detail.add_ar" />
		</c:if>
	</c:if>
      </c:if>
      <c:if test="${uiStates.accessQuarantineFrom==1}">
       <c:if test="${QtSettingDetailForm.map.update=='yes'}">
         <c:out value="${QtSettingDetailForm.map.areaName}"/>
       </c:if>
       <c:if test="${QtSettingDetailForm.map.update!='yes'}">
         <bean:message bundle="policy" key="ruleDetail.quarantine.new" />
       </c:if>
      </c:if>

      <br></td>
      <td valign="bottom"> <div align="right"><a href="/help/<bean:message key="locale" />/rules_action_quarantine_help.htm" target="_blank"><img src="/images/<bean:message key="locale" />/question_cui.gif" width="16" height="16" border="0"></a></div></td>
    </tr>
    <tr> 
      <td height="10" colspan="2" class="hor-dotted-line"><img src="/images/<bean:message key="locale" />/1space_cui.gif" width="1" height="1"></td>
    </tr>
    <c:if test="${uiStates.accessQuarantineFrom==1}">
    <tr>
      <td height="10" colspan="2" class="data1">
      <c:if test="${uiStates.accessNameObjectFrom==1}">
        <a href="/initRuleActionFrame.imss">
        <c:if test="${uiStates.ruleUIState==1}">
        <bean:message bundle="policy" key="addRule.title.newRule" />
        </c:if>
        <c:if test="${uiStates.ruleUIState==2}">
        <c:out value="${tempRule.ruleName}"/>
        </c:if>
        </a> 
      </c:if>
      <c:if test="${uiStates.accessNameObjectFrom==2}">
	   <c:if test="${scanExcpObj.type == 0}">
            <a href="/initSEpasswordAction.imss?type=0">
	      <bean:message bundle="systemResource" key="sys.scanExcp.title.violation" />
            </a>
          </c:if>
          <c:if test="${scanExcpObj.type == 1}">
            <a href="/initSEpasswordAction.imss?type=1">
	      <bean:message bundle="systemResource" key="sys.scanExcp.title.encryptMsg" />
            </a>
          </c:if>
          <c:if test="${scanExcpObj.type == 2}">
            <a href="/initSEpasswordAction.imss?type=2">
	      <bean:message bundle="systemResource" key="sys.scnaExcp.title.msgPasswordZip" />
            </a>
          </c:if>
          <c:if test="${scanExcpObj.type == 3}">
            <a href="/initSEpasswordAction.imss?type=3">
	      <bean:message bundle="systemResource" key="sys.scanExcp.title.otherScanning" />
            </a>
          </c:if>
      </c:if>
        &gt; <a href="/initRuleActionNamedObj.imss?type=quarantine"><bean:message bundle="policy" key="ruleDetail.quarantine.head" /></a>
        &gt; 
       <c:if test="${QtSettingDetailForm.map.update=='yes'}">
         <c:out value="${QtSettingDetailForm.map.areaName}"/>
       </c:if>
       <c:if test="${QtSettingDetailForm.map.update!='yes'}">
         <bean:message bundle="policy" key="ruleDetail.quarantine.new" />
       </c:if>
      </td>
    </tr>
    </c:if>
    <tr> 
      <td height="10" colspan="2"><img src="/images/<bean:message key="locale" />/1space_cui.gif" width="1" height="10"> 
      </td>
    </tr>
  </tbody>
</table>
<c:if test="${uiStates.accessQuarantineFrom==1}">
<table width="540" border="0" cellspacing="0" cellpadding="0">
  <tr> 
    <td height="28" valign="top">
	<html:submit property="submitbtn"  styleClass="button" onclick="return checkallitems();" style="width:50px" ><bean:message key="button.save" /></html:submit>
       <input name="cancelbtn1" type="button" class="button" onClick="history.go(-1)" value="<bean:message key="button.cancel" />" style="width:50px">
    </td>
  </tr>
</table>
</c:if>
<table width="540" border="0" cellpadding="0" cellspacing="0" class="border">
  <tr>
    <td style="padding-top:3px"><table width="538" border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td width="44"  class="data1" style="padding-top:3px"><bean:message bundle="qtResource" key="qt.setting.sdetail.name" />:</td>
        <td width="494" class="data1" style="padding-top:3px; padding-left:7px">
          <html:text property="areaName" styleClass="button"  size="93" maxlength="256" /> 
        </td>
      </tr>
      <tr>
        <td  class="data1">&nbsp;</td>
        <td  class="data1">
      <bean:message bundle="qtResource" key="qt.setting.sdetail.maxage" />:
      <html:text property="expDays" styleClass="button"  size="5" maxlength="5" /> 
      <bean:message bundle="qtResource" key="qt.setting.sdetail.days" /></td>
      </tr>
    </table></td>
  </tr>
</table>
<table width="540" border="0" cellspacing="0" cellpadding="0">
  <tr> 
    <td height="28" valign="bottom">
	<html:submit property="submitbtn"  styleClass="button" onclick="return checkallitems();" style="width:50px" ><bean:message key="button.save" /></html:submit>
       <input name="cancelbtn2" type="button" class="cbutton" onClick="return cancelSave();" value="<bean:message key="button.cancel" />" >
    </td>
  </tr>
</table>
<br>
<html:hidden property="update" />
<html:hidden property="areaID" />
<html:hidden property="isQT" />
</html:form>
</body>
</html>
