<%@ page contentType="text/html;charset=utf-8" language="java" %>
<%@ taglib uri="/WEB-INF/tld/struts-bean-el.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/tld/struts-html-el.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/tld/c.tld" prefix="c" %>

<html>
<head>
<title>Scheduled Reports</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<link href="/css/trend-style.css" rel="stylesheet" type="text/css">
<SCRIPT LANGUAGE="JavaScript">
function NewWindow(mypage, myname, w, h, scroll) {
var winl = (screen.width - w) / 2;
var wint = (screen.height - h) / 2;
winprops = 'height='+h+',width='+w+',top='+wint+',left='+winl+',scrollbars='+scroll+',resizable'
mypage = mypage + "&rnd=" + Math.random();
win = window.open(mypage, myname, winprops)
//if (parseInt(navigator.appVersion) >= 4) { win.window.focus(); }
}

function Timer()
{
	var form = document.forms[0];
	goPage(form.pageList.value);
}

function startTime()
{
	<c:if test="${!adminUser.reportsReadOnly}" >
		<c:if test="${OneTimeRptList.hasInProgramming}">
			window.setInterval("Timer()", 15*1000);
		</c:if>
	</c:if>
}


function onclickDelete()
{
    document.forms[0].action="/deleteOneTimeReport.imss";
    document.forms[0].submit();    
}

function setCheckbox()
{
    var form = document.forms[0];
    if(form.selectedRpt)
    {
    	if(form.selectedRpt[0])	
	    {
	    	for(i = 0; i < form.selectedRpt.length; i++)
		{
			 form.selectedRpt[i].checked = form.checkallbox.checked;
		}
	   }
	   else
	   	{
	   	form.selectedRpt.checked = form.checkallbox.checked;
	   	}
   }

    
}
function goPage(pos) {
   document.forms[0].action = "/goOneTimeRptPage.imss?page=" + pos;
   document.forms[0].submit();   
}

function sortTable(sortSeq) {
   document.forms[0].action = "/sortOneTimeRptPage.imss?column=" + sortSeq +  "&pageSize=" + document.forms[0].pageSize.value;
   document.forms[0].submit(); 
}

function onChangePageSize()
{
  goPage("first");
  return (true);
}

function onSelectPage()
{
	<c:if test="${OneTimeRptList.totalItems > 0}">
		<c:if test="${OneTimeRptList.pageSize < OneTimeRptList.totalItems}">
			var form = document.forms[0];
			goPage(form.pageList.value);
		</c:if>
	</c:if>
}

function fillPageList(count,current)
{
	var form = document.forms[0];
	for(i = 1; i <= count; i++)
	{

		form.pageList.options.add(new  Option(i,  i), i);
	}

	form.pageList.selectedIndex = current;
}

function updatePos()
{
	<c:if test="${OneTimeRptList.pageSize > 0}" >
		var perpage = <c:out value="${OneTimeRptList.pageSize}"  />
		var form = document.forms[0];
		form.pageSize.value = perpage;
	</c:if>
}

function checkReadOnly()
{
	 <c:if test="${adminUser.reportsReadOnly}" >
        var form = document.forms[0];      
        for (i=0; i<form.elements.length; i++) {
            form.elements[i].disabled = true;
        }
    </c:if>
}

</script>
</head>

<body bgcolor="#FFFFFF" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0" onload="checkReadOnly();startTime();">
<html:form action="/processsReportSummarys.imss" >
<table cellspacing=0 cellpadding=0 width=540 border=0>
  <tbody>
    <tr> 
      <td class="content-title"><bean:message bundle="report" key="report.onetime.title" /><br></td>
      <td valign="bottom"> <div align="right"><a href="/help/<bean:message key="locale" />/reports_onetime_help.htm" target="_blank"><img src="/images/<bean:message key="locale" />/question_cui.gif" width="16" height="16" border="0"></a></div></td>
    </tr>
    <tr> 
      <td height="10" colspan="2" class="hor-dotted-line"><img src="/images/<bean:message key="locale" />/1space_cui.gif" width="1" height="1"></td>
    </tr>
    <tr> 
      <td height="10" colspan="2"><img src="/images/<bean:message key="locale" />/1space_cui.gif" width="1" height="10"> 
    </tr>
  </tbody>
</table>
<TABLE width="540" border=0 cellPadding=0 cellSpacing=0 class="border">
  <TBODY>
    <TR  class="border"> 
      <TD width="412" height="26" class="data2"> <table border="0" cellpadding="0" cellspacing="0">
          <tr> 
            <td ><img src="/images/<bean:message key="locale" />/1space_cui.gif" width="5" height="1"></td>
            <td  class="data1">
            <a href=
            <c:if test="${not adminUser.reportsReadOnly}" >
	            "/initAddReport.imss"
	      </c:if>
	      <c:if test="${adminUser.reportsReadOnly}" >
	      		"#"
	      </c:if>
	       class="databutton">
		<img src="/images/<bean:message key="locale" />/icon_add.gif" width="18" height="18" border="0" align="absmiddle"><bean:message key="button.add" />
		</a>
            </td>
            <td ><img src="/images/<bean:message key="locale" />/1space_cui.gif" width="5" height="1"></td>
            <td  class="data1">
            <a href=
            <c:if test="${not adminUser.reportsReadOnly}" >
            		"javascript:onclickDelete()"  
		</c:if>
		<c:if test="${adminUser.reportsReadOnly}" >
			"#"
		</c:if>
		class="databutton">
            		<img src="/images/<bean:message key="locale" />/icon_delete.gif" border="0" align="absmiddle"><bean:message key="button.delete" />
            		</a>
            	</td>
            <td >&nbsp;</td>
          </tr>
        </table>
      </TD>
      
      <TD width="151" align="right" class="data2">
	    <table border="0" align="right" cellpadding="0" cellspacing="0">
              <c:if test="${OneTimeRptList.totalItems > 0}">
                  <tr align="right" > 
                    <td class="text"  nowrap><c:out value="${OneTimeRptList.firstItemNum}"/>-<c:out value="${OneTimeRptList.lastItemNum}"/> <bean:message key="misc.of" /> <c:out value="${OneTimeRptList.totalItems}"/>
                    &nbsp;<a href="javascript:goPage('first')"><img src="/images/<bean:message key="locale" />/pagination-beginning.gif" width="10" height="9" alt="" border="0" title="<bean:message key="display.1stPg"/>"></a>
                    &nbsp;<a href="javascript:goPage('prev')"><img src="/images/<bean:message key="locale" />/pagination-previous.gif" width="10" height="9" alt="" border="0" title="<bean:message key="display.prevPg"/>"></a>
                    &nbsp;<bean:message bundle="report" key="report.results.page" />&nbsp;
		            		<select name="pageList" class="button" onchange="onSelectPage()"> </select>
					<script>fillPageList(<c:out value="${OneTimeRptList.pageCount}"  />, <c:out value="${OneTimeRptList.currentPage}"  />);</script>

                    &nbsp;<a href="javascript:goPage('next')"><img src="/images/<bean:message key="locale" />/pagination-next.gif" width="10" height="9" alt="" border="0" title="<bean:message key="display.nextPg"/>"></a>
                    &nbsp;<a href="javascript:goPage('last')"><img src="/images/<bean:message key="locale" />/pagination-end.gif" width="10" height="9" alt="" border="0" title="<bean:message key="display.lastPg"/>"></a>
			 &nbsp;</td>
                  </tr>
              </c:if>
            </table>
      </TD>
      
    </TR>

    <TR> 
      <td colspan="2"  >
      <table width="538" border="0" cellpadding="0" cellspacing="0">
          <tr class="border"> 
          
	      	<c:choose>
	      		<c:when test ="${oneTimeOrderType=='2'}">
	      			<c:set var="imgDir" value="/images/" />
	      			<c:set var="imgSrc" value="/arrow_down.gif" />
	      		</c:when>
	      		<c:otherwise>       
	      			<c:set var="imgDir" value="/images/" />
	      			<c:set var="imgSrc" value="/arrow_up.gif" />
	      		</c:otherwise>
	      	</c:choose>

	               <td class="grey" width="240"><input name="checkallbox" type="checkbox" class="button" value="checkbox" onClick="setCheckbox();">
	                   <a href="javascript:sortTable('content')"><bean:message bundle="report" key="report.setting.title.rptName" /></a>
	                   <c:if test="${oneTimeSortField == '2'}">
	               	<img src="<c:out value='${imgDir}' /><bean:message key="locale" /><c:out value='${imgSrc}' />" width="9" height="9">
	               	</c:if>
	               </td>

	               <td class="grey" width="180">
	                   <a href="javascript:sortTable('time')"><bean:message bundle="report" key="report.onetime.label.date" /> </a>
	                   <c:if test="${oneTimeSortField == '0'}">
	               	<img src="<c:out value='${imgDir}' /><bean:message key="locale" /><c:out value='${imgSrc}' />" width="9" height="9">
	               	</c:if>
	               </td>

            		<td colspan="2"  class="grey-end" align="center"><bean:message bundle="report" key="report.onetime.label.output" /></TD>
            
          </TR>
          <tr class="border"> 
          
           <c:forEach items="${OneTimeRptList.rptList}" var="rpt" varStatus="current">
             <c:choose>
                <c:when test="${current.index % 2 == 0}">
                   <c:set var="class1" value="data1b" />
                   <c:set var="class2" value="data1" />
                </c:when>
                <c:otherwise>
                   <c:set var="class1" value="data2b" />
                   <c:set var="class2" value="data2" />
                </c:otherwise>
              </c:choose>
             <tr class="border"> 
                <td class="<c:out value='${class1}' />">
                    <html:multibox property="selectedRpt" value="${rpt.id}" />
                    <c:out value="${rpt.content}" />
                </TD>
                <td class="<c:out value='${class1}' />">
                    <c:out value="${rpt.requestedTimeStr}" />
                </TD>
                
                <c:if test="${rpt.status == '0' or rpt.status=='2'}" >
                    <td colspan="2"  class="<c:out value='${class1}' />"><div align="center"><bean:message bundle="report" key="report.results.inprogress" /></div></TD>
                </c:if>
                
                <c:if test="${rpt.status != '0' and rpt.status!='2'}" >
                    <td  class="<c:out value='${class1}' />">
			<div align="center">
				<a href="#" onclick="NewWindow('initReportDetailPage.imss?reportID=<c:out value="${rpt.id}"/>&reportType=4','Report','700','600','yes');return false;"><bean:message bundle="report" key="report.results.html" /></a>
                    </div>
                    </TD>
	             <td  class="<c:out value='${class1}' />">
                    	<div align="center">
                    		<a href="#" onclick='self.location.href="reports_downloadcsv.imss?reportID=<c:out value="${rpt.id}"/>&reportType=4"'><bean:message bundle="report" key="report.results.csv" /></a>
	             	</div>
	             </TD>
                </c:if>
             </tr>
           </c:forEach>
	   </tr>

		<tr class="border">
			<td colspan="4" align="right"><table width="100%" border="0" cellpadding="0" cellspacing="0" class="border3">
			  <tr>
			    <td align="right" class="data2">
		              <html:select property="pageSize" onchange="onChangePageSize()" styleClass="button">
		                 <html:option value="10"><bean:message bundle="report" key="report.results.display.10perPg"/></html:option>
		                 <html:option value="15"><bean:message bundle="report" key="report.results.display.15perPg"/></html:option>
		                 <html:option value="20"><bean:message bundle="report" key="report.results.display.20perPg"/></html:option>
		                 <html:option value="30"><bean:message bundle="report" key="report.results.display.30perPg"/></html:option>
		                 <html:option value="50"><bean:message bundle="report" key="report.results.display.50perPg"/></html:option>
		                 <html:option value="100"><bean:message bundle="report" key="report.results.display.100perPg"/></html:option>
		                 <html:option value="200"><bean:message bundle="report" key="report.results.display.200perPg"/></html:option>                             
		              </html:select>
			    </td>
			  </tr>
			</table>
		    </TD>
		</TR>
	   
       </table></td>
    </tr>
  </TBODY>
</TABLE>
<br>
</html:form>
</body>
</html>
