<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib uri="/WEB-INF/tld/struts-bean-el.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/tld/struts-html-el.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/tld/c.tld" prefix="c" %>

<html>
<head>
<title></title>
<link href="/css/top.css" rel="stylesheet" type="text/css">
<c:if test="${verInfo.isRetrieving}">
	<meta http-equiv="refresh" content="15">
</c:if>

<script language="javascript">

function getAvailVersion(type)
{
	if(type == 0)
      {
      		<c:if test="${verInfo.isRedOfEngneAvailVer == -1}">
	           return  "<span class='subtitle-red'><c:out value='${verInfo.engneAvailVer}' /></span>";
              </c:if>
              <c:if test="${verInfo.isRedOfEngneAvailVer != -1}">
	           return   "<c:out value='${verInfo.engneAvailVer}' />";
              </c:if>
	}
	
	if(type == 1)
	{
		<c:if test="${verInfo.isRedOfPatterCurrVer == -1}">
			return "<span class='subtitle-red'><c:out value='${verInfo.patterAvailVer}' /></span>";
		</c:if>
		<c:if test="${verInfo.isRedOfPatterCurrVer != -1}">
			return "<c:out value='${verInfo.patterAvailVer}' />";
		</c:if>
	}

	if(type == 2)
      {
      		<c:if test="${verInfo.isRedOfSpyPattCurrVer == -1}">
	                return "<span class='subtitle-red'><c:out value='${verInfo.spyPattAvailVer}' /></span>";
                </c:if>
                <c:if test="${verInfo.isRedOfSpyPattCurrVer != -1}">
	                return "<c:out value='${verInfo.spyPattAvailVer}' />";
                </c:if>
	}

	if(type == 3)
	{
		var v1;
		var v2;
                <c:if test="${verInfo.isRedOfTrapPattCurrVer == -1}">
	               v1 ="<span class='subtitle-red'><c:out value='${verInfo.trapPattAvailVer}' /></span>";
                </c:if>
                <c:if test="${verInfo.isRedOfTrapPattCurrVer != -1}">
	                v1 = "<c:out value='${verInfo.trapPattAvailVer}' />";
	          </c:if>      
			
                <c:if test="${verInfo.isRedOfTrapExPattCurrVer == -1}">
	                v2 = "<span class='subtitle-red'><c:out value='${verInfo.trapExPattAvailVer}' /></span>"
                </c:if>
                <c:if test="${verInfo.isRedOfTrapExPattCurrVer != -1}">
	                v2 = "<c:out value='${verInfo.trapExPattAvailVer}' />"
	          </c:if>      
	          var v3 = v1 + "<br>"+ v2;
	         return v3
	}

	if(type == 4)
	{
                <c:if test="${verInfo.isRedOfSpamEngineCurrVer == -1}">
	                return "<span class='subtitle-red'><c:out value='${verInfo.spamEngineAvailVer}' /></span>";
                </c:if>
                <c:if test="${verInfo.isRedOfSpamEngineCurrVer != -1}">
	                return "<c:out value='${verInfo.spamEngineAvailVer}' />";
                </c:if>
	}

	if(type == 5)
	{
                <c:if test="${verInfo.isRedOfSpamPattCurrVer == -1}">
	                return "<span class='subtitle-red'><c:out value='${verInfo.spamPattAvailVer}' /></span>";
                </c:if>
                <c:if test="${verInfo.isRedOfSpamPattCurrVer != -1}">
	                return "<c:out value='${verInfo.spamPattAvailVer}' />";
                </c:if>
	}
	
	return "";
}
				
<c:choose>
	<c:when test="${appliance=='yes'}"> 
 function freshAvailVersion()
{
	var form = parent.document.forms[1];
    var ref = null;
	for(var i = 0; i < 6; i++)
  	{
  		var item = "item" + i;
        ref =parent.document.getElementById(item); 
        if(ref != null)
  		    ref.innerHTML = getAvailVersion(i);
	}

	ref = parent.document.getElementById("lastFresh");
    if(ref != null)
    {
        ref.innerHTML = "<bean:message bundle='summary' key='system.lastRefresh' />:<c:out value='${verInfo.freshTime}' />";
        }
}
	</c:when>
	<c:otherwise>
 function freshAvailVersion()
{
	var form = parent.document.forms[1];
	for(var i = 0; i < 6; i++)
  	{
  		var item = "item" + i;
  		parent.document.getElementById(item).innerHTML = getAvailVersion(i);
	}

	parent.document.getElementById("lastFresh").innerHTML = "<bean:message bundle='summary' key='system.lastRefresh' />:<c:out value='${verInfo.freshTime}' />";
}
	</c:otherwise>
</c:choose>

</script>
</head>

<body bgcolor="#FFFFFF" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0" onload="freshAvailVersion();">

<!--
<TABLE width="100%" border="0" cellpadding="0" cellspacing="0">
<tr>
<c:choose>
      <c:when test="${versionType == '0'}">  
	      <td class="data2b">
      		<c:if test="${verInfo.isRedOfEngneAvailVer == -1}">
	                <span class="subtitle-red"><c:out value="${verInfo.engneAvailVer}" /></span>
                </c:if>
                <c:if test="${verInfo.isRedOfEngneAvailVer != -1}">
	                <c:out value="${verInfo.engneAvailVer}" />
                </c:if>
                </td>
	</c:when>

	<c:when test="${versionType == '1'}">  
		<td class="data1b">
		<c:if test="${verInfo.isRedOfPatterCurrVer == -1}">
			<span class="subtitle-red"><c:out value="${verInfo.patterAvailVer}" /></span>
		</c:if>
		<c:if test="${verInfo.isRedOfPatterCurrVer != -1}">
			<c:out value="${verInfo.patterAvailVer}" />
		</c:if>
		</td>
	</c:when>

	<c:when test="${versionType == '2'}">  
		<td class="data2b">
                <c:if test="${verInfo.isRedOfSpyPattCurrVer == -1}">
	                <span class="subtitle-red"><c:out value="${verInfo.spyPattAvailVer}" /></span>
                </c:if>
                <c:if test="${verInfo.isRedOfSpyPattCurrVer != -1}">
	                <c:out value="${verInfo.spyPattAvailVer}" />
                </c:if>
                </td>
	</c:when>

	<c:when test="${versionType == '3'}">  
		<td class="data1b">
                <c:if test="${verInfo.isRedOfTrapPattCurrVer == -1}">
	                <span class="subtitle-red"><c:out value="${verInfo.trapPattAvailVer}" /></span>
                </c:if>
                <c:if test="${verInfo.isRedOfTrapPattCurrVer != -1}">
	                <c:out value="${verInfo.trapPattAvailVer}" />
	          </c:if>      
			<br>
                <c:if test="${verInfo.isRedOfTrapExPattCurrVer == -1}">
	                <span class="subtitle-red"><c:out value="${verInfo.trapExPattAvailVer}" /></span>
                </c:if>
                <c:if test="${verInfo.isRedOfTrapExPattCurrVer != -1}">
	                <c:out value="${verInfo.trapExPattAvailVer}" />
	          </c:if>      
		</td>
	</c:when>

	<c:when test="${versionType == '4'}">  
		<td class="data2b">
                <c:if test="${verInfo.isRedOfSpamEngineCurrVer == -1}">
	                <span class="subtitle-red"><c:out value="${verInfo.spamEngineAvailVer}" /></span>
                </c:if>
                <c:if test="${verInfo.isRedOfSpamEngineCurrVer != -1}">
	                <c:out value="${verInfo.spamEngineAvailVer}" />
                </c:if>
		</td>
	</c:when>

	<c:when test="${versionType == '5'}">  
		<td class="data1b">
                <c:if test="${verInfo.isRedOfSpamPattCurrVer == -1}">
	                <span class="subtitle-red"><c:out value="${verInfo.spamPattAvailVer}" /></span>
                </c:if>
                <c:if test="${verInfo.isRedOfSpamPattCurrVer != -1}">
	                <c:out value="${verInfo.spamPattAvailVer}" />
                </c:if>
              </td>
	</c:when>

</c:choose>

</tr></table>
-->
</body>
</html>
