﻿<%@ page contentType="text/html;charset=utf-8" language="java" %>
<%@ taglib uri="/WEB-INF/tld/struts-bean-el.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/tld/struts-html-el.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/tld/c.tld" prefix="c" %>

<html>

<head>

<title><bean:message bundle="systemResource" key="sys.wizard.title" /></title>
<link rel="stylesheet" type="text/css" href="/css/trend-style.css">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">

<script language="JavaScript" src="/javascripts/validation.jsp"></script>
<script language="JavaScript" type="text/JavaScript">

var isImpClosed = true;

function onImpWinOpen()
{
	isImpClosed = false;
}

function onImpWinClose()
{
	isImpClosed = true;
}

var winImport = null;

function import_window()
{
	winImport = window.open('/WizardImportDialog.imss','','left=300,top=500,height=140,width=580,menubar=no,toolbar=no,status=no,scrollbars=yes,resizable=yes');
	isImpClosed = false;
}

function click_master_or_slave()
{
	<c:if test="${have_child_server=='yes'}">
		document.forms[0].device_role[1].disabled=true;
	</c:if>
	<c:if test="${have_child_server=='no'}">
		document.forms[0].device_role[1].disabled=false;
	</c:if>

    if (document.forms[0].device_role[0].checked)
    {
	    document.getElementById("import_button").disabled=false;
	    document.forms[0].deploy_edge.disabled=false;
	    document.forms[0].enable_euq.disabled=false;
	    document.forms[0].ntp_enable.disabled=false;
	    if (document.forms[0].ntp_enable.checked)
	    {
	        document.forms[0].ntp_server.disabled=false;
	    }
	    else
	    {
	        document.forms[0].ntp_server.disabled=true;
	    }
	
	    document.forms[0].master_ip.disabled=true;
	
	    //document.getElementById("next_button").value = "Next >";
	    document.forms[0].next.value = "<bean:message key='button.next' />";
	}
	else
	{
	    document.getElementById("import_button").disabled=true;
	    document.forms[0].deploy_edge.disabled=true;
	    document.forms[0].enable_euq.disabled=true;
	    document.forms[0].ntp_enable.disabled=true;
	    document.forms[0].ntp_server.disabled=true;
	
	    document.forms[0].master_ip.disabled=false;
	    
	    //document.getElementById("next_button").value = "Finish";
	    document.forms[0].next.value = "<bean:message key='button.finish' />";
	}
}

function check_ntp()
{
    if (document.forms[0].ntp_enable.checked)
    {
        document.forms[0].ntp_server.disabled=false;
    }
    else
    {
        document.forms[0].ntp_server.disabled=true;
    }
}

function valid_ntpserver(ntp_server)
{
	var val = ntp_server.value;
	if (isValidIPAddress(val))
	{
		if (valid_ipv4Addr(val))
		{
			return true;
		}
	}
	else
	{
		if (checkDomain_Format(val))
		{
			return true;
		}
	}
   	if (document.forms[0].ntp_enable.checked == false && 
   		val.length == 0)
  	{
		return true;
  	}
	ntp_server.select();
   	alert("<bean:message bundle="systemResource" key="sys.conn.ntp.servererror"/>");
	ntp_server.focus();
	return false;
}

function valid_masterip(master_ip)
{
	var val = master_ip.value;
	if (valid_ipv4Addr(val) == false || val.indexOf(",") != -1)
	{
		master_ip.select();
     	alert("<bean:message bundle='errors' key='error.sys.wzrd.invalid.master_ip'/>");
		master_ip.focus();
		return false;
	}
	if (val == window.location.hostname || 
		val == "127.0.0.1" || val == "192.168.252.1")
	{
		master_ip.select();
     	alert("<bean:message bundle='errors' key='error.sys.wzrd.invalid.local_ip'/>");
		master_ip.focus();
		return false;
	}
	var num = convert_ipv4ToInt(val);
	if ((num == 0) || (num&0xFFFFFF00) == ((192<<(3*8)) + (168<<(2*8)) + (252<<8)))
	{
		master_ip.select();
     	alert("<bean:message bundle='errors' key='error.sys.wzrd.invalid.local_ip'/>");
		master_ip.focus();
		return false;
	}
	return true;
}

function validateFields(direct)
{
	var form = document.forms[0];

	if (winImport != null && isImpClosed == false) //winImport.closed == false)
	{
        alert("<bean:message bundle="systemResource" key="sys.wizard.deploy.close_import_window"/>");
		form.back.disabled = false;
		form.next.disabled = false;
		winImport.focus();
		return false;
	}

	if (direct == -1)
	{
		form.action="/WizardSetting_role.imss?direct=previou" + "&rnd=" + Math.random();
	}

	if (direct == 1)
	{
    	if (document.forms[0].device_role[0].checked)
    	{
	    	if (valid_ntpserver(form.ntp_server) == false)
    		{
				form.back.disabled = false;
				form.next.disabled = false;
				return false;
    		}
		}
		else
		{
	    	if (valid_masterip(form.master_ip) == false)
    		{
				form.back.disabled = false;
				form.next.disabled = false;
				return false;
    		}
			if (confirm("<bean:message bundle='systemResource' key='sys.wizard.deploy.child.parent1' />" + form.master_ip.value + "?\n" + "<bean:message bundle='systemResource' key='sys.wizard.deploy.child.parent2' />") != true)
    		{
				form.back.disabled = false;
				form.next.disabled = false;
				return false;
    		}
		}

		form.action="/WizardSetting_role.imss?direct=next" + "&rnd=" + Math.random();
	}

	form.submit();

	return true;
}

function checkBError()
{
	<c:if test="${ !empty DeployError}" var="errmsg" scope="request">
	alert("<c:out value='${DeployError}' escapeXml='false'/>");
	</c:if>
	//if (winImport != null && isImpClosed == true)
	//{
	//	winImport = null;
	//}
}

function checkDelgAdm()
{
	var form = document.forms[0];
	<c:if test="${adminUser.systemReadOnly}">
	for (i=0; i<form.elements.length; i++)
	{
		form.elements[i].disabled = true;
	}
	</c:if>
	form.back.disabled = false;
	form.next.disabled = false;
}

function setFocus()
{
	var form = document.forms[0];
	if (form.next != null && form.next.disabled == false)
	{
		form.next.focus();
	}
        scroll(0,0);
}

function LockButtons()
{
	var form = document.forms[0];
	form.back.disabled = true;
	form.next.disabled = true;
	return true;
}

</script>

</head>

<BODY leftmargin="0" topmargin="0" marginwidth="0" style="padding-top:10px" onload="click_master_or_slave();checkBError();checkDelgAdm();setFocus();">
<html:form action="/WizardSetting_role.imss" onsubmit="return LockButtons()" >

<table width="690" border="0" cellpadding="0" cellspacing="0">
  <tr>
    <td width="179" height="49" align="center" valign="bottom" background="/images/<bean:message key="locale" />/cc_on.gif" class="textboldwhite" style="padding-bottom:10px;background-repeat: no-repeat">
    <bean:message bundle="systemResource" key="sys.wizard.step2" /></td>
    <td width="361">&nbsp;</td>
    <td width="150" rowspan="2" valign="top">
    <table width="150" border="0" cellspacing="0" cellpadding="0">
      <tr align="right" valign="top">
        <td height="49">&nbsp;</td>
      </tr>
    </table>
	<table cellSpacing="0" cellPadding="0" width="150" border="0" id="table2">
		<tr>
			<td>&nbsp;</td>
			<td class="data1"><span class="textbold"><bean:message bundle="systemResource" key="sys.wizard.step" /></span></td>
		</tr>
		<tr>
			<td><img src="/images/<bean:message key="locale" />/1space_cui.gif" width="10" height="1"></td>
			<td class="data1"><bean:message bundle="systemResource" key="sys.wizard.step1.desc" /></td>
		</tr>
		<tr>
			<td width="10">&nbsp;</td>
			<td class="data1"><span class="textbold"><bean:message bundle="systemResource" key="sys.wizard.step2.desc" /></span></td>
		</tr>
		<tr>
			<td width="10">&nbsp;</td>
			<td class="data1"><bean:message bundle="systemResource" key="sys.wizard.step3.desc" /></td>
		</tr>
		<tr>
			<td width="10">&nbsp;</td>
			<td class="data1"><bean:message bundle="systemResource" key="sys.wizard.step4.desc" /></td>
		</tr>
		<tr>
			<td>&nbsp;</td>
			<td class="data1"><bean:message bundle="systemResource" key="sys.wizard.step5.desc" /></td>
		</tr>
		<tr>
			<td width="10">&nbsp;</td>
			<td class="data1"><bean:message bundle="systemResource" key="sys.wizard.step6.desc" /></td>
		</tr>
		<tr>
			<td width="10">&nbsp;</td>
			<td class="data1"><bean:message bundle="systemResource" key="sys.wizard.step7.desc" /></td>
		</tr>
		<tr>
			<td>&nbsp;</td>
			<td class="data1"><bean:message bundle="systemResource" key="sys.wizard.step8.desc" /></td>
		</tr>
		<tr>
			<td>&nbsp;</td>
			<td class="data1"><bean:message bundle="systemResource" key="sys.wizard.step9.desc" /></td>
		</tr>
		<tr>
			<td>&nbsp;</td>
			<td class="data1"><bean:message bundle="systemResource" key="sys.wizard.step10.desc" /></td>
		</tr>
	</table>
	</td>
  </tr>
  <tr>
    <td colspan="2"><table width=540 border=0 cellpadding=0 cellspacing=0>
      <tbody>
        <tr>
            <td width="368" class="content-title"><bean:message bundle="systemResource" key="sys.wizard.deployment_setting" /></td>
            <td align="right" valign="bottom">
                <c:if test="${wizLoginOpen=='yes'}">
          	    <a href="/logoff.imss"><bean:message bundle="systemResource" key="sys.wizard.welcome.label.logoff" /></a>
                </c:if>
                &nbsp;&nbsp;
                <a href="/help/<bean:message key="locale" />/wizard_deployment_settings_help.htm" target="_blank">
                <img src="/images/<bean:message key="locale" />/question_cui.gif" width="16" height="16" border="0"></a>
            </td>
        </tr>
        <tr>
          <td colspan="2" class="hor-dotted-line"><img src="/images/<bean:message key="locale" />/1space_cui.gif" width="1" height="10"></td>
        </tr>
        <tr>
          <td colspan="2" class="data1"><p><bean:message bundle="systemResource" key="sys.wizard.deploy.desc1" /> <bean:message bundle="systemResource" key="sys.wizard.deploy.desc2" /></p></td>
          </tr>
        <tr>
          <td colspan="2"><img src="/images/<bean:message key="locale" />/1space_cui.gif" width="1" height="10"></td></tr>
      </tbody>
    </table>
      <table width="540" border="0" cellpadding="0" cellspacing="0" class="border">
        <tr>
        <td class="data1" align="left"><strong></strong><c:out value="${wizHostName}" /></strong> <bean:message bundle='systemResource' key='sys.wizard.deploy.type' /></td>
        </tr>
        <tr>
          <td><table width="538" border="0" cellpadding="0" cellspacing="0">
              <TBODY>
                <TR>
                  <TD width="538">
					<div align="center">
						<table width="538" border="0" cellspacing="0" cellpadding="0" align="left">
                      <tr>
                        <td width="26" align="center" >
                          <html:radio property="device_role" value="master" styleClass="button" onclick="click_master_or_slave();" /></td>
                        <td class="data1" style="vertical-align:middle" align="left" width="506" colspan="2">
						<b><bean:message bundle='systemResource' key='sys.wizard.deploy.parent' /></b></td>
                      </tr>
                      <tr>
                        <td width="20"  class="data1" align="center">&nbsp;</td>
                        <td width="512" colspan="2">
                            <table width="512" border="0" cellspacing="0" cellpadding="0">
                              <tr>
                                <td width="20" class="data1" align="center">&nbsp;</td>
                                <td class="data1" align="left" width="480" colspan="2">
								<input id="import_button" type="button" value="<bean:message bundle='systemResource' key='sys.wizard.deploy.import' />" name="import_button" class="button" onClick="import_window();" >
								</td>
                              </tr>
                              <tr>
                                <td width="20" class="data1" align="center">
								<html:checkbox property="deploy_edge" styleClass="button" /></td>
                                <td class="data1" width="480" colspan="2"><bean:message bundle="systemResource" key="sys.wizard.deploy.at_edge" /></td>
                              </tr>
                              <tr>
                                <td width="20" class="data1" align="center">
								&nbsp;</td>
                                <td class="data1" width="480" colspan="2"><bean:message bundle='systemResource' key='sys.wizard.deploy.gateway' /></td>
                              </tr>
                              <tr>
                                <td width="20"  class="data1" align="center">
								<html:checkbox property="enable_euq" styleClass="button" />
                                </td>
                                <td class="data1" width="480" colspan="2">
								<strong style="font-weight: 400"><bean:message bundle="systemResource" key="sys.wizard.deploy.enable_euq" /></strong></td>
                              </tr>
                              <tr>
                                <td width="20"  class="data1" align="center">&nbsp;</td>
                                <td class="data1" width="480" colspan="2"><bean:message bundle='systemResource' key='sys.wizard.deploy.quarantine' /></td>
                              </tr>
                              <tr>
                                <td width="20"  class="data1" align="center">
								<html:checkbox property="ntp_enable" styleClass="button" onclick="check_ntp();" />
								</td>
                                <td class="data1" width="316"><bean:message bundle="systemResource" key="sys.wizard.deploy.enable_ntp" />:</td>
                                <td class="data1" width="158">
                          <html:text property="ntp_server" styleClass="button" size="25" maxlength="256" /></td>
                              </tr>
                              </table>
                        </td>
                      </tr>
                      <tr>
                        <td colspan="2"><img src="/images/<bean:message key="locale" />/1space_cui.gif" width="1" height="10"></td>
                      </tr>
						<tr>
                        <td width="20"  class="data1" align="center">
						<html:radio property="device_role" value="slave" styleClass="button" onclick="click_master_or_slave();" /></td>
                        <td class="data1" width="506" colspan="2"><b><bean:message bundle='systemResource' key='sys.wizard.deploy.child' /></b></td>
                      </tr>
                      <tr>
                        <td width="20" class="data1" align="center">&nbsp;</td>
                        <td class="data1" width="251" align="right"><bean:message bundle='systemResource' key='sys.wizard.deploy.parentip' /></td>
                        <td class="data1" width="249">
                          <html:text property="master_ip" styleClass="button" size="20" maxlength="16" /></td>
                      </tr>
                      <tr>
                        <td colspan="2"><img src="/images/<bean:message key="locale" />/1space_cui.gif" width="1" height="10"></td>
                      </tr>
                      </table>
                  </div>
                  </TD>
                </TR>
              </TBODY>
            </table>
          </td>
        </tr>
      </table>
      <table width="540" border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td height="28" valign="bottom">
            <input name="back" type="button" class="button" onClick="return validateFields(-1)" value="&lt; <bean:message key='button.back' />" style="width:50px">
            <input name="next" id="next_button" type="button" class="button" onClick="LockButtons();return validateFields(1)" value="<bean:message key='button.next' /> &gt;" style="width:50px">
          </td>
        </tr>
      </table>
    </td>
  </tr>
</table>
<br>
</html:form>
</BODY>
</HTML>
