﻿<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib uri="/WEB-INF/tld/struts-bean-el.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/tld/struts-html-el.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/tld/c.tld" prefix="c" %>

<html>

<head>

<title><bean:message bundle="systemResource" key="sys.wizard.title" /></title>
<link rel="stylesheet" type="text/css" href="/css/trend-style.css">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">

<script language="JavaScript" src="/javascripts/validation.jsp"></script>
<script language="JavaScript" type="text/JavaScript">

function validateFields(direct)
{
	var form = document.forms[0];

	if (direct == -1)
		form.action="/WizardSetting_smtp.imss?direct=previou" + "&rnd=" + Math.random();

	if (direct == 0)
		form.action="/WizardSetting_smtp.imss?direct=skip" + "&rnd=" + Math.random();

	if (direct == 1)
		form.action="/WizardSetting_smtp.imss?direct=next" + "&rnd=" + Math.random();

	form.submit();

	return true;
}

function checkBError()
{
	<c:if test="${!empty SmtpDbdError}" var="errmsg" scope="request">
		alert("<c:out value='${SmtpDbdError}' />");
	</c:if>
}

var readOnly=false;

function checkReadOnly()
{
  <c:if test="${adminUser.systemReadOnly}" >
    var form = document.forms[0];
    for (var i=0; i<form.elements.length; i++) 
    {
      form.elements[i].disabled = true;
    }
    readOnly=true;
    form.pageNum.disabled=false;
    form.numPerPage.disabled=false;
    form.orderBy.disabled=false;
    form.sortDirection.disabled=false;
    form.back.disabled = false;
    form.next.disabled = false;
  </c:if>
}

function addRelayDomain()
{
    if(!checkpostfixwildcarddomain(document.forms[0].addDomainStr))
        return false;
    document.forms[0].action="/WizardSetting_smtp_addRelayDomain.imss";
    document.forms[0].submit();
    return true;
}

function removeRelayDomain()
{
    document.forms[0].action="/WizardSetting_smtp_removeRelayDomain.imss";
    document.forms[0].submit();
    return true;
}

function addSubmit()
{
  if(readOnly)
    return false;

  document.forms[0].action = "/WizardSetting_smtp_saveAddDelivery.imss";
  document.forms[0].submit();
  return true;
}

function NewWindow(mypage, myname, w, h, scroll) {
  var winl = (screen.width - w) / 2;
  var wint = (screen.height - h) / 2;
  winprops = 'height='+h+',width='+w+',top='+wint+',left='+winl+',scrollbars='+scroll+',resizable'
  win = window.open(mypage, myname, winprops)
  if (parseInt(navigator.appVersion) >= 4) { win.window.focus(); }
  win.opener = this;
}

function refresh()
{
    document.forms[0].action="/WizardSetting_smtp.imss?direct=init";
    document.forms[0].submit();
}
function importRelay()
{
  if(readOnly)
    return false;

  NewWindow('/WizardSettting_smtp_importRelayDomain.imss','import','550','150','auto');
  return false;
}
function importDelivery()
{
    if(readOnly)
        return false;

    NewWindow('/importDelivery.imss','import','550','150','auto');
    return false;
}
function AddDelivery()
{
  if(readOnly)
    return false;

  NewWindow('/WizardSetting_smtp_addDelivery.imss','Add','550','270','auto');
  return false;
}

function DeleteDelivery()
{
  if(readOnly)
    return false;

  document.forms[0].action="/WizardSetting_smtp_deleteDelivery.imss";
  document.forms[0].submit();
  return false;
}

function FirstPage()
{
  document.forms[0].action="/WizardSetting_smtp_firstDeliveryPage.imss";
  document.forms[0].submit();
  return false;
}

function PrevPage()
{
  document.forms[0].action="/WizardSetting_smtp_previousDeliveryPage.imss";
  document.forms[0].submit();
  return false;
}

function jumpToPage()
{
  document.forms[0].action="/WizardSetting_smtp_jumpDeliveryPage.imss";
  document.forms[0].submit();
  return false;
}

function NextPage()
{
  document.forms[0].action="/WizardSetting_smtp_nextDeliveryPage.imss";
  document.forms[0].submit();
  return false;
}

function LastPage()
{
  document.forms[0].action="/WizardSetting_smtp_lastDeliveryPage.imss";
  document.forms[0].submit();
  return false;
}

function sortBy(column)
{
  if(document.forms[0].orderBy.value==column)
  {
    if(document.forms[0].sortDirection.value==1)
      document.forms[0].sortDirection.value=0;
    else
      document.forms[0].sortDirection.value=1;
  }
  else
  {
    document.forms[0].sortDirection.value=1;
    document.forms[0].orderBy.value=column;
  }
  document.forms[0].action="/WizardSetting_smtp_orderByDeliveryColumn.imss";
  document.forms[0].submit();
  return false;
}

function changePageSize()
{
  document.forms[0].action="/WizardSetting_smtp_changeDeliveryPageSize.imss";
  document.forms[0].submit();
  return false;
}

function setFocus()
{
	var form = document.forms[0];
	if (form.next != null && form.next.disabled == false)
	{
		form.next.focus();
	}
    scroll(0,0);
}

function LockButtons()
{
	var form = document.forms[0];
	form.back.disabled = true;
	form.next.disabled = true;
	return true;
}

</script>

</head>

<BODY leftmargin="0" topmargin="0" marginwidth="0" style="padding-top:10px" onload="checkBError();checkReadOnly();setFocus();">

<html:form action="/WizardSetting_smtp.imss?direct=init" onsubmit="return LockButtons()" >

<table width="690" border="0" cellpadding="0" cellspacing="0">
  <tr>
    <td width="179" height="49" align="center" valign="bottom" background="/images/<bean:message key="locale" />/cc_on.gif" class="textboldwhite" style="padding-bottom:10px;background-repeat: no-repeat">
    <bean:message bundle="systemResource" key="sys.wizard.step3" /></td>
    <td width="361">&nbsp;</td>
    <td width="150" rowspan="2" valign="top">
    <table width="150" border="0" cellspacing="0" cellpadding="0">
      <tr align="right" valign="top">
        <td height="49">&nbsp;</td>
      </tr>
    </table>
	<table cellSpacing="0" cellPadding="0" width="150" border="0" id="table9">
		<tr>
			<td>&nbsp;</td>
			<td class="data1"><span class="textbold"><bean:message bundle="systemResource" key="sys.wizard.step" /></span></td>
		</tr>
		<tr>
			<td><img src="/images/<bean:message key="locale" />/1space_cui.gif" width="10" height="1"></td>
			<td class="data1"><bean:message bundle="systemResource" key="sys.wizard.step1.desc" /></td>
		</tr>
		<tr>
			<td width="10">&nbsp;</td>
			<td class="data1"><bean:message bundle="systemResource" key="sys.wizard.step2.desc" /></td>
		</tr>
		<tr>
			<td width="10">&nbsp;</td>
			<td class="data1"><span class="textbold"><bean:message bundle="systemResource" key="sys.wizard.step3.desc" /></span></td>
		</tr>
		<tr>
			<td width="10">&nbsp;</td>
			<td class="data1"><bean:message bundle="systemResource" key="sys.wizard.step4.desc" /></td>
		</tr>
		<tr>
			<td>&nbsp;</td>
			<td class="data1"><bean:message bundle="systemResource" key="sys.wizard.step5.desc" /></td>
		</tr>
		<tr>
			<td width="10">&nbsp;</td>
			<td class="data1"><bean:message bundle="systemResource" key="sys.wizard.step6.desc" /></td>
		</tr>
		<tr>
			<td width="10">&nbsp;</td>
			<td class="data1"><bean:message bundle="systemResource" key="sys.wizard.step7.desc" /></td>
		</tr>
		<tr>
			<td>&nbsp;</td>
			<td class="data1"><bean:message bundle="systemResource" key="sys.wizard.step8.desc" /></td>
		</tr>
		<tr>
			<td>&nbsp;</td>
			<td class="data1"><bean:message bundle="systemResource" key="sys.wizard.step9.desc" /></td>
		</tr>
		<tr>
			<td>&nbsp;</td>
			<td class="data1"><bean:message bundle="systemResource" key="sys.wizard.step10.desc" /></td>
		</tr>
	</table>
	</td>
  </tr>
  <tr>
    <td colspan="2">
    <table width=540 border="0" cellpadding=0 cellspacing=0>
      <tbody>
        <tr>
          <td width="368" class="content-title"><bean:message bundle="systemResource" key="sys.wizard.smtproute_setting" /></td>
          <td align="right" valign="bottom">
            <c:if test="${wizLoginOpen=='yes'}">
          	  <a href="/logoff.imss"><bean:message bundle="systemResource" key="sys.wizard.welcome.label.logoff" /></a>
            </c:if>
            &nbsp;&nbsp;
            <a href="/help/<bean:message key="locale" />/wizard_smtp_help.htm" target="_blank">
            <img src="/images/<bean:message key="locale" />/question_cui.gif" width="16" height="16" border="0"></a>
          </td>
        </tr>
        <tr>
          <td colspan="2" class="hor-dotted-line"><img src="/images/<bean:message key="locale" />/1space_cui.gif" width="1" height="10"></td>
        </tr>
        <tr>
          <td colspan="2" class="data1"><p><bean:message bundle="systemResource" key="sys.wizard.smtp.desc1" /> <strong><bean:message bundle="systemResource" key="sys.wizard.smtp.desc2" /></strong>.</p></td>
          </tr>
        <tr>
          <td colspan="2"><img src="/images/<bean:message key="locale" />/1space_cui.gif" width="1" height="10"></td>
        </tr>
      </tbody>
    </table>
    <table width="540" border="0" cellpadding="0" cellspacing="0" class="border">
      <tr>
        <td>
          <table width="538" border="0" cellpadding="0" cellspacing="0">
          <TBODY>
            <TR>
              <TD style="padding-bottom:3px">
                <table width="100%" border="0" cellpadding="0" cellspacing="0" id="table2" >
                  <tr>
                    <td colspan="2">
                      <table width="100%" class="border" border="0" cellpadding="0" cellspacing="0">
                        <tr>
                          <td class="tableheadergrey"><bean:message bundle="systemResource" key="sys.wizard.smtp.relaydomains" /></td>
                        </tr>
                      </table>
                    </td>
                  </tr>
                  <tr> 
                    <td colspan="2" class="data1"><bean:message bundle="systemResource" key="sys.wizard.smtp.relaydesc" /></td>
                  </tr>
                  <tr>
                    <td colspan="2"><img src="/images/<bean:message key="locale" />/1space_cui.gif" width="1" height="10"></td>
                  </tr>
                  <tr> 
                    <td colspan="2" class="data1"><span class="textbold"><bean:message bundle="systemResource" key="sys.wizard.smtp.adddomain" /></span></td>
                  </tr>
                  <tr>
                    <td colspan="2">
                      <table border="0" cellspacing="0" cellpadding="0">
                        <tr>
                          <td>
                            <table width="100%" border="0" cellspacing="0" cellpadding="0">
                              <tr>
                                <td class="data1"><input name="addDomainStr" type="text" class="button" size="30"></td>
                              </tr>
                              <tr>
                                <td class="data1"><bean:message bundle="systemResource" key="sys.smtp.rule.domainExample" /> </td>
                              </tr>
                               <tr>
                                <td class="data1"><input name="import" type="button"  class="button" value="<bean:message key="label.importfromfile" />" style="width:110px" onClick=importRelay()></td>
                              </tr>
                            </table>
                          </td>
                          <td width="40" align="center">
                            <input name="Button" type="button" class="button" value="&gt;&gt;" style=width:50px" onclick="return addRelayDomain();">
                            <br>
                            <input name="Button2" type="button" class="button" value="&lt;&lt;" style=width:50px" onclick="return removeRelayDomain();">
                          </td>
                          <td>
                            <select name="selectedRelayDomains" size="10" multiple class="button" style="width:250px">
                            <c:forEach items="${relayDomains}" var="choiceItem">
                              <option value="<c:out value="${choiceItem}"/>"><c:out value="${choiceItem}" /></option>
	                          </c:forEach>
                            </select>
                          </td>
                        </tr>
                      </table>
                    </td>
                  </tr>
                  <tr>
                    <td colspan="2"><img src="/images/<bean:message key="locale" />/1space_cui.gif" width="1" height="10"></td>
                  </tr>
                  
                  <!-- Doamin Based Delivery -->
                  <tr>
                    <td colspan="2">
                      <table width="100%" class="border" border="0" cellpadding="0" cellspacing="0">
                        <tr>
                          <td class="tableheadergrey"><bean:message bundle="systemResource" key="sys.wizard.smtp.delivery" /></td>
                        </tr>
                      </table>
                    </td>
                  </tr>
                  <tr>
                    <td>
						          <table width="100%" border="0" cellpadding="0" cellspacing="0" id="table4">
                        <tr>
                          <td class="data2">
							              <table border="0" cellpadding="0" cellspacing="0" id="table5">
                              <tr>
                                <td>
                                  <a href="#" class="databutton" onClick="return AddDelivery();"><img src="/images/<bean:message key="locale" />/icon_add.gif" border="0"><bean:message key="label.add" /></a> 
                                </td>
                                <td class="text">
                                  <img src="/images/<bean:message key="locale" />/1space_cui.gif" width="2" height="1">
                                </td>
                                <td>
                                  <a href="#" class="databutton" onclick="return DeleteDelivery();"><img src="/images/<bean:message key="locale" />/icon_delete.gif" border="0"><bean:message key="label.delete" /></a>
                                </td>
                                <td class="text"><img src="/images/<bean:message key="locale" />/1space_cui.gif" width="2" height="1"></td>
                                <td><a href="#" class="databutton" onclick="return importDelivery();"><img src="/images/<bean:message key="locale" />/icon_import.gif" border="0"><bean:message key="label.importfromfile" /></a> </td>
                              </tr>
                            </table>
                          </td>
                          <td class="data2">
                            <table border="0" align="right" cellpadding="0" cellspacing="0" id="table6">
							                <tr>
                                <td class="data1">
                                  <strong><c:out value="${firstDelivery}" />-<c:out value="${lastDelivery}" /></strong>
                                  <bean:message bundle="systemResource" key="sys.smtp.delivery.of" /> 
                                  <c:out value="${totalDelivery}" />
                                </td>
                                <td nowrap>
                                  <table height="26" border="0" align="right" cellpadding="0" cellspacing="0" id="table7">
                                    <tr>
                                      <td>
                                        &nbsp;<a href="#" onclick="return FirstPage();"><img src="/images/<bean:message key="locale" />/pagination-beginning.gif" width="10" height="9" alt="" border="0"></a>
                                      </td>
                                      <td>
                                        &nbsp;<a href="#" onclick="return PrevPage();"><img src="/images/<bean:message key="locale" />/pagination-previous.gif" width="10" height="9" alt="" border="0"></a>
                                      </td>
                                      <td nowrap class="data2">
                                        <bean:message key="display.page" />
                                        <html:select property="pageNum" styleClass="button" onchange="return jumpToPage();">
                                        <c:forEach begin="1" end="${totalDeliveryPage}" varStatus="current">
                                        <html:option value="${current.index}"><c:out value="${current.index}" /></html:option>
                                        </c:forEach>
                                        </html:select>
                                      </td>
                                      <td>
                                        &nbsp;<a href="#" onclick="return NextPage();"><img src="/images/<bean:message key="locale" />/pagination-next.gif" width="10" height="9" alt="" border="0"></a>
                                      </td>
                                      <td>
                                        &nbsp;<a href="#" onclick="return LastPage();"><img src="/images/<bean:message key="locale" />/pagination-end.gif" width="10" height="9" alt="" border="0"></a>&nbsp;
                                      </td>
                                      <td>&nbsp;</td>
                                    </tr>
                                  </table>
                                </td>
                              </tr>
                            </table>
                          </td>
                        </tr>
                      </table>
                    </td>
                  </tr>
                  <tr>
                    <td>
						          <TABLE width="100%" border="0" cellpadding="0" cellspacing="0" class="border2b" id="table8">
                        <TR>
                          <TD width="20"  class="grey2"><input name="checkAll" type="checkbox" value="checkbox" onClick="updateCheckboxGroup(this, this, document.forms[0].selectedDelivery);"></TD>
                          <TD class="grey2">
                            <a href="#" onclick="return sortBy('domain');"><bean:message bundle="systemResource" key="sys.smtp.delivery.domain" /></a>
                          </TD>
                          <TD align="center" class="grey2-end">
                            <a href="#" onclick="return sortBy('method');"><bean:message bundle="systemResource" key="sys.smtp.delivery.method" /></a>
                          </TD>
                        </TR>
                        <c:forEach items="${transportList}" var="choiceItem" varStatus="current">
                          <c:choose>
                            <c:when test="${current.index % 4 == 0 || current.index % 4 == 1 }">
                              <c:set var="class1" value="data1b" />
                              <c:set var="class2" value="data1" />
                            </c:when>
                            <c:otherwise>
                              <c:set var="class1" value="data2b" />
                              <c:set var="class2" value="data2" />
                            </c:otherwise>
                          </c:choose>
                          <c:if test="${(current.index/2)+1>=firstDelivery && (current.index/2)+1<=lastDelivery+0.5}">
                            <c:choose>
                              <c:when test="${current.index % 2 == 0}">
                              <TR>
                                <TD class="<c:out value='${class1}' />"><html:multibox property="selectedDelivery" value="${current.index}" onclick="updateCheckboxGroup(this, document.forms[0].checkAll, document.forms[0].selectedDelivery);"/></TD>
                                <TD class="<c:out value='${class1}' />"><c:out value='${choiceItem}' /></TD>
                              </c:when>
                              <c:otherwise>
                                <TD align="center" class="<c:out value='${class2}' />"><c:out value='${choiceItem}' /></TD>
                              </TR>
                              </c:otherwise>
                              </c:choose>
                          </c:if>
                        </c:forEach>
                      </TABLE>
                    </td>
                  </tr>
                  <tr>
                    <td align="right" class="data1" style="padding:3px">
                      <html:select property="numPerPage" styleClass="button" onchange="return changePageSize();">
                        <html:option value="10"><bean:message bundle="policy" key="ruleSummary.10PerPage" /></html:option>
                        <html:option value="15"><bean:message bundle="policy" key="ruleSummary.15PerPage" /></html:option>
                        <html:option value="20"><bean:message bundle="policy" key="ruleSummary.20PerPage" /></html:option>
                        <html:option value="30"><bean:message bundle="policy" key="ruleSummary.30PerPage" /></html:option>
                        <html:option value="50"><bean:message bundle="policy" key="ruleSummary.50PerPage" /></html:option>
                        <html:option value="100"><bean:message bundle="policy" key="ruleSummary.100PerPage" /></html:option>
                        <html:option value="200"><bean:message bundle="policy" key="ruleSummary.200PerPage" /></html:option>
                      </html:select>
                    </td>
                  </tr>
                </table>
              </TD>
            </TR>
          </TBODY>
          </table>
        </td>
      </tr>
    </table>
    <table width="540" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td height="28" valign="bottom">
          <input name="back" type="button" class="button" onClick="return validateFields(-1)" value="&lt; <bean:message key='button.back' />" style="width:50px">
<!--          <input name="skip" type="button" class="button" onClick="return validateFields(0)" value="<bean:message key='button.skip' />" style="width:50px">-->
          <input name="next" type="button" class="button" onClick="return validateFields(1)" value="<bean:message key='button.next' /> &gt;" style="width:50px">
        </td>
      </tr>
    </table>
  </td>
</tr>
</table>
<br>
<html:hidden property="orderBy" />
<html:hidden property="sortDirection" />
<html:hidden property="domainName" />
<html:hidden property="server" />
<html:hidden property="port" />
</html:form>
</BODY>
</HTML>
