﻿<%@ page contentType="text/html;charset=utf-8" language="java" %>
<%@ taglib uri="/WEB-INF/tld/struts-bean-el.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/tld/struts-html-el.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/tld/c.tld" prefix="c" %>

<html>

<head>

<title><bean:message bundle="systemResource" key="sys.wizard.title" /></title>
<link rel="stylesheet" type="text/css" href="/css/trend-style.css">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">

<script language="JavaScript" src="/javascripts/AnchorPosition.js"></script>
<script language="JavaScript" src="/javascripts/date.js"></script>
<script language="JavaScript" src="/javascripts/PopupWindow.js"></script>
<script language="JavaScript" src="/javascripts/CalendarPopup.jsp"></script>
<script language="JavaScript" src="/javascripts/validation.jsp"></script>
<script language="JavaScript" src="/javascripts/tzd.js"></script>
<script language="JavaScript" type="text/JavaScript">

//--------- start timezone handling

function set_city(list, name)
{
    var f = document.forms[0];
    var c = f.sys_tz_city;
    var index = 0;
    
    while (c.length)
        c.remove(0);

    for (i = 0; i < list.length; i++)
    {
        var e = document.createElement('option');
        e.text = list[i];
        try {
            c.add(e, null);
        }
        catch(ex) {
            c.add(e);
        }
        if (name != null && name == list[i])
            index = i;
    }
    
    c.selectedIndex = index;
}

function set_country(list, name)
{
    var f = document.forms[0];
    var c = f.sys_tz_regn;
    var index = 0;
    
    while (c.length)
        c.remove(0);

    for (i = 0; i < list.length; i++)
    {
        var e = document.createElement('option');
        e.text = list[i].name;
        try {
            c.add(e, null);
        }
        catch(ex) {
            c.add(e);
        }
        if (name != null && name == list[i].name)
            index = i;
    }
    
    c.selectedIndex = index;
    
    return list[index].cities;
}

function set_continent(name)
{
    var f = document.forms[0];
    var c = f.sys_tz_cont;
    var index = 0;
    var list = tzd.continents;
    
    while (c.length)
        c.remove(0);

    for (i = 0; i < list.length; i++)
    {
        var e = document.createElement('option');
        e.text = list[i].name;
        try {
            c.add(e, null);
        }
        catch(ex) {
            c.add(e);
        }
        if (name != null && name == list[i].name)
            index = i;
    }
    
    c.selectedIndex = index;
    
    return tzd.continents[index].countries;
}

var c1 = "";
var c2 = "";
var c3 = "";

function inittz()
{
	if (c3 == "")
	{
    	//c1 = "<c:out value='${curCont}' escapeXml='false' />";
    	//c2 = "<c:out value='${curRegn}' escapeXml='false' />";
    	//c3 = "<c:out value='${curCity}' escapeXml='false' />";
    	c1 = "<c:out value='${wizTZCont}' escapeXml='false' />";
    	c2 = "<c:out value='${wizTZRegn}' escapeXml='false' />";
    	c3 = "<c:out value='${wizTZCity}' escapeXml='false' />";
    }
	if (c3 == "")
	{
    	document.forms[0].next.value = "<bean:message key='button.save' />";
	}
	else
	{
    	document.forms[0].next.value = "<bean:message key='button.next' />";
	}
    
    var countries = set_continent(c1);
    var cities = set_country(countries, c2);
    set_city(cities, c3);
}

function change_country()
{
    var f = document.forms[0];
    var l = tzd.continents[f.sys_tz_cont.selectedIndex].countries[f.sys_tz_regn.selectedIndex].cities;
    set_city(l, null);
    change_city();
}

function change_continent()
{
    var f = document.forms[0];
    var l = tzd.continents[f.sys_tz_cont.selectedIndex].countries;
    set_country(l, null);
    change_country();
}

//--------- end timezone handling

function change_city()
{
	var form = document.forms[0];
	var list = tzd.continents[form.sys_tz_cont.selectedIndex].countries[form.sys_tz_regn.selectedIndex].cities;
	if (c3 != list[form.sys_tz_city.selectedIndex])
	{
	    document.forms[0].next.value = "<bean:message key='button.save' />";
	}
	else
	{
	    document.forms[0].next.value = "<bean:message key='button.next' />";
	}
}

// time distance between client and server
var cs_distance = 0;
// time distance bwtween server and user changed
var uc_distance = 0;

function checkNewDate(newDate)
{
	if (!checkdate(newDate))
		return false;

	var yearVal = new Date(newDate.value).getFullYear();

	if (yearVal < 1970)
	{
		newDate.select();
		alert("<bean:message bundle="logs" key="query.events.alert.tooOld"/>");
		newDate.focus();
		return false;
	}

	if (yearVal > 2037)
	{
		newDate.select();
		alert("<bean:message bundle="logs" key="query.events.alert.tooNew"/>");
		newDate.focus();
		return false;
	}

	stopTime();
	var now = new Date();
	var strDateTime = newDate.value + " " + document.forms[0].sys_loc_time.value;
	startTime();
	var newTime = getDateFromFormat(strDateTime, "MM/dd/yyyy HH:mm:ss");
	if (newTime == 0)
	{
		newDate.select();
		alert("The date is invalid. Enter the correct date in the following format: mm/dd/yyyy.");
		newDate.focus();
		return false;
	}
	uc_distance = newTime - now.getTime() - cs_distance;
	document.forms[0].time_distance.value = uc_distance;
	startDate();
    document.forms[0].next.value = "<bean:message key='button.save' />";
	return true;
}

function checkNewTime(newTime)
{
	var now = new Date();
	var DateTime = document.forms[0].sys_loc_date.value + " " + newTime.value;
	startTime();
	var tmVal = getDateFromFormat(DateTime, "MM/dd/yyyy HH:mm:ss");
	if (tmVal == 0)
	{
		newTime.select();
		alert("The time is invalid. Enter the correct time in the following format: hh:mm:ss.");
		newTime.focus();
		return false;
	}
	uc_distance = tmVal - now.getTime() - cs_distance;
	document.forms[0].time_distance.value = uc_distance;
    document.forms[0].next.value = "<bean:message key='button.save' />";
	return true;
}

var cal_date = "";

function focus_calendar()
{
	if (cal_date != "")
	{
		if (cal_date != document.forms[0].sys_loc_date.value)
		{
			checkNewDate(document.forms[0].sys_loc_date);
		}
		else
		{
			startDate();
		}
		cal_date = "";
	}
}

function click_calendar()
{
	stopDate();
	cal_date = document.forms[0].sys_loc_date.value;
	cal.select(document.forms[0].sys_loc_date, 'anchor2', 'MM/dd/yyyy');
	return false;
}

function initDistance()
{
	<c:if test="${ntp_enabled=='yes'}">
	document.getElementById("anchor2").disabled=true;
	document.forms[0].sys_loc_date.disabled=true;
	document.forms[0].sys_loc_time.disabled=true;
    </c:if>

	var cliDate = new Date();
	var strDateTime = document.forms[0].sys_loc_date.value + " " + document.forms[0].sys_loc_time.value;
	var svrTime = getDateFromFormat(strDateTime, "MM/dd/yyyy HH:mm:ss");
	if (svrTime == 0)
	{
		alert("date and time initlize failed!");
		return false;
	}
	cs_distance = svrTime - cliDate.getTime();
	//uc_distance = document.forms[0].time_distance.value;
	return true;
}

var bShowDate = 1;
var bShowTime = 1;

function startDate()
{
	bShowDate = 1;
}
function startTime()
{
	bShowTime = 1;
}
function stopDate()
{
	bShowDate = 0;
}
function stopTime()
{
	bShowTime = 0;
}

function setDateTime()
{
	var ucDate = new Date();
	var ucTime = ucDate.getTime() + cs_distance + uc_distance;
	ucDate.setTime(ucTime);
	if (bShowDate == 1)
	{
		document.forms[0].sys_loc_date.value = formatDate(ucDate, "MM/dd/yyyy");
	}
	if (bShowTime == 1)
	{
		document.forms[0].sys_loc_time.value = formatDate(ucDate, "HH:mm:ss");
	}
}

var timerID = null;
var ProgID  = null;
function showClock()
{
	setDateTime();
	timerID = window.setTimeout("showClock()", 1000);
}

var enabled = 0;

function startClock()
{
	if (enabled == 0)
	{
		timerID = window.setTimeout("showClock()", 1000);
		enabled = 1;
	}
}

function stopClock()
{
	if (enabled == 1)
	{
		enabled = 0;
		clearTimeout(timerID);
	}
}

//
// Regular expressions
//
var e_valid_domain_chars = "[a-zA-Z0-9\\-\\.]";
var e_invalid_domain_period_usage = "(^\\.)|(\\.$)|(\\.\\.)";
var e_invalid_domain_hyphen_usage = "(^-)|(-\\.)|(\\.-)|(-$)";
var e_invalid_domain_number_usage = "(^[0-9])|(\\.[0-9])";

// [DESC] Checks the format of a standard domain name
// [IN]   str [String]: host/domain name
// [OUT]  Boolean
function chkDomain_Format(str)
{
    re_chars = new RegExp("^" + e_valid_domain_chars + "*$");
    re_period_pattern = new RegExp(e_invalid_domain_period_usage,"g");
    re_hyphen_pattern = new RegExp(e_invalid_domain_hyphen_usage,"g");
    re_number_pattern = new RegExp(e_invalid_domain_number_usage,"g");
    return (re_chars.test(str) && 
            !re_period_pattern.test(str) &&
            !re_hyphen_pattern.test(str) &&
            !re_number_pattern.test(str));
}

function valid_hostname(name)
{
	if (!checkempty(name))
		return false;

	if (isValidIPAddress(name.value) == true || checkDomain_Format(name.value) == false)
	{
		name.select();
    	alert("<bean:message bundle='errors' key='error.sys.wzrd.invalid.hostname'/>");
		name.focus();
		return false;
	}
    else
    {
        re_badhost = new RegExp("[0-9]+$");
        if(re_badhost.test(name.value))
        {
            name.select();
    	    alert("<bean:message bundle='errors' key='error.sys.wzrd.invalid.hostname'/>");
		    name.focus();
		    return false;
        }
    }
	if (name.defaultValue != name.value)
	{
    	document.forms[0].next.value = "<bean:message key='button.save' />";
    }
    
	return true;
}

function valid_ipaddr(ipobj)
{
	var val = ipobj.value;
	if (valid_ipv4Addr(val) == false ||val.indexOf(",") != -1)
	{
		ipobj.select();
    	alert("<bean:message bundle='errors' key='error.sys.wzrd.invalid.ipaddr'/>");
		ipobj.focus();
		return false;
	}
	if (val == "127.0.0.1" || val == "192.168.252.1")
	{
		ipobj.select();
    	alert("<bean:message bundle='errors' key='error.sys.wzrd.invalid.ipaddr'/>");
		ipobj.focus();
		return false;
	}
	var num = convert_ipv4ToInt(val);
	if ((num == 0) || (num&0xFFFFFF00) == ((192<<(3*8)) + (168<<(2*8)) + (252<<8)))
	{
		ipobj.select();
    	alert("<bean:message bundle='errors' key='error.sys.wzrd.invalid.ipaddr'/>");
		ipobj.focus();
		return false;
	}
	if (ipobj.defaultValue != val)
	{
    	document.forms[0].next.value = "<bean:message key='button.save' />";
    }
	return true;
}

function valid_ipmask(ipobj)
{
	if (valid_ipv4Mask(ipobj.value) == false ||ipobj.value.indexOf(",") != -1)
	{
		ipobj.select();
    	alert("<bean:message bundle='errors' key='error.sys.wzrd.invalid.ipmask'/>");
		ipobj.focus();
		return false;
	}
	if (ipobj.defaultValue != ipobj.value)
	{
    	document.forms[0].next.value = "<bean:message key='button.save' />";
    }
	return true;
}

function valid_gwobj(ipobj)
{
	if (valid_ipv4Addr(ipobj.value) == false || ipobj.value.indexOf(",") != -1)
	{
		ipobj.select();
    	alert("<bean:message bundle='errors' key='error.sys.wzrd.invalid.gateway'/>");
		ipobj.focus();
		return false;
	}

	var addr = document.forms[0].sys_ip_addr;
	if (valid_ipaddr(addr) == false || addr.value.indexOf(",") != -1)
	{
		return false;
	}

	var mask = document.forms[0].sys_ip_mask;
	if (valid_ipmask(mask) == false || mask.value.indexOf(",") != -1)
	{
		return false;
	}

	ip = convert_ipv4ToInt(addr.value);
	if (ip == 0)
	{
		addr.select();
    	alert("<bean:message bundle='errors' key='error.sys.wzrd.invalid.ipaddr'/>");
		addr.focus();
		return false;
	}
	mk = convert_ipv4ToInt(mask.value);
	if (mk == 0)
	{
		mask.select();
    	alert("<bean:message bundle='errors' key='error.sys.wzrd.invalid.ipmask'/>");
		mask.focus();
		return false;
	}

    net = ip & mk;
    total = 0xFFFFFFFF ^ mk;
	if ((ip == net) || (ip == (net + total)))
	{
		addr.select();
    	alert("<bean:message bundle='errors' key='error.sys.wzrd.invalid.ipaddr'/>");
		addr.focus();
		return false;
	}

	if (valid_gateway(addr.value, mask.value, ipobj.value) == false)
	{
		ipobj.select();
    	alert("<bean:message bundle='errors' key='error.sys.wzrd.invalid.gateway'/>");
		ipobj.focus();
		return false;
	}
	if (ipobj.defaultValue != ipobj.value)
	{
    	document.forms[0].next.value = "<bean:message key='button.save' />";
    }
	return true;
}

function valid_pridns(ipobj)
{
	if (valid_ipv4Addr(ipobj.value) == false || ipobj.value.indexOf(",") != -1)
	{
		ipobj.select();
    	alert("<bean:message bundle='errors' key='error.sys.wzrd.invalid.pridns'/>");
		ipobj.focus();
		return false;
	}
	if (ipobj.value == document.forms[0].sys_sec_dns.value)
	{
		ipobj.select();
    	alert("<bean:message bundle='errors' key='error.sys.wzrd.invalid.samedns'/>");
		ipobj.focus();
		return false;
	}
	if (ipobj.defaultValue != ipobj.value)
	{
    	document.forms[0].next.value = "<bean:message key='button.save' />";
    }
	return true;
}

function valid_secdns(ipobj)
{
	if (ipobj.value.length == 0)
	{
		if (ipobj.defaultValue != ipobj.value)
		{
	    	document.forms[0].next.value = "<bean:message key='button.save' />";
	    }
		return true;
	}
	if (valid_ipv4Addr(ipobj.value) == false || ipobj.value.indexOf(",") != -1)
	{
		ipobj.select();
    	alert("<bean:message bundle='errors' key='error.sys.wzrd.invalid.secdns'/>");
		ipobj.focus();
		return false;
	}
	if (ipobj.value == document.forms[0].sys_pri_dns.value)
	{
		ipobj.select();
    	alert("<bean:message bundle='errors' key='error.sys.wzrd.invalid.samedns'/>");
		ipobj.focus();
		return false;
	}
	if (ipobj.defaultValue != ipobj.value)
	{
    	document.forms[0].next.value = "<bean:message key='button.save' />";
    }
	return true;
}

var toNewIP = null;
var newip = window.location.hostname;

function redirToNewIP()
{
	//clearTimeout(toNewIP);
	<c:if test="${wizLoginOpen=='yes'}">
		window.location.href=("https://" + newip + ":8445/loginPage.imss");
	</c:if>
	<c:if test="${wizLoginOpen=='no'}">
		window.opener.top.location.href=("https://" + newip + ":8445/loginPage.imss");
		window.close();
	</c:if>
}
function toProgressPage()
{
	
	clearTimeout(ProgID);
        //self.location.href="/restartProgress.imss?newip="+newip+"&wizloginOpen="+"<c:out value='${wizLoginOpen}' />"+"&rnd=" + Math.random();;
        var mainf=document.getElementById("mainframe");
        var srvf=document.getElementById("srvframe");
        var conb=document.getElementById("reconnect");
        mainf.innerHTML=srvf.contentWindow.document.getElementById("mainframe").innerHTML;
        conb.style.visibility='visible';
}

function validateFields(direct)
{
	var form = document.forms[0];

	if (direct == 1)
	{
		var DateTime = form.sys_loc_date.value + " " + form.sys_loc_time.value;
		var tmVal = getDateFromFormat(DateTime, "MM/dd/yyyy HH:mm:ss");
		if (tmVal == 0)
		{
		//	alert("The date or time is invalid. Please check the value of date and time.");
			form.back.disabled = false;
			form.skip.disabled = false;
			form.next.disabled = false;
			return false;
		}
		var yearVal = new Date(form.sys_loc_date.value).getFullYear();
		if(yearVal < 1970 || yearVal > 2037)
		{
		        form.back.disabled = false;
		        form.skip.disabled = false;
		        form.next.disabled = false;
		        return false;
		}        
		if (valid_gwobj(form.sys_gateway) == false || 
			valid_hostname(form.sys_hostname) == false || 
			valid_pridns(form.sys_pri_dns) == false || 
			valid_secdns(form.sys_sec_dns) == false ||
			valid_ipmask(form.sys_ip_mask) == false)
		{
			form.back.disabled = false;
			form.skip.disabled = false;
			form.next.disabled = false;
			return false;
		}
	}

	if (direct == -1)
	{
		form.action="/WizardSetting_sys.imss?direct=previou" + "&rnd=" + Math.random();
	}

	if (direct == 0)
	{
		form.action="/WizardSetting_sys.imss?direct=skip" + "&rnd=" + Math.random();
	}
        
        var toProgress = 0;
	if (direct == 1)
	{
		if ((form.sys_ip_addr.defaultValue == window.location.hostname) && 
			(form.sys_ip_addr.defaultValue != form.sys_ip_addr.value))
		{
			if (confirm("The IP address has been changed. Log in again.") != true)
			{
				form.back.disabled = false;
				form.skip.disabled = false;
				form.next.disabled = false;
				return false;
			}
			newip = form.sys_ip_addr.value;
			//toNewIP = window.setTimeout("redirToNewIP()", 15000);
			toProgress = 1;
		}
		else
		if ((form.sys_hostname.defaultValue == window.location.hostname) && 
			(form.sys_hostname.defaultValue != form.sys_hostname.value))
		{
			if (confirm("The host name has been changed. Log in with the new host name.") != true)
			{
				form.back.disabled = false;
				form.skip.disabled = false;
				form.next.disabled = false;
				return false;
			}
			newip = form.sys_hostname.value;
			//toNewIP = window.setTimeout("redirToNewIP()", 5000);
			toProgress = 1;
		}
		else
		{
		  var list = tzd.continents[form.sys_tz_cont.selectedIndex].countries[form.sys_tz_regn.selectedIndex].cities;
		  if (c3 != list[form.sys_tz_city.selectedIndex])
		  {
			if (confirm("The system time zone has been changed. Log in again.") != true)
			{
				form.back.disabled = false;
				form.skip.disabled = false;
				form.next.disabled = false;
				return false;
			}
			//toNewIP = window.setTimeout("redirToNewIP()", 15000);
			
			toProgress = 1
		  }
		  else 
		  if (uc_distance != 0)
		  {
			if (confirm("The system date or time has been changed. Log in again.") != true)
			{
				form.back.disabled = false;
				form.skip.disabled = false;
				form.next.disabled = false;
				return false;
			}
			//toNewIP = window.setTimeout("redirToNewIP()", 15000);
			
			toProgress = 1
		  }
		}

		form.action="/WizardSetting_sys.imss?direct=next" + "&rnd=" + Math.random();
	}
        
        if(toProgress == 1)
	{
	    stopClock();
	    ProgID=window.setTimeout("toProgressPage()", 2000);
	    form.target="test";
	}
	form.submit();
	
	

	return true;
}

function checkBError()
{
	<c:if test="${ !empty SysSetError}" var="errmsg" scope="request">
		alert("<c:out value='${SysSetError}' />");
	</c:if>
}

function checkDelgAdm()
{
	var form = document.forms[0];
	<c:if test="${adminUser.systemReadOnly}">
		for (i=0; i<form.elements.length; i++)
		{
			form.elements[i].disabled = true;
		}
	</c:if>
	form.back.disabled = false;
	//form.skip.disabled = false;
	form.next.disabled = false;
}

function setFocus()
{
	var form = document.forms[0];
	if (form.next != null && form.next.disabled == false)
	{
		form.next.focus();
	}
    scroll(0,0);
}

function LockButtons()
{
	var form = document.forms[0];
	form.back.disabled = true;
	form.skip.disabled = true;
	form.next.disabled = true;
	return true;
}

function NewWindow(mypage, myname, w, h, scroll)
{
	var winl = (screen.width - w) / 2;
	var wint = (screen.height - h) / 2;
	var winprops = 'height='+h+',width='+w+',top='+wint+',left='+winl+',scrollbars='+scroll+',resizable';
	var win = window.open(mypage, myname, winprops);
	if (parseInt(navigator.appVersion) >= 4)
	{
		win.window.focus();
	}
}

</script>

</head>

<BODY leftmargin="0" topmargin="0" marginwidth="0" style="padding-top:10px" onactivate="startDate();startTime();" onload="initDistance();startClock();inittz();checkBError();checkDelgAdm();setFocus();">
<div id="mainframe" name="mainframe">
<script language="JavaScript">
  var cal = new CalendarPopup();
</script>
<html:form action="/WizardSetting_sys.imss"  onsubmit="return LockButtons()" >
<html:hidden property="time_distance" />

<table width="690" border="0" cellpadding="0" cellspacing="0">
  <tr>
    <td width="179" height="49" align="center" valign="bottom" background="/images/<bean:message key="locale" />/cc_on.gif" class="textboldwhite" style="padding-bottom:10px;background-repeat: no-repeat">
    <bean:message bundle="systemResource" key="sys.wizard.step1" /></td>
    <td width="361">&nbsp;</td>
    <td width="150" rowspan="2" valign="top"><table width="150" border="0" cellspacing="0" cellpadding="0">
      <tr align="right" valign="top">
        <td height="49">&nbsp;</td>
      </tr>
      </table>
	<table cellSpacing="0" cellPadding="0" width="150" border="0" id="table3">
		<tr>
			<td>&nbsp;</td>
			<td class="data1"><span class="textbold"><bean:message bundle="systemResource" key="sys.wizard.step" /></span></td>
		</tr>
		<tr>
			<td><img src="/images/<bean:message key="locale" />/1space_cui.gif" width="10" height="1"></td>
			<td class="data1"><span class="textbold"><bean:message bundle="systemResource" key="sys.wizard.step1.desc" /></span></td>
		</tr>
		<tr>
			<td width="10">&nbsp;</td>
			<td class="data1"><bean:message bundle="systemResource" key="sys.wizard.step2.desc" /></td>
		</tr>
		<tr>
			<td width="10">&nbsp;</td>
			<td class="data1"><bean:message bundle="systemResource" key="sys.wizard.step3.desc" /></td>
		</tr>
		<tr>
			<td width="10">&nbsp;</td>
			<td class="data1"><bean:message bundle="systemResource" key="sys.wizard.step4.desc" /></td>
		</tr>
		<tr>
			<td>&nbsp;</td>
			<td class="data1"><bean:message bundle="systemResource" key="sys.wizard.step5.desc" /></td>
		</tr>
		<tr>
			<td width="10">&nbsp;</td>
			<td class="data1"><bean:message bundle="systemResource" key="sys.wizard.step6.desc" /></td>
		</tr>
		<tr>
			<td width="10">&nbsp;</td>
			<td class="data1"><bean:message bundle="systemResource" key="sys.wizard.step7.desc" /></td>
		</tr>
		<tr>
			<td>&nbsp;</td>
			<td class="data1"><bean:message bundle="systemResource" key="sys.wizard.step8.desc" /></td>
		</tr>
		<tr>
			<td>&nbsp;</td>
			<td class="data1"><bean:message bundle="systemResource" key="sys.wizard.step9.desc" /></td>
		</tr>
		<tr>
			<td>&nbsp;</td>
			<td class="data1"><bean:message bundle="systemResource" key="sys.wizard.step10.desc" /></td>
		</tr>
	</table>
	</td>
  </tr>
<tr>
    <td colspan="2"><table width=540 border=0 cellpadding=0 cellspacing=0>
      <tbody>
        <tr>
            <td width="368" class="content-title"><bean:message bundle="systemResource" key="sys.wizard.localsystem_setting" /></td>
            <td align="right" valign="bottom">
                <c:if test="${wizLoginOpen=='yes'}">
          	    <a href="/logoff.imss"><bean:message bundle="systemResource" key="sys.wizard.welcome.label.logoff" /></a>
                </c:if>
                &nbsp;&nbsp;
                <a href="/help/<bean:message key="locale" />/wizard_local_system_settings.htm" target="_blank">
                <img src="/images/<bean:message key="locale" />/question_cui.gif" width="16" height="16" border="0"></a>
            </td>
        </tr>
        <tr>
          <td colspan="2" class="hor-dotted-line"><img src="/images/<bean:message key="locale" />/1space_cui.gif" width="1" height="10"></td>
        </tr>
        <tr>
          <td colspan="2" class="data1"><p><bean:message bundle="systemResource" key="sys.wizard.system.desc1" /> <strong><bean:message bundle="systemResource" key="sys.wizard.system.desc2" /></strong> <bean:message bundle="systemResource" key="sys.wizard.system.desc3" />.</p></td>
        </tr>
        <tr>
          <td colspan="2"><img src="/images/<bean:message key="locale" />/1space_cui.gif" width="1" height="10"></td>
        </tr>
      </tbody>
    </table>
      <table width="540" border="0" cellpadding="0" cellspacing="0" class="border">
        <tr>
          <td><table width="538" border="0" cellpadding="0" cellspacing="0">
              <tr>
                  <td width="538" colspan="2" class="tableheadergrey"><bean:message bundle="systemResource" key="sys.wizard.system.network_settings"/></td>
              </tr>
              <TBODY>
                <TR>
                  <TD style="padding-bottom:3px"><table width="538" border="0" cellspacing="0" cellpadding="0">
                      <tr>
                        <td colspan="3"><img src="/images/<bean:message key="locale" />/1space_cui.gif" width="1" height="10"></td>
                      </tr>
						<tr>
                        <td class="data1"><bean:message bundle="systemResource" key="sys.wizard.system.host_name"/><span class="subtitle-red">*</span></td>
                        <td class="data1" colspan="2">
                        <html:text property="sys_hostname" styleClass="button" size="48" maxlength="64" /></td>
                      </tr>
                      <tr>
                        <td class="data1"><bean:message bundle="systemResource" key="sys.wizard.system.ip"/><span class="subtitle-red">*</span></td>
                        <td class="data1" colspan="2">
                          <html:text property="sys_ip_addr" styleClass="button" size="20" maxlength="16"  /></td>
                      </tr>
                      <tr>
                        <td class="data1"><bean:message bundle="systemResource" key="sys.wizard.system.netmask"/><span class="subtitle-red">*</span></td>
                        <td class="data1" colspan="2">
                          <html:text property="sys_ip_mask" styleClass="button" size="20" maxlength="16"  /></td>
                      </tr>
						<tr>
                        <td class="data1"><bean:message bundle="systemResource" key="sys.wizard.system.d_gateway"/><span class="subtitle-red">*</span></td>
                        <td class="data1" colspan="2">
                          <html:text property="sys_gateway" styleClass="button" size="20" maxlength="16"  /></td>
                      </tr>
						<tr>
                        <td class="data1"><bean:message bundle="systemResource" key="sys.wizard.system.1dns"/><span class="subtitle-red">*</span></td>
                        <td class="data1" colspan="2">
                          <html:text property="sys_pri_dns" styleClass="button" size="20" maxlength="16"  /></td>
                      </tr>
						<tr>
                        <td class="data1"><bean:message bundle="systemResource" key="sys.wizard.system.2dns"/></td>
                        <td class="data1" colspan="2">
                          <html:text property="sys_sec_dns" styleClass="button" size="20" maxlength="16"  /></td>
                      </tr>
                      <tr>
                        <td colspan="3"><img src="/images/<bean:message key="locale" />/1space_cui.gif" width="1" height="10"></td>
                      </tr>
                      <tr>
                        <td colspan="3"><table width="538" border="0" cellpadding="0" cellspacing="0" class="border3">
                            <tr>
                              <td class="tableheadergrey"><bean:message bundle="systemResource" key="sys.wizard.system.system_time"/></td>
                            </tr>
                          </table>
                        </td>
                      <tr>
                       <td class="data1" colspan=3><bean:message bundle="systemResource" key="sys.wizard.ntp.note" /></td>
                      </tr>
                      <tr>
                        <td>&nbsp;</td>
                      </tr>
                      <tr>
                        <td class="data1"><bean:message bundle="systemResource" key="sys.wizard.system.time_zone"/><span class="subtitle-red">*</span></td>
                        <td class="data1" colspan="2" nowrap>
                        <select name="sys_tz_cont" size="1" class="button" style="width:60pt" onChange="change_continent();"></select>
                        <select name="sys_tz_regn" size="1" class="button" style="width:120pt" onChange="change_country();"></select>
                        <select name="sys_tz_city" size="1" class="button" style="width:100pt" onchange="change_city();"></select>
                        </td>
                      </tr>
                     <tr>
                      <td class="data1"></td>
                     <td class="data1" colspan="2" nowrap>
                      <span style="width:60pt"><bean:message bundle="systemResource" key="sys.cw.continent" /></span>
                      <span style="width:120pt"><bean:message bundle="systemResource" key="sys.cw.country" /></span>
                      <span style="width:100pt"><bean:message bundle="systemResource" key="sys.cw.city" /></span>
                      <td>
                      </tr>
                      <tr>
        <td class="data1"><bean:message bundle="systemResource" key="sys.wizard.system.date_time"/><span class="subtitle-red">*</span></td>
        <td colspan="2" class="data1">
          <table border="0" cellpadding="0" cellspacing="0" id="table2">
            <tr>
                  <td style="padding-right:5px" align="center" width="79">
                    <html:text property="sys_loc_date" styleClass="button" size="14" maxlength="10" onfocus="stopDate();" onchange="checkempty(this);checkNewDate(this);" onblur="startDate();" />
                  </td>
                  <td style="padding-right:5px" align="center" width="30">
                    <a href="#" name="anchor2" id="anchor2" onfocus="focus_calendar();" onclick="click_calendar();" >
	                  <img src="/images/<bean:message key="locale" />/button_calendar.gif" width="22" height="17" align="absmiddle" border="0">
	                </a>
                  </td>
                  <td style="padding-right:5px" align="center" width="74" >
                    <html:text property="sys_loc_time" styleClass="button" size="14" maxlength="8" onfocus="stopTime();" onchange="checkempty(this);checkNewTime(this);" onblur="startTime();" />
		          </td>
            </tr>
            <tr>
                  <td style="padding-right:5px" align="center" width="79">
					<bean:message bundle="systemResource" key="sys.wizard.system.date_fmt"/></td>
                  <td style="padding-right:5px" align="center" width="30">
					&nbsp;</td>
                  <td style="padding-right:5px" align="center" width="74" >
					<bean:message bundle="systemResource" key="sys.wizard.system.hr_fmt"/>:<bean:message bundle="systemResource" key="sys.wizard.system.min_fmt"/>:<bean:message bundle="systemResource" key="sys.wizard.system.sec_fmt"/></td>
            </tr>
          </table>
		</td>
      				</tr>
                   </table>
                  </TD>
                </TR>
              </TBODY>
            </table>
          </td>
        </tr>
      </table>
      <table width="540" border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td height="28" valign="bottom">
            <input name="back" type="button" class="button" onClick="return validateFields(-1)" value="&lt; <bean:message key='button.back' />" style="width:50px">
            <input name="skip" type="button" class="button" onClick="return validateFields(0)" value="<bean:message key='button.skip' />" style="width:50px">
            <input name="next" type="button" class="button" onClick="LockButtons();return validateFields(1)" value="<bean:message key='button.next' />" style="width:50px">
          </td>
        </tr>
      </table></td>
  </tr>
</table>
<br>
</html:form>
<iframe id="test" name="test" style="visibility:hidden" src="/images/<bean:message key="locale" />/1space_cui.gif"  width="0" height="0"></iframe>
</div>
<iframe id="srvframe" name="srvframe" style="visibility:hidden" src="/restartProgress.imss" width="0" height="0"></iframe>
<table width="540" border="0" cellspacing="0" cellpadding="0">
<tr>
  <td height="28" valign="middle">
  <input id="reconnect" name="reconnect" style="visibility:hidden" type="button"  class="button"  onClick="redirToNewIP();" value="<bean:message bundle="systemResource" key="sys.cw.button.reconnect" />" >
  </td>
  </tr>
</table>
</BODY>
</HTML>
