<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib uri="/WEB-INF/tld/struts-bean-el.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/tld/struts-html-el.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/tld/c.tld" prefix="c" %>

<html>
<head>
<html:base target="_self" />
<title></title>
<link rel="stylesheet" type="text/css" href="/css/trend-style.css">
<script LANGUAGE="JavaScript">
function swap(first, second) {
  var firstItem = "item" + first;
  var secondItem = "item" + second;
  var firstText = document.getElementById(firstItem).innerHTML;
  var secondText = document.getElementById(secondItem).innerHTML;
  document.getElementById(firstItem).innerHTML = secondText;
  document.getElementById(secondItem).innerHTML = firstText;
}

function getRuleOrder() {  
  var orderStr = "";
  for (var i=0; i<6; i++) {
    var label = "item" + i;
    var text = document.getElementById(label).innerHTML;
    if (i > 0) {
      orderStr += "," + text;
    }
    else {
      orderStr = text;
    }
  }
  document.forms[0].manualOrder.value = orderStr;
}
  
function LockButtons()  {
   var form =  document.forms[0];
   form.submitButton.disabled = true; 
   form.cancelButton.disabled = true;  
}
  
function setFocus() {
   if (document.forms[0].submitButton != null) {
     document.forms[0].submitButton.focus();
   }
}
  
</script>
</head>

<BODY leftmargin="0" topmargin="0" marginwidth="0" onload="setFocus();">
<html:form action="/saveRuleOrder" onsubmit="LockButtons();getRuleOrder();">
<table cellspacing=0 cellpadding=0 width=540 border=0>
  <tbody>
    <tr> 
      <td class="content-title"><bean:message bundle="systemResource" key="sys.ruleOrder.title" /><br> </td>
      <td valign="bottom"> <div align="right"><a href="/help/<bean:message key="locale" />/sys_rule_order_help.htm" target="_blank"><img src="/images/<bean:message key="locale" />/question_cui.gif" width="16" height="16" border="0"></a></div></td>
    </tr>
    <tr> 
      <td height="10" colspan="2" class="hor-dotted-line"><img src="/images/<bean:message key="locale" />/1space_cui.gif" width="1" height="1"></td>
    </tr>
    <tr> 
      <td height="10" colspan="2"><img src="/images/<bean:message key="locale" />/1space_cui.gif" width="1" height="10"> 
    </tr>
  </tbody>
</table>
<table width="540" border="0" cellpadding="0" cellspacing="0">
  <tr> 
    <td class="data1"><bean:message bundle="systemResource" key="sys.ruleOrder.warnMsg" /></td>
  </tr>
  <tr> 
    <td height="10"><img src="/images/<bean:message key="locale" />/1space_cui.gif" width="1" height="10"></td>
  </tr>
</table>
<table width="540" border="0" cellpadding="0" cellspacing="0" class="border">
  <tr> 
    <td colspan="2" class="data1">
      <html:radio property="selectedRuleOrder" value="recommended" />
      <bean:message bundle="systemResource" key="sys.ruleOrder.evalOrder" /></td>
  </tr>
  <tr> 
    <td colspan="2" class="data1">
     <html:radio property="selectedRuleOrder" value="manual" />
      <bean:message bundle="systemResource" key="sys.ruleOrder.manualOrder" /><a href="#"></a></td>
  </tr>
  <tr> 
    <td width="27">&nbsp;</td>
    <td width="511" align="right" style="padding-right:5px;padding-bottom:5px"><TABLE width="506" border="0" cellpadding="0" cellspacing="0" class="border">
        <TR> 
          <TD width="40" class="grey"><bean:message bundle="systemResource" key="sys.ruleOrder.subtitle.order" /></TD>
          <TD width="414" class="grey"><bean:message bundle="systemResource" key="sys.ruleOrder.subtitle.filter" /></TD>
          <c:if test="${ ! adminUser.systemReadOnly}" >
          	<TD width="50" class="grey-end"><bean:message bundle="systemResource" key="sys.ruleOrder.subtitle.change" /></TD>
          </c:if>
        </TR>
        <TR> 
          <TD  class="data1b"> <div align="center">1</div></TD>
          <TD id="item0" class="data1b"><c:out value="${ruleOrderList[0]}" /></TD>
          <c:if test="${ ! adminUser.systemReadOnly}" >
	          <TD class="data1"> 
	             <DIV align="center">
	                <a href="javascript:void swap(0,1);" ><IMG src="/images/<bean:message key="locale" />/arrow_down.gif" width="9" height="9" border="0"></a>&nbsp;&nbsp;
	                <IMG src="/images/<bean:message key="locale" />/blank_arrow.gif" width="9" height="9" border="0">
	             </DIV>
	          </TD>
          </c:if>
        </TR>
        <TR> 
          <TD  class="data2b"><div align="center">2</div></TD>
          <TD id="item1" class="data2b"><c:out value="${ruleOrderList[1]}" /></TD>
          <c:if test="${ ! adminUser.systemReadOnly}" >
	          <TD class="data2">
	           <div align="center">
	             <a href="javascript:void swap(1,2);" ><IMG src="/images/<bean:message key="locale" />/arrow_down.gif" width="9" height="9" border="0"></a>&nbsp;&nbsp;
	             <a href="javascript:void swap(1,0);" ><IMG src="/images/<bean:message key="locale" />/arrow_up.gif" width="9" height="9" border="0"></a>             
	           </div>
	          </TD>
          </c:if>
        </TR>
        <TR> 
          <TD  class="data1b"> <div align="center">3</div></TD>
          <TD id="item2" class="data1b"><c:out value="${ruleOrderList[2]}" /></TD>
          <c:if test="${ ! adminUser.systemReadOnly}" >
	          <TD class="data1"> 
	            <DIV align="center">
	              <a href="javascript:void swap(2,3);" ><IMG src="/images/<bean:message key="locale" />/arrow_down.gif" width="9" height="9" border="0"></a>&nbsp;&nbsp;
	              <a href="javascript:void swap(2,1);" ><IMG src="/images/<bean:message key="locale" />/arrow_up.gif" width="9" height="9" border="0"></a>
	            </DIV>
	          </TD>
          </c:if>
        </TR>
        <TR> 
          <TD  class="data2b"><div align="center">4</div></TD>
          <TD id="item3" class="data2b"><c:out value="${ruleOrderList[3]}" /></TD>
          <c:if test="${ ! adminUser.systemReadOnly}" >
	          <TD class="data2"> 
	            <div align="center">
	              <a href="javascript:void swap(3,4);" ><IMG src="/images/<bean:message key="locale" />/arrow_down.gif" width="9" height="9" border="0"></a>&nbsp;&nbsp;
	              <a href="javascript:void swap(3,2);" ><IMG src="/images/<bean:message key="locale" />/arrow_up.gif" width="9" height="9" border="0"></a>
	            </div>
	          </TD>
          </c:if>
        </TR>
        <TR> 
          <TD  class="data1b"><div align="center">5</div></TD>
          <TD id="item4" class="data1b"><c:out value="${ruleOrderList[4]}" /></TD>
          <c:if test="${ ! adminUser.systemReadOnly}" >
	          <TD class="data1">
	           <div align="center">
	             <a href="javascript:void swap(4,5);" ><IMG src="/images/<bean:message key="locale" />/arrow_down.gif" width="9" height="9" border="0"></a>&nbsp;&nbsp;
	             <a href="javascript:void swap(4,3);" ><IMG src="/images/<bean:message key="locale" />/arrow_up.gif" width="9" height="9" border="0"></a>
	           </div>
	         </TD>
         </c:if>
        </TR>
        <TR> 
          <TD  class="data2b"><div align="center">6</div></TD>
          <TD id="item5" class="data2b"><c:out value="${ruleOrderList[5]}" /></TD>
          <c:if test="${ ! adminUser.systemReadOnly}" >
	          <TD class="data2">
	           <div align="center">
	             <IMG src="/images/<bean:message key="locale" />/blank_arrow.gif" width="9" height="9">&nbsp;&nbsp;
	             <a href="javascript:void swap(5,4);" ><IMG src="/images/<bean:message key="locale" />/arrow_up.gif" width="9" height="9" border="0"></a>
	           </div>
	         </TD>
         </c:if>
        </TR>
      </TABLE> </td>
  </tr>
</table>

<c:if test="${ ! adminUser.systemReadOnly}" >
	<table width="540" border="0" cellspacing="0" cellpadding="0">
	  <tr> 
	    <td height="28" valign="bottom"> 
	      <html:submit styleClass="button" style="width:50px"  property="submitButton" >      
	         <bean:message key="button.save" />
	      </html:submit>
	      <input name="cancelButton" type="button" class="cbutton" value="<bean:message key="button.cancel" />" onClick="self.location.href=('/initRuleOrder.imss')">
	       </td>
	  </tr>
	  <tr>
  	    <td><html:errors bundle="errors" property="ruleOrderSave" /></td>
      </tr>
	</table>
</c:if>

<br>
<html:hidden property="manualOrder" />
</html:form>
<c:if test="${adminUser.systemReadOnly}" >  
  <script LANGUAGE="JavaScript">
  <!-- generate script to display radio button if only has system read permission -->
    document.forms[0].selectedRuleOrder[0].disabled = true;
    document.forms[0].selectedRuleOrder[1].disabled = true;
    </script>
  </c:if>
</BODY>
</HTML>

