﻿<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib uri="/WEB-INF/tld/struts-bean-el.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/tld/struts-html-el.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/tld/c.tld" prefix="c" %>

<html>
<head>
<title></title>
<link href="/css/trend-style.css" rel="stylesheet" type="text/css">
<base target="_self">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<script language="JavaScript" src="/javascripts/validation.jsp" type="text/javascript"></script>
<script src="/javascripts/expand.js"></script>
<script language="JavaScript" type="text/JavaScript">

function NewWindow(mypage, myname, w, h, scroll) {
var winl = (screen.width - w) / 2;
var wint = (screen.height - h) / 2;
winprops = 'height='+h+',width='+w+',top='+wint+',left='+winl+',scrollbars='+scroll+',resizable'
win = window.open(mypage, myname, winprops)
if (parseInt(navigator.appVersion) >= 4) { win.window.focus(); }
}

function checkReadOnly()
{
    <c:if test="${adminUser.systemReadOnly}" >
        var form = mtaConnForm;
        for (var i=0; i<form.elements.length; i++) 
        {
            form.elements[i].disabled = true;
        }        
    </c:if>
}


<c:if test="${mtaConnForm.map.aclType=='deny'}">
var acceptOpen=true;
var denyOpen=false;
</c:if>
<c:if test="${mtaConnForm.map.aclType=='allow'}">
var acceptOpen=false;
var denyOpen=true;
</c:if>

function patchStatus()
{
    <c:if test="${mtaConnForm.map.aclType=='deny'}">
      document.getElementById('aclAccept').style.display="block";
    </c:if>
    <c:if test="${mtaConnForm.map.aclType=='allow'}">
      document.getElementById('aclDeny').style.display="block";
    </c:if>
    <c:if test="${importRefreshType=='deny'}">
      document.getElementById('aclAccept').style.display="block";
      document.getElementById('aclDeny').style.display="none";
      document.forms[0].aclType[0].checked=true;
      document.forms[0].aclType[1].checked=false;
    </c:if>
    <c:if test="${importRefreshType=='allow'}">
      document.getElementById('aclDeny').style.display="block";
      document.getElementById('aclAccept').style.display="none";
      document.forms[0].aclType[0].checked=false;
      document.forms[0].aclType[1].checked=true;
    </c:if>

    <c:if test="${platform=='windows'}">
      <c:if test="${mtaConnForm.map.tlsType=='tlsOnly'}">
        document.getElementById('tlsAcceptAll').style.display="none";
      </c:if>
      <c:if test="${mtaConnForm.map.tlsType=='both'}">
        document.getElementById('tlsAcceptAll').style.display="block";
      </c:if>
    </c:if>
    
}

function changeACLToAccept()
{
    if(!acceptOpen)
    {
        expandcontent('aclAccept');
        expandcontent('aclDeny');
        acceptOpen=true;
        denyOpen=false;
    }
}

function changeACLToDeny()
{
    if(!denyOpen)
    {
        expandcontent('aclDeny');
        expandcontent('aclAccept');
        denyOpen=true;
        acceptOpen=false;
    }
}

<c:if test="${platform=='windows'}">
<c:if test="${mtaConnForm.map.tlsType=='tlsOnly'}">
var tlsAcceptAll=false;
var tlsOnly=true;
</c:if>
<c:if test="${mtaConnForm.map.tlsType=='both'}">
var tlsAcceptAll=true;
var tlsOnly=false;
</c:if>
function changeTLSToAcceptAll()
{
    if(!tlsAcceptAll)
    {
        expandcontent('tlsAcceptAll');
        tlsAcceptAll=true;
        tlsOnly=false;
    }
}
function changeTLSToTLSOnly()
{
    if(!tlsOnly)
    {
        expandcontent('tlsAcceptAll');
        tlsAcceptAll=false;
        tlsOnly=true;
    }
}

function importTLSEnforceListFun()
{
  importType="tlsEnforceList";
  NewWindow('/importTLSEnforceList.imss','import','550','150','auto');
  return false;
}

function addTLSEnforceAddr()
{
    if(document.forms[0].tlsAddrType[0].checked)
    {
        if(!checkempty(document.forms[0].tlsDomain))
            return false;
        if(!checkdomain(document.forms[0].tlsDomain))
            return false;
    }
    else if(document.forms[0].tlsAddrType[1].checked)
    {
        if(!checkempty(document.forms[0].tlsSingleAddr))
            return false;
        if(!checkip(document.forms[0].tlsSingleAddr))
            return false;
    }
    else if(document.forms[0].tlsAddrType[2].checked)
    {
        if(!checkempty(document.forms[0].tlsSubnetAddr))
            return false;
        if(!checkip(document.forms[0].tlsSubnetAddr))
            return false;
    }
    mtaConnForm.action="/addTLSEnforceAddr.imss";
    mtaConnForm.submit();
    return true;
}

function removeTLSEnforceAddr()
{
    mtaConnForm.action="/removeTLSEnforceAddr.imss";
    mtaConnForm.submit();
    return true;
}
</c:if>

function addDenyAddr()
{
    if(document.forms[0].denyAddrType[0].checked)
    {
        if(!checkempty(document.forms[0].denySingleAddr))
            return false;
        if(!checkip(document.forms[0].denySingleAddr))
            return false;
        if(document.forms[0].denySingleAddr.value == "127.0.0.1")
        {
           alert("<bean:message key="js.badIP"/>");
           return false;
        }
    }
    else if(document.forms[0].denyAddrType[1].checked)
    {
        if(!checkempty(document.forms[0].denySubnetAddr))
            return false;
        if(!checkip(document.forms[0].denySubnetAddr))
            return false;
        if(document.forms[0].denySubnetAddr.value == "127.0.0.1")
        {
            alert("<bean:message key="js.badIP"/>");
            return false;
        }
        /*if(check(document.forms[0].denySubnetMask))
            return false;*/
    }
    mtaConnForm.action="/addDenyAddr.imss";
    mtaConnForm.submit();
    return true;
}

function removeDenyAddr()
{
    mtaConnForm.action="/removeDenyAddr.imss";
    mtaConnForm.submit();
    return true;
}

function addAcceptAddr()
{
    if(document.forms[0].acceptAddrType[0].checked)
    {
        if(!checkempty(document.forms[0].acceptSingleAddr))
            return false;
        if(!checkip(document.forms[0].acceptSingleAddr))
            return false;
    }
    else if(document.forms[0].acceptAddrType[1].checked)
    {
        if(!checkempty(document.forms[0].acceptSubnetAddr))
            return false;
        if(!checkip(document.forms[0].acceptSubnetAddr))
            return false;
        /*if(check(document.forms[0].denySubnetMask))
            return false;*/
    }
    mtaConnForm.action="/addAcceptAddr.imss";
    mtaConnForm.submit();
    return true;
}

function removeAcceptAddr()
{
    mtaConnForm.action="/removeAcceptAddr.imss";
    mtaConnForm.submit();
    return true;
}

function upload(fileType)
{
    mtaConnForm.action="/uploadTLSFile.imss";
    mtaConnForm.fileType.value=fileType;
    mtaConnForm.submit();
    return true;
}

function download(fileType)
{
    mtaConnForm.action="/downloadTLSFile.imss";
    mtaConnForm.fileType.value=fileType;
    mtaConnForm.submit();
    return true;
}

var importType="";

function importDeny()
{
  importType="deny";
  NewWindow('/importDeny.imss','import','550','150','auto');
  return false;
}
function importAccept()
{
  importType="allow";
  NewWindow('/importAccept.imss','import','550','150','auto');
  return false;
}


function refresh()
{
   mtaConnForm.action="/showConn.imss?type="+importType;
   mtaConnForm.submit();
}

function updateTLSStatus()
{
    <c:if test="${platform=='linux'}">
    if(!mtaConnForm.useTLS.checked)
    {
        mtaConnForm.enforceTLS.disabled=true;
        mtaConnForm.caCertFile.disabled=true;
        mtaConnForm.privateKeyFile.disabled=true;
        mtaConnForm.certFile.disabled=true;
        mtaConnForm.uploadButton1.disabled=true;
        mtaConnForm.uploadButton2.disabled=true;
        mtaConnForm.uploadButton3.disabled=true;
    }
    else
    {
        mtaConnForm.enforceTLS.disabled=false;
        mtaConnForm.caCertFile.disabled=false;
        mtaConnForm.privateKeyFile.disabled=false;
        mtaConnForm.certFile.disabled=false;
        mtaConnForm.uploadButton1.disabled=false;
        mtaConnForm.uploadButton2.disabled=false;
        mtaConnForm.uploadButton3.disabled=false;
    }
    </c:if>
    <c:if test="${platform=='windows'}">
    if(!mtaConnForm.enableEnforceTLSList.checked)
    {
        mtaConnForm.tlsAddrType[0].disabled=true;
        mtaConnForm.tlsAddrType[1].disabled=true;
        mtaConnForm.tlsAddrType[2].disabled=true;
        mtaConnForm.tlsDomain.disabled=true;
        mtaConnForm.tlsSingleAddr.disabled=true;
        mtaConnForm.tlsSubnetAddr.disabled=true;
        mtaConnForm.tlsSubnetMask.disabled=true;
        mtaConnForm.btnAddTLS.disabled=true;
        mtaConnForm.btnRemoveTLS.disabled=true;
        mtaConnForm.selectedTLSList.disabled=true;
        mtaConnForm.importTLSEnforceList.disabled=true;
    }
    else
    {
        mtaConnForm.tlsAddrType[0].disabled=false;
        mtaConnForm.tlsAddrType[1].disabled=false;
        mtaConnForm.tlsAddrType[2].disabled=false;
        mtaConnForm.tlsDomain.disabled=false;
        mtaConnForm.tlsSingleAddr.disabled=false;
        mtaConnForm.tlsSubnetAddr.disabled=false;
        mtaConnForm.tlsSubnetMask.disabled=false;
        mtaConnForm.btnAddTLS.disabled=false;
        mtaConnForm.btnRemoveTLS.disabled=false;
        mtaConnForm.selectedTLSList.disabled=false;
        mtaConnForm.importTLSEnforceList.disabled=false;
    }
    </c:if>
}

<c:if test="${platform=='windows'}">
function updateSSMTPStatus()
{
    <c:if test="${platform=='windows'}">
    if(!mtaConnForm.enableSSMTP.checked)
    {
        mtaConnForm.ssmtpPort.disabled=true;
    }
    else
    {
        mtaConnForm.ssmtpPort.disabled=false;
    }
    </c:if>
}
</c:if>

function checkForm()
{
    if(!checkport(document.forms[0].port))
    {
        return false;
    }
    <c:if test="${platform=='windows'}">
    if(document.forms[0].enableSSMTP.checked)
        if(!checkport(document.forms[0].ssmtpPort))
        {
            return false;
        }
    </c:if>
    if(!checknumber(document.forms[0].timeout))
    {
        return false;
    }
    if(document.forms[0].timeout.value<=0)
    {
        document.forms[0].timeout.select();
        alert('<bean:message bundle="errors" key="errors.sys.mta.invalidTimeout" />');
        return false;
    }
    if(document.forms[0].maxConnType[1].checked)
    {
        if(!checknumber(document.forms[0].maxConnNum))
        {
            return false;
        }
<c:if test="${appliance=='yes'}">
        if(document.forms[0].maxConnNum.value<1 || document.forms[0].maxConnNum.value>500)
        {
            document.forms[0].maxConnNum.select();
            alert('<bean:message bundle="errors" key="errors.sys.mta.invalidConnection" />');
            return false;
        }
</c:if>        
    }
    return true;
}

function updateMaxConnStatus()
{
    if(mtaConnForm.maxConnType[0].checked)
    {
        mtaConnForm.maxConnNum.disabled=true;
    }
    else
    {
        mtaConnForm.maxConnNum.disabled=false;
    }
}

function checkBError()
{
  <c:if test="${ !empty errorMsg}" var="errmsg" scope="request">
     alert("<c:out value='${errorMsg}' />");
  </c:if>
}

</script>
</head>

<c:if test="${platform=='windows'}">
<BODY leftmargin="0" topmargin="0" marginwidth="0" onload="updateSSMTPStatus(); updateMaxConnStatus(); updateTLSStatus(); patchStatus(); checkReadOnly(); checkBError(); ">
</c:if>
<c:if test="${platform=='linux'}">
<BODY leftmargin="0" topmargin="0" marginwidth="0" onload="updateTLSStatus(); updateMaxConnStatus(); patchStatus(); checkReadOnly(); checkBError(); ">
</c:if>
<table cellspacing=0 cellpadding=0 width=540 border=0>
  <tbody>
    <tr> 
      <td class="content-title"><bean:message bundle="systemResource" key="sys.smtp.head" /></td>
      <td align="right" valign="bottom"><a href="/help/<bean:message key="locale" />/smtp_connections_help.htm" target="_blank"><img src="/images/<bean:message key="locale" />/question_cui.gif" width="16" height="16" border="0"></a></td>
    </tr>
    <tr> 
      <td height="10" colspan="2" class="hor-dotted-line"><img src="/images/<bean:message key="locale" />/1space_cui.gif" width="1" height="1"></td>
    </tr>
    <tr> 
      <td height="10" colspan="2"><img src="/images/<bean:message key="locale" />/1space_cui.gif" width="1" height="10"> 
    </tr>
  </tbody>
</table>
<html:form action="/saveSMTPConn.imss"  enctype="multipart/form-data">
<TABLE cellSpacing=0 cellPadding=0 width="540" border=0>
  <TBODY>
    <TR> 
      <TD id=main-content vAlign=top width="540"> <table cellpadding="0" cellspacing="0" border="0" width="100%">
          <tr> 
            <!-- TABS -->
            <td background="/images/<bean:message key="locale" />/tab_background_cui.gif"> <table cellpadding="0" cellspacing="0" border="0">
                <tr> 
                  <td><img src="/images/<bean:message key="locale" />/tab_inactive1_left_cui.gif" width="11" height="23" alt="" border="0"></td>
                  <td style="vertical-align:top" background="/images/<bean:message key="locale" />/tab_inactive_background_cui.gif" class="tabinactive" nowrap><A onMouseOver="this.style.color='#FF0000';" 
      style="COLOR: #000000; text-decoration:none" 
      onmouseout="this.style.color='#000000';" 
      href="/initSMTPSetting.imss" ><bean:message bundle="systemResource" key="sys.smtp.tab.basic" /></a></td>
                  <td><img src="/images/<bean:message key="locale" />/tab_inactive_right_cui.gif" width="23" height="23" alt="" border="0"></td>
                  
                  <td><img src="/images/<bean:message key="locale" />/tab_active2_left_cui.gif" width="11" height="23" alt="" border="0"></td>
                  <td background="/images/<bean:message key="locale" />/tab_active_background_cui.gif" class="tabactive" style="vertical-align:top" nowrap><bean:message bundle="systemResource" key="sys.smtp.tab.connections" /></td>
                  <td><img src="/images/<bean:message key="locale" />/tab_active_right_cui.gif" width="23" height="23" alt="" border="0"></td>
                  
                  <td><img src="/images/<bean:message key="locale" />/tab_inactive2_left_cui.gif" width="11" height="23" alt="" border="0"></td>
                  <td style="vertical-align:top" background="/images/<bean:message key="locale" />/tab_inactive_background_cui.gif" class="tabinactive" nowrap> 
                    <A onMouseOver="this.style.color='#FF0000';" 
      style="COLOR: #000000; text-decoration:none" 
      onmouseout="this.style.color='#000000';" 
      href="/initSMTPRule.imss" ><bean:message bundle="systemResource" key="sys.smtp.tab.messagePolicy" /></a></td>
                  <td><img src="/images/<bean:message key="locale" />/tab_inactive_right_cui.gif" width="23" height="23" alt="" border="0"></td>
                  
                  <td><img src="/images/<bean:message key="locale" />/tab_inactive2_left_cui.gif" width="11" height="23" alt="" border="0"></td>
                  <td style="vertical-align:top" background="/images/<bean:message key="locale" />/tab_inactive_background_cui.gif" class="tabinactive" nowrap>
                    <span class="tabinactive"><A onMouseOver="this.style.color='#FF0000';" 
      style="COLOR: #000000; text-decoration:none" 
      onmouseout="this.style.color='#000000';" 
      href="/initSMTPDelivery.imss" ><bean:message bundle="systemResource" key="sys.smtp.tab.domainBasedDelivery" /></a></span></td>
                  <td><img src="/images/<bean:message key="locale" />/tab_inactive_right_cui.gif" width="23" height="23" alt="" border="0"></td>
                  <td>&nbsp;</td>
                </tr>
              </table></td>
            <td background="/images/<bean:message key="locale" />/tab_background_cui.gif" align="right"><img src="/images/<bean:message key="locale" />/tab_right_corner_cui.gif" width="6" height="23" alt="" border="0"></td>
            <!-- /TABS -->
          </tr>
          <tr> 
            <td colspan="2" class="border"> <table width="100%" border="0" cellspacing="0" cellpadding="0">
                <tr> 
                  <td width="538" style="padding-bottom:3px">
<table width="100%" border="0" cellpadding="0" cellspacing="0" >
                      <tr> 
                        <td colspan="5" class="tableheadergrey"><bean:message bundle="systemResource" key="sys.smtp.conn.title.interface" /></td>
                      </tr>
<c:if test="${appliance!='yes'}">                                            
                      <tr>
                        <td width="185" colspan="3" class="data1"><bean:message bundle="systemResource" key="sys.smtp.conn.ip" /></td>
                        <td colspan="2"  class="data1">
                          <html:select property="ipAddress" styleClass="button">
                              <html:option value="127.0.0.1">127.0.0.1</html:option>
                              <html:option value="all"><bean:message bundle="systemResource" key="sys.smtp.conn.allIP" /></html:option>
                          </html:select>
                        </td>
                      </tr>
</c:if>                      
                      <tr>
                        <td colspan="3"  class="data1"><bean:message bundle="systemResource" key="sys.smtp.conn.port" /></td>
                        <td colspan="2"  class="data1"><html:text property="port" styleClass="button" size="5" maxlength="5"/></td>
                      </tr>
                      <c:if test="${platform=='windows'}">
                      <tr>
                        <td colspan="3"  class="data1">
                          <html:checkbox property="enableSSMTP" onclick="return updateSSMTPStatus();"/><bean:message bundle="systemResource" key="sys.smtp.conn.enableSSmtp" />
                        </td>
                        <td colspan="2"  class="data1">
                          <bean:message bundle="systemResource" key="sys.smtp.conn.ssmtpPort" /> <html:text property="ssmtpPort" styleClass="button" size="5" maxlength="5"/>
                        </td>
                      </tr>
                      </c:if>
                      <tr>
                        <td colspan="3"  class="data1"><bean:message bundle="systemResource" key="sys.smtp.conn.timeout" /></td>
                        <td colspan="2"  class="data1"><html:text property="timeout" styleClass="button" size="5" maxlength="5" />
                          <bean:message bundle="systemResource" key="sys.smtp.conn.miniutes" /></td>
                      </tr>
                      <tr>
                        <td colspan="3"  class="data1"><bean:message bundle="systemResource" key="sys.smtp.conn.simConn" /></td>
                        <td colspan="2"  class="data1"><html:radio property="maxConnType" value="noLimit" onclick="updateMaxConnStatus();"/>
                          <bean:message bundle="systemResource" key="sys.smtp.conn.noLimit" /></td>
                      </tr>
                      <tr> 
                        <td colspan="3"  class="data1">&nbsp;</td>
                        <td colspan="2"  class="data1"><html:radio property="maxConnType" value="number" onclick="updateMaxConnStatus();"/>
                          <bean:message bundle="systemResource" key="sys.smtp.conn.maxConn_1" />
                        <html:text property="maxConnNum" styleClass="button" size="5"  maxlength="5"/>
                          <bean:message bundle="systemResource" key="sys.smtp.conn.maxConn_2" /></td>
                      </tr>
                      <tr> 
                        <td colspan="5"><img src="/images/<bean:message key="locale" />/1space_cui.gif" width="1" height="10"></td>
                      </tr>
                      <tr>
                        <td colspan="5"><table width="100%" border="0" cellpadding="0" cellspacing="0" class="border3">
                            <tr>
                              <td class="tableheadergrey"><bean:message bundle="systemResource" key="sys.smtp.conn.title.control" /></td>
                            </tr>
                        </table></td>
                      </tr>
                      
                      <tr>
                        <td colspan="5" class="data1"><bean:message bundle="systemResource" key="sys.smtp.conn.permitOrDeny" /></td>
                      </tr>
                      <tr>
                        <td colspan="5" class="data1">
                          <html:radio property="aclType" value="deny" onclick="changeACLToAccept();"><bean:message bundle="systemResource" key="sys.smtp.conn.accept" /></html:radio>
                        </td>
                      </tr>
                      <tr>
                        <td colspan="5">

                        
                      <table width="100%" border="0" cellpadding="0" cellspacing="0" id="aclAccept" class="switchcontent">
                      <tr>
                        <td width="20">&nbsp;</td>
                        <td width="1%"><html:radio property="denyAddrType" value="singleAddr" /></td>
                        <td class="data1"><bean:message bundle="systemResource" key="sys.smtp.rule.singleComp" /></td>
                        <td width="40" rowspan="10" align="center">
                        <input name="Apply22222" type="button" class="button" value="&gt;&gt;" style="width:30px" onClick="return addDenyAddr();">
                          <br>
                        <input name="Apply222222" type="button" class="button" value="&lt;&lt;" style="width:30px" onClick="return removeDenyAddr();"></td>
                        <td rowspan="10">
                        <html:select property="selectedDenyList" size="13" style="width:280px">
                          <c:forEach items="${denyAccessList}" var="addr" varStatus="index">
                            <html:option value="${addr}"><c:out value="${addr}" /></html:option>
                          </c:forEach>
                        </html:select>
                        </td>
                      </tr>
                      <tr>
                        <td>&nbsp;</td>
                        <td>&nbsp;</td>
                        <td class="data1"><html:text property="denySingleAddr" styleClass="button" maxlength="15" /></td>
                      </tr>
                      <tr>
                        <td>&nbsp;</td>
                        <td>&nbsp;</td>
                        <td class="data1"><bean:message bundle="systemResource" key="sys.smtp.rule.singleCompEG" /></td>
                      </tr>
                      <tr>
                        <td>&nbsp;</td>
                        <td><html:radio property="denyAddrType" value="groupAddr" /></td>
                        <td class="data1"><bean:message bundle="systemResource" key="sys.smtp.rule.groupComp" /></td>
                      </tr>
                      <tr>
                        <td>&nbsp;</td>
                        <td>&nbsp;</td>
                        <td class="data1"><bean:message bundle="systemResource" key="sys.smtp.rule.subnetAddr" /></td>
                      </tr>
                      <tr>
                        <td>&nbsp;</td>
                        <td>&nbsp;</td>
                        <td class="data1"><html:text property="denySubnetAddr" styleClass="button" maxlength="15" /></td>
                      </tr>
                      <tr>
                        <td>&nbsp;</td>
                        <td>&nbsp;</td>
                        <td class="data1"><bean:message bundle="systemResource" key="sys.smtp.rule.subnetAddrEG" /></td>
                      </tr>
                      <tr>
                        <td>&nbsp;</td>
                        <td>&nbsp;</td>
                        <td class="data1"><bean:message bundle="systemResource" key="sys.smtp.rule.subnetMask" /></td>
                      </tr>
                      <tr>
                        <td>&nbsp;</td>
                        <td>&nbsp;</td>
                        <td class="data1"><html:text property="denySubnetMask" styleClass="button" maxlength="15" /></td>
                      </tr>
                      <tr>
                        <td>&nbsp;</td>
                        <td>&nbsp;</td>
                        <td class="data1"><bean:message bundle="systemResource" key="sys.smtp.rule.subnetMaskEG" /></td>
                      </tr>
                      <tr>
                            <td>&nbsp;</td>
                            <td>&nbsp;</td>
                            <td class="data1"><input name="import" type="button"  class="button" value="<bean:message key="label.importfromfile" />" style="width:110px" onClick=importDeny()></td>
                      </tr>
                      <tr> 
                        <td colspan="5"><img src="/images/<bean:message key="locale" />/1space_cui.gif" width="1" height="10"></td>
                      </tr>
                      </table>
                      
                        </td>
                      </tr>
                      <tr>
                        <td colspan="5" class="data1">
                          <html:radio property="aclType" value="allow" onclick="changeACLToDeny();"><bean:message bundle="systemResource" key="sys.smtp.conn.deny" /></html:radio>
                        </td>
                      </tr>
                      <tr>
                        <td colspan="5">

                        
                      <table width="100%" border="0" cellpadding="0" cellspacing="0" id="aclDeny" class="switchcontent">
                      <tr>
                        <td width="20">&nbsp;</td>
                        <td width="1%"><html:radio property="acceptAddrType" value="singleAddr" /></td>
                        <td class="data1"><bean:message bundle="systemResource" key="sys.smtp.rule.singleComp" /></td>
                        <td width="40" rowspan="10" align="center">
                        <input name="Apply22222" type="button" class="button" value="&gt;&gt;" style="width:30px" onClick="return addAcceptAddr();">
                          <br>
                        <input name="Apply222222" type="button" class="button" value="&lt;&lt;" style="width:30px" onClick="return removeAcceptAddr();"></td>
                        <td rowspan="10">
                        <html:select property="selectedAllowList" size="13" style="width:280px">
                          <c:forEach items="${allowAccessList}" var="addr" varStatus="index">
                            <html:option value="${addr}"><c:out value="${addr}" /></html:option>
                          </c:forEach>
                        </html:select>
                        </td>
                      </tr>
                      <tr>
                        <td>&nbsp;</td>
                        <td>&nbsp;</td>
                        <td class="data1"><html:text property="acceptSingleAddr" styleClass="button" maxlength="15" /></td>
                      </tr>
                      <tr>
                        <td>&nbsp;</td>
                        <td>&nbsp;</td>
                        <td class="data1"><bean:message bundle="systemResource" key="sys.smtp.rule.singleCompEG" /></td>
                      </tr>
                      <tr>
                        <td>&nbsp;</td>
                        <td><html:radio property="acceptAddrType" value="groupAddr" /></td>
                        <td class="data1"><bean:message bundle="systemResource" key="sys.smtp.rule.groupComp" /></td>
                      </tr>
                      <tr>
                        <td>&nbsp;</td>
                        <td>&nbsp;</td>
                        <td class="data1"><bean:message bundle="systemResource" key="sys.smtp.rule.subnetAddr" /></td>
                      </tr>
                      <tr>
                        <td>&nbsp;</td>
                        <td>&nbsp;</td>
                        <td class="data1"><html:text property="acceptSubnetAddr" styleClass="button" maxlength="15" /></td>
                      </tr>
                      <tr>
                        <td>&nbsp;</td>
                        <td>&nbsp;</td>
                        <td class="data1"><bean:message bundle="systemResource" key="sys.smtp.rule.subnetAddrEG" /></td>
                      </tr>
                      <tr>
                        <td>&nbsp;</td>
                        <td>&nbsp;</td>
                        <td class="data1"><bean:message bundle="systemResource" key="sys.smtp.rule.subnetMask" /></td>
                      </tr>
                      <tr>
                        <td>&nbsp;</td>
                        <td>&nbsp;</td>
                        <td class="data1"><html:text property="acceptSubnetMask" styleClass="button" maxlength="15" /></td>
                      </tr>
                      <tr>
                        <td>&nbsp;</td>
                        <td>&nbsp;</td>
                        <td class="data1"><bean:message bundle="systemResource" key="sys.smtp.rule.subnetMaskEG" /></td>
                      </tr>
                      <tr>
                            <td>&nbsp;</td>
                            <td>&nbsp;</td>
                            <td class="data1"><input name="import" type="button"  class="button" value="<bean:message key="label.importfromfile" />" style="width:110px" onClick=importAccept()></td>
                      </tr>
                      <tr> 
                        <td colspan="5"><img src="/images/<bean:message key="locale" />/1space_cui.gif" width="1" height="10"></td>
                      </tr>
                      </table>
                      
                        </td>
                      </tr>
                      <tr> 
                        <td colspan="5"><table width="100%" border="0" cellpadding="0" cellspacing="0" class="border3">
                            <tr> 
                              <c:if test="${platform=='linux'}">
                              <td class="tableheadergrey"><bean:message bundle="systemResource" key="sys.smtp.conn.title.tls" /></td>
                              </c:if>
                              <c:if test="${platform=='windows'}">
                              <td class="tableheadergrey"><bean:message bundle="systemResource" key="sys.smtp.conn.title.tls_in" /></td>
                              </c:if>
                            </tr>
                          </table></td>
                      </tr>
                      <c:if test="${platform=='linux'}">
                      <tr> 
                        <td colspan="5" class="data1"><html:checkbox property="useTLS" onclick="return updateTLSStatus();"/>
                          <bean:message bundle="systemResource" key="sys.smtp.conn.enableTLS" /></td>
                      </tr>
                      <tr>
                        <td colspan="5" class="data1" style="padding-left:24px"><html:checkbox property="enforceTLS" />
                          <bean:message bundle="systemResource" key="sys.smtp.conn.onlyTLS" /></td>
                      </tr>
                      <tr>
                        <td colspan="3"  class="data1" style="padding-left:24px"><bean:message bundle="systemResource" key="sys.smtp.conn.caCert" /></td>
                      <td colspan="2"  class="data1" style="padding-left:24px"><html:file property="caCertFile" styleClass="button" />
&nbsp;&nbsp;&nbsp;
<input name="uploadButton1" type="button" class="button" value="<bean:message key="button.upload" />" onClick="return upload('caCert');"></td>
                      </tr>
                      <c:if test="${mtaConnForm.map.hasCaCert}">
                      <tr>
                        <td colspan="3"  class="data1" style="padding-left:24px"></td>
                        <td colspan="2"  class="data1" style="padding-left:24px">
                          <bean:message bundle="systemResource" key="sys.smtp.conn.current" />&nbsp;<a href="/downloadTLSFile.imss?fileType=caCert"><bean:message bundle="systemResource" key="sys.smtp.conn.caCertFilename" /></a>
                        </td>
                      </tr>
                      </c:if>
                      <tr>
                        <td colspan="3"  class="data1" style="padding-left:24px"><bean:message bundle="systemResource" key="sys.smtp.conn.privateKey" /></td>
                      <td colspan="2"  class="data1" style="padding-left:24px"><html:file property="privateKeyFile" styleClass="button" />
&nbsp;&nbsp;&nbsp;
<input name="uploadButton2" type="button" class="button" value="<bean:message key="button.upload" />" onClick="return upload('privateKey');"></td>
                      </tr>
                      <c:if test="${mtaConnForm.map.hasPrivateKey}">
                      <tr>
                        <td colspan="3"  class="data1" style="padding-left:24px"></td>
                        <td colspan="2"  class="data1" style="padding-left:24px">
                          <bean:message bundle="systemResource" key="sys.smtp.conn.current" />&nbsp;<a href="/downloadTLSFile.imss?fileType=privateKey"><bean:message bundle="systemResource" key="sys.smtp.conn.privateKeyFilename" /></a>
                        </td>
                      </tr>
                      </c:if>
                      <tr>
                        <td colspan="3"  class="data1" style="padding-left:24px"><bean:message bundle="systemResource" key="sys.smtp.conn.certificate" /></td>
                      <td colspan="2"  class="data1" style="padding-left:24px"><html:file property="certFile" styleClass="button" />
&nbsp;&nbsp;&nbsp;
<input name="uploadButton3" type="button" class="button" value="<bean:message key="button.upload" />" onClick="return upload('cert');"></td>
                      </tr>
                      <c:if test="${mtaConnForm.map.hasCert}">
                      <tr>
                        <td colspan="3"  class="data1" style="padding-left:24px"></td>
                        <td colspan="2"  class="data1" style="padding-left:24px">
                          <bean:message bundle="systemResource" key="sys.smtp.conn.current" />&nbsp;<a href="/downloadTLSFile.imss?fileType=cert"><bean:message bundle="systemResource" key="sys.smtp.conn.certificateFilename" /></a>
                        </td>
                      </tr>
                      </c:if>
<c:if test="${appliance=='yes'}">                      
                      <tr> 
                        <td colspan="5" class="data1"><html:checkbox property="useOutgoingTLS" />
                          <bean:message bundle="systemResource" key="sys.smtp.conn.enableOutgoingTLS" /></td>
                      </tr>
</c:if>                                            
                      <tr> 
                        <td colspan="5" class="data1" style="padding-left:24px">&nbsp;</td>
                      </tr>
                      </c:if>

                      <c:if test="${platform=='windows'}">
                      <tr>
                        <td colspan="3"  class="data1"><bean:message bundle="systemResource" key="sys.smtp.conn.smtpCertification" /></td>
                      <td colspan="2"  class="data1"><html:file property="certFile" styleClass="button" />
&nbsp;&nbsp;&nbsp;
<input name="uploadButton1" type="button" class="button" value="<bean:message key="button.upload" />" onClick="return upload('cert');"></td>
                      </tr>
                      <c:if test="${mtaConnForm.map.hasCert}">
                      <tr>
                        <td colspan="3"  class="data1" style="padding-left:24px"></td>
                        <td colspan="2"  class="data1">
                          <bean:message bundle="systemResource" key="sys.smtp.conn.current" />&nbsp;<a href="/downloadTLSFile.imss?fileType=cert"><bean:message bundle="systemResource" key="sys.smtp.conn.certificateFilename" /></a>
                        </td>
                      </tr>
                      </c:if>
                      <tr>
                        <td colspan="5" class="data1">
                          <html:radio property="tlsType" value="tlsOnly" onclick="changeTLSToTLSOnly();"><bean:message bundle="systemResource" key="sys.smtp.conn.tlsOnly" /></html:radio>
                        </td>
                      </tr>
                      <tr>
                        <td colspan="5" class="data1">
                          <html:radio property="tlsType" value="both" onclick="changeTLSToAcceptAll();"><bean:message bundle="systemResource" key="sys.smtp.conn.tlsAcceptAll" /></html:radio>
                        </td>
                      </tr>
                      <tr>
                        <td colspan="5">

                        
                      <table width="100%" border="0" cellpadding="0" cellspacing="0" id="tlsAcceptAll" class="switchcontent">
                      <tr>
                        <td>&nbsp;</td>
                        <td><html:checkbox property="enableEnforceTLSList" styleClass="button" onclick="updateTLSStatus();"/></td>
                        <td colspan=3><bean:message bundle="systemResource" key="sys.smtp.conn.enfoceTLStoList" /></td>
                      </tr>
                      <tr>
                        <td width="20">&nbsp;</td>
                        <td width="1%"><html:radio property="tlsAddrType" value="domain" /></td>
                        <td class="data1"><bean:message bundle="systemResource" key="sys.smtp.rule.domain" /></td>
                        <td width="40" rowspan="10" align="center">
                        <input name="btnAddTLS" type="button" class="button" value="&gt;&gt;" style="width:30px" onClick="return addTLSEnforceAddr();">
                          <br>
                        <input name="btnRemoveTLS" type="button" class="button" value="&lt;&lt;" style="width:30px" onClick="return removeTLSEnforceAddr();"></td>
                        <td rowspan="13">
                        <html:select property="selectedTLSList" size="18" style="width:280px">
                          <c:forEach items="${tlsEnforceDomainList}" var="addr" varStatus="index">
                            <html:option value="${addr}"><c:out value="${addr}" /></html:option>
                          </c:forEach>
                          <c:forEach items="${tlsEnforceList}" var="addr" varStatus="index">
                            <html:option value="${addr}"><c:out value="${addr}" /></html:option>
                          </c:forEach>
                        </html:select>
                        </td>
                      </tr>
                      <tr>
                        <td>&nbsp;</td>
                        <td>&nbsp;</td>
                        <td class="data1"><html:text property="tlsDomain" styleClass="button" maxlength="256" /></td>
                      </tr>
                      <tr>
                        <td>&nbsp;</td>
                        <td>&nbsp;</td>
                        <td class="data1"><bean:message bundle="systemResource" key="sys.smtp.rule.domainEG" /></td>
                      </tr>
                      <tr>
                        <td>&nbsp;</td>
                        <td><html:radio property="tlsAddrType" value="singleAddr" /></td>
                        <td class="data1"><bean:message bundle="systemResource" key="sys.smtp.rule.singleComp" /></td>
                      </tr>
                      <tr>
                        <td>&nbsp;</td>
                        <td>&nbsp;</td>
                        <td class="data1"><html:text property="tlsSingleAddr" styleClass="button" maxlength="15" /></td>
                      </tr>
                      <tr>
                        <td>&nbsp;</td>
                        <td>&nbsp;</td>
                        <td class="data1"><bean:message bundle="systemResource" key="sys.smtp.rule.singleCompEG" /></td>
                      </tr>
                      <tr>
                        <td>&nbsp;</td>
                        <td><html:radio property="tlsAddrType" value="groupAddr" /></td>
                        <td class="data1"><bean:message bundle="systemResource" key="sys.smtp.rule.groupComp" /></td>
                      </tr>
                      <tr>
                        <td>&nbsp;</td>
                        <td>&nbsp;</td>
                        <td class="data1"><bean:message bundle="systemResource" key="sys.smtp.rule.subnetAddr" /></td>
                      </tr>
                      <tr>
                        <td>&nbsp;</td>
                        <td>&nbsp;</td>
                        <td class="data1"><html:text property="tlsSubnetAddr" styleClass="button" maxlength="15" /></td>
                      </tr>
                      <tr>
                        <td>&nbsp;</td>
                        <td>&nbsp;</td>
                        <td class="data1"><bean:message bundle="systemResource" key="sys.smtp.rule.subnetAddrEG" /></td>
                      </tr>
                      <tr>
                        <td>&nbsp;</td>
                        <td>&nbsp;</td>
                        <td class="data1"><bean:message bundle="systemResource" key="sys.smtp.rule.subnetMask" /></td>
                      </tr>
                      <tr>
                        <td>&nbsp;</td>
                        <td>&nbsp;</td>
                        <td class="data1"><html:text property="tlsSubnetMask" styleClass="button" maxlength="15" /></td>
                      </tr>
                      <tr>
                        <td>&nbsp;</td>
                        <td>&nbsp;</td>
                        <td class="data1"><bean:message bundle="systemResource" key="sys.smtp.rule.subnetMaskEG" /></td>
                      </tr>
                      <tr>
                            <td>&nbsp;</td>
                            <td>&nbsp;</td>
                            <td class="data1"><input name="importTLSEnforceList" type="button"  class="button" value="<bean:message key="label.importfromfile" />" style="width:110px" onClick=importTLSEnforceListFun()></td>
                      </tr>
                      <tr> 
                        <td colspan="5"><img src="/images/<bean:message key="locale" />/1space_cui.gif" width="1" height="10"></td>
                      </tr>
                      </table>
                      
                        </td>
                      </tr>
                      <tr> 
                        <td colspan="5"><table width="100%" border="0" cellpadding="0" cellspacing="0" class="border3">
                            <tr> 
                              <td class="tableheadergrey"><bean:message bundle="systemResource" key="sys.smtp.conn.title.tls_out" /></td>
                            </tr>
                          </table></td>
                      </tr>
                      <tr>
                        <td colspan="5" class="data1">
                          <html:checkbox property="enableClientTLS" /><bean:message bundle="systemResource" key="sys.smtp.conn.enableClientTLS" />
                        </td>
                      </tr>
                      </c:if>
                    </table>
                  </td>
                </tr>
              </table></td>
          </tr>
        </table></TD>
    </TR>
  </TBODY>
</TABLE>
<table width="540" border="0" cellspacing="0" cellpadding="0">
  <tr> 
    <td height="28" valign="bottom"> 
      <html:submit styleClass="button" style="width:50px" onclick="return checkForm();"><bean:message key="button.save" /></html:submit>
      <html:cancel styleClass="cbutton" ><bean:message key="button.cancel" /></html:cancel>
       </td>
  </tr>
  <tr>
  	<td><html:errors bundle="errors" property="changeOK" /></td>
  </tr>
</table>
<html:hidden property="fileType" />
<html:hidden property="hasCaCert" />
<html:hidden property="hasPrivateKey" />
<html:hidden property="hasCert" />
</html:form>
<br>
</BODY>
</HTML>

