﻿<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib uri="/WEB-INF/tld/struts-bean-el.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/tld/struts-html-el.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/tld/c.tld" prefix="c" %>

<html>
<head>
<title></title>
<link href="/css/trend-style.css" rel="stylesheet" type="text/css">
<base target="_self">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<script language="javascript" src="/javascripts/validation.jsp"></script>
<script language="JavaScript" src="/javascripts/tooltip.js" type="text/javascript"></script>
<script language="JavaScript" type="text/JavaScript">
var readOnly=false;
function checkReadOnly()
{
    <c:if test="${adminUser.systemReadOnly}" >
        var form = document.forms[0];
        for (var i=0; i<form.elements.length; i++) 
        {
            form.elements[i].disabled = true;
        }
        readOnly=true;
        form.pageNum.disabled=false;
        form.numPerPage.disabled=false;
        form.orderBy.disabled=false;
        form.sortDirection.disabled=false;
    </c:if>
}
function addSubmit()
{
    if(readOnly)
        return false;

    document.forms[0].action="/saveAddSMTPDelivery.imss";
    document.forms[0].submit();
    return true;
}

function editSubmit(id)
{
    if(readOnly)
        return false;

    document.forms[0].action="/saveEditSMTPDelivery.imss?id="+id;
    document.forms[0].submit();
    return true;
}

<c:if test="${platform=='windows'}">
function addDefaultSubmit()
{
    if(readOnly)
        return false;

    document.forms[0].action="/saveAddDefaultSMTPDelivery.imss";
    document.forms[0].submit();
    return true;
}

function editDefaultSubmit(id)
{
    if(readOnly)
        return false;

    document.forms[0].action="/saveEditDefaultSMTPDelivery.imss?id="+id;
    document.forms[0].submit();
    return true;
}
</c:if>

function NewWindow(mypage, myname, w, h, scroll) {
var winl = (screen.width - w) / 2;
var wint = (screen.height - h) / 2;
winprops = 'height='+h+',width='+w+',top='+wint+',left='+winl+',scrollbars='+scroll+',resizable'
win = window.open(mypage, myname, winprops)
if (parseInt(navigator.appVersion) >= 4) { win.window.focus(); }
}

function AddDelivery()
{
    if(readOnly)
        return false;
<c:choose> 
<c:when test="${appliance=='yes'}"> 
	NewWindow('/addSMTPDelivery.imss','Add','550','270','auto');
</c:when>
<c:otherwise>
    NewWindow('/addSMTPDelivery.imss','Add','550','210','auto');
</c:otherwise>
</c:choose> 
    return false;
}

function DeleteDelivery()
{
    if(readOnly)
        return false;

    document.forms[0].action="/deleteSMTPDelivery.imss";
    document.forms[0].submit();
    return false;
}

function EditDelivery(id)
{
    if(readOnly)
        return false;

    var url="/editSMTPDelivery.imss?id="+id;
<c:choose> 
<c:when test="${appliance=='yes'}"> 
    NewWindow(url,'Edit','550','270','auto');
</c:when>
<c:otherwise>
    NewWindow(url,'Edit','550','210','auto');
</c:otherwise>
</c:choose> 

    return false;
}

<c:if test="${platform=='windows'}">
function AddDefaultDelivery()
{
    if(readOnly)
        return false;

    NewWindow('/addDefaultSMTPDelivery.imss','Add','550','150','auto');
    return false;
}

function DeleteDefaultDelivery()
{
    if(readOnly)
        return false;

    document.forms[0].action="/deleteDefaultSMTPDelivery.imss";
    document.forms[0].submit();
    return false;
}

function EditDefaultDelivery(id)
{
    if(readOnly)
        return false;

    var url="/editDefaultSMTPDelivery.imss?id="+id;
    NewWindow(url,'Edit','550','150','auto');
    return false;
}
</c:if>

function importDelivery()
{
    if(readOnly)
        return false;

    NewWindow('/importDelivery.imss','import','550','150','auto');
    return false;
}

function refresh()
{
    document.forms[0].action="/showDeliveryList.imss";
    document.forms[0].submit();
}

function FirstPage()
{
    document.forms[0].action="/firstSMTPDeliveryPage.imss";
    document.forms[0].submit();
    return false;
}

function PrevPage()
{
    document.forms[0].action="/previousSMTPDeliveryPage.imss";
    document.forms[0].submit();
    return false;
}

function jumpToPage()
{
    document.forms[0].action="/jumpSMTPDeliveryPage.imss";
    document.forms[0].submit();
    return false;
}

function NextPage()
{
    document.forms[0].action="/nextSMTPDeliveryPage.imss";
    document.forms[0].submit();
    return false;
}

function LastPage()
{
    document.forms[0].action="/lastSMTPDeliveryPage.imss";
    document.forms[0].submit();
    return false;
}

function changePageSize()
{
    document.forms[0].action="/changeSMTPDeliveryPageSize.imss";
    document.forms[0].submit();
    return false;
}

function sortBy(column)
{
    if(document.forms[0].orderBy.value==column)
    {
        if(document.forms[0].sortDirection.value==1)
            document.forms[0].sortDirection.value=0;
        else
            document.forms[0].sortDirection.value=1;
    }
    else
    {
        document.forms[0].sortDirection.value=1;
        document.forms[0].orderBy.value=column;
    }
    document.forms[0].action="/orderBySMTPDeliveryColumn.imss";
    document.forms[0].submit();
    return false;
}

function checkBError()
{
  <c:if test="${ !empty errorMsg}" var="errmsg" scope="request">
     alert("<c:out value='${errorMsg}' />");
  </c:if>
}

function checkForm(){
	<c:if test="${platform=='windows'}">
	if(!checkItems()){
	  return false;
	}
	</c:if>  
	return true;
}

<c:if test="${platform=='windows'}">
function checkItems(){
  if(!checknumber(document.forms[0].retryIntervalH))
  	return false;
  if(!checknumber(document.forms[0].retryIntervalM))
  	return false;
  if(!checknumber(document.forms[0].retryIntervalIncH))
  	return false;
  if(!checknumber(document.forms[0].retryIntervalIncM))
  	return false;
  if(!checknumber(document.forms[0].deliveryRetryTimes))
  	return false;
  if(!checknumber(document.forms[0].maximumHopCount))
  	return false;
  if(!checkdomain(document.forms[0].masqueradeDomain))
  {
      return false;
  }
  var message1=checkHMTime(
    document.forms[0].retryIntervalH.value,
    document.forms[0].retryIntervalM.value);
  if(message1!=""){
  	alert("<bean:message bundle="errors" key="errors.sys.mta.retryInterval" /> "+message1);  	
  	return false;  
  }	
  var message2=checkHMTime(
    document.forms[0].retryIntervalIncH.value,
  	document.forms[0].retryIntervalIncM.value);  
  if(message2!=""){
  	alert("<bean:message bundle="errors" key="errors.sys.mta.retryIntervalInc" /> "+message2);
  	return false;
  }
  var message3=checkNumber(document.forms[0].deliveryRetryTimes.value);
  if(message3!=""){
    alert("<bean:message bundle="errors" key="errors.sys.mta.deliveryRetryTimes" /> "+message3);	
    return false;
  }
  var message4=checkNumber(document.forms[0].maximumHopCount.value);
  if(message4!=""){
    alert("<bean:message bundle="errors" key="errors.sys.mta.maximumHopCount" /> "+message4);	
    return false;
  }
  return true;
}

function checkNumber(n){
	if(n==null)
	  return "<bean:message bundle="errors" key="errors.sys.mta.invalidNumber" />";
	if(isNaN(n))
	  return "<bean:message bundle="errors" key="errors.sys.mta.invalidNumber" />";
	if(parseInt(n,10)<0)
	  return "<bean:message bundle="errors" key="errors.sys.mta.invalidNumber" />";
	return "";
}
function checkHMTime(h,m){
	var mm=checkNumber(m);
	if(mm==""){
    if( parseInt(m,10)>59)
      return "<bean:message bundle="errors" key="errors.sys.mta.invalidMinute" />";
  }  
  else{
  	return "<bean:message bundle="errors" key="errors.sys.mta.minute" /> "+mm;  
  }	
  var hh=checkNumber(h);
  if(hh!="")
    return "<bean:message bundle="errors" key="errors.sys.mta.hour" /> "+hh;    
  return "";
}
</c:if>

</script>
</head>

<BODY leftmargin="0" topmargin="0" marginwidth="0" onload="checkReadOnly(); checkBError();">

<c:if test="${platform=='windows'}">
<DIV id="tooltip" style="visibility:hidden;position:absolute;z-index:1000;top:-100"></DIV>
<script language="JavaScript" type="text/javascript">
    Text[0]=["<bean:message bundle="systemResource" key="sys.smtp.delivery.Deferrals.retryInterval"/>","<bean:message bundle="systemResource" key="sys.smtp.delivery.Deferrals.retryIntervalTip"/>"]
    Text[1]=["<bean:message bundle="systemResource" key="sys.smtp.delivery.Deferrals.retryIntervalInc"/>","<bean:message bundle="systemResource" key="sys.smtp.delivery.Deferrals.retryIntervalIncTip"/>"]

    Style[0]=["black","","","","",11,"black","white","","","",11,290,,0,"#666666",3,24,0.4,90,,"",,,12,-10]

    var tipId="tooltip"
    var FiltersEnabled = 1 // [for IE5.5+] if your not going to use transitions or filters in any of the tips set this to zero.
    mig_clay()
</script>
</c:if>

<table cellspacing=0 cellpadding=0 width=540 border=0>
  <tbody>
    <tr> 
      <td class="content-title"><bean:message bundle="systemResource" key="sys.smtp.head" /></td>
      <td align="right" valign="bottom"><a href="/help/<bean:message key="locale" />/smtp_domain_based_delivery_help.htm" target="_blank"><img src="/images/<bean:message key="locale" />/question_cui.gif" width="16" height="16" border="0"></a></td>
    </tr>
    <tr> 
      <td height="10" colspan="2" class="hor-dotted-line"><img src="/images/<bean:message key="locale" />/1space_cui.gif" width="1" height="1"></td>
    </tr>
    <tr> 
      <td height="10" colspan="2"><img src="/images/<bean:message key="locale" />/1space_cui.gif" width="1" height="10"> 
    </tr>
  </tbody>
</table>
<html:form action="/saveSMTPDelivery.imss">
<TABLE cellSpacing=0 cellPadding=0 width="540" border=0>
  <TBODY>
    <TR> 
      <TD id=main-content vAlign=top width="540"> <table cellpadding="0" cellspacing="0" border="0" width="100%">
          <tr> 
            <!-- TABS -->
            <td background="/images/<bean:message key="locale" />/tab_background_cui.gif"> <table cellpadding="0" cellspacing="0" border="0">
                <tr> 
                  <td><img src="/images/<bean:message key="locale" />/tab_inactive1_left_cui.gif" width="11" height="23" alt="" border="0"></td>
                  <td style="vertical-align:top" background="/images/<bean:message key="locale" />/tab_inactive_background_cui.gif" class="tabinactive" nowrap><A onMouseOver="this.style.color='#FF0000';" 
      style="COLOR: #000000; text-decoration:none" 
      onmouseout="this.style.color='#000000';" 
      href="/initSMTPSetting.imss" ><bean:message bundle="systemResource" key="sys.smtp.tab.basic" /></a></td>
                  <td><img src="/images/<bean:message key="locale" />/tab_inactive_right_cui.gif" width="23" height="23" alt="" border="0"></td>
                  
                  <td><img src="/images/<bean:message key="locale" />/tab_inactive2_left_cui.gif" width="11" height="23" alt="" border="0"></td>
                  <td style="vertical-align:top" background="/images/<bean:message key="locale" />/tab_inactive_background_cui.gif" class="tabinactive" nowrap> 
                    <A onMouseOver="this.style.color='#FF0000';" 
      style="COLOR: #000000; text-decoration:none" 
      onmouseout="this.style.color='#000000';" 
      href="/initSMTPConn.imss" ><bean:message bundle="systemResource" key="sys.smtp.tab.connections" /></a></td>
                  <td><img src="/images/<bean:message key="locale" />/tab_inactive_right_cui.gif" width="23" height="23" alt="" border="0"></td>
                  
                  <td><img src="/images/<bean:message key="locale" />/tab_inactive2_left_cui.gif" width="11" height="23" alt="" border="0"></td>
                  <td style="vertical-align:top" background="/images/<bean:message key="locale" />/tab_inactive_background_cui.gif" class="tabinactive" nowrap> 
                    <A onMouseOver="this.style.color='#FF0000';" 
      style="COLOR: #000000; text-decoration:none" 
      onmouseout="this.style.color='#000000';" 
      href="/initSMTPRule.imss" ><bean:message bundle="systemResource" key="sys.smtp.tab.messagePolicy" /></a></td>
                  <td><img src="/images/<bean:message key="locale" />/tab_inactive_right_cui.gif" width="23" height="23" alt="" border="0"></td>
                  
                  <td><img src="/images/<bean:message key="locale" />/tab_active2_left_cui.gif" width="11" height="23" alt="" border="0"></td>
                  <td background="/images/<bean:message key="locale" />/tab_active_background_cui.gif" class="tabactive" style="vertical-align:top" nowrap><bean:message bundle="systemResource" key="sys.smtp.tab.domainBasedDelivery" /></td>
                  <td><img src="/images/<bean:message key="locale" />/tab_active_right_cui.gif" width="23" height="23" alt="" border="0"></td>
                  <td>&nbsp;</td>
                </tr>
              </table></td>
            <td background="/images/<bean:message key="locale" />/tab_background_cui.gif" align="right"><img src="/images/<bean:message key="locale" />/tab_right_corner_cui.gif" width="6" height="23" alt="" border="0"></td>
            <!-- /TABS -->
          </tr>
          <tr> 
            <td colspan="2" class="border"> 
              <table width="100%" border="0" cellspacing="0" cellpadding="0">
                <tr> 
                  <td width="538" style="padding-bottom:3px">
<table border="0" cellpadding="0" cellspacing="0" >
                      <tr>
                        <td colspan="2" class="tableheadergrey"><bean:message bundle="systemResource" key="sys.smtp.delivery.title.domainBasedDelivery" /></td>
                      </tr>
                      
                      <tr>
                        <td colspan="2"><table width="540" border="0" cellpadding="0" cellspacing="0" class="border2">
                          <tr>
                            <td width="538">
                              <TABLE width="538" border="0" cellpadding="0" cellspacing="0">
                                <TR>
                                  <TD width="538" colspan="2"><table width="538" border="0" cellpadding="0" cellspacing="0">
                                      <tr>
                                        <td class="data2"><table width="125" height="26" border="0" cellpadding="0" cellspacing="0">
                                            <tr>
                                              <td nowrap><a href="#" class="databutton" onClick="return AddDelivery();"><img src="/images/<bean:message key="locale" />/icon_add.gif" border="0"><bean:message key="label.add" /></a> </td>
                                              <td class="text"><img src="/images/<bean:message key="locale" />/1space_cui.gif" width="2" height="1"></td>
                                              <td nowrap><a href="#" class="databutton" onclick="return DeleteDelivery();"><img src="/images/<bean:message key="locale" />/icon_delete.gif" border="0"><bean:message key="label.delete" /></a> </td>
                                              <td class="text"><img src="/images/<bean:message key="locale" />/1space_cui.gif" width="2" height="1"></td>
                                              <td nowrap><a href="#" class="databutton" onclick="return importDelivery();"><img src="/images/<bean:message key="locale" />/icon_import.gif" border="0"><bean:message key="label.importfromfile" /></a> </td>
                                            </tr>
                                        </table></td>
                                        <td class="data2">
                                          <table height="26" border="0" align="right" cellpadding="0" cellspacing="0">
                                            <tr>
                                              <td class="data1">
                                                <strong><c:out value="${firstDelivery}" />-<c:out value="${lastDelivery}" /></strong> 
                                                <bean:message bundle="systemResource" key="sys.smtp.delivery.of" /> 
                                                <c:out value="${totalDelivery}" />
                                              </td>
                                              <td>&nbsp;<a href="#" onclick="return FirstPage();"><img src="/images/<bean:message key="locale" />/pagination-beginning.gif" width="10" height="9" alt="" border="0"></a></td>
                                              <td>&nbsp;<a href="#" onclick="return PrevPage();"><img src="/images/<bean:message key="locale" />/pagination-previous.gif" width="10" height="9" alt="" border="0"></a></td>
                                              <td nowrap class="data2"><bean:message key="display.page" />
                                                <html:select property="pageNum" styleClass="button" onchange="return jumpToPage();">
                                                  <c:forEach begin="1" end="${totalDeliveryPage}" varStatus="current">
                                                  <html:option value="${current.index}"><c:out value="${current.index}" /></html:option>
                                                  </c:forEach>
                                                </html:select>
                                              </td>
                                              <td>&nbsp;<a href="#" onclick="return NextPage();"><img src="/images/<bean:message key="locale" />/pagination-next.gif" width="10" height="9" alt="" border="0"></a></td>
                                              <td>&nbsp;<a href="#" onclick="return LastPage();"><img src="/images/<bean:message key="locale" />/pagination-end.gif" width="10" height="9" alt="" border="0"></a>&nbsp;</td>
                                              <td>&nbsp;</td>
                                            </tr>
                                          </table>
                                        </td>
                                      </tr>
                                  </table></TD>
                                </TR>
                              </TABLE>
                                <TABLE width="100%" border="0" cellpadding="0" cellspacing="0">
                                  <TR>
                                    <TD width="20"  class="grey2"><input name="checkAll" type="checkbox" value="checkbox" onClick="updateCheckboxGroup(this, this, document.forms[0].selectedDelivery);"></TD>
                                    <TD class="grey2"><a href="#" onclick="return sortBy('domain');"><bean:message bundle="systemResource" key="sys.smtp.delivery.domain" /></a></TD>
                                    <TD align="center" class="grey2-end"><a href="#" onclick="return sortBy('method');"><bean:message bundle="systemResource" key="sys.smtp.delivery.method" /></a></TD>
                                  </TR>
                                  <c:forEach items="${transportList}" var="choiceItem" varStatus="current">
                                    <c:choose>
                                      <c:when test="${current.index % 4 == 0 || current.index % 4 == 1 }">
                                        <c:set var="class1" value="data1b" />
                                        <c:set var="class2" value="data1" />
                                      </c:when>
                                      <c:otherwise>
                                        <c:set var="class1" value="data2b" />
                                        <c:set var="class2" value="data2" />
                                      </c:otherwise>
                                    </c:choose>
                                    
                                <c:if test="${(current.index/2)+1>=firstDelivery && (current.index/2)+1<=lastDelivery+0.5}">
                                  <c:choose>
                                    <c:when test="${current.index % 2 == 0}">
                                    <TR>
                                      <TD class="<c:out value='${class1}' />">
                                        <html:multibox property="selectedDelivery" value="${current.index}" onclick="updateCheckboxGroup(this, document.forms[0].checkAll, document.forms[0].selectedDelivery);"/>
                                      </TD>
                                      <TD class="<c:out value='${class1}' />">
                                        <a href="#" onclick="return EditDelivery(<c:out value="${current.index}" />);">
                                            <c:out value='${choiceItem}' />
                                        </a>
                                      </TD>
                                    </c:when>
                                    <c:otherwise>
                                      <TD align="center" class="<c:out value='${class2}' />">
                                      <c:choose>
                                      <c:when test="${platform=='windows' && (current.index/2)+0.5==totalDelivery && choiceItem==':0'}">
                                        <bean:message bundle="systemResource" key="sys.smtp.delivery.defaultByDNS"/>
                                      </c:when>
                                      <c:otherwise>
                                        <c:out value='${choiceItem}' />
                                      </c:otherwise>
                                      </c:choose>
                                      </TD>
                                    </TR>
                                    </c:otherwise>
                                    </c:choose>
                                </c:if>
                                  </c:forEach>
                                </TABLE>
                              </td>
                          </tr>
                        </table></td>
                      </tr>
                      <tr>
                        <td colspan="2" align="right" class="data2" style="padding:3px">
                          <html:select property="numPerPage" styleClass="button" onchange="return changePageSize();">
                            <html:option value="10"><bean:message bundle="policy" key="ruleSummary.10PerPage" /></html:option>
                            <html:option value="15"><bean:message bundle="policy" key="ruleSummary.15PerPage" /></html:option>
                            <html:option value="20"><bean:message bundle="policy" key="ruleSummary.20PerPage" /></html:option>
                            <html:option value="30"><bean:message bundle="policy" key="ruleSummary.30PerPage" /></html:option>
                            <html:option value="50"><bean:message bundle="policy" key="ruleSummary.50PerPage" /></html:option>
                            <html:option value="100"><bean:message bundle="policy" key="ruleSummary.100PerPage" /></html:option>
                            <html:option value="200"><bean:message bundle="policy" key="ruleSummary.200PerPage" /></html:option>
                          </html:select>
                        </td>
                      </tr>                      
                      <tr> 
                        <td height="10" colspan="2"><img src="/images/<bean:message key="locale" />/1space_cui.gif" width="1" height="10"> 
                      </tr>
                    </table>

                    
<c:if test="${platform=='windows'}">
<table border="0" cellpadding="0" cellspacing="0" >
                      <tr> 
                        <td colspan="2">
                          <table width="538" border="0" cellpadding="0" cellspacing="0" class="border3">
                            <tr> 
                              <td class="tableheadergrey"><bean:message bundle="systemResource" key="sys.smtp.delivery.title.defaultDeliveryMethod" /></td>
                            </tr>
                          </table></td>
                      </tr>
                      
                      <tr>
                        <td colspan="2">
                        <table width="540" border="0" cellpadding="0" cellspacing="0" class="border2">
                          <tr>
                            <td width="538">
                              <TABLE width="538" border="0" cellpadding="0" cellspacing="0">
                                <TR>
                                  <TD width="538" colspan="2"><table width="538" border="0" cellpadding="0" cellspacing="0">
                                      <tr>
                                        <td class="data2"><table width="125" height="26" border="0" cellpadding="0" cellspacing="0">
                                            <tr>
                                              <td nowrap><a href="#" class="databutton" onClick="return AddDefaultDelivery();"><img src="/images/<bean:message key="locale" />/icon_add.gif" border="0"><bean:message key="label.add" /></a> </td>
                                              <td class="text"><img src="/images/<bean:message key="locale" />/1space_cui.gif" width="2" height="1"></td>
                                              <td nowrap><a href="#" class="databutton" onclick="return DeleteDefaultDelivery();"><img src="/images/<bean:message key="locale" />/icon_delete.gif" border="0"><bean:message key="label.delete" /></a> </td>
                                              <td class="text"><img src="/images/<bean:message key="locale" />/1space_cui.gif" width="2" height="1"></td>
                                            </tr>
                                        </table></td>
                                      </tr>
                                  </table></TD>
                                </TR>
                              </TABLE>
                                <TABLE width="100%" border="0" cellpadding="0" cellspacing="0">
                                  <TR>
                                    <TD width="20"  class="grey2"><input name="checkAllDefault" type="checkbox" value="checkbox" onClick="updateCheckboxGroup(this, this, document.forms[0].selectedDefaultDelivery);"></TD>
                                    <TD class="grey2-end"><bean:message bundle="systemResource" key="sys.smtp.delivery.method" /></TD>
                                  </TR>
                                  <c:set var="count" value="0" />
                                  <c:forEach items="${defaultDeliveryList}" var="choiceItem" varStatus="current">
                                    <c:choose>
                                      <c:when test="${current.index % 2 == 0 }">
                                        <c:set var="class1" value="data1b" />
                                        <c:set var="class2" value="data1" />
                                      </c:when>
                                      <c:otherwise>
                                        <c:set var="class1" value="data2b" />
                                        <c:set var="class2" value="data2" />
                                      </c:otherwise>
                                    </c:choose>
                                  <TR>
                                    <TD class="<c:out value='${class1}' />">
                                      <html:multibox property="selectedDefaultDelivery" value="${current.index}" onclick="updateCheckboxGroup(this, document.forms[0].checkAllDefault, document.forms[0].selectedDefaultDelivery);"/>
                                    </TD>
                                      <TD class="<c:out value='${class2}' />">
                                      <a href="#" onclick="return EditDefaultDelivery(<c:out value="${current.index}" />);">
                                      <c:choose>
                                      <c:when test="${choiceItem==':0'}">
                                        <bean:message bundle="systemResource" key="sys.smtp.delivery.defaultByDNS"/>
                                      </c:when>
                                      <c:otherwise>
                                        <c:out value='${choiceItem}' />
                                      </c:otherwise>
                                      </c:choose>
                                      </a>
                                      </TD>
                                  </TR>
                                  <c:set var="count" value="${current.index+1}" />
                                  </c:forEach>
                                  <c:if test="${count==0}">
                                  <TR>
                                    <TD>&nbsp;</TD>
                                    <TD class="data1"><bean:message bundle="systemResource" key="sys.smtp.delivery.defaultByDNS"/></TD>
                                  </TR>
                                  </c:if>
                                </TABLE>
                              </td>
                          </tr>                   
                        </table>
                        </td>
                      </tr>
                      <tr> 
                        <td height="10" colspan="2"><img src="/images/<bean:message key="locale" />/1space_cui.gif" width="1" height="10"> 
                      </tr>
                          <c:if test="${platform=='windows'}">
                      <tr>
                        <td colspan="2">
                          <table width="540" border="0" cellpadding="0" cellspacing="0" class="border3">
                            <tr> 
                              <td class="tableheadergrey"><bean:message bundle="systemResource" key="sys.smtp.delivery.Deferrals.title"/></td>
                            </tr>
                          </table>	
                        </td>
                      </tr>
                      <tr>
                        <td colspan="2" class="data1">
                          <bean:message bundle="systemResource" key="sys.smtp.delivery.Deferrals.desc"/>
                        </td>	
                      </tr>
                      <tr>
                      	<td colspan="2" class="data">
                      		<table>
                           <tr>
                             <td width="285" class="data1">
                               <bean:message bundle="systemResource" key="sys.smtp.delivery.Deferrals.retryInterval"/>:
                              <a href="#" onMouseOver="stm(Text[0],Style[0]);return false;" onMouseOut="htm();return false;">
                          	    <img src="/images/<bean:message key="locale" />/info_mark_cui.gif" width="14" height="17" border="0"  align="absmiddle">
                          	  </a>
                             </td>
                             <td width="253" class="data1">
                         	    <html:text property="retryIntervalH" styleClass="button" size="2" maxlength="2" /><bean:message key="label.hour" />
                         	    <html:text property="retryIntervalM" styleClass="button" size="2" maxlength="2" /><bean:message key="label.minute" />
                             </td>
                           </tr>
                           <tr>
                            <td class="data1">
                              <bean:message bundle="systemResource" key="sys.smtp.delivery.Deferrals.retryIntervalInc"/>:
                              <a href="#" onMouseOver="stm(Text[1],Style[0]);return false;" onMouseOut="htm();return false;">
                          	    <img src="/images/<bean:message key="locale" />/info_mark_cui.gif" width="14" height="17" border="0"  align="absmiddle">
                          	  </a>
                            </td>
                             <td class="data1">
                         	    <html:text property="retryIntervalIncH" styleClass="button" size="2" maxlength="2" /><bean:message key="label.hour" />
                         	    <html:text property="retryIntervalIncM" styleClass="button" size="2" maxlength="2" /><bean:message key="label.minute" />
                             </td>
                           </tr>
                            <tr>
                              <td class="data1"><bean:message bundle="systemResource" key="sys.smtp.delivery.Deferrals.deliveryRetryTimes"/></td>	
                              <td class="data1">
                         	      <html:text property="deliveryRetryTimes" styleClass="button" size="5" maxlength="5" />
                              </td>
                            </tr>
                          </table>	
                        </td>
                      </tr>
                      <tr>
                        <td colspan="2">
                          <table width="540" border="0" cellpadding="0" cellspacing="0" class="border3">
                            <tr> 
                              <td class="tableheadergrey"><bean:message bundle="systemResource" key="sys.smtp.delivery.Advance.title"/></td>
                            </tr>
                          </table>	
                        </td>
                      </tr>
                      <tr>
                        <td colspan="2" class="data1">
                          <bean:message bundle="systemResource" key="sys.smtp.delivery.Advance.desc"/>
                        </td>	
                      </tr>
                      <tr>
                      	<td colspan="2" class="data">
                      		<table>
                            <tr>
                              <td class="data1"><bean:message bundle="systemResource" key="sys.smtp.delivery.Advance.maximumHopCount"/></td>
                              <td class="data1">
                         	      <html:text property="maximumHopCount" styleClass="button" size="5" maxlength="5" />
                              </td>
                            </tr>
                            <tr>
                              <td class="data1"><bean:message bundle="systemResource" key="sys.smtp.delivery.Advance.masqueradeDomain"/></td>	
                              <td class="data1">
                         	      <html:text property="masqueradeDomain" styleClass="button" size="45" maxlength="45" />
                              </td>
                            </tr>
                          </table>
                        </td>
                      </tr>
                      <tr>
                        <td colspan="2">
                          <table width="540" border="0" cellpadding="0" cellspacing="0" class="border3">
                            <tr> 
                              <td class="tableheadergrey"><bean:message bundle="systemResource" key="sys.smtp.delivery.ReceivedHeader.title"/></td>
                            </tr>
                          </table>	
                        </td>
                      </tr>
                      <tr>
                        <td colspan="2" class="data1">
                        	<bean:message bundle="systemResource" key="sys.smtp.delivery.ReceivedHeader.desc"/>
                        </td>	
                      </tr>  	
                      <tr>
                      	<td colspan="2" class="data">
                      	 <table width="100%" border="0" cellpadding="0" cellspacing="0">	
                           <td width="10" class="data1">
                           	<html:checkbox property="receivedHeader" />
                           </td>	
                           <td class="data1">
                         	   <bean:message bundle="systemResource" key="sys.smtp.delivery.ReceivedHeader.receivedHeader"/>
                           </td>
                         </table>
                        </td> 
                      </tr>
                    </c:if>
                    </table>
</c:if>

                    
                  </td>
                </tr>
              </table></td>
          </tr>
        </table></TD>
    </TR>
  </TBODY>
</TABLE>
<table width="540" border="0" cellspacing="0" cellpadding="0">
  <tr> 
    <td height="28" valign="bottom"> 
      <html:submit styleClass="button" style="width:50px" onclick="return checkForm();" ><bean:message key="button.save" /></html:submit>
      <html:cancel styleClass="cbutton" ><bean:message key="button.cancel" /></html:cancel>
       </td>
  </tr>
  <tr>
  	<td><html:errors bundle="errors" property="changeOK" /></td>
  </tr>
</table>
<html:hidden property="orderBy" />
<html:hidden property="sortDirection" />
<html:hidden property="domainName" />
<html:hidden property="server" />
<html:hidden property="port" />
</html:form>
<br>
</BODY>
</HTML>

