<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib uri="/WEB-INF/tld/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/tld/struts-bean-el.tld" prefix="bean-el" %>
<%@ taglib uri="/WEB-INF/tld/struts-html-el.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/tld/struts-logic.tld" prefix="logic" %>
<%@ taglib uri="/WEB-INF/tld/c.tld" prefix="c" %>
<%@ page import="com.trendmicro.imss.ui.enduser.*" %>
<%@ page import="com.trendmicro.imss.ui.modelobjects.quarantines.*" %>

<html>
<head>
<script language="JavaScript" src="/javascripts/validation.js"></script>
<title><bean:message bundle="euq" key="euq.quarantine.title" /></title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<link href="../../css/<bean:message key="locale" />/trend-style.css" rel="stylesheet" type="text/css">
<SCRIPT LANGUAGE="JavaScript">

var BEerror = null;
    
<logic:present name="import_error" scope="request">
     BEerror = '<c:out value="${import_error}" />'; 
</logic:present>

function checkError() {
   if (BEerror) alert(BEerror);
   <c:if test= "${euqSettingsForm.approvedSendersCount >= euqSettingsForm.maxApprovedSenders}">
   	<c:out value="DisableFormElement(document.euqSettingsForm.btnAdd);" />
    <c:out value="DisableFormElement(document.euqSettingsForm.newSender);" />
   </c:if>
}
  
var email_domain_pattern = /^([0-9a-zA-Z*][0-9a-zA-Z\-*]*\.)*([0-9a-zA-Z*]+)$/; 
var dash_dot_pattern= /\-\./;
var badWCPos = /\*\./;
var badWCPos1 = /\*\@/;

function SyntaxCheck()
{ 
   var email = document.euqSettingsForm.newSender.value;
   
   var re = new RegExp(email_domain_pattern);
   var re1 = new RegExp(dash_dot_pattern);
   var re2 = new RegExp(badWCPos);
   var re3 = new RegExp(badWCPos1);
   
   if ( email == "*@*" || !checkWildcardEmailAddress_Format(email)) {
      alert("<bean:message bundle="errors" key="errors.invalidEmailSyntax" />");
      document.euqSettingsForm.newSender.focus();
      return false;
  } 
  else {
    var index=email.indexOf("@");
    var domain=email.substr(index+1);
    var temp = new Array();
    temp = domain.split('.');
    if (temp.length>6) {
        alert("<bean:message bundle="errors" key="errors.invalidEmailSyntax" />");
        return false;
    } else {
        return true;
    }
  }
   
}


function Add(){
  
    if(document.euqSettingsForm.newSender.value =="") return false;
    
    if(!SyntaxCheck()) return false;
    
    document.euqSettingsForm.action = "/addEuq_Settings.imss";
    document.euqSettingsForm.submit();
	
	return true;
}

function Delete(){
    
    form = document.forms[0]; 
    
    if(!VerifySelected()){
    	alert("<bean:message bundle="errors" key="errors.euq.selectOption" />");
     	return false;
    }
    document.euqSettingsForm.action = "/deleteEuq_Settings.imss";
    document.euqSettingsForm.submit();
    return true; 
    
}

function VerifySelected() 
{
    var bSelected = false;
    var selectBox = document.euqSettingsForm.approvedSenders;
    
    if ((selectBox.selectedIndex != -1)){
        	bSelected = true;
    }
  	return bSelected;
}    

function save()
{
	
	DisableAllElements();
	 
	document.euqSettingsForm.action = "/saveEuq_Settings.imss";
    document.euqSettingsForm.submit();
    	  
 	return true; 	 
}

function EnableFormElement(element)
{
  element.disabled=false;
  element.style.color="#000";
}

function DisableFormElement(element)
{
  element.disabled=true;
  element.style.color="#666";
}
function DisableAllElements()
{

  var i, j;

  for(i=0; i<document.forms.length; i++)
  {
    for(j=0; j<document.forms[i].elements.length; j++)
    {
      if((document.forms[i].elements[j].type.toLowerCase() == "button") || 
         (document.forms[i].elements[j].type.toLowerCase() == "submit") ||
         (document.forms[i].elements[j].type.toLowerCase() == "cancel") 
      ){
      	DisableFormElement(document.forms[i].elements[j]);
    	}
    }
  }
}

function  cancelClick()
{
	document.euqSettingsForm.action = "/CancelEuq_Settings.imss";
    document.euqSettingsForm.submit();
    return false;
}
	
function onad()
{
    document.euqSettingsForm.newSender.value = document.euqSettingsForm.newSender.value.toLowerCase();
    return Add();
}

</script>
</head>

<body bgcolor="#FFFFFF" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0"  onload="checkError();">
<html:form action="initEuq_Settings.imss">
<table cellspacing=0 cellpadding=0 width=540 border=0>
  <tbody>
    <tr> 
      <td class="content-title"><bean:message bundle="euq" key="euq.quarantine.settings" /></td>
      <td valign="bottom"> 
      	<div align="right">
      	  <a href="/logoff.imss"><bean:message bundle="euq" key="euq.logoff" /></a>
      	  <a href="/help/<bean:message key="locale" />/euquarantine_settings_help.htm" target="_blank"> <img src="/images/<bean:message key="locale" />/question_cui.gif" width="18" height="18" border="0"></a>
      	</div>
      </td>
    </tr>
    <tr> 
      <td height="10" colspan="2" class="hor-dotted-line"><img src="/images/<bean:message key="locale" />/1space_cui.gif" width="1" height="1"></td>
    </tr>
    <tr> 
      <td height="10" colspan="2"><img src=""/images/<bean:message key="locale" />/1space_cui.gif" width="1" height="10"> 
      </td>
    </tr>
  </tbody>
</table>
  <table width="540" border="0" cellpadding="0" cellspacing="0" class="border">
    <tr>
      <td><table width="538" border="0" cellpadding="0" cellspacing="0">
        <tr>
          <td colspan="2" class="tableheadergrey"><bean:message bundle="euq" key="euq.approvedsenders.list" /></td>
        </tr>
        <tr>
          <td colspan="2" class="data1"><bean:message bundle="euq" key="euq.quarantine.message1" /><br>
          <bean:message bundle="euq" key="euq.quarantine.message9" /><span class="rule-red"> [<bean:write name="euqSettingsForm" property="maxApprovedSenders"/>].</span></td>
        </tr>
        <tr>
          <td colspan="2" height="10"></td>
        </tr>
        <tr>
          <td class="data1"><html:text property="newSender" maxlength="256" style="width:450px"/>
          </td>
          <td class="data1">
          <input name="btnAdd" type="button"  class="button"  value="<bean:message bundle="euq" key="euq.btn.add" />"" style="width:90px" onClick="return Add();"> 
          </td>
        </tr>
        <tr>
          <td width="138" class="data1">
            <html:select property="approvedSenders" size="15"  multiple="true" style="width:450px">
			    <html:options collection="approvedsenderList" property="emailValue" labelProperty="email"/>
		    </html:select>
		  </td>
          </td>
          <td width="400" class="data1" style="vertical-align:top">
            <input name="btnDelete" type="button"  class="button"  value="<bean:message bundle="euq" key="euq.btn.delete" />"" style="width:90px" onClick="return Delete()"> 
          </td>
        </tr>
        <tr>
          <td colspan="2" class="data1">
            <html:checkbox property="autoAddSender"/><bean:message bundle="euq" key="euq.quarantine.message2" />
          </td>
        </tr>
      </table></td>
    </tr>
  </table>
  <table width="540" border="0" cellspacing="0" cellpadding="0">
    <tr>
      <td height="28" valign="bottom"> 
        <html:submit styleClass="button" style="width:80px" onclick="return save();"><bean:message bundle="euq" key="euq.btn.save" /></html:submit>
        <html:cancel styleClass="button" style="width:80px" onclick="return cancelClick();"> <bean:message bundle="euq" key="euq.btn.cancel" /></html:cancel>
      </td>
    </tr>
  </table>
  <br>
  <html:hidden property="maxApprovedSenders"  /> 
  <html:hidden property="approvedSendersCount"    />
</html:form>
</body>
</html>
