#! /bin/bash

trap "" SIGINT
trap "unlock" EXIT

IMSS_HOME=/opt/trend/imss
export IMSS_HOME

$IMSS_HOME/script/is_master.sh
if [ $? -eq 1 ] ; then
    EUQ_MASTER=YES
fi

. $IMSS_HOME/script/imssfunctions

lock
case "$1" in
'start')
    if [ "$EUQ_MASTER" = "YES" ]; then
        $IMSS_HOME/UI/euqUI/bin/Apache.sh start
    fi
    echo "Apache for EUQ has been started."
    ;;

'stop')
    if [ "$EUQ_MASTER" = "YES" ]; then
        $IMSS_HOME/UI/euqUI/bin/Apache.sh stop
    fi
    echo "Apache for EUQ has been stopped."
    ;;
    
'restart')
    if [ "$EUQ_MASTER" = "YES" ]; then
        $IMSS_HOME/UI/euqUI/bin/Apache.sh restart
    fi
    echo "Apache for EUQ has been restarted."
    ;;
*)
    echo "usage: $0 start|stop|restart"
    exit 1
    ;;
esac
exit 0
