#!/bin/sh
#
# postfix:       start/stop/reload/restart the postfix deamon
#

SYS=`uname -s`
if test $SYS = "SunOS" ; then
  PATH=/usr/sbin:/usr/bin:$PATH
  export PATH
  PS="ps -ef"
  PSUSER="ps -fu"
  KILL9="kill -9"
else if test $SYS = "Linux" ; then
  PATH=/sbin:/bin:/usr/sbin:/usr/bin:$PATH
  export PATH
  PS="ps -ef --width 1000"
  PSUSER="ps -fu"
  KILL9="kill -9"
fi fi

postconf -h config_directory > /dev/null 2>&1
if [ $? != 0 ] ; then
  exit 1;
fi

postfix $1
rc=$?
exit $rc