-- Just split the inest.sql into different files by platform. The following are for IMSA only.
INSERT INTO tb_global_setting VALUES ('Update', 'Platform', 'Linux', 'imss.ini', NULL);


UPDATE tb_global_setting SET value = 'no' WHERE section = 'General-Notification' and name='EngineEmailSuccess' and value = 'yes';
UPDATE tb_global_setting SET value = 'no' WHERE section = 'General-Notification' and name='PatternEmailSuccess' and value = 'yes';
UPDATE tb_global_setting SET value = 'no' WHERE section = 'General-Notification' and name='SpamEmailSuccess' and value = 'yes';
UPDATE tb_global_setting SET value = '20000' WHERE section = 'General-Notification' and name='MsgDeliMoreMsg';
UPDATE tb_global_setting SET value = '' WHERE section = 'General-Notification' and name='NotificationSMTPAddr';
UPDATE tb_global_setting SET value = '' WHERE section = 'General-Notification' and name='NotificationSMTPAddr' and value = 'yes';
UPDATE tb_global_setting SET value = 'postmaster@imsa.trendmicro.com' WHERE section = 'General-Notification' and name='MailFrom';
UPDATE tb_global_setting SET value = '' WHERE section = 'General-Notification' and name='Administrator';
UPDATE tb_global_setting SET value = '60' WHERE section = 'policy_server' and name='recv_timeout_secs';
UPDATE tb_global_setting SET value = '30' WHERE section = 'policy_server' and name='send_timeout_secs';
UPDATE tb_global_setting SET value = '25000' WHERE section = 'policy_server' and name='cachedSize';
UPDATE tb_global_setting SET value = '10026' WHERE section = 'smtp' and name='downstream_smtp_server_port';


UPDATE tb_global_setting SET value = '50' WHERE section = 'general' and name='log_individual_split_when_size';
UPDATE tb_global_setting SET value = '50' WHERE section = 'quarantine' and name='quatolimit';
UPDATE tb_global_setting SET value = 'InterScan Messaging Security Appliance' WHERE section = 'Registration' and name='product_name';


UPDATE tb_global_setting SET value = '30' WHERE section = 'general' and name='proc_min_init_num';
UPDATE tb_global_setting SET value = 'no' WHERE section = 'smtp' and name='open_to_all_connections';

INSERT INTO tb_global_setting VALUES ('Report', 'trafficsum_bookmark', '0', 'imss.ini', NULL);




INSERT INTO tb_global_setting VALUES ('Registration', 'PrProductImageProfile', 'IM-ZZAR-E07.000.0000', 'imss.ini', NULL);
INSERT INTO tb_global_setting VALUES ('Registration', 'PrProductImageProfile2', 'AS-ZZAR-E07.000.0000', 'imss.ini', NULL);
INSERT INTO tb_global_setting VALUES ('Registration', 'PrProductImageProfile3', 'ST-TLMM-Z07.000.0000', 'imss.ini', NULL);
INSERT INTO tb_global_setting VALUES ('Registration', 'NRSImageProfile', 'ST-TLMM-Z07.000.0000|SB-TRMM-Z07.000.0000|AS-ZZAR-E03.000.0000', 'imss.ini', NULL);



UPDATE tb_report_setting set reports_save=15 where report_type=3 and admin_id=1;

INSERT INTO tb_report_tickets(report_type, admin_id, request_timestamp, report_name,report_status,scanner_name,report_item,report_start_day,reset_column,time_start, time_end, run_today,isenabled) VALUES (1, 1, now(), 'Daily Report', 0, 1,'1;1;1;1;1:10;1:10;1:10;1:10;1:10;1:10;1:10;1:10;1:10;1:10',0, FALSE,'1900-01-01 02:00:00','1900-01-01 00:00:00',0,TRUE);
INSERT INTO tb_report_tickets(report_type, admin_id, request_timestamp, report_name,report_status,scanner_name,report_item,report_start_day,reset_column,time_start, time_end, run_today,isenabled) VALUES (2, 1, now(), 'Weekly Report', 0, 1,'1;1;1;1;1:10;1:10;1:10;1:10;1:10;1:10;1:10;1:10;1:10;1:10',0, FALSE,'1900-01-01 02:00:00','1900-01-01 00:00:00',0,TRUE);
INSERT INTO tb_report_tickets(report_type, admin_id, request_timestamp, report_name,report_status,scanner_name,report_item,report_start_day,reset_column,time_start, time_end, run_today,isenabled) VALUES (3, 1, now(), 'Monthly Report', 0, 1,'1;1;1;1;1:10;1:10;1:10;1:10;1:10;1:10;1:10;1:10;1:10;1:10',1, FALSE,'1900-01-01 02:00:00','1900-01-01 00:00:00',0,TRUE);

--insert into tb_named_obj(type, name, content) values(1, 'Notification of security settings violation', '43:Notification of security settings violation:30:postmaster@imsa.trendmicro.com:0::32:IMSA Security settings violation:393:InterScan Messaging Security Appliance has detected a message which violated the security settings configured in Policy > Scanning Exceptions. The message was quarantined. You can find out more about this event by querying the Policy Event logs for Scanning exceptions.\r\n\r\nMessage details:\r\nSender: %SENDER%\r\nRecipient: %RCPTS%\r\nSubject: %SUBJECT%\r\nMessage ID: %MAILID%\r\nAttachment: %FILENAME%:0::0:1:0:0:0:0:1:');
UPDATE tb_named_obj set content = '43:Notification of security settings violation:30:postmaster@imsa.trendmicro.com:0::32:IMSA Security settings violation:393:InterScan Messaging Security Appliance has detected a message which violated the security settings configured in Policy > Scanning Exceptions. The message was quarantined. You can find out more about this event by querying the Policy Event logs for Scanning exceptions.\r\n\r\nMessage details:\r\nSender: %SENDER%\r\nRecipient: %RCPTS%\r\nSubject: %SUBJECT%\r\nMessage ID: %MAILID%\r\nAttachment: %FILENAME%:0::0:1:0:0:0:0:1:' where id=3;
--insert into tb_named_obj(type, name, content) values(1, 'Scanning exception', '18:Scanning exception:30:postmaster@imsa.trendmicro.com:0::59:A scanning exception ocurred at %HOSTNAME% at %DATE&TIME%. :210:A scanning exception ocurred at %HOSTNAME% at %DATE&TIME%. \r\n\r\nScanning server: %HOSTNAME%\r\nTime: %DATE&TIME%\r\nSender: %SENDER%\r\nRecipient(s): %RCPTS%\r\nSubject: %SUBJECT%\r\nFile(s): %FILENAME%\r\nOther: %DETECTED%:0::0:1:0:0:0:0:1:');
UPDATE tb_named_obj set content = '18:Scanning exception:30:postmaster@imsa.trendmicro.com:0::59:A scanning exception ocurred at %HOSTNAME% at %DATE&TIME%. :210:A scanning exception ocurred at %HOSTNAME% at %DATE&TIME%. \r\n\r\nScanning server: %HOSTNAME%\r\nTime: %DATE&TIME%\r\nSender: %SENDER%\r\nRecipient(s): %RCPTS%\r\nSubject: %SUBJECT%\r\nFile(s): %FILENAME%\r\nOther: %DETECTED%:0::0:1:0:0:0:0:1:' where id=4;

--INSERT INTO tb_postfixconfig VALUES ('smtpd_banner', 0, 'ESMTP IMSA');
UPDATE tb_postfixconfig set fieldvalue='ESMTP IMSA' where fieldname= 'smtpd_banner';
--INSERT INTO tb_postfixconfig VALUES ('smtpd_timeout', 0, '60s');
UPDATE tb_postfixconfig set fieldvalue='60s' where fieldname= 'smtpd_timeout';
--INSERT INTO tb_postfixconfig VALUES ('smtpd_maxproc', 0, '200');
UPDATE tb_postfixconfig set fieldvalue='200' where fieldname= 'smtpd_maxproc';
--INSERT INTO tb_postfixconfig VALUES ('message_size_limit', 0, '10485760');
UPDATE tb_postfixconfig set fieldvalue='10485760' where fieldname= 'message_size_limit';
--INSERT INTO tb_postfixconfig VALUES ('apply_setting', 0, 'no');
UPDATE tb_postfixconfig set fieldvalue='yes' where fieldname= 'apply_setting';



--insert into tb_postfixitemattribute(fieldname,format,"check","type",postfixaction,objfile,keymaps) values('default_transport','number',1,4,2,'master.cf','null');
UPDATE tb_postfixitemattribute set keymaps='null' where fieldname='default_transport' and keymaps='post_listen_port';



-- this is the db data initialize script for IMSA
insert into tb_rtstat_setting values(60,300,150,150);

---
---   initialize postfix setting
---
INSERT INTO tb_postfixconfig VALUES ('reject_unknown_sender_domain', 0, 'no');
INSERT INTO tb_postfixitemattribute VALUES ('reject_unknown_sender_domain', 'bool', 1, 4, 1, 'main.cf','smtpd_sender_restrictions');
INSERT INTO tb_postfixconfig VALUES ('reject_unknown_recipients', 0, 'no');
INSERT INTO tb_postfixitemattribute VALUES ('reject_unknown_recipients', 'bool', 1, 4, 1, 'main.cf','smtpd_recipient_restrictions');
INSERT INTO tb_postfixconfig VALUES ('reject_unknown_reverse_client_hostname', 0, 'no');
INSERT INTO tb_postfixitemattribute VALUES ('reject_unknown_reverse_client_hostname', 'bool', 1, 4, 1, 'main.cf','smtpd_sender_restrictions');
INSERT INTO tb_postfixconfig VALUES ('update_nrs_ac', 0, '');
insert into tb_postfixconfig values('smtp_use_tls',0,'no');
INSERT INTO tb_postfixitemattribute VALUES('smtp_use_tls', 'string', 1, 1, 1, 'main.cf', 'smtp_use_tls');
INSERT INTO tb_postfixitemattribute VALUES ('update_nrs_ac','string',1,4,1,'main.cf','update_nrs_ac');

--- Has change the list port to FoxPorxy, so change it back to 25. Postfix must binding with all interface. 
--- Jianxin, 2006/11/8 
UPdATE tb_postfixconfig SET fieldvalue = 'all' WHERE fieldname = 'inet_interfaces';
UPdATE tb_postfixconfig SET fieldvalue = '25' WHERE fieldname = 'default_transport';

---
---   initialize AU server setting
---
UPDATE tb_global_setting SET value='http://imsa7-p.activeupdate.trendmicro.com/activeupdate' WHERE section='Update' and name='UpdateServer';
UPDATE tb_global_setting SET value='http://imsa7-as.activeupdate.trendmicro.com/activeupdate' WHERE section='Update' and name='TMASEServerurl';

---
---   initialize DB Maintain setting
---
INSERT INTO tb_global_setting VALUES ('DB_Maintain', 'enableReindex', 'on', 'imss.ini', '');
INSERT INTO tb_global_setting VALUES ('DB_Maintain', 'enableAnalyze', 'on', 'imss.ini', '');
INSERT INTO tb_global_setting VALUES ('DB_Maintain', 'enableVacuum', 'on', 'imss.ini', '');
INSERT INTO tb_global_setting VALUES ('DB_Maintain', 'isMonthSched', '0', 'imss.ini', '');
INSERT INTO tb_global_setting VALUES ('DB_Maintain', 'weekDay', '0', 'imss.ini', '');
INSERT INTO tb_global_setting VALUES ('DB_Maintain', 'weekHour', '4', 'imss.ini', '');
INSERT INTO tb_global_setting VALUES ('DB_Maintain', 'weekMinute', '0', 'imss.ini', '');
INSERT INTO tb_global_setting VALUES ('DB_Maintain', 'monthDay', '1', 'imss.ini', '');
INSERT INTO tb_global_setting VALUES ('DB_Maintain', 'monthHour', '4', 'imss.ini', '');
INSERT INTO tb_global_setting VALUES ('DB_Maintain', 'monthMinute', '0', 'imss.ini', '');
INSERT INTO tb_global_setting VALUES ('DB_Maintain', 'analyzeHour', '2', 'imss.ini', '');
INSERT INTO tb_global_setting VALUES ('DB_Maintain', 'analyzeMinute', '0', 'imss.ini', '');
INSERT INTO tb_global_setting VALUES ('DB_Maintain', 'vacuumHour', '3', 'imss.ini', '');
INSERT INTO tb_global_setting VALUES ('DB_Maintain', 'vacuumMinute', '0', 'imss.ini', '');

---
---   initialize EUQ setting
---
INSERT INTO tb_global_setting VALUES ('general', 'enable_euq', '0', 'imss.ini', '');

---
---   initialize log setting
---
update tb_global_setting set value='log/debugFile.txt;log/catalina.out;log/apache_log;log/mod_jk.log;log/trace.log' where section='log' and name='misc_file_rotate_prefix';
 
---
---   initialize Notification setting
---
INSERT INTO tb_global_setting VALUES ('General-Notification', 'FreeDataPartitionSize', '10240', 'imss.ini', NULL);
INSERT INTO tb_global_setting VALUES ('General-Notification', 'FreeDataPartitionEmail', 'on', 'imss.ini', NULL);
INSERT INTO tb_global_setting VALUES ('General-Notification', 'FreeDataPartitionSNMP', '', 'imss.ini', NULL);
INSERT INTO tb_global_setting VALUES ('General-Notification', 'FreeDataPartition_Message', 'Free disk space of data partition on scanner is below threshold.', 'imss.ini', NULL);
INSERT INTO tb_global_setting VALUES ('General-Notification', 'FreeDataPartition_SNMPMessage', 'Free disk space of data partition on scanner is below threshold.', 'imss.ini', NULL);
INSERT INTO tb_global_setting VALUES ('General-Notification', 'FreeDataPartition_Subject', 'Free disk space of data partition on scanner is below threshold.', 'imss.ini', NULL);

INSERT INTO tb_global_setting VALUES ('General-Notification', 'FreeMTAPartitionSize', '2048', 'imss.ini', NULL);
INSERT INTO tb_global_setting VALUES ('General-Notification', 'FreeMTAPartitionEmail', 'on', 'imss.ini', NULL);
INSERT INTO tb_global_setting VALUES ('General-Notification', 'FreeMTAPartitionSNMP', '', 'imss.ini', NULL);
INSERT INTO tb_global_setting VALUES ('General-Notification', 'FreeMTAPartition_Message', 'Free disk space of MTA partition on scanner is below threshold.', 'imss.ini', NULL);
INSERT INTO tb_global_setting VALUES ('General-Notification', 'FreeMTAPartition_SNMPMessage', 'Free disk space of MTA partition on scanner is below threshold.', 'imss.ini', NULL);
INSERT INTO tb_global_setting VALUES ('General-Notification', 'FreeMTAPartition_Subject', 'Free disk space of MTA partition on scanner is below threshold.', 'imss.ini', NULL);

insert into tb_global_setting values('General-Notification','CPUEventEmail','yes','imss.ini');
insert into tb_global_setting values('General-Notification','CPUEventSNMP','no','imss.ini');
insert into tb_global_setting values('General-Notification','FanEventEmail','yes','imss.ini');
insert into tb_global_setting values('General-Notification','FanEventSNMP','no','imss.ini');
insert into tb_global_setting values('General-Notification','PSUEventEmail','yes','imss.ini');
insert into tb_global_setting values('General-Notification','PSUEventSNMP','no','imss.ini');
insert into tb_global_setting values('General-Notification','RAIDEventEmail','yes','imss.ini');
insert into tb_global_setting values('General-Notification','RAIDEventSNMP','no','imss.ini');
insert into tb_global_setting values('General-Notification','SysNotificationInterval','10','imss.ini');
insert into tb_global_setting values('General-Notification','CPUEvent_Message','CPU temperature exceeded the maximum value \r\n%HOSTNAME%\r\n%IPADDR%','imss.ini');
insert into tb_global_setting values('General-Notification','CPUEvent_SNMPMessage','CPU temperature exceeded the maximum value','imss.ini');
insert into tb_global_setting values('General-Notification','CPUEvent_Subject','CPU temperature exceeded the maximum value','imss.ini');
insert into tb_global_setting values('General-Notification','FanEvent_Message','Fan speed below the lowest value \r\n%HOSTNAME%\r\n%IPADDR%','imss.ini');
insert into tb_global_setting values('General-Notification','FanEvent_SNMPMessage','Fan speed below the lowest value','imss.ini');
insert into tb_global_setting values('General-Notification','FanEvent_Subject','Fan speed below the lowest value','imss.ini');
insert into tb_global_setting values('General-Notification','PSUEvent_Message','One power supply unit failed \r\n%HOSTNAME%\r\n%IPADDR%','imss.ini');
insert into tb_global_setting values('General-Notification','PSUEvent_SNMPMessage','One power supply unit failed','imss.ini');
insert into tb_global_setting values('General-Notification','PSUEvent_Subject','One power supply unit failed','imss.ini');
insert into tb_global_setting values('General-Notification','RAIDEvent_Message','RAID device problem: %DEVICE% degraded \r\n%HOSTNAME%\r\n%IPADDR%','imss.ini');
insert into tb_global_setting values('General-Notification','RAIDEvent_SNMPMessage','RAID device problem: %DEVICE% degraded','imss.ini');
insert into tb_global_setting values('General-Notification','RAIDEvent_Subject','RAID device problem: %DEVICE% degraded','imss.ini');

---   add cli permissions ---
update tb_administrator set cli_permission=3;

---   init NTP setting ---

insert into tb_global_setting values('NTP_Setting','ntp_server','','imss.ini');
insert into tb_global_setting values('NTP_Setting','enable_ntp','no','imss.ini');

---
---   initialize Deployment setting
---
insert into tb_global_setting values('general','deployed_at_edge','yes','imss.ini');

update tb_administrator set md5_digest='b0aba4f23e881d9a47d9083b5cdfd40d' where admin_name='admin';

--- zhennan: the default MailFrom is already changed in insert.sql, no need to update it now
--- update tb_global_setting set value='postmaster@imsa.com' where section='General-Notification' and name='MailFrom' and inifile='imss.ini';


insert into tb_global_setting values ('LDAP-Setting', 'DisableAutoChaseReference', 'y', 'imss.ini');

alter table tb_euq_action alter rcpt type character varying(2048);




---- for patten and engine
INSERT INTO tb_global_setting VALUES ('Update', 'VersionVirusEngine', '8.310.1002', 'imss.ini', NULL);
INSERT INTO tb_global_setting VALUES ('Update', 'VersionVirusPattern', '4.459.00', 'imss.ini', NULL);
INSERT INTO tb_global_setting VALUES ('Update', 'VersionSpywarePattern', '0.491.00', 'imss.ini', NULL);
INSERT INTO tb_global_setting VALUES ('Update', 'VersionIntellitrapPattern', '0.103.00', 'imss.ini', NULL);
INSERT INTO tb_global_setting VALUES ('Update', 'VersionIntellitrapException', '0.199.00', 'imss.ini', NULL);
INSERT INTO tb_global_setting VALUES ('Update', 'VersionTMASEEngine', '3.8.1026', 'imss.ini', NULL);
INSERT INTO tb_global_setting VALUES ('Update', 'VersionTMASEPattern', '15164-15164000', 'imss.ini', NULL);

